import{S as Lr,i as Nr,s as Ir,e as n,k as p,w as k,t as i,M as Dr,c as s,d as o,m as h,a,x as T,h as l,b as c,G as e,g as _,y,q as w,o as $,B,v as Wr,L as It}from"../../chunks/vendor-hf-doc-builder.js";import{T as pn}from"../../chunks/Tip-hf-doc-builder.js";import{D as N}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Dt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as re}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Nt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Hr(G){let d,v;return d=new Dt({props:{code:`from transformers import BioGptModel, BioGptConfig

# Initializing a BioGPT microsoft/biogpt style configuration
configuration = BioGptConfig()

# Initializing a model from the microsoft/biogpt style configuration
model = BioGptModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> BioGptModel, BioGptConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a BioGPT microsoft/biogpt style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = BioGptConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the microsoft/biogpt style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){k(d.$$.fragment)},l(u){T(d.$$.fragment,u)},m(u,f){y(d,u,f),v=!0},p:It,i(u){v||(w(d.$$.fragment,u),v=!0)},o(u){$(d.$$.fragment,u),v=!1},d(u){B(d,u)}}}function Rr(G){let d,v,u,f,b;return{c(){d=n("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=n("code"),f=i("Module"),b=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var C=a(u);f=l(C,"Module"),C.forEach(o),b=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(r,g){_(r,d,g),e(d,v),e(d,u),e(u,f),e(d,b)},d(r){r&&o(d)}}}function Ur(G){let d,v,u,f,b;return f=new Dt({props:{code:`from transformers import AutoTokenizer, BioGptModel
import torch

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptModel.from_pretrained("microsoft/biogpt")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptModel.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=n("p"),v=i("Example:"),u=p(),k(f.$$.fragment)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Example:"),g.forEach(o),u=h(r),T(f.$$.fragment,r)},m(r,g){_(r,d,g),e(d,v),_(r,u,g),y(f,r,g),b=!0},p:It,i(r){b||(w(f.$$.fragment,r),b=!0)},o(r){$(f.$$.fragment,r),b=!1},d(r){r&&o(d),r&&o(u),B(f,r)}}}function Vr(G){let d,v,u,f,b;return{c(){d=n("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=n("code"),f=i("Module"),b=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var C=a(u);f=l(C,"Module"),C.forEach(o),b=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(r,g){_(r,d,g),e(d,v),e(d,u),e(u,f),e(d,b)},d(r){r&&o(d)}}}function Qr(G){let d,v,u,f,b;return f=new Dt({props:{code:`import torch
from transformers import AutoTokenizer, BioGptForCausalLM

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptForCausalLM.from_pretrained("microsoft/biogpt")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs, labels=inputs["input_ids"])
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForCausalLM.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),v=i("Example:"),u=p(),k(f.$$.fragment)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Example:"),g.forEach(o),u=h(r),T(f.$$.fragment,r)},m(r,g){_(r,d,g),e(d,v),_(r,u,g),y(f,r,g),b=!0},p:It,i(r){b||(w(f.$$.fragment,r),b=!0)},o(r){$(f.$$.fragment,r),b=!1},d(r){r&&o(d),r&&o(u),B(f,r)}}}function Yr(G){let d,v,u,f,b;return{c(){d=n("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=n("code"),f=i("Module"),b=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var C=a(u);f=l(C,"Module"),C.forEach(o),b=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(r,g){_(r,d,g),e(d,v),e(d,u),e(u,f),e(d,b)},d(r){r&&o(d)}}}function Kr(G){let d,v,u,f,b;return f=new Dt({props:{code:`from transformers import AutoTokenizer, BioGptForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptForTokenClassification.from_pretrained("microsoft/biogpt")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForTokenClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),v=i("Example:"),u=p(),k(f.$$.fragment)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Example:"),g.forEach(o),u=h(r),T(f.$$.fragment,r)},m(r,g){_(r,d,g),e(d,v),_(r,u,g),y(f,r,g),b=!0},p:It,i(r){b||(w(f.$$.fragment,r),b=!0)},o(r){$(f.$$.fragment,r),b=!1},d(r){r&&o(d),r&&o(u),B(f,r)}}}function Xr(G){let d,v,u,f,b;return{c(){d=n("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=n("code"),f=i("Module"),b=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var C=a(u);f=l(C,"Module"),C.forEach(o),b=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(r,g){_(r,d,g),e(d,v),e(d,u),e(u,f),e(d,b)},d(r){r&&o(d)}}}function Zr(G){let d,v,u,f,b;return f=new Dt({props:{code:`import torch
from transformers import AutoTokenizer, BioGptForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptForSequenceClassification.from_pretrained("microsoft/biogpt")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = BioGptForSequenceClassification.from_pretrained("microsoft/biogpt", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),v=i("Example of single-label classification:"),u=p(),k(f.$$.fragment)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Example of single-label classification:"),g.forEach(o),u=h(r),T(f.$$.fragment,r)},m(r,g){_(r,d,g),e(d,v),_(r,u,g),y(f,r,g),b=!0},p:It,i(r){b||(w(f.$$.fragment,r),b=!0)},o(r){$(f.$$.fragment,r),b=!1},d(r){r&&o(d),r&&o(u),B(f,r)}}}function Jr(G){let d,v,u,f,b;return f=new Dt({props:{code:`import torch
from transformers import AutoTokenizer, BioGptForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("microsoft/biogpt")
model = BioGptForSequenceClassification.from_pretrained("microsoft/biogpt", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = BioGptForSequenceClassification.from_pretrained(
    "microsoft/biogpt", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, BioGptForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/biogpt&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BioGptForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;microsoft/biogpt&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),v=i("Example of multi-label classification:"),u=p(),k(f.$$.fragment)},l(r){d=s(r,"P",{});var g=a(d);v=l(g,"Example of multi-label classification:"),g.forEach(o),u=h(r),T(f.$$.fragment,r)},m(r,g){_(r,d,g),e(d,v),_(r,u,g),y(f,r,g),b=!0},p:It,i(r){b||(w(f.$$.fragment,r),b=!0)},o(r){$(f.$$.fragment,r),b=!1},d(r){r&&o(d),r&&o(u),B(f,r)}}}function ei(G){let d,v,u,f,b,r,g,C,hn,Fo,R,ie,Wt,Pe,un,Ht,mn,xo,le,fn,Me,gn,_n,Po,ut,bn,Mo,mt,Rt,vn,Eo,ft,kn,jo,I,Ut,Tn,yn,Vt,wn,$n,Ee,Bn,Qt,Gn,Cn,Ao,D,zn,je,qn,Fn,Ae,xn,Pn,Oo,U,de,Yt,Oe,Mn,Kt,En,So,gt,Xt,_t,jn,Lo,V,ce,Zt,Se,An,Jt,On,No,F,Le,Sn,Q,Ln,bt,Nn,In,Ne,Dn,Wn,Hn,Y,Rn,vt,Un,Vn,kt,Qn,Yn,Kn,pe,Io,K,he,eo,Ie,Xn,to,Zn,Do,x,De,Jn,oo,es,ts,We,os,Tt,ns,ss,as,yt,He,Wo,X,ue,no,Re,rs,so,is,Ho,S,Ue,ls,Ve,ds,Qe,cs,ps,hs,E,Ye,us,Z,ms,wt,fs,gs,ao,_s,bs,vs,me,ks,fe,Ro,J,ge,ro,Ke,Ts,io,ys,Uo,L,Xe,ws,ee,$s,lo,Bs,Gs,Ze,Cs,zs,qs,j,Je,Fs,te,xs,$t,Ps,Ms,co,Es,js,As,_e,Os,be,Vo,oe,ve,po,et,Ss,ho,Ls,Qo,P,tt,Ns,uo,Is,Ds,ot,Ws,nt,Hs,Rs,Us,A,st,Vs,ne,Qs,Bt,Ys,Ks,mo,Xs,Zs,Js,ke,ea,Te,Yo,se,ye,fo,at,ta,go,oa,Ko,z,rt,na,_o,sa,aa,Gt,Ct,ra,ia,la,M,da,bo,ca,pa,vo,ha,ua,ko,ma,fa,To,ga,_a,ba,it,va,lt,ka,Ta,ya,q,dt,wa,ae,$a,zt,Ba,Ga,yo,Ca,za,qa,we,Fa,$e,xa,Be,Xo;return r=new re({}),Pe=new re({}),Oe=new re({}),Se=new re({}),Le=new N({props:{name:"class transformers.BioGptConfig",anchor:"transformers.BioGptConfig",parameters:[{name:"vocab_size",val:" = 42384"},{name:"hidden_size",val:" = 1024"},{name:"num_hidden_layers",val:" = 24"},{name:"num_attention_heads",val:" = 16"},{name:"intermediate_size",val:" = 4096"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 1024"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"scale_embedding",val:" = True"},{name:"use_cache",val:" = True"},{name:"layerdrop",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BioGptConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 42384) &#x2014;
Vocabulary size of the BioGPT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptModel">BioGptModel</a>.`,name:"vocab_size"},{anchor:"transformers.BioGptConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimension of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.BioGptConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 24) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.BioGptConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.BioGptConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimension of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.BioGptConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.BioGptConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.BioGptConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.BioGptConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.BioGptConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.BioGptConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.BioGptConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.BioGptConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.BioGptConfig.layerdrop",description:`<strong>layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Please refer to the paper about LayerDrop: <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a> for further details`,name:"layerdrop"},{anchor:"transformers.BioGptConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.BioGptConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Padding token id.`,name:"pad_token_id"},{anchor:"transformers.BioGptConfig.bos_token_id",description:`<strong>bos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
Beginning of stream token id.`,name:"bos_token_id"},{anchor:"transformers.BioGptConfig.eos_token_id",description:`<strong>eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
End of stream token id.
Example &#x2014;`,name:"eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/configuration_biogpt.py#L29"}}),pe=new Nt({props:{anchor:"transformers.BioGptConfig.example",$$slots:{default:[Hr]},$$scope:{ctx:G}}}),Ie=new re({}),De=new N({props:{name:"class transformers.BioGptTokenizer",anchor:"transformers.BioGptTokenizer",parameters:[{name:"vocab_file",val:""},{name:"merges_file",val:""},{name:"unk_token",val:" = '<unk>'"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"pad_token",val:" = '<pad>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BioGptTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.BioGptTokenizer.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Merges file.`,name:"merges_file"},{anchor:"transformers.BioGptTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.BioGptTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.BioGptTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.BioGptTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.BioGptTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/tokenization_biogpt.py#L56"}}),He=new N({props:{name:"save_vocabulary",anchor:"transformers.BioGptTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/tokenization_biogpt.py#L326"}}),Re=new re({}),Ue=new N({props:{name:"class transformers.BioGptModel",anchor:"transformers.BioGptModel",parameters:[{name:"config",val:": BioGptConfig"}],parametersDescription:[{anchor:"transformers.BioGptModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig">~BioGptConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L454"}}),Ye=new N({props:{name:"forward",anchor:"transformers.BioGptModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BioGptModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.BioGptModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.BioGptModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BioGptModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.BioGptModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.BioGptModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.BioGptModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BioGptModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BioGptModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L504",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig"
>BioGptConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),me=new pn({props:{$$slots:{default:[Rr]},$$scope:{ctx:G}}}),fe=new Nt({props:{anchor:"transformers.BioGptModel.forward.example",$$slots:{default:[Ur]},$$scope:{ctx:G}}}),Ke=new re({}),Xe=new N({props:{name:"class transformers.BioGptForCausalLM",anchor:"transformers.BioGptForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.BioGptForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig">~BioGptConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L642"}}),Je=new N({props:{name:"forward",anchor:"transformers.BioGptForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BioGptForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.BioGptForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.BioGptForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BioGptForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.BioGptForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.BioGptForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.BioGptForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BioGptForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BioGptForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BioGptForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for language modeling. Note that the labels <strong>are shifted</strong> inside the model, i.e. you can set
<code>labels = input_ids</code> Indices are selected in <code>[-100, 0, ..., config.vocab_size]</code> All labels set to <code>-100</code>
are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L660",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig"
>BioGptConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),_e=new pn({props:{$$slots:{default:[Vr]},$$scope:{ctx:G}}}),be=new Nt({props:{anchor:"transformers.BioGptForCausalLM.forward.example",$$slots:{default:[Qr]},$$scope:{ctx:G}}}),et=new re({}),tt=new N({props:{name:"class transformers.BioGptForTokenClassification",anchor:"transformers.BioGptForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.BioGptForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig">~BioGptConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L760"}}),st=new N({props:{name:"forward",anchor:"transformers.BioGptForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BioGptForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.BioGptForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.BioGptForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BioGptForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.BioGptForTokenClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.BioGptForTokenClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.BioGptForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BioGptForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BioGptForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BioGptForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L775",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig"
>BioGptConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ke=new pn({props:{$$slots:{default:[Yr]},$$scope:{ctx:G}}}),Te=new Nt({props:{anchor:"transformers.BioGptForTokenClassification.forward.example",$$slots:{default:[Kr]},$$scope:{ctx:G}}}),at=new re({}),rt=new N({props:{name:"class transformers.BioGptForSequenceClassification",anchor:"transformers.BioGptForSequenceClassification",parameters:[{name:"config",val:": BioGptConfig"}],parametersDescription:[{anchor:"transformers.BioGptForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig">~BioGptConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L860"}}),dt=new N({props:{name:"forward",anchor:"transformers.BioGptForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BioGptForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.BioGptForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.BioGptForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BioGptForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.BioGptForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.BioGptForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.BioGptForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BioGptForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BioGptForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BioGptForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/biogpt/modeling_biogpt.py#L870",returnDescription:`
<p>A <code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptConfig"
>BioGptConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),we=new pn({props:{$$slots:{default:[Xr]},$$scope:{ctx:G}}}),$e=new Nt({props:{anchor:"transformers.BioGptForSequenceClassification.forward.example",$$slots:{default:[Zr]},$$scope:{ctx:G}}}),Be=new Nt({props:{anchor:"transformers.BioGptForSequenceClassification.forward.example-2",$$slots:{default:[Jr]},$$scope:{ctx:G}}}),{c(){d=n("meta"),v=p(),u=n("h1"),f=n("a"),b=n("span"),k(r.$$.fragment),g=p(),C=n("span"),hn=i("BioGPT"),Fo=p(),R=n("h2"),ie=n("a"),Wt=n("span"),k(Pe.$$.fragment),un=p(),Ht=n("span"),mn=i("Overview"),xo=p(),le=n("p"),fn=i("The BioGPT model was proposed in "),Me=n("a"),gn=i("BioGPT: generative pre-trained transformer for biomedical text generation and mining"),_n=i(" by Renqian Luo, Liai Sun, Yingce Xia, Tao Qin, Sheng Zhang, Hoifung Poon and Tie-Yan Liu. BioGPT is a domain-specific generative pre-trained Transformer language model for biomedical text generation and mining. BioGPT follows the Transformer language model backbone, and is pre-trained on 15M PubMed abstracts from scratch."),Po=p(),ut=n("p"),bn=i("The abstract from the paper is the following:"),Mo=p(),mt=n("p"),Rt=n("em"),vn=i("Pre-trained language models have attracted increasing attention in the biomedical domain, inspired by their great success in the general natural language domain. Among the two main branches of pre-trained language models in the general language domain, i.e. BERT (and its variants) and GPT (and its variants), the first one has been extensively studied in the biomedical domain, such as BioBERT and PubMedBERT. While they have achieved great success on a variety of discriminative downstream biomedical tasks, the lack of generation ability constrains their application scope. In this paper, we propose BioGPT, a domain-specific generative Transformer language model pre-trained on large-scale biomedical literature. We evaluate BioGPT on six biomedical natural language processing tasks and demonstrate that our model outperforms previous models on most tasks. Especially, we get 44.98%, 38.42% and 40.76% F1 score on BC5CDR, KD-DTI and DDI end-to-end relation extraction tasks, respectively, and 78.2% accuracy on PubMedQA, creating a new record. Our case study on text generation further demonstrates the advantage of BioGPT on biomedical literature to generate fluent descriptions for biomedical terms."),Eo=p(),ft=n("p"),kn=i("Tips:"),jo=p(),I=n("ul"),Ut=n("li"),Tn=i("BioGPT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather than the left."),yn=p(),Vt=n("li"),wn=i("BioGPT was trained with a causal language modeling (CLM) objective and is therefore powerful at predicting the next token in a sequence. Leveraging this feature allows BioGPT to generate syntactically coherent text as it can be observed in the run_generation.py example script."),$n=p(),Ee=n("li"),Bn=i("The model can take the "),Qt=n("code"),Gn=i("past_key_values"),Cn=i(" (for PyTorch) as input, which is the previously computed key/value attention pairs. Using this (past_key_values or past) value prevents the model from re-computing pre-computed values in the context of text generation. For PyTorch, see past_key_values argument of the BioGptForCausalLM.forward() method for more information on its usage."),Ao=p(),D=n("p"),zn=i("This model was contributed by "),je=n("a"),qn=i("kamalkraj"),Fn=i(". The original code can be found "),Ae=n("a"),xn=i("here"),Pn=i("."),Oo=p(),U=n("h2"),de=n("a"),Yt=n("span"),k(Oe.$$.fragment),Mn=p(),Kt=n("span"),En=i("Documentation resources"),So=p(),gt=n("ul"),Xt=n("li"),_t=n("a"),jn=i("Causal language modeling task guide"),Lo=p(),V=n("h2"),ce=n("a"),Zt=n("span"),k(Se.$$.fragment),An=p(),Jt=n("span"),On=i("BioGptConfig"),No=p(),F=n("div"),k(Le.$$.fragment),Sn=p(),Q=n("p"),Ln=i("This is the configuration class to store the configuration of a "),bt=n("a"),Nn=i("BioGptModel"),In=i(`. It is used to instantiate an
BioGPT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the BioGPT
`),Ne=n("a"),Dn=i("microsoft/biogpt"),Wn=i(" architecture."),Hn=p(),Y=n("p"),Rn=i("Configuration objects inherit from "),vt=n("a"),Un=i("PretrainedConfig"),Vn=i(` and can be used to control the model outputs. Read the
documentation from `),kt=n("a"),Qn=i("PretrainedConfig"),Yn=i(" for more information."),Kn=p(),k(pe.$$.fragment),Io=p(),K=n("h2"),he=n("a"),eo=n("span"),k(Ie.$$.fragment),Xn=p(),to=n("span"),Zn=i("BioGptTokenizer"),Do=p(),x=n("div"),k(De.$$.fragment),Jn=p(),oo=n("p"),es=i("Construct an FAIRSEQ Transformer tokenizer. Moses tokenization followed by Byte-Pair Encoding."),ts=p(),We=n("p"),os=i("This tokenizer inherits from "),Tt=n("a"),ns=i("PreTrainedTokenizer"),ss=i(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),as=p(),yt=n("div"),k(He.$$.fragment),Wo=p(),X=n("h2"),ue=n("a"),no=n("span"),k(Re.$$.fragment),rs=p(),so=n("span"),is=i("BioGptModel"),Ho=p(),S=n("div"),k(Ue.$$.fragment),ls=p(),Ve=n("p"),ds=i(`The bare BioGPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Qe=n("a"),cs=i("torch.nn.Module"),ps=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),hs=p(),E=n("div"),k(Ye.$$.fragment),us=p(),Z=n("p"),ms=i("The "),wt=n("a"),fs=i("BioGptModel"),gs=i(" forward method, overrides the "),ao=n("code"),_s=i("__call__"),bs=i(" special method."),vs=p(),k(me.$$.fragment),ks=p(),k(fe.$$.fragment),Ro=p(),J=n("h2"),ge=n("a"),ro=n("span"),k(Ke.$$.fragment),Ts=p(),io=n("span"),ys=i("BioGptForCausalLM"),Uo=p(),L=n("div"),k(Xe.$$.fragment),ws=p(),ee=n("p"),$s=i("BioGPT Model with a "),lo=n("code"),Bs=i("language modeling"),Gs=i(` head on top for CLM fine-tuning.
This model is a PyTorch `),Ze=n("a"),Cs=i("torch.nn.Module"),zs=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),qs=p(),j=n("div"),k(Je.$$.fragment),Fs=p(),te=n("p"),xs=i("The "),$t=n("a"),Ps=i("BioGptForCausalLM"),Ms=i(" forward method, overrides the "),co=n("code"),Es=i("__call__"),js=i(" special method."),As=p(),k(_e.$$.fragment),Os=p(),k(be.$$.fragment),Vo=p(),oe=n("h2"),ve=n("a"),po=n("span"),k(et.$$.fragment),Ss=p(),ho=n("span"),Ls=i("BioGptForTokenClassification"),Qo=p(),P=n("div"),k(tt.$$.fragment),Ns=p(),uo=n("p"),Is=i(`BioGPT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),Ds=p(),ot=n("p"),Ws=i("This model is a PyTorch "),nt=n("a"),Hs=i("torch.nn.Module"),Rs=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Us=p(),A=n("div"),k(st.$$.fragment),Vs=p(),ne=n("p"),Qs=i("The "),Bt=n("a"),Ys=i("BioGptForTokenClassification"),Ks=i(" forward method, overrides the "),mo=n("code"),Xs=i("__call__"),Zs=i(" special method."),Js=p(),k(ke.$$.fragment),ea=p(),k(Te.$$.fragment),Yo=p(),se=n("h2"),ye=n("a"),fo=n("span"),k(at.$$.fragment),ta=p(),go=n("span"),oa=i("BioGptForSequenceClassification"),Ko=p(),z=n("div"),k(rt.$$.fragment),na=p(),_o=n("p"),sa=i("The BioGpt Model transformer with a sequence classification head on top (linear layer)."),aa=p(),Gt=n("p"),Ct=n("a"),ra=i("BioGptForSequenceClassification"),ia=i(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),la=p(),M=n("p"),da=i(`Since it does classification on the last token, it is required to know the position of the last token. If a
`),bo=n("code"),ca=i("pad_token_id"),pa=i(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),vo=n("code"),ha=i("pad_token_id"),ua=i(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),ko=n("code"),ma=i("inputs_embeds"),fa=i(" are passed instead of "),To=n("code"),ga=i("input_ids"),_a=i(`, it does the same (take the last value in
each row of the batch).`),ba=p(),it=n("p"),va=i("This model is a PyTorch "),lt=n("a"),ka=i("torch.nn.Module"),Ta=i(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ya=p(),q=n("div"),k(dt.$$.fragment),wa=p(),ae=n("p"),$a=i("The "),zt=n("a"),Ba=i("BioGptForSequenceClassification"),Ga=i(" forward method, overrides the "),yo=n("code"),Ca=i("__call__"),za=i(" special method."),qa=p(),k(we.$$.fragment),Fa=p(),k($e.$$.fragment),xa=p(),k(Be.$$.fragment),this.h()},l(t){const m=Dr('[data-svelte="svelte-1phssyn"]',document.head);d=s(m,"META",{name:!0,content:!0}),m.forEach(o),v=h(t),u=s(t,"H1",{class:!0});var ct=a(u);f=s(ct,"A",{id:!0,class:!0,href:!0});var wo=a(f);b=s(wo,"SPAN",{});var $o=a(b);T(r.$$.fragment,$o),$o.forEach(o),wo.forEach(o),g=h(ct),C=s(ct,"SPAN",{});var Bo=a(C);hn=l(Bo,"BioGPT"),Bo.forEach(o),ct.forEach(o),Fo=h(t),R=s(t,"H2",{class:!0});var pt=a(R);ie=s(pt,"A",{id:!0,class:!0,href:!0});var Go=a(ie);Wt=s(Go,"SPAN",{});var Co=a(Wt);T(Pe.$$.fragment,Co),Co.forEach(o),Go.forEach(o),un=h(pt),Ht=s(pt,"SPAN",{});var zo=a(Ht);mn=l(zo,"Overview"),zo.forEach(o),pt.forEach(o),xo=h(t),le=s(t,"P",{});var ht=a(le);fn=l(ht,"The BioGPT model was proposed in "),Me=s(ht,"A",{href:!0,rel:!0});var qo=a(Me);gn=l(qo,"BioGPT: generative pre-trained transformer for biomedical text generation and mining"),qo.forEach(o),_n=l(ht," by Renqian Luo, Liai Sun, Yingce Xia, Tao Qin, Sheng Zhang, Hoifung Poon and Tie-Yan Liu. BioGPT is a domain-specific generative pre-trained Transformer language model for biomedical text generation and mining. BioGPT follows the Transformer language model backbone, and is pre-trained on 15M PubMed abstracts from scratch."),ht.forEach(o),Po=h(t),ut=s(t,"P",{});var Ma=a(ut);bn=l(Ma,"The abstract from the paper is the following:"),Ma.forEach(o),Mo=h(t),mt=s(t,"P",{});var Ea=a(mt);Rt=s(Ea,"EM",{});var ja=a(Rt);vn=l(ja,"Pre-trained language models have attracted increasing attention in the biomedical domain, inspired by their great success in the general natural language domain. Among the two main branches of pre-trained language models in the general language domain, i.e. BERT (and its variants) and GPT (and its variants), the first one has been extensively studied in the biomedical domain, such as BioBERT and PubMedBERT. While they have achieved great success on a variety of discriminative downstream biomedical tasks, the lack of generation ability constrains their application scope. In this paper, we propose BioGPT, a domain-specific generative Transformer language model pre-trained on large-scale biomedical literature. We evaluate BioGPT on six biomedical natural language processing tasks and demonstrate that our model outperforms previous models on most tasks. Especially, we get 44.98%, 38.42% and 40.76% F1 score on BC5CDR, KD-DTI and DDI end-to-end relation extraction tasks, respectively, and 78.2% accuracy on PubMedQA, creating a new record. Our case study on text generation further demonstrates the advantage of BioGPT on biomedical literature to generate fluent descriptions for biomedical terms."),ja.forEach(o),Ea.forEach(o),Eo=h(t),ft=s(t,"P",{});var Aa=a(ft);kn=l(Aa,"Tips:"),Aa.forEach(o),jo=h(t),I=s(t,"UL",{});var qt=a(I);Ut=s(qt,"LI",{});var Oa=a(Ut);Tn=l(Oa,"BioGPT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather than the left."),Oa.forEach(o),yn=h(qt),Vt=s(qt,"LI",{});var Sa=a(Vt);wn=l(Sa,"BioGPT was trained with a causal language modeling (CLM) objective and is therefore powerful at predicting the next token in a sequence. Leveraging this feature allows BioGPT to generate syntactically coherent text as it can be observed in the run_generation.py example script."),Sa.forEach(o),$n=h(qt),Ee=s(qt,"LI",{});var Zo=a(Ee);Bn=l(Zo,"The model can take the "),Qt=s(Zo,"CODE",{});var La=a(Qt);Gn=l(La,"past_key_values"),La.forEach(o),Cn=l(Zo," (for PyTorch) as input, which is the previously computed key/value attention pairs. Using this (past_key_values or past) value prevents the model from re-computing pre-computed values in the context of text generation. For PyTorch, see past_key_values argument of the BioGptForCausalLM.forward() method for more information on its usage."),Zo.forEach(o),qt.forEach(o),Ao=h(t),D=s(t,"P",{});var Ft=a(D);zn=l(Ft,"This model was contributed by "),je=s(Ft,"A",{href:!0,rel:!0});var Na=a(je);qn=l(Na,"kamalkraj"),Na.forEach(o),Fn=l(Ft,". The original code can be found "),Ae=s(Ft,"A",{href:!0,rel:!0});var Ia=a(Ae);xn=l(Ia,"here"),Ia.forEach(o),Pn=l(Ft,"."),Ft.forEach(o),Oo=h(t),U=s(t,"H2",{class:!0});var Jo=a(U);de=s(Jo,"A",{id:!0,class:!0,href:!0});var Da=a(de);Yt=s(Da,"SPAN",{});var Wa=a(Yt);T(Oe.$$.fragment,Wa),Wa.forEach(o),Da.forEach(o),Mn=h(Jo),Kt=s(Jo,"SPAN",{});var Ha=a(Kt);En=l(Ha,"Documentation resources"),Ha.forEach(o),Jo.forEach(o),So=h(t),gt=s(t,"UL",{});var Ra=a(gt);Xt=s(Ra,"LI",{});var Ua=a(Xt);_t=s(Ua,"A",{href:!0});var Va=a(_t);jn=l(Va,"Causal language modeling task guide"),Va.forEach(o),Ua.forEach(o),Ra.forEach(o),Lo=h(t),V=s(t,"H2",{class:!0});var en=a(V);ce=s(en,"A",{id:!0,class:!0,href:!0});var Qa=a(ce);Zt=s(Qa,"SPAN",{});var Ya=a(Zt);T(Se.$$.fragment,Ya),Ya.forEach(o),Qa.forEach(o),An=h(en),Jt=s(en,"SPAN",{});var Ka=a(Jt);On=l(Ka,"BioGptConfig"),Ka.forEach(o),en.forEach(o),No=h(t),F=s(t,"DIV",{class:!0});var Ge=a(F);T(Le.$$.fragment,Ge),Sn=h(Ge),Q=s(Ge,"P",{});var xt=a(Q);Ln=l(xt,"This is the configuration class to store the configuration of a "),bt=s(xt,"A",{href:!0});var Xa=a(bt);Nn=l(Xa,"BioGptModel"),Xa.forEach(o),In=l(xt,`. It is used to instantiate an
BioGPT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the BioGPT
`),Ne=s(xt,"A",{href:!0,rel:!0});var Za=a(Ne);Dn=l(Za,"microsoft/biogpt"),Za.forEach(o),Wn=l(xt," architecture."),xt.forEach(o),Hn=h(Ge),Y=s(Ge,"P",{});var Pt=a(Y);Rn=l(Pt,"Configuration objects inherit from "),vt=s(Pt,"A",{href:!0});var Ja=a(vt);Un=l(Ja,"PretrainedConfig"),Ja.forEach(o),Vn=l(Pt,` and can be used to control the model outputs. Read the
documentation from `),kt=s(Pt,"A",{href:!0});var er=a(kt);Qn=l(er,"PretrainedConfig"),er.forEach(o),Yn=l(Pt," for more information."),Pt.forEach(o),Kn=h(Ge),T(pe.$$.fragment,Ge),Ge.forEach(o),Io=h(t),K=s(t,"H2",{class:!0});var tn=a(K);he=s(tn,"A",{id:!0,class:!0,href:!0});var tr=a(he);eo=s(tr,"SPAN",{});var or=a(eo);T(Ie.$$.fragment,or),or.forEach(o),tr.forEach(o),Xn=h(tn),to=s(tn,"SPAN",{});var nr=a(to);Zn=l(nr,"BioGptTokenizer"),nr.forEach(o),tn.forEach(o),Do=h(t),x=s(t,"DIV",{class:!0});var Ce=a(x);T(De.$$.fragment,Ce),Jn=h(Ce),oo=s(Ce,"P",{});var sr=a(oo);es=l(sr,"Construct an FAIRSEQ Transformer tokenizer. Moses tokenization followed by Byte-Pair Encoding."),sr.forEach(o),ts=h(Ce),We=s(Ce,"P",{});var on=a(We);os=l(on,"This tokenizer inherits from "),Tt=s(on,"A",{href:!0});var ar=a(Tt);ns=l(ar,"PreTrainedTokenizer"),ar.forEach(o),ss=l(on,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),on.forEach(o),as=h(Ce),yt=s(Ce,"DIV",{class:!0});var rr=a(yt);T(He.$$.fragment,rr),rr.forEach(o),Ce.forEach(o),Wo=h(t),X=s(t,"H2",{class:!0});var nn=a(X);ue=s(nn,"A",{id:!0,class:!0,href:!0});var ir=a(ue);no=s(ir,"SPAN",{});var lr=a(no);T(Re.$$.fragment,lr),lr.forEach(o),ir.forEach(o),rs=h(nn),so=s(nn,"SPAN",{});var dr=a(so);is=l(dr,"BioGptModel"),dr.forEach(o),nn.forEach(o),Ho=h(t),S=s(t,"DIV",{class:!0});var Mt=a(S);T(Ue.$$.fragment,Mt),ls=h(Mt),Ve=s(Mt,"P",{});var sn=a(Ve);ds=l(sn,`The bare BioGPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Qe=s(sn,"A",{href:!0,rel:!0});var cr=a(Qe);cs=l(cr,"torch.nn.Module"),cr.forEach(o),ps=l(sn,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),sn.forEach(o),hs=h(Mt),E=s(Mt,"DIV",{class:!0});var ze=a(E);T(Ye.$$.fragment,ze),us=h(ze),Z=s(ze,"P",{});var Et=a(Z);ms=l(Et,"The "),wt=s(Et,"A",{href:!0});var pr=a(wt);fs=l(pr,"BioGptModel"),pr.forEach(o),gs=l(Et," forward method, overrides the "),ao=s(Et,"CODE",{});var hr=a(ao);_s=l(hr,"__call__"),hr.forEach(o),bs=l(Et," special method."),Et.forEach(o),vs=h(ze),T(me.$$.fragment,ze),ks=h(ze),T(fe.$$.fragment,ze),ze.forEach(o),Mt.forEach(o),Ro=h(t),J=s(t,"H2",{class:!0});var an=a(J);ge=s(an,"A",{id:!0,class:!0,href:!0});var ur=a(ge);ro=s(ur,"SPAN",{});var mr=a(ro);T(Ke.$$.fragment,mr),mr.forEach(o),ur.forEach(o),Ts=h(an),io=s(an,"SPAN",{});var fr=a(io);ys=l(fr,"BioGptForCausalLM"),fr.forEach(o),an.forEach(o),Uo=h(t),L=s(t,"DIV",{class:!0});var jt=a(L);T(Xe.$$.fragment,jt),ws=h(jt),ee=s(jt,"P",{});var At=a(ee);$s=l(At,"BioGPT Model with a "),lo=s(At,"CODE",{});var gr=a(lo);Bs=l(gr,"language modeling"),gr.forEach(o),Gs=l(At,` head on top for CLM fine-tuning.
This model is a PyTorch `),Ze=s(At,"A",{href:!0,rel:!0});var _r=a(Ze);Cs=l(_r,"torch.nn.Module"),_r.forEach(o),zs=l(At,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),At.forEach(o),qs=h(jt),j=s(jt,"DIV",{class:!0});var qe=a(j);T(Je.$$.fragment,qe),Fs=h(qe),te=s(qe,"P",{});var Ot=a(te);xs=l(Ot,"The "),$t=s(Ot,"A",{href:!0});var br=a($t);Ps=l(br,"BioGptForCausalLM"),br.forEach(o),Ms=l(Ot," forward method, overrides the "),co=s(Ot,"CODE",{});var vr=a(co);Es=l(vr,"__call__"),vr.forEach(o),js=l(Ot," special method."),Ot.forEach(o),As=h(qe),T(_e.$$.fragment,qe),Os=h(qe),T(be.$$.fragment,qe),qe.forEach(o),jt.forEach(o),Vo=h(t),oe=s(t,"H2",{class:!0});var rn=a(oe);ve=s(rn,"A",{id:!0,class:!0,href:!0});var kr=a(ve);po=s(kr,"SPAN",{});var Tr=a(po);T(et.$$.fragment,Tr),Tr.forEach(o),kr.forEach(o),Ss=h(rn),ho=s(rn,"SPAN",{});var yr=a(ho);Ls=l(yr,"BioGptForTokenClassification"),yr.forEach(o),rn.forEach(o),Qo=h(t),P=s(t,"DIV",{class:!0});var Fe=a(P);T(tt.$$.fragment,Fe),Ns=h(Fe),uo=s(Fe,"P",{});var wr=a(uo);Is=l(wr,`BioGPT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),wr.forEach(o),Ds=h(Fe),ot=s(Fe,"P",{});var ln=a(ot);Ws=l(ln,"This model is a PyTorch "),nt=s(ln,"A",{href:!0,rel:!0});var $r=a(nt);Hs=l($r,"torch.nn.Module"),$r.forEach(o),Rs=l(ln,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ln.forEach(o),Us=h(Fe),A=s(Fe,"DIV",{class:!0});var xe=a(A);T(st.$$.fragment,xe),Vs=h(xe),ne=s(xe,"P",{});var St=a(ne);Qs=l(St,"The "),Bt=s(St,"A",{href:!0});var Br=a(Bt);Ys=l(Br,"BioGptForTokenClassification"),Br.forEach(o),Ks=l(St," forward method, overrides the "),mo=s(St,"CODE",{});var Gr=a(mo);Xs=l(Gr,"__call__"),Gr.forEach(o),Zs=l(St," special method."),St.forEach(o),Js=h(xe),T(ke.$$.fragment,xe),ea=h(xe),T(Te.$$.fragment,xe),xe.forEach(o),Fe.forEach(o),Yo=h(t),se=s(t,"H2",{class:!0});var dn=a(se);ye=s(dn,"A",{id:!0,class:!0,href:!0});var Cr=a(ye);fo=s(Cr,"SPAN",{});var zr=a(fo);T(at.$$.fragment,zr),zr.forEach(o),Cr.forEach(o),ta=h(dn),go=s(dn,"SPAN",{});var qr=a(go);oa=l(qr,"BioGptForSequenceClassification"),qr.forEach(o),dn.forEach(o),Ko=h(t),z=s(t,"DIV",{class:!0});var O=a(z);T(rt.$$.fragment,O),na=h(O),_o=s(O,"P",{});var Fr=a(_o);sa=l(Fr,"The BioGpt Model transformer with a sequence classification head on top (linear layer)."),Fr.forEach(o),aa=h(O),Gt=s(O,"P",{});var Pa=a(Gt);Ct=s(Pa,"A",{href:!0});var xr=a(Ct);ra=l(xr,"BioGptForSequenceClassification"),xr.forEach(o),ia=l(Pa,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),Pa.forEach(o),la=h(O),M=s(O,"P",{});var W=a(M);da=l(W,`Since it does classification on the last token, it is required to know the position of the last token. If a
`),bo=s(W,"CODE",{});var Pr=a(bo);ca=l(Pr,"pad_token_id"),Pr.forEach(o),pa=l(W,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),vo=s(W,"CODE",{});var Mr=a(vo);ha=l(Mr,"pad_token_id"),Mr.forEach(o),ua=l(W,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),ko=s(W,"CODE",{});var Er=a(ko);ma=l(Er,"inputs_embeds"),Er.forEach(o),fa=l(W," are passed instead of "),To=s(W,"CODE",{});var jr=a(To);ga=l(jr,"input_ids"),jr.forEach(o),_a=l(W,`, it does the same (take the last value in
each row of the batch).`),W.forEach(o),ba=h(O),it=s(O,"P",{});var cn=a(it);va=l(cn,"This model is a PyTorch "),lt=s(cn,"A",{href:!0,rel:!0});var Ar=a(lt);ka=l(Ar,"torch.nn.Module"),Ar.forEach(o),Ta=l(cn,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),cn.forEach(o),ya=h(O),q=s(O,"DIV",{class:!0});var H=a(q);T(dt.$$.fragment,H),wa=h(H),ae=s(H,"P",{});var Lt=a(ae);$a=l(Lt,"The "),zt=s(Lt,"A",{href:!0});var Or=a(zt);Ba=l(Or,"BioGptForSequenceClassification"),Or.forEach(o),Ga=l(Lt," forward method, overrides the "),yo=s(Lt,"CODE",{});var Sr=a(yo);Ca=l(Sr,"__call__"),Sr.forEach(o),za=l(Lt," special method."),Lt.forEach(o),qa=h(H),T(we.$$.fragment,H),Fa=h(H),T($e.$$.fragment,H),xa=h(H),T(Be.$$.fragment,H),H.forEach(o),O.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(ti)),c(f,"id","biogpt"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#biogpt"),c(u,"class","relative group"),c(ie,"id","overview"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#overview"),c(R,"class","relative group"),c(Me,"href","https://academic.oup.com/bib/advance-article/doi/10.1093/bib/bbac409/6713511?guestAccessKey=a66d9b5d-4f83-4017-bb52-405815c907b9"),c(Me,"rel","nofollow"),c(je,"href","https://huggingface.co/kamalkraj"),c(je,"rel","nofollow"),c(Ae,"href","https://github.com/microsoft/BioGPT"),c(Ae,"rel","nofollow"),c(de,"id","documentation-resources"),c(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(de,"href","#documentation-resources"),c(U,"class","relative group"),c(_t,"href","../tasks/language_modeling"),c(ce,"id","transformers.BioGptConfig"),c(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ce,"href","#transformers.BioGptConfig"),c(V,"class","relative group"),c(bt,"href","/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptModel"),c(Ne,"href","https://huggingface.co/microsoft/biogpt"),c(Ne,"rel","nofollow"),c(vt,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),c(kt,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(he,"id","transformers.BioGptTokenizer"),c(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(he,"href","#transformers.BioGptTokenizer"),c(K,"class","relative group"),c(Tt,"href","/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),c(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ue,"id","transformers.BioGptModel"),c(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ue,"href","#transformers.BioGptModel"),c(X,"class","relative group"),c(Qe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Qe,"rel","nofollow"),c(wt,"href","/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptModel"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ge,"id","transformers.BioGptForCausalLM"),c(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ge,"href","#transformers.BioGptForCausalLM"),c(J,"class","relative group"),c(Ze,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Ze,"rel","nofollow"),c($t,"href","/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptForCausalLM"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ve,"id","transformers.BioGptForTokenClassification"),c(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ve,"href","#transformers.BioGptForTokenClassification"),c(oe,"class","relative group"),c(nt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(nt,"rel","nofollow"),c(Bt,"href","/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptForTokenClassification"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ye,"id","transformers.BioGptForSequenceClassification"),c(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ye,"href","#transformers.BioGptForSequenceClassification"),c(se,"class","relative group"),c(Ct,"href","/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptForSequenceClassification"),c(lt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(lt,"rel","nofollow"),c(zt,"href","/docs/transformers/pr_21990/en/model_doc/biogpt#transformers.BioGptForSequenceClassification"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,d),_(t,v,m),_(t,u,m),e(u,f),e(f,b),y(r,b,null),e(u,g),e(u,C),e(C,hn),_(t,Fo,m),_(t,R,m),e(R,ie),e(ie,Wt),y(Pe,Wt,null),e(R,un),e(R,Ht),e(Ht,mn),_(t,xo,m),_(t,le,m),e(le,fn),e(le,Me),e(Me,gn),e(le,_n),_(t,Po,m),_(t,ut,m),e(ut,bn),_(t,Mo,m),_(t,mt,m),e(mt,Rt),e(Rt,vn),_(t,Eo,m),_(t,ft,m),e(ft,kn),_(t,jo,m),_(t,I,m),e(I,Ut),e(Ut,Tn),e(I,yn),e(I,Vt),e(Vt,wn),e(I,$n),e(I,Ee),e(Ee,Bn),e(Ee,Qt),e(Qt,Gn),e(Ee,Cn),_(t,Ao,m),_(t,D,m),e(D,zn),e(D,je),e(je,qn),e(D,Fn),e(D,Ae),e(Ae,xn),e(D,Pn),_(t,Oo,m),_(t,U,m),e(U,de),e(de,Yt),y(Oe,Yt,null),e(U,Mn),e(U,Kt),e(Kt,En),_(t,So,m),_(t,gt,m),e(gt,Xt),e(Xt,_t),e(_t,jn),_(t,Lo,m),_(t,V,m),e(V,ce),e(ce,Zt),y(Se,Zt,null),e(V,An),e(V,Jt),e(Jt,On),_(t,No,m),_(t,F,m),y(Le,F,null),e(F,Sn),e(F,Q),e(Q,Ln),e(Q,bt),e(bt,Nn),e(Q,In),e(Q,Ne),e(Ne,Dn),e(Q,Wn),e(F,Hn),e(F,Y),e(Y,Rn),e(Y,vt),e(vt,Un),e(Y,Vn),e(Y,kt),e(kt,Qn),e(Y,Yn),e(F,Kn),y(pe,F,null),_(t,Io,m),_(t,K,m),e(K,he),e(he,eo),y(Ie,eo,null),e(K,Xn),e(K,to),e(to,Zn),_(t,Do,m),_(t,x,m),y(De,x,null),e(x,Jn),e(x,oo),e(oo,es),e(x,ts),e(x,We),e(We,os),e(We,Tt),e(Tt,ns),e(We,ss),e(x,as),e(x,yt),y(He,yt,null),_(t,Wo,m),_(t,X,m),e(X,ue),e(ue,no),y(Re,no,null),e(X,rs),e(X,so),e(so,is),_(t,Ho,m),_(t,S,m),y(Ue,S,null),e(S,ls),e(S,Ve),e(Ve,ds),e(Ve,Qe),e(Qe,cs),e(Ve,ps),e(S,hs),e(S,E),y(Ye,E,null),e(E,us),e(E,Z),e(Z,ms),e(Z,wt),e(wt,fs),e(Z,gs),e(Z,ao),e(ao,_s),e(Z,bs),e(E,vs),y(me,E,null),e(E,ks),y(fe,E,null),_(t,Ro,m),_(t,J,m),e(J,ge),e(ge,ro),y(Ke,ro,null),e(J,Ts),e(J,io),e(io,ys),_(t,Uo,m),_(t,L,m),y(Xe,L,null),e(L,ws),e(L,ee),e(ee,$s),e(ee,lo),e(lo,Bs),e(ee,Gs),e(ee,Ze),e(Ze,Cs),e(ee,zs),e(L,qs),e(L,j),y(Je,j,null),e(j,Fs),e(j,te),e(te,xs),e(te,$t),e($t,Ps),e(te,Ms),e(te,co),e(co,Es),e(te,js),e(j,As),y(_e,j,null),e(j,Os),y(be,j,null),_(t,Vo,m),_(t,oe,m),e(oe,ve),e(ve,po),y(et,po,null),e(oe,Ss),e(oe,ho),e(ho,Ls),_(t,Qo,m),_(t,P,m),y(tt,P,null),e(P,Ns),e(P,uo),e(uo,Is),e(P,Ds),e(P,ot),e(ot,Ws),e(ot,nt),e(nt,Hs),e(ot,Rs),e(P,Us),e(P,A),y(st,A,null),e(A,Vs),e(A,ne),e(ne,Qs),e(ne,Bt),e(Bt,Ys),e(ne,Ks),e(ne,mo),e(mo,Xs),e(ne,Zs),e(A,Js),y(ke,A,null),e(A,ea),y(Te,A,null),_(t,Yo,m),_(t,se,m),e(se,ye),e(ye,fo),y(at,fo,null),e(se,ta),e(se,go),e(go,oa),_(t,Ko,m),_(t,z,m),y(rt,z,null),e(z,na),e(z,_o),e(_o,sa),e(z,aa),e(z,Gt),e(Gt,Ct),e(Ct,ra),e(Gt,ia),e(z,la),e(z,M),e(M,da),e(M,bo),e(bo,ca),e(M,pa),e(M,vo),e(vo,ha),e(M,ua),e(M,ko),e(ko,ma),e(M,fa),e(M,To),e(To,ga),e(M,_a),e(z,ba),e(z,it),e(it,va),e(it,lt),e(lt,ka),e(it,Ta),e(z,ya),e(z,q),y(dt,q,null),e(q,wa),e(q,ae),e(ae,$a),e(ae,zt),e(zt,Ba),e(ae,Ga),e(ae,yo),e(yo,Ca),e(ae,za),e(q,qa),y(we,q,null),e(q,Fa),y($e,q,null),e(q,xa),y(Be,q,null),Xo=!0},p(t,[m]){const ct={};m&2&&(ct.$$scope={dirty:m,ctx:t}),pe.$set(ct);const wo={};m&2&&(wo.$$scope={dirty:m,ctx:t}),me.$set(wo);const $o={};m&2&&($o.$$scope={dirty:m,ctx:t}),fe.$set($o);const Bo={};m&2&&(Bo.$$scope={dirty:m,ctx:t}),_e.$set(Bo);const pt={};m&2&&(pt.$$scope={dirty:m,ctx:t}),be.$set(pt);const Go={};m&2&&(Go.$$scope={dirty:m,ctx:t}),ke.$set(Go);const Co={};m&2&&(Co.$$scope={dirty:m,ctx:t}),Te.$set(Co);const zo={};m&2&&(zo.$$scope={dirty:m,ctx:t}),we.$set(zo);const ht={};m&2&&(ht.$$scope={dirty:m,ctx:t}),$e.$set(ht);const qo={};m&2&&(qo.$$scope={dirty:m,ctx:t}),Be.$set(qo)},i(t){Xo||(w(r.$$.fragment,t),w(Pe.$$.fragment,t),w(Oe.$$.fragment,t),w(Se.$$.fragment,t),w(Le.$$.fragment,t),w(pe.$$.fragment,t),w(Ie.$$.fragment,t),w(De.$$.fragment,t),w(He.$$.fragment,t),w(Re.$$.fragment,t),w(Ue.$$.fragment,t),w(Ye.$$.fragment,t),w(me.$$.fragment,t),w(fe.$$.fragment,t),w(Ke.$$.fragment,t),w(Xe.$$.fragment,t),w(Je.$$.fragment,t),w(_e.$$.fragment,t),w(be.$$.fragment,t),w(et.$$.fragment,t),w(tt.$$.fragment,t),w(st.$$.fragment,t),w(ke.$$.fragment,t),w(Te.$$.fragment,t),w(at.$$.fragment,t),w(rt.$$.fragment,t),w(dt.$$.fragment,t),w(we.$$.fragment,t),w($e.$$.fragment,t),w(Be.$$.fragment,t),Xo=!0)},o(t){$(r.$$.fragment,t),$(Pe.$$.fragment,t),$(Oe.$$.fragment,t),$(Se.$$.fragment,t),$(Le.$$.fragment,t),$(pe.$$.fragment,t),$(Ie.$$.fragment,t),$(De.$$.fragment,t),$(He.$$.fragment,t),$(Re.$$.fragment,t),$(Ue.$$.fragment,t),$(Ye.$$.fragment,t),$(me.$$.fragment,t),$(fe.$$.fragment,t),$(Ke.$$.fragment,t),$(Xe.$$.fragment,t),$(Je.$$.fragment,t),$(_e.$$.fragment,t),$(be.$$.fragment,t),$(et.$$.fragment,t),$(tt.$$.fragment,t),$(st.$$.fragment,t),$(ke.$$.fragment,t),$(Te.$$.fragment,t),$(at.$$.fragment,t),$(rt.$$.fragment,t),$(dt.$$.fragment,t),$(we.$$.fragment,t),$($e.$$.fragment,t),$(Be.$$.fragment,t),Xo=!1},d(t){o(d),t&&o(v),t&&o(u),B(r),t&&o(Fo),t&&o(R),B(Pe),t&&o(xo),t&&o(le),t&&o(Po),t&&o(ut),t&&o(Mo),t&&o(mt),t&&o(Eo),t&&o(ft),t&&o(jo),t&&o(I),t&&o(Ao),t&&o(D),t&&o(Oo),t&&o(U),B(Oe),t&&o(So),t&&o(gt),t&&o(Lo),t&&o(V),B(Se),t&&o(No),t&&o(F),B(Le),B(pe),t&&o(Io),t&&o(K),B(Ie),t&&o(Do),t&&o(x),B(De),B(He),t&&o(Wo),t&&o(X),B(Re),t&&o(Ho),t&&o(S),B(Ue),B(Ye),B(me),B(fe),t&&o(Ro),t&&o(J),B(Ke),t&&o(Uo),t&&o(L),B(Xe),B(Je),B(_e),B(be),t&&o(Vo),t&&o(oe),B(et),t&&o(Qo),t&&o(P),B(tt),B(st),B(ke),B(Te),t&&o(Yo),t&&o(se),B(at),t&&o(Ko),t&&o(z),B(rt),B(dt),B(we),B($e),B(Be)}}}const ti={local:"biogpt",sections:[{local:"overview",title:"Overview"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.BioGptConfig",title:"BioGptConfig"},{local:"transformers.BioGptTokenizer",title:"BioGptTokenizer"},{local:"transformers.BioGptModel",title:"BioGptModel"},{local:"transformers.BioGptForCausalLM",title:"BioGptForCausalLM"},{local:"transformers.BioGptForTokenClassification",title:"BioGptForTokenClassification"},{local:"transformers.BioGptForSequenceClassification",title:"BioGptForSequenceClassification"}],title:"BioGPT"};function oi(G){return Wr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class di extends Lr{constructor(d){super();Nr(this,d,oi,ei,Ir,{})}}export{di as default,ti as metadata};
