import{S as zi,i as qi,s as Ai,e as n,k as c,w as b,t as a,M as Fi,c as s,d as t,m as h,a as i,x as y,h as r,b as l,G as e,g as m,y as k,q as C,o as w,B as P,v as Ii,L as mr}from"../../chunks/vendor-hf-doc-builder.js";import{T as un}from"../../chunks/Tip-hf-doc-builder.js";import{D as ie}from"../../chunks/Docstring-hf-doc-builder.js";import{C as gr}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Be}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as fr}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Oi(E){let p,T,g,_,v;return _=new gr({props:{code:`from transformers import GPTBigCodeConfig, GPTBigCodeModel

# Initializing a GPTBigCode configuration
configuration = GPTBigCodeConfig()

# Initializing a model (with random weights) from the configuration
model = GPTBigCodeModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTBigCodeConfig, GPTBigCodeModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a GPTBigCode configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = GPTBigCodeConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTBigCodeModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){p=n("p"),T=a("Example:"),g=c(),b(_.$$.fragment)},l(d){p=s(d,"P",{});var f=i(p);T=r(f,"Example:"),f.forEach(t),g=h(d),y(_.$$.fragment,d)},m(d,f){m(d,p,f),e(p,T),m(d,g,f),k(_,d,f),v=!0},p:mr,i(d){v||(C(_.$$.fragment,d),v=!0)},o(d){w(_.$$.fragment,d),v=!1},d(d){d&&t(p),d&&t(g),P(_,d)}}}function Si(E){let p,T,g,_,v;return{c(){p=n("p"),T=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=a("Module"),v=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){p=s(d,"P",{});var f=i(p);T=r(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(f,"CODE",{});var M=i(g);_=r(M,"Module"),M.forEach(t),v=r(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(d,f){m(d,p,f),e(p,T),e(p,g),e(g,_),e(p,v)},d(d){d&&t(p)}}}function Li(E){let p,T,g,_,v;return _=new gr({props:{code:`from transformers import AutoTokenizer, GPTBigCodeModel
import torch

tokenizer = AutoTokenizer.from_pretrained("bigcode/gpt_bigcode-santacoder")
model = GPTBigCodeModel.from_pretrained("bigcode/gpt_bigcode-santacoder")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTBigCodeModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bigcode/gpt_bigcode-santacoder&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTBigCodeModel.from_pretrained(<span class="hljs-string">&quot;bigcode/gpt_bigcode-santacoder&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){p=n("p"),T=a("Example:"),g=c(),b(_.$$.fragment)},l(d){p=s(d,"P",{});var f=i(p);T=r(f,"Example:"),f.forEach(t),g=h(d),y(_.$$.fragment,d)},m(d,f){m(d,p,f),e(p,T),m(d,g,f),k(_,d,f),v=!0},p:mr,i(d){v||(C(_.$$.fragment,d),v=!0)},o(d){w(_.$$.fragment,d),v=!1},d(d){d&&t(p),d&&t(g),P(_,d)}}}function Ni(E){let p,T,g,_,v;return{c(){p=n("p"),T=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=a("Module"),v=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){p=s(d,"P",{});var f=i(p);T=r(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(f,"CODE",{});var M=i(g);_=r(M,"Module"),M.forEach(t),v=r(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(d,f){m(d,p,f),e(p,T),e(p,g),e(g,_),e(p,v)},d(d){d&&t(p)}}}function Di(E){let p,T,g,_,v;return _=new gr({props:{code:`import torch
from transformers import AutoTokenizer, GPTBigCodeForCausalLM

tokenizer = AutoTokenizer.from_pretrained("bigcode/gpt_bigcode-santacoder")
model = GPTBigCodeForCausalLM.from_pretrained("bigcode/gpt_bigcode-santacoder")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs, labels=inputs["input_ids"])
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTBigCodeForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bigcode/gpt_bigcode-santacoder&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTBigCodeForCausalLM.from_pretrained(<span class="hljs-string">&quot;bigcode/gpt_bigcode-santacoder&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){p=n("p"),T=a("Example:"),g=c(),b(_.$$.fragment)},l(d){p=s(d,"P",{});var f=i(p);T=r(f,"Example:"),f.forEach(t),g=h(d),y(_.$$.fragment,d)},m(d,f){m(d,p,f),e(p,T),m(d,g,f),k(_,d,f),v=!0},p:mr,i(d){v||(C(_.$$.fragment,d),v=!0)},o(d){w(_.$$.fragment,d),v=!1},d(d){d&&t(p),d&&t(g),P(_,d)}}}function ji(E){let p,T,g,_,v;return{c(){p=n("p"),T=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=a("Module"),v=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){p=s(d,"P",{});var f=i(p);T=r(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(f,"CODE",{});var M=i(g);_=r(M,"Module"),M.forEach(t),v=r(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(d,f){m(d,p,f),e(p,T),e(p,g),e(g,_),e(p,v)},d(d){d&&t(p)}}}function Wi(E){let p,T,g,_,v;return{c(){p=n("p"),T=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=a("Module"),v=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){p=s(d,"P",{});var f=i(p);T=r(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s(f,"CODE",{});var M=i(g);_=r(M,"Module"),M.forEach(t),v=r(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(t)},m(d,f){m(d,p,f),e(p,T),e(p,g),e(g,_),e(p,v)},d(d){d&&t(p)}}}function Hi(E){let p,T,g,_,v,d,f,M,fn,Mt,R,de,So,Ge,mn,Lo,gn,Et,le,_n,Me,vn,Tn,xt,po,bn,zt,uo,fo,yn,Ee,kn,qt,ce,Cn,xe,wn,Pn,At,V,he,No,ze,$n,Do,Bn,Ft,mo,Gn,It,$,jo,Mn,En,J,xn,Wo,zn,qn,Ho,An,Fn,In,Uo,On,Sn,Ro,Ln,Nn,O,Dn,Vo,jn,Wn,Jo,Hn,Un,Yo,Rn,Vn,Qo,Jn,Yn,Ko,Qn,Kn,Zo,Zn,Xn,Xo,es,os,et,ts,ns,qe,ss,ot,as,rs,Ot,Ae,is,Fe,ds,St,Y,pe,tt,Ie,ls,nt,cs,Lt,F,Oe,hs,Q,ps,go,us,fs,Se,ms,gs,_s,K,vs,_o,Ts,bs,vo,ys,ks,Cs,ue,Nt,Z,fe,st,Le,ws,at,Ps,Dt,x,Ne,$s,rt,Bs,Gs,De,Ms,To,Es,xs,zs,je,qs,We,As,Fs,Is,S,He,Os,X,Ss,bo,Ls,Ns,it,Ds,js,Ws,me,Hs,ge,jt,ee,_e,dt,Ue,Us,lt,Rs,Wt,z,Re,Vs,ct,Js,Ys,Ve,Qs,yo,Ks,Zs,Xs,Je,ea,Ye,oa,ta,na,L,Qe,sa,oe,aa,ko,ra,ia,ht,da,la,ca,ve,ha,Te,Ht,te,be,pt,Ke,pa,ut,ua,Ut,G,Ze,fa,ft,ma,ga,Co,wo,_a,va,Ta,I,ba,mt,ya,ka,gt,Ca,wa,_t,Pa,$a,vt,Ba,Ga,Ma,Xe,Ea,Po,xa,za,qa,eo,Aa,oo,Fa,Ia,Oa,N,to,Sa,ne,La,$o,Na,Da,Tt,ja,Wa,Ha,ye,Rt,se,ke,bt,no,Ua,yt,Ra,Vt,q,so,Va,kt,Ja,Ya,ao,Qa,Bo,Ka,Za,Xa,ro,er,io,or,tr,nr,D,lo,sr,ae,ar,Go,rr,ir,Ct,dr,lr,cr,Ce,Jt;return d=new Be({}),Ge=new Be({}),ze=new Be({}),Ie=new Be({}),Oe=new ie({props:{name:"class transformers.GPTBigCodeConfig",anchor:"transformers.GPTBigCodeConfig",parameters:[{name:"vocab_size",val:" = 50257"},{name:"n_positions",val:" = 1024"},{name:"n_embd",val:" = 768"},{name:"n_layer",val:" = 12"},{name:"n_head",val:" = 12"},{name:"n_inner",val:" = None"},{name:"activation_function",val:" = 'gelu_pytorch_tanh'"},{name:"resid_pdrop",val:" = 0.1"},{name:"embd_pdrop",val:" = 0.1"},{name:"attn_pdrop",val:" = 0.1"},{name:"layer_norm_epsilon",val:" = 1e-05"},{name:"initializer_range",val:" = 0.02"},{name:"scale_attn_weights",val:" = True"},{name:"use_cache",val:" = True"},{name:"bos_token_id",val:" = 50256"},{name:"eos_token_id",val:" = 50256"},{name:"attention_softmax_in_fp32",val:" = True"},{name:"scale_attention_softmax_in_fp32",val:" = True"},{name:"multi_query",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTBigCodeConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50257) &#x2014;
Vocabulary size of the GPT-2 model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeModel">GPTBigCodeModel</a>.`,name:"vocab_size"},{anchor:"transformers.GPTBigCodeConfig.n_positions",description:`<strong>n_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"n_positions"},{anchor:"transformers.GPTBigCodeConfig.n_embd",description:`<strong>n_embd</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the embeddings and hidden states.`,name:"n_embd"},{anchor:"transformers.GPTBigCodeConfig.n_layer",description:`<strong>n_layer</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"n_layer"},{anchor:"transformers.GPTBigCodeConfig.n_head",description:`<strong>n_head</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"n_head"},{anchor:"transformers.GPTBigCodeConfig.n_inner",description:`<strong>n_inner</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
Dimensionality of the inner feed-forward layers. <code>None</code> will set it to 4 times n_embd`,name:"n_inner"},{anchor:"transformers.GPTBigCodeConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu_pytorch_tanh&quot;</code>) &#x2014;
Activation function, to be selected in the list <code>[&quot;relu&quot;, &quot;silu&quot;, &quot;gelu&quot;, &quot;tanh&quot;, &quot;gelu_new&quot;, &quot;gelu_pytorch_tanh&quot;]</code>.`,name:"activation_function"},{anchor:"transformers.GPTBigCodeConfig.resid_pdrop",description:`<strong>resid_pdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"resid_pdrop"},{anchor:"transformers.GPTBigCodeConfig.embd_pdrop",description:`<strong>embd_pdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the embeddings.`,name:"embd_pdrop"},{anchor:"transformers.GPTBigCodeConfig.attn_pdrop",description:`<strong>attn_pdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention.`,name:"attn_pdrop"},{anchor:"transformers.GPTBigCodeConfig.layer_norm_epsilon",description:`<strong>layer_norm_epsilon</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The epsilon to use in the layer normalization layers.`,name:"layer_norm_epsilon"},{anchor:"transformers.GPTBigCodeConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.GPTBigCodeConfig.scale_attn_weights",description:`<strong>scale_attn_weights</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Scale attention weights by dividing by sqrt(hidden_size)..`,name:"scale_attn_weights"},{anchor:"transformers.GPTBigCodeConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.GPTBigCodeConfig.attention_softmax_in_fp32",description:`<strong>attention_softmax_in_fp32</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to call the fused softmax in float32.`,name:"attention_softmax_in_fp32"},{anchor:"transformers.GPTBigCodeConfig.scale_attention_softmax_in_fp32",description:`<strong>scale_attention_softmax_in_fp32</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to scale the attention softmax in float32.`,name:"scale_attention_softmax_in_fp32"},{anchor:"transformers.GPTBigCodeConfig.attention_type",description:`<strong>attention_type</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use Multi-Query Attion (<code>True</code>) or Multi-Head Attention (<code>False</code>).`,name:"attention_type"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/configuration_gpt_bigcode.py#L28"}}),ue=new fr({props:{anchor:"transformers.GPTBigCodeConfig.example",$$slots:{default:[Oi]},$$scope:{ctx:E}}}),Le=new Be({}),Ne=new ie({props:{name:"class transformers.GPTBigCodeModel",anchor:"transformers.GPTBigCodeModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTBigCodeModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeConfig">GPTBigCodeConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L501"}}),He=new ie({props:{name:"forward",anchor:"transformers.GPTBigCodeModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTBigCodeModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTBigCodeModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[torch.Tensor]</code> of length <code>config.n_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.GPTBigCodeModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p>If <code>past_key_values</code> is used, <code>attention_mask</code> needs to contain the masking strategy that was used for
<code>past_key_values</code>. In other words, the <code>attention_mask</code> always has to have the length:
<code>len(past_key_values) + len(input_ids)</code></p>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTBigCodeModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.GPTBigCodeModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTBigCodeModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTBigCodeModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.GPTBigCodeModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.GPTBigCodeModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTBigCodeModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTBigCodeModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L532",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeConfig"
>GPTBigCodeConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),me=new un({props:{$$slots:{default:[Si]},$$scope:{ctx:E}}}),ge=new fr({props:{anchor:"transformers.GPTBigCodeModel.forward.example",$$slots:{default:[Li]},$$scope:{ctx:E}}}),Ue=new Be({}),Re=new ie({props:{name:"class transformers.GPTBigCodeForCausalLM",anchor:"transformers.GPTBigCodeForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTBigCodeForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeConfig">GPTBigCodeConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L723"}}),Qe=new ie({props:{name:"forward",anchor:"transformers.GPTBigCodeForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTBigCodeForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[torch.Tensor]</code> of length <code>config.n_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p>If <code>past_key_values</code> is used, <code>attention_mask</code> needs to contain the masking strategy that was used for
<code>past_key_values</code>. In other words, the <code>attention_mask</code> always has to have the length:
<code>len(past_key_values) + len(input_ids)</code></p>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTBigCodeForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for language modeling. Note that the labels <strong>are shifted</strong> inside the model, i.e. you can set
<code>labels = input_ids</code> Indices are selected in <code>[-100, 0, ..., config.vocab_size]</code> All labels set to <code>-100</code>
are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L777",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeConfig"
>GPTBigCodeConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ve=new un({props:{$$slots:{default:[Ni]},$$scope:{ctx:E}}}),Te=new fr({props:{anchor:"transformers.GPTBigCodeForCausalLM.forward.example",$$slots:{default:[Di]},$$scope:{ctx:E}}}),Ke=new Be({}),Ze=new ie({props:{name:"class transformers.GPTBigCodeForSequenceClassification",anchor:"transformers.GPTBigCodeForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTBigCodeForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeConfig">GPTBigCodeConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L876"}}),to=new ie({props:{name:"forward",anchor:"transformers.GPTBigCodeForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[torch.Tensor]</code> of length <code>config.n_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p>If <code>past_key_values</code> is used, <code>attention_mask</code> needs to contain the masking strategy that was used for
<code>past_key_values</code>. In other words, the <code>attention_mask</code> always has to have the length:
<code>len(past_key_values) + len(input_ids)</code></p>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTBigCodeForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L888"}}),ye=new un({props:{$$slots:{default:[ji]},$$scope:{ctx:E}}}),no=new Be({}),so=new ie({props:{name:"class transformers.GPTBigCodeForTokenClassification",anchor:"transformers.GPTBigCodeForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTBigCodeForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeConfig">GPTBigCodeConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L994"}}),lo=new ie({props:{name:"forward",anchor:"transformers.GPTBigCodeForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTBigCodeForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[torch.Tensor]</code> of length <code>config.n_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p>If <code>past_key_values</code> is used, <code>attention_mask</code> needs to contain the masking strategy that was used for
<code>past_key_values</code>. In other words, the <code>attention_mask</code> always has to have the length:
<code>len(past_key_values) + len(input_ids)</code></p>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTBigCodeForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/gpt_bigcode/modeling_gpt_bigcode.py#L1012"}}),Ce=new un({props:{$$slots:{default:[Wi]},$$scope:{ctx:E}}}),{c(){p=n("meta"),T=c(),g=n("h1"),_=n("a"),v=n("span"),b(d.$$.fragment),f=c(),M=n("span"),fn=a("GPTBigCode"),Mt=c(),R=n("h2"),de=n("a"),So=n("span"),b(Ge.$$.fragment),mn=c(),Lo=n("span"),gn=a("Overview"),Et=c(),le=n("p"),_n=a("The GPTBigCode model was proposed in "),Me=n("a"),vn=a("SantaCoder: don\u2019t reach for the stars!"),Tn=a(" by BigCode. The listed authors are: Loubna Ben Allal, Raymond Li, Denis Kocetkov, Chenghao Mou, Christopher Akiki, Carlos Munoz Ferrandis, Niklas Muennighoff, Mayank Mishra, Alex Gu, Manan Dey, Logesh Kumar Umapathi, Carolyn Jane Anderson, Yangtian Zi, Joel Lamy Poirier, Hailey Schoelkopf, Sergey Troshin, Dmitry Abulkhanov, Manuel Romero, Michael Lappert, Francesco De Toni, Bernardo Garc\xEDa del R\xEDo, Qian Liu, Shamik Bose, Urvashi Bhattacharyya, Terry Yue Zhuo, Ian Yu, Paulo Villegas, Marco Zocca, Sourab Mangrulkar, David Lansky, Huu Nguyen, Danish Contractor, Luis Villa, Jia Li, Dzmitry Bahdanau, Yacine Jernite, Sean Hughes, Daniel Fried, Arjun Guha, Harm de Vries, Leandro von Werra."),xt=c(),po=n("p"),bn=a("The abstract from the paper is the following:uery"),zt=c(),uo=n("p"),fo=n("em"),yn=a("The BigCode project is an open-scientific collaboration working on the responsible development of large language models for code. This tech report describes the progress of the collaboration until December 2022, outlining the current state of the Personally Identifiable Information (PII) redaction pipeline, the experiments conducted to de-risk the model architecture, and the experiments investigating better preprocessing methods for the training data. We train 1.1B parameter models on the Java, JavaScript, and Python subsets of The Stack and evaluate them on the MultiPL-E text-to-code benchmark. We find that more aggressive filtering of near-duplicates can further boost performance and, surprisingly, that selecting files from repositories with 5+ GitHub stars deteriorates performance significantly. Our best model outperforms previous open-source multilingual code generation models (InCoder-6.7B and CodeGen-Multi-2.7B) in both left-to-right generation and infilling on the Java, JavaScript, and Python portions of MultiPL-E, despite being a substantially smaller model. All models are released under an OpenRAIL license at "),Ee=n("a"),kn=a("this https URL."),qt=c(),ce=n("p"),Cn=a("The model is a an optimized "),xe=n("a"),wn=a("GPT2 model"),Pn=a(" with support for Multi-Query Attention."),At=c(),V=n("h2"),he=n("a"),No=n("span"),b(ze.$$.fragment),$n=c(),Do=n("span"),Bn=a("Technical details"),Ft=c(),mo=n("p"),Gn=a("The main differences compared to GPT2."),It=c(),$=n("ul"),jo=n("li"),Mn=a("Added support for Multi-Query Attention."),En=c(),J=n("li"),xn=a("Use "),Wo=n("code"),zn=a("gelu_pytorch_tanh"),qn=a(" instead of classic "),Ho=n("code"),An=a("gelu"),Fn=a("."),In=c(),Uo=n("li"),On=a("Avoid unnecessary synchronizations (this has since been added to GPT2 in #20061, but wasn\u2019t in the reference codebase)."),Sn=c(),Ro=n("li"),Ln=a("Use Linear layers instead of Conv1D (good speedup but makes the checkpoints incompatible)."),Nn=c(),O=n("li"),Dn=a("Merge "),Vo=n("code"),jn=a("_attn"),Wn=a(" and "),Jo=n("code"),Hn=a("_upcast_and_reordered_attn"),Un=a(". Always merge the matmul with scaling. Rename "),Yo=n("code"),Rn=a("reorder_and_upcast_attn"),Vn=a("->"),Qo=n("code"),Jn=a("attention_softmax_in_fp32"),Yn=c(),Ko=n("li"),Qn=a("Cache the attention mask value to avoid recreating it every time."),Kn=c(),Zo=n("li"),Zn=a("Use jit to fuse the attention fp32 casting, masking, softmax, and scaling."),Xn=c(),Xo=n("li"),es=a("Combine the attention and causal masks into a single one, pre-computed for the whole model instead of every layer."),os=c(),et=n("li"),ts=a("Merge the key and value caches into one (this changes the format of layer_past/ present, does it risk creating problems?)"),ns=c(),qe=n("li"),ss=a("Use the memory layout (self.num_heads, 3, self.head_dim) instead of "),ot=n("code"),as=a("(3, self.num_heads, self.head_dim)"),rs=a(" for the QKV tensor with MHA. (prevents an overhead with the merged key and values, but makes the checkpoints incompatible with the original gpt2 model)."),Ot=c(),Ae=n("p"),is=a("You can read more about the optimizations in the "),Fe=n("a"),ds=a("original pull request"),St=c(),Y=n("h2"),pe=n("a"),tt=n("span"),b(Ie.$$.fragment),ls=c(),nt=n("span"),cs=a("GPTBigCodeConfig"),Lt=c(),F=n("div"),b(Oe.$$.fragment),hs=c(),Q=n("p"),ps=a("This is the configuration class to store the configuration of a "),go=n("a"),us=a("GPTBigCodeModel"),fs=a(`. It is used to instantiate a
GPTBigCode model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the GPTBigCode
`),Se=n("a"),ms=a("gpt_bigcode"),gs=a(" architecture."),_s=c(),K=n("p"),vs=a("Configuration objects inherit from "),_o=n("a"),Ts=a("PretrainedConfig"),bs=a(` and can be used to control the model outputs. Read the
documentation from `),vo=n("a"),ys=a("PretrainedConfig"),ks=a(" for more information."),Cs=c(),b(ue.$$.fragment),Nt=c(),Z=n("h2"),fe=n("a"),st=n("span"),b(Le.$$.fragment),ws=c(),at=n("span"),Ps=a("GPTBigCodeModel"),Dt=c(),x=n("div"),b(Ne.$$.fragment),$s=c(),rt=n("p"),Bs=a("The bare GPT_BIGCODE Model transformer outputting raw hidden-states without any specific head on top."),Gs=c(),De=n("p"),Ms=a("This model inherits from "),To=n("a"),Es=a("PreTrainedModel"),xs=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zs=c(),je=n("p"),qs=a("This model is also a PyTorch "),We=n("a"),As=a("torch.nn.Module"),Fs=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Is=c(),S=n("div"),b(He.$$.fragment),Os=c(),X=n("p"),Ss=a("The "),bo=n("a"),Ls=a("GPTBigCodeModel"),Ns=a(" forward method, overrides the "),it=n("code"),Ds=a("__call__"),js=a(" special method."),Ws=c(),b(me.$$.fragment),Hs=c(),b(ge.$$.fragment),jt=c(),ee=n("h2"),_e=n("a"),dt=n("span"),b(Ue.$$.fragment),Us=c(),lt=n("span"),Rs=a("GPTBigCodeForCausalLM"),Wt=c(),z=n("div"),b(Re.$$.fragment),Vs=c(),ct=n("p"),Js=a(`The GPT_BIGCODE Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),Ys=c(),Ve=n("p"),Qs=a("This model inherits from "),yo=n("a"),Ks=a("PreTrainedModel"),Zs=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xs=c(),Je=n("p"),ea=a("This model is also a PyTorch "),Ye=n("a"),oa=a("torch.nn.Module"),ta=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),na=c(),L=n("div"),b(Qe.$$.fragment),sa=c(),oe=n("p"),aa=a("The "),ko=n("a"),ra=a("GPTBigCodeForCausalLM"),ia=a(" forward method, overrides the "),ht=n("code"),da=a("__call__"),la=a(" special method."),ca=c(),b(ve.$$.fragment),ha=c(),b(Te.$$.fragment),Ht=c(),te=n("h2"),be=n("a"),pt=n("span"),b(Ke.$$.fragment),pa=c(),ut=n("span"),ua=a("GPTBigCodeForSequenceClassification"),Ut=c(),G=n("div"),b(Ze.$$.fragment),fa=c(),ft=n("p"),ma=a("The GPTBigCode Model transformer with a sequence classification head on top (linear layer)."),ga=c(),Co=n("p"),wo=n("a"),_a=a("GPTBigCodeForSequenceClassification"),va=a(` uses the last token in order to do the classification, as other causal
models (e.g. GPT-1) do.`),Ta=c(),I=n("p"),ba=a(`Since it does classification on the last token, it requires to know the position of the last token. If a
`),mt=n("code"),ya=a("pad_token_id"),ka=a(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),gt=n("code"),Ca=a("pad_token_id"),wa=a(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),_t=n("code"),Pa=a("inputs_embeds"),$a=a(" are passed instead of "),vt=n("code"),Ba=a("input_ids"),Ga=a(`, it does the same (take the last value in
each row of the batch).`),Ma=c(),Xe=n("p"),Ea=a("This model inherits from "),Po=n("a"),xa=a("PreTrainedModel"),za=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qa=c(),eo=n("p"),Aa=a("This model is also a PyTorch "),oo=n("a"),Fa=a("torch.nn.Module"),Ia=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Oa=c(),N=n("div"),b(to.$$.fragment),Sa=c(),ne=n("p"),La=a("The "),$o=n("a"),Na=a("GPTBigCodeForSequenceClassification"),Da=a(" forward method, overrides the "),Tt=n("code"),ja=a("__call__"),Wa=a(" special method."),Ha=c(),b(ye.$$.fragment),Rt=c(),se=n("h2"),ke=n("a"),bt=n("span"),b(no.$$.fragment),Ua=c(),yt=n("span"),Ra=a("GPTBigCodeForTokenClassification"),Vt=c(),q=n("div"),b(so.$$.fragment),Va=c(),kt=n("p"),Ja=a(`GPT_BIGCODE Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Ya=c(),ao=n("p"),Qa=a("This model inherits from "),Bo=n("a"),Ka=a("PreTrainedModel"),Za=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xa=c(),ro=n("p"),er=a("This model is also a PyTorch "),io=n("a"),or=a("torch.nn.Module"),tr=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),nr=c(),D=n("div"),b(lo.$$.fragment),sr=c(),ae=n("p"),ar=a("The "),Go=n("a"),rr=a("GPTBigCodeForTokenClassification"),ir=a(" forward method, overrides the "),Ct=n("code"),dr=a("__call__"),lr=a(" special method."),cr=c(),b(Ce.$$.fragment),this.h()},l(o){const u=Fi('[data-svelte="svelte-1phssyn"]',document.head);p=s(u,"META",{name:!0,content:!0}),u.forEach(t),T=h(o),g=s(o,"H1",{class:!0});var co=i(g);_=s(co,"A",{id:!0,class:!0,href:!0});var wt=i(_);v=s(wt,"SPAN",{});var Pt=i(v);y(d.$$.fragment,Pt),Pt.forEach(t),wt.forEach(t),f=h(co),M=s(co,"SPAN",{});var $t=i(M);fn=r($t,"GPTBigCode"),$t.forEach(t),co.forEach(t),Mt=h(o),R=s(o,"H2",{class:!0});var ho=i(R);de=s(ho,"A",{id:!0,class:!0,href:!0});var Bt=i(de);So=s(Bt,"SPAN",{});var Gt=i(So);y(Ge.$$.fragment,Gt),Gt.forEach(t),Bt.forEach(t),mn=h(ho),Lo=s(ho,"SPAN",{});var _r=i(Lo);gn=r(_r,"Overview"),_r.forEach(t),ho.forEach(t),Et=h(o),le=s(o,"P",{});var Yt=i(le);_n=r(Yt,"The GPTBigCode model was proposed in "),Me=s(Yt,"A",{href:!0,rel:!0});var vr=i(Me);vn=r(vr,"SantaCoder: don\u2019t reach for the stars!"),vr.forEach(t),Tn=r(Yt," by BigCode. The listed authors are: Loubna Ben Allal, Raymond Li, Denis Kocetkov, Chenghao Mou, Christopher Akiki, Carlos Munoz Ferrandis, Niklas Muennighoff, Mayank Mishra, Alex Gu, Manan Dey, Logesh Kumar Umapathi, Carolyn Jane Anderson, Yangtian Zi, Joel Lamy Poirier, Hailey Schoelkopf, Sergey Troshin, Dmitry Abulkhanov, Manuel Romero, Michael Lappert, Francesco De Toni, Bernardo Garc\xEDa del R\xEDo, Qian Liu, Shamik Bose, Urvashi Bhattacharyya, Terry Yue Zhuo, Ian Yu, Paulo Villegas, Marco Zocca, Sourab Mangrulkar, David Lansky, Huu Nguyen, Danish Contractor, Luis Villa, Jia Li, Dzmitry Bahdanau, Yacine Jernite, Sean Hughes, Daniel Fried, Arjun Guha, Harm de Vries, Leandro von Werra."),Yt.forEach(t),xt=h(o),po=s(o,"P",{});var Tr=i(po);bn=r(Tr,"The abstract from the paper is the following:uery"),Tr.forEach(t),zt=h(o),uo=s(o,"P",{});var br=i(uo);fo=s(br,"EM",{});var hr=i(fo);yn=r(hr,"The BigCode project is an open-scientific collaboration working on the responsible development of large language models for code. This tech report describes the progress of the collaboration until December 2022, outlining the current state of the Personally Identifiable Information (PII) redaction pipeline, the experiments conducted to de-risk the model architecture, and the experiments investigating better preprocessing methods for the training data. We train 1.1B parameter models on the Java, JavaScript, and Python subsets of The Stack and evaluate them on the MultiPL-E text-to-code benchmark. We find that more aggressive filtering of near-duplicates can further boost performance and, surprisingly, that selecting files from repositories with 5+ GitHub stars deteriorates performance significantly. Our best model outperforms previous open-source multilingual code generation models (InCoder-6.7B and CodeGen-Multi-2.7B) in both left-to-right generation and infilling on the Java, JavaScript, and Python portions of MultiPL-E, despite being a substantially smaller model. All models are released under an OpenRAIL license at "),Ee=s(hr,"A",{href:!0,rel:!0});var yr=i(Ee);kn=r(yr,"this https URL."),yr.forEach(t),hr.forEach(t),br.forEach(t),qt=h(o),ce=s(o,"P",{});var Qt=i(ce);Cn=r(Qt,"The model is a an optimized "),xe=s(Qt,"A",{href:!0,rel:!0});var kr=i(xe);wn=r(kr,"GPT2 model"),kr.forEach(t),Pn=r(Qt," with support for Multi-Query Attention."),Qt.forEach(t),At=h(o),V=s(o,"H2",{class:!0});var Kt=i(V);he=s(Kt,"A",{id:!0,class:!0,href:!0});var Cr=i(he);No=s(Cr,"SPAN",{});var wr=i(No);y(ze.$$.fragment,wr),wr.forEach(t),Cr.forEach(t),$n=h(Kt),Do=s(Kt,"SPAN",{});var Pr=i(Do);Bn=r(Pr,"Technical details"),Pr.forEach(t),Kt.forEach(t),Ft=h(o),mo=s(o,"P",{});var $r=i(mo);Gn=r($r,"The main differences compared to GPT2."),$r.forEach(t),It=h(o),$=s(o,"UL",{});var B=i($);jo=s(B,"LI",{});var Br=i(jo);Mn=r(Br,"Added support for Multi-Query Attention."),Br.forEach(t),En=h(B),J=s(B,"LI",{});var Mo=i(J);xn=r(Mo,"Use "),Wo=s(Mo,"CODE",{});var Gr=i(Wo);zn=r(Gr,"gelu_pytorch_tanh"),Gr.forEach(t),qn=r(Mo," instead of classic "),Ho=s(Mo,"CODE",{});var Mr=i(Ho);An=r(Mr,"gelu"),Mr.forEach(t),Fn=r(Mo,"."),Mo.forEach(t),In=h(B),Uo=s(B,"LI",{});var Er=i(Uo);On=r(Er,"Avoid unnecessary synchronizations (this has since been added to GPT2 in #20061, but wasn\u2019t in the reference codebase)."),Er.forEach(t),Sn=h(B),Ro=s(B,"LI",{});var xr=i(Ro);Ln=r(xr,"Use Linear layers instead of Conv1D (good speedup but makes the checkpoints incompatible)."),xr.forEach(t),Nn=h(B),O=s(B,"LI",{});var re=i(O);Dn=r(re,"Merge "),Vo=s(re,"CODE",{});var zr=i(Vo);jn=r(zr,"_attn"),zr.forEach(t),Wn=r(re," and "),Jo=s(re,"CODE",{});var qr=i(Jo);Hn=r(qr,"_upcast_and_reordered_attn"),qr.forEach(t),Un=r(re,". Always merge the matmul with scaling. Rename "),Yo=s(re,"CODE",{});var Ar=i(Yo);Rn=r(Ar,"reorder_and_upcast_attn"),Ar.forEach(t),Vn=r(re,"->"),Qo=s(re,"CODE",{});var Fr=i(Qo);Jn=r(Fr,"attention_softmax_in_fp32"),Fr.forEach(t),re.forEach(t),Yn=h(B),Ko=s(B,"LI",{});var Ir=i(Ko);Qn=r(Ir,"Cache the attention mask value to avoid recreating it every time."),Ir.forEach(t),Kn=h(B),Zo=s(B,"LI",{});var Or=i(Zo);Zn=r(Or,"Use jit to fuse the attention fp32 casting, masking, softmax, and scaling."),Or.forEach(t),Xn=h(B),Xo=s(B,"LI",{});var Sr=i(Xo);es=r(Sr,"Combine the attention and causal masks into a single one, pre-computed for the whole model instead of every layer."),Sr.forEach(t),os=h(B),et=s(B,"LI",{});var Lr=i(et);ts=r(Lr,"Merge the key and value caches into one (this changes the format of layer_past/ present, does it risk creating problems?)"),Lr.forEach(t),ns=h(B),qe=s(B,"LI",{});var Zt=i(qe);ss=r(Zt,"Use the memory layout (self.num_heads, 3, self.head_dim) instead of "),ot=s(Zt,"CODE",{});var Nr=i(ot);as=r(Nr,"(3, self.num_heads, self.head_dim)"),Nr.forEach(t),rs=r(Zt," for the QKV tensor with MHA. (prevents an overhead with the merged key and values, but makes the checkpoints incompatible with the original gpt2 model)."),Zt.forEach(t),B.forEach(t),Ot=h(o),Ae=s(o,"P",{});var pr=i(Ae);is=r(pr,"You can read more about the optimizations in the "),Fe=s(pr,"A",{href:!0,rel:!0});var Dr=i(Fe);ds=r(Dr,"original pull request"),Dr.forEach(t),pr.forEach(t),St=h(o),Y=s(o,"H2",{class:!0});var Xt=i(Y);pe=s(Xt,"A",{id:!0,class:!0,href:!0});var jr=i(pe);tt=s(jr,"SPAN",{});var Wr=i(tt);y(Ie.$$.fragment,Wr),Wr.forEach(t),jr.forEach(t),ls=h(Xt),nt=s(Xt,"SPAN",{});var Hr=i(nt);cs=r(Hr,"GPTBigCodeConfig"),Hr.forEach(t),Xt.forEach(t),Lt=h(o),F=s(o,"DIV",{class:!0});var we=i(F);y(Oe.$$.fragment,we),hs=h(we),Q=s(we,"P",{});var Eo=i(Q);ps=r(Eo,"This is the configuration class to store the configuration of a "),go=s(Eo,"A",{href:!0});var Ur=i(go);us=r(Ur,"GPTBigCodeModel"),Ur.forEach(t),fs=r(Eo,`. It is used to instantiate a
GPTBigCode model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the GPTBigCode
`),Se=s(Eo,"A",{href:!0,rel:!0});var Rr=i(Se);ms=r(Rr,"gpt_bigcode"),Rr.forEach(t),gs=r(Eo," architecture."),Eo.forEach(t),_s=h(we),K=s(we,"P",{});var xo=i(K);vs=r(xo,"Configuration objects inherit from "),_o=s(xo,"A",{href:!0});var Vr=i(_o);Ts=r(Vr,"PretrainedConfig"),Vr.forEach(t),bs=r(xo,` and can be used to control the model outputs. Read the
documentation from `),vo=s(xo,"A",{href:!0});var Jr=i(vo);ys=r(Jr,"PretrainedConfig"),Jr.forEach(t),ks=r(xo," for more information."),xo.forEach(t),Cs=h(we),y(ue.$$.fragment,we),we.forEach(t),Nt=h(o),Z=s(o,"H2",{class:!0});var en=i(Z);fe=s(en,"A",{id:!0,class:!0,href:!0});var Yr=i(fe);st=s(Yr,"SPAN",{});var Qr=i(st);y(Le.$$.fragment,Qr),Qr.forEach(t),Yr.forEach(t),ws=h(en),at=s(en,"SPAN",{});var Kr=i(at);Ps=r(Kr,"GPTBigCodeModel"),Kr.forEach(t),en.forEach(t),Dt=h(o),x=s(o,"DIV",{class:!0});var j=i(x);y(Ne.$$.fragment,j),$s=h(j),rt=s(j,"P",{});var Zr=i(rt);Bs=r(Zr,"The bare GPT_BIGCODE Model transformer outputting raw hidden-states without any specific head on top."),Zr.forEach(t),Gs=h(j),De=s(j,"P",{});var on=i(De);Ms=r(on,"This model inherits from "),To=s(on,"A",{href:!0});var Xr=i(To);Es=r(Xr,"PreTrainedModel"),Xr.forEach(t),xs=r(on,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),on.forEach(t),zs=h(j),je=s(j,"P",{});var tn=i(je);qs=r(tn,"This model is also a PyTorch "),We=s(tn,"A",{href:!0,rel:!0});var ei=i(We);As=r(ei,"torch.nn.Module"),ei.forEach(t),Fs=r(tn,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),tn.forEach(t),Is=h(j),S=s(j,"DIV",{class:!0});var Pe=i(S);y(He.$$.fragment,Pe),Os=h(Pe),X=s(Pe,"P",{});var zo=i(X);Ss=r(zo,"The "),bo=s(zo,"A",{href:!0});var oi=i(bo);Ls=r(oi,"GPTBigCodeModel"),oi.forEach(t),Ns=r(zo," forward method, overrides the "),it=s(zo,"CODE",{});var ti=i(it);Ds=r(ti,"__call__"),ti.forEach(t),js=r(zo," special method."),zo.forEach(t),Ws=h(Pe),y(me.$$.fragment,Pe),Hs=h(Pe),y(ge.$$.fragment,Pe),Pe.forEach(t),j.forEach(t),jt=h(o),ee=s(o,"H2",{class:!0});var nn=i(ee);_e=s(nn,"A",{id:!0,class:!0,href:!0});var ni=i(_e);dt=s(ni,"SPAN",{});var si=i(dt);y(Ue.$$.fragment,si),si.forEach(t),ni.forEach(t),Us=h(nn),lt=s(nn,"SPAN",{});var ai=i(lt);Rs=r(ai,"GPTBigCodeForCausalLM"),ai.forEach(t),nn.forEach(t),Wt=h(o),z=s(o,"DIV",{class:!0});var W=i(z);y(Re.$$.fragment,W),Vs=h(W),ct=s(W,"P",{});var ri=i(ct);Js=r(ri,`The GPT_BIGCODE Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),ri.forEach(t),Ys=h(W),Ve=s(W,"P",{});var sn=i(Ve);Qs=r(sn,"This model inherits from "),yo=s(sn,"A",{href:!0});var ii=i(yo);Ks=r(ii,"PreTrainedModel"),ii.forEach(t),Zs=r(sn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),sn.forEach(t),Xs=h(W),Je=s(W,"P",{});var an=i(Je);ea=r(an,"This model is also a PyTorch "),Ye=s(an,"A",{href:!0,rel:!0});var di=i(Ye);oa=r(di,"torch.nn.Module"),di.forEach(t),ta=r(an,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),an.forEach(t),na=h(W),L=s(W,"DIV",{class:!0});var $e=i(L);y(Qe.$$.fragment,$e),sa=h($e),oe=s($e,"P",{});var qo=i(oe);aa=r(qo,"The "),ko=s(qo,"A",{href:!0});var li=i(ko);ra=r(li,"GPTBigCodeForCausalLM"),li.forEach(t),ia=r(qo," forward method, overrides the "),ht=s(qo,"CODE",{});var ci=i(ht);da=r(ci,"__call__"),ci.forEach(t),la=r(qo," special method."),qo.forEach(t),ca=h($e),y(ve.$$.fragment,$e),ha=h($e),y(Te.$$.fragment,$e),$e.forEach(t),W.forEach(t),Ht=h(o),te=s(o,"H2",{class:!0});var rn=i(te);be=s(rn,"A",{id:!0,class:!0,href:!0});var hi=i(be);pt=s(hi,"SPAN",{});var pi=i(pt);y(Ke.$$.fragment,pi),pi.forEach(t),hi.forEach(t),pa=h(rn),ut=s(rn,"SPAN",{});var ui=i(ut);ua=r(ui,"GPTBigCodeForSequenceClassification"),ui.forEach(t),rn.forEach(t),Ut=h(o),G=s(o,"DIV",{class:!0});var A=i(G);y(Ze.$$.fragment,A),fa=h(A),ft=s(A,"P",{});var fi=i(ft);ma=r(fi,"The GPTBigCode Model transformer with a sequence classification head on top (linear layer)."),fi.forEach(t),ga=h(A),Co=s(A,"P",{});var ur=i(Co);wo=s(ur,"A",{href:!0});var mi=i(wo);_a=r(mi,"GPTBigCodeForSequenceClassification"),mi.forEach(t),va=r(ur,` uses the last token in order to do the classification, as other causal
models (e.g. GPT-1) do.`),ur.forEach(t),Ta=h(A),I=s(A,"P",{});var H=i(I);ba=r(H,`Since it does classification on the last token, it requires to know the position of the last token. If a
`),mt=s(H,"CODE",{});var gi=i(mt);ya=r(gi,"pad_token_id"),gi.forEach(t),ka=r(H,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),gt=s(H,"CODE",{});var _i=i(gt);Ca=r(_i,"pad_token_id"),_i.forEach(t),wa=r(H,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),_t=s(H,"CODE",{});var vi=i(_t);Pa=r(vi,"inputs_embeds"),vi.forEach(t),$a=r(H," are passed instead of "),vt=s(H,"CODE",{});var Ti=i(vt);Ba=r(Ti,"input_ids"),Ti.forEach(t),Ga=r(H,`, it does the same (take the last value in
each row of the batch).`),H.forEach(t),Ma=h(A),Xe=s(A,"P",{});var dn=i(Xe);Ea=r(dn,"This model inherits from "),Po=s(dn,"A",{href:!0});var bi=i(Po);xa=r(bi,"PreTrainedModel"),bi.forEach(t),za=r(dn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),dn.forEach(t),qa=h(A),eo=s(A,"P",{});var ln=i(eo);Aa=r(ln,"This model is also a PyTorch "),oo=s(ln,"A",{href:!0,rel:!0});var yi=i(oo);Fa=r(yi,"torch.nn.Module"),yi.forEach(t),Ia=r(ln,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ln.forEach(t),Oa=h(A),N=s(A,"DIV",{class:!0});var Ao=i(N);y(to.$$.fragment,Ao),Sa=h(Ao),ne=s(Ao,"P",{});var Fo=i(ne);La=r(Fo,"The "),$o=s(Fo,"A",{href:!0});var ki=i($o);Na=r(ki,"GPTBigCodeForSequenceClassification"),ki.forEach(t),Da=r(Fo," forward method, overrides the "),Tt=s(Fo,"CODE",{});var Ci=i(Tt);ja=r(Ci,"__call__"),Ci.forEach(t),Wa=r(Fo," special method."),Fo.forEach(t),Ha=h(Ao),y(ye.$$.fragment,Ao),Ao.forEach(t),A.forEach(t),Rt=h(o),se=s(o,"H2",{class:!0});var cn=i(se);ke=s(cn,"A",{id:!0,class:!0,href:!0});var wi=i(ke);bt=s(wi,"SPAN",{});var Pi=i(bt);y(no.$$.fragment,Pi),Pi.forEach(t),wi.forEach(t),Ua=h(cn),yt=s(cn,"SPAN",{});var $i=i(yt);Ra=r($i,"GPTBigCodeForTokenClassification"),$i.forEach(t),cn.forEach(t),Vt=h(o),q=s(o,"DIV",{class:!0});var U=i(q);y(so.$$.fragment,U),Va=h(U),kt=s(U,"P",{});var Bi=i(kt);Ja=r(Bi,`GPT_BIGCODE Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Bi.forEach(t),Ya=h(U),ao=s(U,"P",{});var hn=i(ao);Qa=r(hn,"This model inherits from "),Bo=s(hn,"A",{href:!0});var Gi=i(Bo);Ka=r(Gi,"PreTrainedModel"),Gi.forEach(t),Za=r(hn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hn.forEach(t),Xa=h(U),ro=s(U,"P",{});var pn=i(ro);er=r(pn,"This model is also a PyTorch "),io=s(pn,"A",{href:!0,rel:!0});var Mi=i(io);or=r(Mi,"torch.nn.Module"),Mi.forEach(t),tr=r(pn,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),pn.forEach(t),nr=h(U),D=s(U,"DIV",{class:!0});var Io=i(D);y(lo.$$.fragment,Io),sr=h(Io),ae=s(Io,"P",{});var Oo=i(ae);ar=r(Oo,"The "),Go=s(Oo,"A",{href:!0});var Ei=i(Go);rr=r(Ei,"GPTBigCodeForTokenClassification"),Ei.forEach(t),ir=r(Oo," forward method, overrides the "),Ct=s(Oo,"CODE",{});var xi=i(Ct);dr=r(xi,"__call__"),xi.forEach(t),lr=r(Oo," special method."),Oo.forEach(t),cr=h(Io),y(Ce.$$.fragment,Io),Io.forEach(t),U.forEach(t),this.h()},h(){l(p,"name","hf:doc:metadata"),l(p,"content",JSON.stringify(Ui)),l(_,"id","gptbigcode"),l(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_,"href","#gptbigcode"),l(g,"class","relative group"),l(de,"id","overview"),l(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(de,"href","#overview"),l(R,"class","relative group"),l(Me,"href","https://arxiv.org/abs/2301.03988"),l(Me,"rel","nofollow"),l(Ee,"href","https://huggingface.co/bigcode"),l(Ee,"rel","nofollow"),l(xe,"href","https://huggingface.co/docs/transformers/model_doc/gpt2"),l(xe,"rel","nofollow"),l(he,"id","technical-details"),l(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(he,"href","#technical-details"),l(V,"class","relative group"),l(Fe,"href","https://github.com/huggingface/transformers/pull/22575"),l(Fe,"rel","nofollow"),l(pe,"id","transformers.GPTBigCodeConfig"),l(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(pe,"href","#transformers.GPTBigCodeConfig"),l(Y,"class","relative group"),l(go,"href","/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeModel"),l(Se,"href","https://huggingface.co/gpt_bigcode"),l(Se,"rel","nofollow"),l(_o,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),l(vo,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),l(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(fe,"id","transformers.GPTBigCodeModel"),l(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(fe,"href","#transformers.GPTBigCodeModel"),l(Z,"class","relative group"),l(To,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),l(We,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(We,"rel","nofollow"),l(bo,"href","/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeModel"),l(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(_e,"id","transformers.GPTBigCodeForCausalLM"),l(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_e,"href","#transformers.GPTBigCodeForCausalLM"),l(ee,"class","relative group"),l(yo,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),l(Ye,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ye,"rel","nofollow"),l(ko,"href","/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeForCausalLM"),l(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(be,"id","transformers.GPTBigCodeForSequenceClassification"),l(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(be,"href","#transformers.GPTBigCodeForSequenceClassification"),l(te,"class","relative group"),l(wo,"href","/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeForSequenceClassification"),l(Po,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),l(oo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(oo,"rel","nofollow"),l($o,"href","/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeForSequenceClassification"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ke,"id","transformers.GPTBigCodeForTokenClassification"),l(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ke,"href","#transformers.GPTBigCodeForTokenClassification"),l(se,"class","relative group"),l(Bo,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),l(io,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(io,"rel","nofollow"),l(Go,"href","/docs/transformers/pr_21990/en/model_doc/gpt_bigcode#transformers.GPTBigCodeForTokenClassification"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,u){e(document.head,p),m(o,T,u),m(o,g,u),e(g,_),e(_,v),k(d,v,null),e(g,f),e(g,M),e(M,fn),m(o,Mt,u),m(o,R,u),e(R,de),e(de,So),k(Ge,So,null),e(R,mn),e(R,Lo),e(Lo,gn),m(o,Et,u),m(o,le,u),e(le,_n),e(le,Me),e(Me,vn),e(le,Tn),m(o,xt,u),m(o,po,u),e(po,bn),m(o,zt,u),m(o,uo,u),e(uo,fo),e(fo,yn),e(fo,Ee),e(Ee,kn),m(o,qt,u),m(o,ce,u),e(ce,Cn),e(ce,xe),e(xe,wn),e(ce,Pn),m(o,At,u),m(o,V,u),e(V,he),e(he,No),k(ze,No,null),e(V,$n),e(V,Do),e(Do,Bn),m(o,Ft,u),m(o,mo,u),e(mo,Gn),m(o,It,u),m(o,$,u),e($,jo),e(jo,Mn),e($,En),e($,J),e(J,xn),e(J,Wo),e(Wo,zn),e(J,qn),e(J,Ho),e(Ho,An),e(J,Fn),e($,In),e($,Uo),e(Uo,On),e($,Sn),e($,Ro),e(Ro,Ln),e($,Nn),e($,O),e(O,Dn),e(O,Vo),e(Vo,jn),e(O,Wn),e(O,Jo),e(Jo,Hn),e(O,Un),e(O,Yo),e(Yo,Rn),e(O,Vn),e(O,Qo),e(Qo,Jn),e($,Yn),e($,Ko),e(Ko,Qn),e($,Kn),e($,Zo),e(Zo,Zn),e($,Xn),e($,Xo),e(Xo,es),e($,os),e($,et),e(et,ts),e($,ns),e($,qe),e(qe,ss),e(qe,ot),e(ot,as),e(qe,rs),m(o,Ot,u),m(o,Ae,u),e(Ae,is),e(Ae,Fe),e(Fe,ds),m(o,St,u),m(o,Y,u),e(Y,pe),e(pe,tt),k(Ie,tt,null),e(Y,ls),e(Y,nt),e(nt,cs),m(o,Lt,u),m(o,F,u),k(Oe,F,null),e(F,hs),e(F,Q),e(Q,ps),e(Q,go),e(go,us),e(Q,fs),e(Q,Se),e(Se,ms),e(Q,gs),e(F,_s),e(F,K),e(K,vs),e(K,_o),e(_o,Ts),e(K,bs),e(K,vo),e(vo,ys),e(K,ks),e(F,Cs),k(ue,F,null),m(o,Nt,u),m(o,Z,u),e(Z,fe),e(fe,st),k(Le,st,null),e(Z,ws),e(Z,at),e(at,Ps),m(o,Dt,u),m(o,x,u),k(Ne,x,null),e(x,$s),e(x,rt),e(rt,Bs),e(x,Gs),e(x,De),e(De,Ms),e(De,To),e(To,Es),e(De,xs),e(x,zs),e(x,je),e(je,qs),e(je,We),e(We,As),e(je,Fs),e(x,Is),e(x,S),k(He,S,null),e(S,Os),e(S,X),e(X,Ss),e(X,bo),e(bo,Ls),e(X,Ns),e(X,it),e(it,Ds),e(X,js),e(S,Ws),k(me,S,null),e(S,Hs),k(ge,S,null),m(o,jt,u),m(o,ee,u),e(ee,_e),e(_e,dt),k(Ue,dt,null),e(ee,Us),e(ee,lt),e(lt,Rs),m(o,Wt,u),m(o,z,u),k(Re,z,null),e(z,Vs),e(z,ct),e(ct,Js),e(z,Ys),e(z,Ve),e(Ve,Qs),e(Ve,yo),e(yo,Ks),e(Ve,Zs),e(z,Xs),e(z,Je),e(Je,ea),e(Je,Ye),e(Ye,oa),e(Je,ta),e(z,na),e(z,L),k(Qe,L,null),e(L,sa),e(L,oe),e(oe,aa),e(oe,ko),e(ko,ra),e(oe,ia),e(oe,ht),e(ht,da),e(oe,la),e(L,ca),k(ve,L,null),e(L,ha),k(Te,L,null),m(o,Ht,u),m(o,te,u),e(te,be),e(be,pt),k(Ke,pt,null),e(te,pa),e(te,ut),e(ut,ua),m(o,Ut,u),m(o,G,u),k(Ze,G,null),e(G,fa),e(G,ft),e(ft,ma),e(G,ga),e(G,Co),e(Co,wo),e(wo,_a),e(Co,va),e(G,Ta),e(G,I),e(I,ba),e(I,mt),e(mt,ya),e(I,ka),e(I,gt),e(gt,Ca),e(I,wa),e(I,_t),e(_t,Pa),e(I,$a),e(I,vt),e(vt,Ba),e(I,Ga),e(G,Ma),e(G,Xe),e(Xe,Ea),e(Xe,Po),e(Po,xa),e(Xe,za),e(G,qa),e(G,eo),e(eo,Aa),e(eo,oo),e(oo,Fa),e(eo,Ia),e(G,Oa),e(G,N),k(to,N,null),e(N,Sa),e(N,ne),e(ne,La),e(ne,$o),e($o,Na),e(ne,Da),e(ne,Tt),e(Tt,ja),e(ne,Wa),e(N,Ha),k(ye,N,null),m(o,Rt,u),m(o,se,u),e(se,ke),e(ke,bt),k(no,bt,null),e(se,Ua),e(se,yt),e(yt,Ra),m(o,Vt,u),m(o,q,u),k(so,q,null),e(q,Va),e(q,kt),e(kt,Ja),e(q,Ya),e(q,ao),e(ao,Qa),e(ao,Bo),e(Bo,Ka),e(ao,Za),e(q,Xa),e(q,ro),e(ro,er),e(ro,io),e(io,or),e(ro,tr),e(q,nr),e(q,D),k(lo,D,null),e(D,sr),e(D,ae),e(ae,ar),e(ae,Go),e(Go,rr),e(ae,ir),e(ae,Ct),e(Ct,dr),e(ae,lr),e(D,cr),k(Ce,D,null),Jt=!0},p(o,[u]){const co={};u&2&&(co.$$scope={dirty:u,ctx:o}),ue.$set(co);const wt={};u&2&&(wt.$$scope={dirty:u,ctx:o}),me.$set(wt);const Pt={};u&2&&(Pt.$$scope={dirty:u,ctx:o}),ge.$set(Pt);const $t={};u&2&&($t.$$scope={dirty:u,ctx:o}),ve.$set($t);const ho={};u&2&&(ho.$$scope={dirty:u,ctx:o}),Te.$set(ho);const Bt={};u&2&&(Bt.$$scope={dirty:u,ctx:o}),ye.$set(Bt);const Gt={};u&2&&(Gt.$$scope={dirty:u,ctx:o}),Ce.$set(Gt)},i(o){Jt||(C(d.$$.fragment,o),C(Ge.$$.fragment,o),C(ze.$$.fragment,o),C(Ie.$$.fragment,o),C(Oe.$$.fragment,o),C(ue.$$.fragment,o),C(Le.$$.fragment,o),C(Ne.$$.fragment,o),C(He.$$.fragment,o),C(me.$$.fragment,o),C(ge.$$.fragment,o),C(Ue.$$.fragment,o),C(Re.$$.fragment,o),C(Qe.$$.fragment,o),C(ve.$$.fragment,o),C(Te.$$.fragment,o),C(Ke.$$.fragment,o),C(Ze.$$.fragment,o),C(to.$$.fragment,o),C(ye.$$.fragment,o),C(no.$$.fragment,o),C(so.$$.fragment,o),C(lo.$$.fragment,o),C(Ce.$$.fragment,o),Jt=!0)},o(o){w(d.$$.fragment,o),w(Ge.$$.fragment,o),w(ze.$$.fragment,o),w(Ie.$$.fragment,o),w(Oe.$$.fragment,o),w(ue.$$.fragment,o),w(Le.$$.fragment,o),w(Ne.$$.fragment,o),w(He.$$.fragment,o),w(me.$$.fragment,o),w(ge.$$.fragment,o),w(Ue.$$.fragment,o),w(Re.$$.fragment,o),w(Qe.$$.fragment,o),w(ve.$$.fragment,o),w(Te.$$.fragment,o),w(Ke.$$.fragment,o),w(Ze.$$.fragment,o),w(to.$$.fragment,o),w(ye.$$.fragment,o),w(no.$$.fragment,o),w(so.$$.fragment,o),w(lo.$$.fragment,o),w(Ce.$$.fragment,o),Jt=!1},d(o){t(p),o&&t(T),o&&t(g),P(d),o&&t(Mt),o&&t(R),P(Ge),o&&t(Et),o&&t(le),o&&t(xt),o&&t(po),o&&t(zt),o&&t(uo),o&&t(qt),o&&t(ce),o&&t(At),o&&t(V),P(ze),o&&t(Ft),o&&t(mo),o&&t(It),o&&t($),o&&t(Ot),o&&t(Ae),o&&t(St),o&&t(Y),P(Ie),o&&t(Lt),o&&t(F),P(Oe),P(ue),o&&t(Nt),o&&t(Z),P(Le),o&&t(Dt),o&&t(x),P(Ne),P(He),P(me),P(ge),o&&t(jt),o&&t(ee),P(Ue),o&&t(Wt),o&&t(z),P(Re),P(Qe),P(ve),P(Te),o&&t(Ht),o&&t(te),P(Ke),o&&t(Ut),o&&t(G),P(Ze),P(to),P(ye),o&&t(Rt),o&&t(se),P(no),o&&t(Vt),o&&t(q),P(so),P(lo),P(Ce)}}}const Ui={local:"gptbigcode",sections:[{local:"overview",title:"Overview"},{local:"technical-details",title:"Technical details"},{local:"transformers.GPTBigCodeConfig",title:"GPTBigCodeConfig"},{local:"transformers.GPTBigCodeModel",title:"GPTBigCodeModel"},{local:"transformers.GPTBigCodeForCausalLM",title:"GPTBigCodeForCausalLM"},{local:"transformers.GPTBigCodeForSequenceClassification",title:"GPTBigCodeForSequenceClassification"},{local:"transformers.GPTBigCodeForTokenClassification",title:"GPTBigCodeForTokenClassification"}],title:"GPTBigCode"};function Ri(E){return Ii(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xi extends zi{constructor(p){super();qi(this,p,Ri,Hi,Ai,{})}}export{Xi as default,Ui as metadata};
