import{S as vr,i as br,s as Ir,e as r,k as m,w as I,t as s,M as yr,c as a,d as t,m as p,a as n,x as y,h as i,b as l,G as o,g as h,y as w,q as T,o as $,B as x,v as wr,L as ur}from"../../chunks/vendor-hf-doc-builder.js";import{T as Tr}from"../../chunks/Tip-hf-doc-builder.js";import{D as Ye}from"../../chunks/Docstring-hf-doc-builder.js";import{C as _r}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Xe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as gr}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function $r(F){let f,b,u,g,v;return g=new _r({props:{code:`from transformers import IctConfig, IctModel

# Initializing a ICT ict-imagenet-256 style configuration
configuration = IctConfig()

# Initializing a model (with random weights) from the ict-imagenet-256 style configuration
model = IctModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> IctConfig, IctModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a ICT ict-imagenet-256 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = IctConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the ict-imagenet-256 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = IctModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){f=r("p"),b=s("Example:"),u=m(),I(g.$$.fragment)},l(c){f=a(c,"P",{});var _=n(f);b=i(_,"Example:"),_.forEach(t),u=p(c),y(g.$$.fragment,c)},m(c,_){h(c,f,_),o(f,b),h(c,u,_),w(g,c,_),v=!0},p:ur,i(c){v||(T(g.$$.fragment,c),v=!0)},o(c){$(g.$$.fragment,c),v=!1},d(c){c&&t(f),c&&t(u),x(g,c)}}}function xr(F){let f,b,u,g,v;return{c(){f=r("p"),b=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r("code"),g=s("Module"),v=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){f=a(c,"P",{});var _=n(f);b=i(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(_,"CODE",{});var O=n(u);g=i(O,"Module"),O.forEach(t),v=i(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(t)},m(c,_){h(c,f,_),o(f,b),o(f,u),o(u,g),o(f,v)},d(c){c&&t(f)}}}function zr(F){let f,b,u,g,v;return g=new _r({props:{code:`import torch
import numpy as np
from PIL import Image
import requests

from transformers import AutoImageProcessor, IctModel

image_processor = image_AutoImageProcessor.from_pretrained("sheonhan/ict-imagenet-256")
model = IctModel.from_pretrained("sheonhan/ict-imagenet-256")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
pixel_values = image_processor(image, return_tensors="pt").pixel_values

# create random boolean mask of shape (batch_size, num_patches)
bool_masked_pos = torch.randint(low=0, high=2, size=(pixel_values.shape[0], pixel_values.shape[1])).bool()

outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, IctModel

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = image_AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;sheonhan/ict-imagenet-256&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = IctModel.from_pretrained(<span class="hljs-string">&quot;sheonhan/ict-imagenet-256&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># create random boolean mask of shape (batch_size, num_patches)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>bool_masked_pos = torch.randint(low=<span class="hljs-number">0</span>, high=<span class="hljs-number">2</span>, size=(pixel_values.shape[<span class="hljs-number">0</span>], pixel_values.shape[<span class="hljs-number">1</span>])).<span class="hljs-built_in">bool</span>()

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)`}}),{c(){f=r("p"),b=s("Example:"),u=m(),I(g.$$.fragment)},l(c){f=a(c,"P",{});var _=n(f);b=i(_,"Example:"),_.forEach(t),u=p(c),y(g.$$.fragment,c)},m(c,_){h(c,f,_),o(f,b),h(c,u,_),w(g,c,_),v=!0},p:ur,i(c){v||(T(g.$$.fragment,c),v=!0)},o(c){$(g.$$.fragment,c),v=!1},d(c){c&&t(f),c&&t(u),x(g,c)}}}function Cr(F){let f,b,u,g,v,c,_,O,wo,Ke,M,U,je,oe,To,Re,$o,eo,B,xo,te,zo,Co,oo,ye,Po,to,we,De,ko,ro,Te,Eo,ao,N,Le,No,qo,Se,Mo,Ao,k,jo,re,Ro,Do,ae,Lo,So,ne,Fo,Oo,no,q,Uo,se,Bo,Ho,ie,Wo,Go,so,A,H,Fe,le,Vo,Oe,Jo,io,z,ce,Zo,j,Qo,$e,Yo,Xo,de,Ko,et,ot,R,tt,xe,rt,at,ze,nt,st,it,W,lo,D,G,Ue,me,lt,Be,ct,co,E,pe,dt,He,mt,pt,V,he,ht,We,ft,mo,L,J,Ge,fe,gt,Ve,ut,po,C,ge,_t,ue,vt,Ce,bt,It,yt,_e,wt,ve,Tt,$t,xt,P,be,zt,S,Ct,Pe,Pt,kt,Je,Et,Nt,qt,Z,Mt,Q,ho;return c=new Xe({}),oe=new Xe({}),le=new Xe({}),ce=new Ye({props:{name:"class transformers.IctConfig",anchor:"transformers.IctConfig",parameters:[{name:"vocab_size",val:" = 512"},{name:"hidden_size",val:" = 1024"},{name:"num_hidden_layers",val:" = 35"},{name:"num_attention_heads",val:" = 8"},{name:"num_residual_blocks",val:" = 8"},{name:"intermediate_size",val:" = 4096"},{name:"activation_function",val:" = 'gelu'"},{name:"embedding_dropout_prob",val:" = 0.0"},{name:"residual_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"image_size",val:" = 1024"},{name:"num_channels",val:" = 3"},{name:"qkv_bias",val:" = True"},{name:"output_height",val:" = 256"},{name:"output_width",val:" = 256"},{name:"clusters",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.IctConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Vocabulary size of the ICT model. Defines the number of different tokens that can be represented by the
<code>pixel_values</code> passed when calling <code>IctTransformer</code>.`,name:"vocab_size"},{anchor:"transformers.IctConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the embeddings and hidden states.`,name:"hidden_size"},{anchor:"transformers.IctConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 35) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.IctConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.IctConfig.num_residual_blocks",description:`<strong>num_residual_blocks</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
The number of residual blocks in <code>IctGuidedUpsampler</code>.`,name:"num_residual_blocks"},{anchor:"transformers.IctConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.IctConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
Activation function (can be one of the activation functions defined in src/transformers/activations.py).
Defaults to &#x201C;quick_gelu&#x201D;.`,name:"activation_function"},{anchor:"transformers.IctConfig.embedding_dropout_prob",description:`<strong>embedding_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the embeddings.`,name:"embedding_dropout_prob"},{anchor:"transformers.IctConfig.residual_dropout_prob",description:`<strong>residual_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"residual_dropout_prob"},{anchor:"transformers.IctConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.IctConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.IctConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.IctConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.IctConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.IctConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries, keys and values.`,name:"qkv_bias"},{anchor:"transformers.IctConfig.output_height",description:`<strong>output_height</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
The height of the final image.`,name:"output_height"},{anchor:"transformers.IctConfig.output_width",description:`<strong>output_width</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
The width of the final image.`,name:"output_width"},{anchor:"transformers.IctConfig.clusters",description:`<strong>clusters</strong> (<code>np.ndarray</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Clusters used to quantize the image of shape <code>(n_clusters, 3)</code>. Provide the same <code>clusters</code> used for
<code>IctImageProcessor</code>.`,name:"clusters"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/ict/configuration_ict.py#L31"}}),W=new gr({props:{anchor:"transformers.IctConfig.example",$$slots:{default:[$r]},$$scope:{ctx:F}}}),me=new Xe({}),pe=new Ye({props:{name:"class transformers.IctImageProcessor",anchor:"transformers.IctImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Union[typing.Dict[str, int], NoneType] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = False"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = False"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_color_quantize",val:": bool = True"},{name:"clusters",val:": typing.Optional[numpy.ndarray] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.IctImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>(size[&quot;height&quot;], size[&quot;width&quot;])</code>. Can be overridden by the <code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.IctImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;height&quot; -- 32, &quot;width&quot;: 32}</code>):
Size of the output image after resizing. Can be overridden by the <code>size</code> parameter in the <code>preprocess</code>
method.`,name:"size"},{anchor:"transformers.IctImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by the <code>resample</code> parameter in the
<code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.IctImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.IctImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter in the
<code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.IctImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;:
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.IctImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.IctImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"},{anchor:"transformers.IctImageProcessor.do_color_quantize",description:`<strong>do_color_quantize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_color_quantize</code>) &#x2014;
Whether to color quantize the image. Can be overridden by the <code>do_color_quantize</code> parameter in the
<code>preprocess</code> method.`,name:"do_color_quantize"},{anchor:"transformers.IctImageProcessor.clusters",description:`<strong>clusters</strong> (<code>np.ndarray</code>, <em>optional</em>, defaults to <code>self.clusters</code>) &#x2014;
Clusters used to quantize the image of shape <code>(n_clusters, 3)</code>. Only has an effect if <code>do_color_quantize</code>
is set to <code>True</code>.`,name:"clusters"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/ict/image_processing_ict.py#L41"}}),he=new Ye({props:{name:"preprocess",anchor:"transformers.IctImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": typing.Optional[bool] = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": typing.Optional[bool] = None"},{name:"rescale_factor",val:": typing.Optional[float] = None"},{name:"do_normalize",val:": typing.Optional[bool] = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_color_quantize",val:": bool = True"},{name:"clusters",val:": typing.Optional[numpy.ndarray] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": typing.Union[str, transformers.image_utils.ChannelDimension] = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.IctImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.IctImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.IctImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Dictionary in the format <code>{&quot;height&quot;: h, &quot;width&quot;: w}</code> specifying the size of the output image after
resizing.`,name:"size"},{anchor:"transformers.IctImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code> filter, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
<code>PILImageResampling</code> filter to use if resizing the image e.g. <code>PILImageResampling.BILINEAR</code>. Only has
an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.IctImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.IctImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.IctImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.IctImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean to use if <code>do_normalize</code> is set to <code>True</code>.`,name:"image_mean"},{anchor:"transformers.IctImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation to use if <code>do_normalize</code> is set to <code>True</code>.`,name:"image_std"},{anchor:"transformers.IctImageProcessor.preprocess.do_color_quantize",description:`<strong>do_color_quantize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_color_quantize</code>) &#x2014;
Whether to color quantize the image.`,name:"do_color_quantize"},{anchor:"transformers.IctImageProcessor.preprocess.clusters",description:`<strong>clusters</strong> (<code>np.ndarray</code>, <em>optional</em>, defaults to <code>self.clusters</code>) &#x2014;
Clusters used to quantize the image of shape <code>(n_clusters, 3)</code>. Only has an effect if
<code>do_color_quantize</code> is set to <code>True</code>.`,name:"clusters"},{anchor:"transformers.IctImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.IctImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>&quot;channels_first&quot;</code> or <code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>&quot;channels_last&quot;</code> or <code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
<li>Unset: Use the channel dimension format of the input image.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/ict/image_processing_ict.py#L213"}}),fe=new Xe({}),ge=new Ye({props:{name:"class transformers.IctModel",anchor:"transformers.IctModel",parameters:[{name:"config",val:": IctConfig"},{name:"use_mask_token",val:": bool = True"}],parametersDescription:[{anchor:"transformers.IctModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/ict#transformers.IctConfig">IctConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/ict/modeling_ict.py#L730"}}),be=new Ye({props:{name:"forward",anchor:"transformers.IctModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor]"},{name:"bool_masked_pos",val:": typing.Optional[torch.BoolTensor] = None"},{name:"clusters",val:": typing.Optional[numpy.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.IctModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, height * width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_21990/en/model_doc/dpt#transformers.DPTFeatureExtractor.__call__">IctImageProcessor.<strong>call</strong>()</a>
for details.`,name:"pixel_values"},{anchor:"transformers.IctModel.forward.clusters",description:`<strong>clusters</strong> (<code>np.ndarray</code>, of shape <code>(n_clusters, 3)</code>) &#x2014;
Clusters used to quantize the image of shape <code>(n_clusters, 3)</code> before being fed to Guided Upsampler.`,name:"clusters"},{anchor:"transformers.IctModel.forward.bool_masked_pos",description:`<strong>bool_masked_pos</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, height * width)</code>, <em>optional</em>) &#x2014;
Boolean masked positions. Indicates which patches are masked (1) and which aren&#x2019;t (0). Generate random
masks if not provided.`,name:"bool_masked_pos"},{anchor:"transformers.IctModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.IctModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.IctModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/ict/modeling_ict.py#L747",returnDescription:`
<p>A <code>transformers.modeling_outputs.MaskedImageModelingOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/ict#transformers.IctConfig"
>IctConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>bool_masked_pos</code> is provided) \u2014 Reconstruction loss.</li>
<li><strong>reconstruction</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Reconstructed / completed images.</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or</li>
<li><strong>when</strong> <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states
(also called feature maps) of the model at the output of each stage.</li>
<li><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when</li>
<li><strong><code>config.output_attentions=True</code>):</strong>
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.MaskedImageModelingOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Z=new Tr({props:{$$slots:{default:[xr]},$$scope:{ctx:F}}}),Q=new gr({props:{anchor:"transformers.IctModel.forward.example",$$slots:{default:[zr]},$$scope:{ctx:F}}}),{c(){f=r("meta"),b=m(),u=r("h1"),g=r("a"),v=r("span"),I(c.$$.fragment),_=m(),O=r("span"),wo=s("ICT"),Ke=m(),M=r("h2"),U=r("a"),je=r("span"),I(oe.$$.fragment),To=m(),Re=r("span"),$o=s("Overview"),eo=m(),B=r("p"),xo=s("The ICT model was proposed in "),te=r("a"),zo=s("High-Fidelity Pluralistic Image Completion with Transformers"),Co=s(" by Ziyu Wan, Jingbo Zhang, Dongdong Chen, Jing Liao. ICT (Image Completion with Transformers) leverages both a transformer and CNNs by decoupling image completion into two steps: pluralistic appearance priors reconstruction with a transformer to recover the coherent image structures, and low-resolution upsampling with CNNs to replenish \uFB01ne textures."),oo=m(),ye=r("p"),Po=s("The abstract from the paper is the following:"),to=m(),we=r("p"),De=r("em"),ko=s("Image completion has made tremendous progress with convolutional neural networks (CNNs), because of their powerful texture modeling capacity. However, due to some inherent properties (e.g., local inductive prior, spatial-invariant kernels), CNNs do not perform well in understanding global structures or naturally support pluralistic completion. Recently, transformers demonstrate their power in modeling the long-term relationship and generating diverse results, but their computation complexity is quadratic to input length, thus hampering the application in processing high-resolution images. This paper brings the best of both worlds to pluralistic image completion: appearance prior reconstruction with transformer and texture replenishment with CNN. The former transformer recovers pluralistic coherent structures together with some coarse textures, while the latter CNN enhances the local texture details of coarse priors guided by the high-resolution masked images. The proposed method vastly outperforms state-of-the-art methods in terms of three aspects: 1) large performance boost on image fidelity even compared to deterministic completion methods; 2) better diversity and higher fidelity for pluralistic completion; 3) exceptional generalization ability on large masks and generic dataset, like ImageNet."),ro=m(),Te=r("p"),Eo=s("Tips:"),ao=m(),N=r("ul"),Le=r("li"),No=s("Unlike auto-regressive methods, in order to make the transformer model capable of completing the missing regions by considering all the available context, this model optimizes the log-likelihood objective of missing pixels bi-directionally conditions, which is inspired by the masked language model like BERT."),qo=m(),Se=r("li"),Mo=s("The computational cost of multi-head attention increases quadratically, so the appearance priors is resized to low-resolution versions, which contains structural information and coarse textures only. But the dimension is further reduced by using an extra visual vocabulary (512 \xD7 3) which is generated using k-means cluster centers of the whole ImageNet RGB pixel spaces."),Ao=m(),k=r("li"),jo=s("Three available checkpoints are trained on "),re=r("a"),Ro=s("ImageNet"),Do=s(", "),ae=r("a"),Lo=s("FFHQ"),So=s(" and "),ne=r("a"),Fo=s("Places2"),Oo=s("."),no=m(),q=r("p"),Uo=s("This model was contributed by "),se=r("a"),Bo=s("Sheon Han"),Ho=s(`.
The original code can be found `),ie=r("a"),Wo=s("here"),Go=s("."),so=m(),A=r("h2"),H=r("a"),Fe=r("span"),I(le.$$.fragment),Vo=m(),Oe=r("span"),Jo=s("IctConfig"),io=m(),z=r("div"),I(ce.$$.fragment),Zo=m(),j=r("p"),Qo=s("This is the configuration class to store the configuration of a "),$e=r("a"),Yo=s("IctModel"),Xo=s(`. It is used to instantiate an ICT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the ICT model trained with the ImageNet dataset
`),de=r("a"),Ko=s("sheonhan/ict-imagenet-256"),et=s("."),ot=m(),R=r("p"),tt=s("Configuration objects inherit from "),xe=r("a"),rt=s("PretrainedConfig"),at=s(` and can be used to control the model outputs. Read the
documentation from `),ze=r("a"),nt=s("PretrainedConfig"),st=s(" for more information."),it=m(),I(W.$$.fragment),lo=m(),D=r("h2"),G=r("a"),Ue=r("span"),I(me.$$.fragment),lt=m(),Be=r("span"),ct=s("IctImageProcessor"),co=m(),E=r("div"),I(pe.$$.fragment),dt=m(),He=r("p"),mt=s("Constructs a ICT image processor."),pt=m(),V=r("div"),I(he.$$.fragment),ht=m(),We=r("p"),ft=s("Preprocess an image or batch of images."),mo=m(),L=r("h2"),J=r("a"),Ge=r("span"),I(fe.$$.fragment),gt=m(),Ve=r("span"),ut=s("IctModel"),po=m(),C=r("div"),I(ge.$$.fragment),_t=m(),ue=r("p"),vt=s("This model inherits from "),Ce=r("a"),bt=s("PreTrainedModel"),It=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),yt=m(),_e=r("p"),wt=s("This model is a PyTorch "),ve=r("a"),Tt=s("torch.nn.Module"),$t=s(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),xt=m(),P=r("div"),I(be.$$.fragment),zt=m(),S=r("p"),Ct=s("The "),Pe=r("a"),Pt=s("IctModel"),kt=s(" forward method, overrides the "),Je=r("code"),Et=s("__call__"),Nt=s(" special method."),qt=m(),I(Z.$$.fragment),Mt=m(),I(Q.$$.fragment),this.h()},l(e){const d=yr('[data-svelte="svelte-1phssyn"]',document.head);f=a(d,"META",{name:!0,content:!0}),d.forEach(t),b=p(e),u=a(e,"H1",{class:!0});var Ie=n(u);g=a(Ie,"A",{id:!0,class:!0,href:!0});var Ze=n(g);v=a(Ze,"SPAN",{});var Qe=n(v);y(c.$$.fragment,Qe),Qe.forEach(t),Ze.forEach(t),_=p(Ie),O=a(Ie,"SPAN",{});var At=n(O);wo=i(At,"ICT"),At.forEach(t),Ie.forEach(t),Ke=p(e),M=a(e,"H2",{class:!0});var fo=n(M);U=a(fo,"A",{id:!0,class:!0,href:!0});var jt=n(U);je=a(jt,"SPAN",{});var Rt=n(je);y(oe.$$.fragment,Rt),Rt.forEach(t),jt.forEach(t),To=p(fo),Re=a(fo,"SPAN",{});var Dt=n(Re);$o=i(Dt,"Overview"),Dt.forEach(t),fo.forEach(t),eo=p(e),B=a(e,"P",{});var go=n(B);xo=i(go,"The ICT model was proposed in "),te=a(go,"A",{href:!0,rel:!0});var Lt=n(te);zo=i(Lt,"High-Fidelity Pluralistic Image Completion with Transformers"),Lt.forEach(t),Co=i(go," by Ziyu Wan, Jingbo Zhang, Dongdong Chen, Jing Liao. ICT (Image Completion with Transformers) leverages both a transformer and CNNs by decoupling image completion into two steps: pluralistic appearance priors reconstruction with a transformer to recover the coherent image structures, and low-resolution upsampling with CNNs to replenish \uFB01ne textures."),go.forEach(t),oo=p(e),ye=a(e,"P",{});var St=n(ye);Po=i(St,"The abstract from the paper is the following:"),St.forEach(t),to=p(e),we=a(e,"P",{});var Ft=n(we);De=a(Ft,"EM",{});var Ot=n(De);ko=i(Ot,"Image completion has made tremendous progress with convolutional neural networks (CNNs), because of their powerful texture modeling capacity. However, due to some inherent properties (e.g., local inductive prior, spatial-invariant kernels), CNNs do not perform well in understanding global structures or naturally support pluralistic completion. Recently, transformers demonstrate their power in modeling the long-term relationship and generating diverse results, but their computation complexity is quadratic to input length, thus hampering the application in processing high-resolution images. This paper brings the best of both worlds to pluralistic image completion: appearance prior reconstruction with transformer and texture replenishment with CNN. The former transformer recovers pluralistic coherent structures together with some coarse textures, while the latter CNN enhances the local texture details of coarse priors guided by the high-resolution masked images. The proposed method vastly outperforms state-of-the-art methods in terms of three aspects: 1) large performance boost on image fidelity even compared to deterministic completion methods; 2) better diversity and higher fidelity for pluralistic completion; 3) exceptional generalization ability on large masks and generic dataset, like ImageNet."),Ot.forEach(t),Ft.forEach(t),ro=p(e),Te=a(e,"P",{});var Ut=n(Te);Eo=i(Ut,"Tips:"),Ut.forEach(t),ao=p(e),N=a(e,"UL",{});var ke=n(N);Le=a(ke,"LI",{});var Bt=n(Le);No=i(Bt,"Unlike auto-regressive methods, in order to make the transformer model capable of completing the missing regions by considering all the available context, this model optimizes the log-likelihood objective of missing pixels bi-directionally conditions, which is inspired by the masked language model like BERT."),Bt.forEach(t),qo=p(ke),Se=a(ke,"LI",{});var Ht=n(Se);Mo=i(Ht,"The computational cost of multi-head attention increases quadratically, so the appearance priors is resized to low-resolution versions, which contains structural information and coarse textures only. But the dimension is further reduced by using an extra visual vocabulary (512 \xD7 3) which is generated using k-means cluster centers of the whole ImageNet RGB pixel spaces."),Ht.forEach(t),Ao=p(ke),k=a(ke,"LI",{});var Y=n(k);jo=i(Y,"Three available checkpoints are trained on "),re=a(Y,"A",{href:!0,rel:!0});var Wt=n(re);Ro=i(Wt,"ImageNet"),Wt.forEach(t),Do=i(Y,", "),ae=a(Y,"A",{href:!0,rel:!0});var Gt=n(ae);Lo=i(Gt,"FFHQ"),Gt.forEach(t),So=i(Y," and "),ne=a(Y,"A",{href:!0,rel:!0});var Vt=n(ne);Fo=i(Vt,"Places2"),Vt.forEach(t),Oo=i(Y,"."),Y.forEach(t),ke.forEach(t),no=p(e),q=a(e,"P",{});var Ee=n(q);Uo=i(Ee,"This model was contributed by "),se=a(Ee,"A",{href:!0,rel:!0});var Jt=n(se);Bo=i(Jt,"Sheon Han"),Jt.forEach(t),Ho=i(Ee,`.
The original code can be found `),ie=a(Ee,"A",{href:!0,rel:!0});var Zt=n(ie);Wo=i(Zt,"here"),Zt.forEach(t),Go=i(Ee,"."),Ee.forEach(t),so=p(e),A=a(e,"H2",{class:!0});var uo=n(A);H=a(uo,"A",{id:!0,class:!0,href:!0});var Qt=n(H);Fe=a(Qt,"SPAN",{});var Yt=n(Fe);y(le.$$.fragment,Yt),Yt.forEach(t),Qt.forEach(t),Vo=p(uo),Oe=a(uo,"SPAN",{});var Xt=n(Oe);Jo=i(Xt,"IctConfig"),Xt.forEach(t),uo.forEach(t),io=p(e),z=a(e,"DIV",{class:!0});var X=n(z);y(ce.$$.fragment,X),Zo=p(X),j=a(X,"P",{});var Ne=n(j);Qo=i(Ne,"This is the configuration class to store the configuration of a "),$e=a(Ne,"A",{href:!0});var Kt=n($e);Yo=i(Kt,"IctModel"),Kt.forEach(t),Xo=i(Ne,`. It is used to instantiate an ICT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the ICT model trained with the ImageNet dataset
`),de=a(Ne,"A",{href:!0,rel:!0});var er=n(de);Ko=i(er,"sheonhan/ict-imagenet-256"),er.forEach(t),et=i(Ne,"."),Ne.forEach(t),ot=p(X),R=a(X,"P",{});var qe=n(R);tt=i(qe,"Configuration objects inherit from "),xe=a(qe,"A",{href:!0});var or=n(xe);rt=i(or,"PretrainedConfig"),or.forEach(t),at=i(qe,` and can be used to control the model outputs. Read the
documentation from `),ze=a(qe,"A",{href:!0});var tr=n(ze);nt=i(tr,"PretrainedConfig"),tr.forEach(t),st=i(qe," for more information."),qe.forEach(t),it=p(X),y(W.$$.fragment,X),X.forEach(t),lo=p(e),D=a(e,"H2",{class:!0});var _o=n(D);G=a(_o,"A",{id:!0,class:!0,href:!0});var rr=n(G);Ue=a(rr,"SPAN",{});var ar=n(Ue);y(me.$$.fragment,ar),ar.forEach(t),rr.forEach(t),lt=p(_o),Be=a(_o,"SPAN",{});var nr=n(Be);ct=i(nr,"IctImageProcessor"),nr.forEach(t),_o.forEach(t),co=p(e),E=a(e,"DIV",{class:!0});var Me=n(E);y(pe.$$.fragment,Me),dt=p(Me),He=a(Me,"P",{});var sr=n(He);mt=i(sr,"Constructs a ICT image processor."),sr.forEach(t),pt=p(Me),V=a(Me,"DIV",{class:!0});var vo=n(V);y(he.$$.fragment,vo),ht=p(vo),We=a(vo,"P",{});var ir=n(We);ft=i(ir,"Preprocess an image or batch of images."),ir.forEach(t),vo.forEach(t),Me.forEach(t),mo=p(e),L=a(e,"H2",{class:!0});var bo=n(L);J=a(bo,"A",{id:!0,class:!0,href:!0});var lr=n(J);Ge=a(lr,"SPAN",{});var cr=n(Ge);y(fe.$$.fragment,cr),cr.forEach(t),lr.forEach(t),gt=p(bo),Ve=a(bo,"SPAN",{});var dr=n(Ve);ut=i(dr,"IctModel"),dr.forEach(t),bo.forEach(t),po=p(e),C=a(e,"DIV",{class:!0});var K=n(C);y(ge.$$.fragment,K),_t=p(K),ue=a(K,"P",{});var Io=n(ue);vt=i(Io,"This model inherits from "),Ce=a(Io,"A",{href:!0});var mr=n(Ce);bt=i(mr,"PreTrainedModel"),mr.forEach(t),It=i(Io,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Io.forEach(t),yt=p(K),_e=a(K,"P",{});var yo=n(_e);wt=i(yo,"This model is a PyTorch "),ve=a(yo,"A",{href:!0,rel:!0});var pr=n(ve);Tt=i(pr,"torch.nn.Module"),pr.forEach(t),$t=i(yo,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),yo.forEach(t),xt=p(K),P=a(K,"DIV",{class:!0});var ee=n(P);y(be.$$.fragment,ee),zt=p(ee),S=a(ee,"P",{});var Ae=n(S);Ct=i(Ae,"The "),Pe=a(Ae,"A",{href:!0});var hr=n(Pe);Pt=i(hr,"IctModel"),hr.forEach(t),kt=i(Ae," forward method, overrides the "),Je=a(Ae,"CODE",{});var fr=n(Je);Et=i(fr,"__call__"),fr.forEach(t),Nt=i(Ae," special method."),Ae.forEach(t),qt=p(ee),y(Z.$$.fragment,ee),Mt=p(ee),y(Q.$$.fragment,ee),ee.forEach(t),K.forEach(t),this.h()},h(){l(f,"name","hf:doc:metadata"),l(f,"content",JSON.stringify(Pr)),l(g,"id","ict"),l(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(g,"href","#ict"),l(u,"class","relative group"),l(U,"id","overview"),l(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(U,"href","#overview"),l(M,"class","relative group"),l(te,"href","https://arxiv.org/abs/2103.14031"),l(te,"rel","nofollow"),l(re,"href","https://www.image-net.org/challenges/LSVRC"),l(re,"rel","nofollow"),l(ae,"href","https://github.com/NVlabs/ffhq-dataset"),l(ae,"rel","nofollow"),l(ne,"href","http://places2.csail.mit.edu/"),l(ne,"rel","nofollow"),l(se,"href","https://huggingface.co/sheonhan"),l(se,"rel","nofollow"),l(ie,"href","https://github.com/raywzy/ICT"),l(ie,"rel","nofollow"),l(H,"id","transformers.IctConfig"),l(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(H,"href","#transformers.IctConfig"),l(A,"class","relative group"),l($e,"href","/docs/transformers/pr_21990/en/model_doc/ict#transformers.IctModel"),l(de,"href","https://huggingface.co/sheonhan/ict-imagenet-256"),l(de,"rel","nofollow"),l(xe,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),l(ze,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(G,"id","transformers.IctImageProcessor"),l(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(G,"href","#transformers.IctImageProcessor"),l(D,"class","relative group"),l(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(J,"id","transformers.IctModel"),l(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(J,"href","#transformers.IctModel"),l(L,"class","relative group"),l(Ce,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),l(ve,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(ve,"rel","nofollow"),l(Pe,"href","/docs/transformers/pr_21990/en/model_doc/ict#transformers.IctModel"),l(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){o(document.head,f),h(e,b,d),h(e,u,d),o(u,g),o(g,v),w(c,v,null),o(u,_),o(u,O),o(O,wo),h(e,Ke,d),h(e,M,d),o(M,U),o(U,je),w(oe,je,null),o(M,To),o(M,Re),o(Re,$o),h(e,eo,d),h(e,B,d),o(B,xo),o(B,te),o(te,zo),o(B,Co),h(e,oo,d),h(e,ye,d),o(ye,Po),h(e,to,d),h(e,we,d),o(we,De),o(De,ko),h(e,ro,d),h(e,Te,d),o(Te,Eo),h(e,ao,d),h(e,N,d),o(N,Le),o(Le,No),o(N,qo),o(N,Se),o(Se,Mo),o(N,Ao),o(N,k),o(k,jo),o(k,re),o(re,Ro),o(k,Do),o(k,ae),o(ae,Lo),o(k,So),o(k,ne),o(ne,Fo),o(k,Oo),h(e,no,d),h(e,q,d),o(q,Uo),o(q,se),o(se,Bo),o(q,Ho),o(q,ie),o(ie,Wo),o(q,Go),h(e,so,d),h(e,A,d),o(A,H),o(H,Fe),w(le,Fe,null),o(A,Vo),o(A,Oe),o(Oe,Jo),h(e,io,d),h(e,z,d),w(ce,z,null),o(z,Zo),o(z,j),o(j,Qo),o(j,$e),o($e,Yo),o(j,Xo),o(j,de),o(de,Ko),o(j,et),o(z,ot),o(z,R),o(R,tt),o(R,xe),o(xe,rt),o(R,at),o(R,ze),o(ze,nt),o(R,st),o(z,it),w(W,z,null),h(e,lo,d),h(e,D,d),o(D,G),o(G,Ue),w(me,Ue,null),o(D,lt),o(D,Be),o(Be,ct),h(e,co,d),h(e,E,d),w(pe,E,null),o(E,dt),o(E,He),o(He,mt),o(E,pt),o(E,V),w(he,V,null),o(V,ht),o(V,We),o(We,ft),h(e,mo,d),h(e,L,d),o(L,J),o(J,Ge),w(fe,Ge,null),o(L,gt),o(L,Ve),o(Ve,ut),h(e,po,d),h(e,C,d),w(ge,C,null),o(C,_t),o(C,ue),o(ue,vt),o(ue,Ce),o(Ce,bt),o(ue,It),o(C,yt),o(C,_e),o(_e,wt),o(_e,ve),o(ve,Tt),o(_e,$t),o(C,xt),o(C,P),w(be,P,null),o(P,zt),o(P,S),o(S,Ct),o(S,Pe),o(Pe,Pt),o(S,kt),o(S,Je),o(Je,Et),o(S,Nt),o(P,qt),w(Z,P,null),o(P,Mt),w(Q,P,null),ho=!0},p(e,[d]){const Ie={};d&2&&(Ie.$$scope={dirty:d,ctx:e}),W.$set(Ie);const Ze={};d&2&&(Ze.$$scope={dirty:d,ctx:e}),Z.$set(Ze);const Qe={};d&2&&(Qe.$$scope={dirty:d,ctx:e}),Q.$set(Qe)},i(e){ho||(T(c.$$.fragment,e),T(oe.$$.fragment,e),T(le.$$.fragment,e),T(ce.$$.fragment,e),T(W.$$.fragment,e),T(me.$$.fragment,e),T(pe.$$.fragment,e),T(he.$$.fragment,e),T(fe.$$.fragment,e),T(ge.$$.fragment,e),T(be.$$.fragment,e),T(Z.$$.fragment,e),T(Q.$$.fragment,e),ho=!0)},o(e){$(c.$$.fragment,e),$(oe.$$.fragment,e),$(le.$$.fragment,e),$(ce.$$.fragment,e),$(W.$$.fragment,e),$(me.$$.fragment,e),$(pe.$$.fragment,e),$(he.$$.fragment,e),$(fe.$$.fragment,e),$(ge.$$.fragment,e),$(be.$$.fragment,e),$(Z.$$.fragment,e),$(Q.$$.fragment,e),ho=!1},d(e){t(f),e&&t(b),e&&t(u),x(c),e&&t(Ke),e&&t(M),x(oe),e&&t(eo),e&&t(B),e&&t(oo),e&&t(ye),e&&t(to),e&&t(we),e&&t(ro),e&&t(Te),e&&t(ao),e&&t(N),e&&t(no),e&&t(q),e&&t(so),e&&t(A),x(le),e&&t(io),e&&t(z),x(ce),x(W),e&&t(lo),e&&t(D),x(me),e&&t(co),e&&t(E),x(pe),x(he),e&&t(mo),e&&t(L),x(fe),e&&t(po),e&&t(C),x(ge),x(be),x(Z),x(Q)}}}const Pr={local:"ict",sections:[{local:"overview",title:"Overview"},{local:"transformers.IctConfig",title:"IctConfig"},{local:"transformers.IctImageProcessor",title:"IctImageProcessor"},{local:"transformers.IctModel",title:"IctModel"}],title:"ICT"};function kr(F){return wr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Rr extends vr{constructor(f){super();br(this,f,kr,Cr,Ir,{})}}export{Rr as default,Pr as metadata};
