import{S as Od,i as Dd,s as Ld,e as o,k as p,w as $,t as l,M as zd,c as a,d as s,m as f,a as r,x as b,h as i,b as d,N as Sd,G as e,g as _,y,q as N,o as x,B as T,v as Wd,L as ss}from"../../chunks/vendor-hf-doc-builder.js";import{T as As}from"../../chunks/Tip-hf-doc-builder.js";import{D as O}from"../../chunks/Docstring-hf-doc-builder.js";import{C as os}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as K}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as ts}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Ud}from"../../chunks/PipelineTag-hf-doc-builder.js";function Vd(F){let c,w,g,u,v;return u=new os({props:{code:`from transformers import ResNetConfig, ResNetModel

# Initializing a ResNet resnet-50 style configuration
configuration = ResNetConfig()

# Initializing a model (with random weights) from the resnet-50 style configuration
model = ResNetModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ResNetConfig, ResNetModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a ResNet resnet-50 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = ResNetConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the resnet-50 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ResNetModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=o("p"),w=l("Example:"),g=p(),$(u.$$.fragment)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Example:"),m.forEach(s),g=f(n),b(u.$$.fragment,n)},m(n,m){_(n,c,m),e(c,w),_(n,g,m),y(u,n,m),v=!0},p:ss,i(n){v||(N(u.$$.fragment,n),v=!0)},o(n){x(u.$$.fragment,n),v=!1},d(n){n&&s(c),n&&s(g),T(u,n)}}}function Hd(F){let c,w,g,u,v;return{c(){c=o("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=o("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(m,"CODE",{});var R=r(g);u=i(R,"Module"),R.forEach(s),v=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(s)},m(n,m){_(n,c,m),e(c,w),e(c,g),e(g,u),e(c,v)},d(n){n&&s(c)}}}function Jd(F){let c,w,g,u,v;return u=new os({props:{code:`from transformers import AutoImageProcessor, ResNetModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/resnet-50")
model = ResNetModel.from_pretrained("microsoft/resnet-50")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ResNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ResNetModel.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2048</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){c=o("p"),w=l("Example:"),g=p(),$(u.$$.fragment)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Example:"),m.forEach(s),g=f(n),b(u.$$.fragment,n)},m(n,m){_(n,c,m),e(c,w),_(n,g,m),y(u,n,m),v=!0},p:ss,i(n){v||(N(u.$$.fragment,n),v=!0)},o(n){x(u.$$.fragment,n),v=!1},d(n){n&&s(c),n&&s(g),T(u,n)}}}function Gd(F){let c,w,g,u,v;return{c(){c=o("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=o("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(m,"CODE",{});var R=r(g);u=i(R,"Module"),R.forEach(s),v=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(s)},m(n,m){_(n,c,m),e(c,w),e(c,g),e(g,u),e(c,v)},d(n){n&&s(c)}}}function Bd(F){let c,w,g,u,v;return u=new os({props:{code:`from transformers import AutoImageProcessor, ResNetForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/resnet-50")
model = ResNetForImageClassification.from_pretrained("microsoft/resnet-50")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ResNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ResNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tiger cat`}}),{c(){c=o("p"),w=l("Example:"),g=p(),$(u.$$.fragment)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Example:"),m.forEach(s),g=f(n),b(u.$$.fragment,n)},m(n,m){_(n,c,m),e(c,w),_(n,g,m),y(u,n,m),v=!0},p:ss,i(n){v||(N(u.$$.fragment,n),v=!0)},o(n){x(u.$$.fragment,n),v=!1},d(n){n&&s(c),n&&s(g),T(u,n)}}}function Xd(F){let c,w,g,u,v;return{c(){c=o("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=o("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(m,"CODE",{});var R=r(g);u=i(R,"Module"),R.forEach(s),v=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(s)},m(n,m){_(n,c,m),e(c,w),e(c,g),e(g,u),e(c,v)},d(n){n&&s(c)}}}function Kd(F){let c,w,g,u,v;return u=new os({props:{code:`from transformers import AutoImageProcessor, TFResNetModel
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/resnet-50")
model = TFResNetModel.from_pretrained("microsoft/resnet-50")

inputs = image_processor(image, return_tensors="tf")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFResNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFResNetModel.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2048</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){c=o("p"),w=l("Example:"),g=p(),$(u.$$.fragment)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Example:"),m.forEach(s),g=f(n),b(u.$$.fragment,n)},m(n,m){_(n,c,m),e(c,w),_(n,g,m),y(u,n,m),v=!0},p:ss,i(n){v||(N(u.$$.fragment,n),v=!0)},o(n){x(u.$$.fragment,n),v=!1},d(n){n&&s(c),n&&s(g),T(u,n)}}}function Zd(F){let c,w,g,u,v;return{c(){c=o("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=o("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(m,"CODE",{});var R=r(g);u=i(R,"Module"),R.forEach(s),v=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(s)},m(n,m){_(n,c,m),e(c,w),e(c,g),e(g,u),e(c,v)},d(n){n&&s(c)}}}function Qd(F){let c,w,g,u,v;return u=new os({props:{code:`from transformers import AutoImageProcessor, TFResNetForImageClassification
import tensorflow as tf
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/resnet-50")
model = TFResNetForImageClassification.from_pretrained("microsoft/resnet-50")

inputs = image_processor(image, return_tensors="tf")
logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = int(tf.math.argmax(logits, axis=-1))
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFResNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFResNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tiger cat`}}),{c(){c=o("p"),w=l("Example:"),g=p(),$(u.$$.fragment)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Example:"),m.forEach(s),g=f(n),b(u.$$.fragment,n)},m(n,m){_(n,c,m),e(c,w),_(n,g,m),y(u,n,m),v=!0},p:ss,i(n){v||(N(u.$$.fragment,n),v=!0)},o(n){x(u.$$.fragment,n),v=!1},d(n){n&&s(c),n&&s(g),T(u,n)}}}function Yd(F){let c,w,g,u,v;return{c(){c=o("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=o("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(m,"CODE",{});var R=r(g);u=i(R,"Module"),R.forEach(s),v=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(s)},m(n,m){_(n,c,m),e(c,w),e(c,g),e(g,u),e(c,v)},d(n){n&&s(c)}}}function ec(F){let c,w,g,u,v;return u=new os({props:{code:`from transformers import AutoImageProcessor, FlaxResNetModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
image_processor = AutoImageProcessor.from_pretrained("microsoft/resnet-50")
model = FlaxResNetModel.from_pretrained("microsoft/resnet-50")
inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxResNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxResNetModel.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=o("p"),w=l("Examples:"),g=p(),$(u.$$.fragment)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Examples:"),m.forEach(s),g=f(n),b(u.$$.fragment,n)},m(n,m){_(n,c,m),e(c,w),_(n,g,m),y(u,n,m),v=!0},p:ss,i(n){v||(N(u.$$.fragment,n),v=!0)},o(n){x(u.$$.fragment,n),v=!1},d(n){n&&s(c),n&&s(g),T(u,n)}}}function tc(F){let c,w,g,u,v;return{c(){c=o("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=o("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(m,"CODE",{});var R=r(g);u=i(R,"Module"),R.forEach(s),v=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(s)},m(n,m){_(n,c,m),e(c,w),e(c,g),e(g,u),e(c,v)},d(n){n&&s(c)}}}function sc(F){let c,w,g,u,v;return u=new os({props:{code:`from transformers import AutoImageProcessor, FlaxResNetForImageClassification
from PIL import Image
import jax
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/resnet-50")
model = FlaxResNetForImageClassification.from_pretrained("microsoft/resnet-50")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
logits = outputs.logits

# model predicts one of the 1000 ImageNet classes
predicted_class_idx = jax.numpy.argmax(logits, axis=-1)
print("Predicted class:", model.config.id2label[predicted_class_idx.item()])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxResNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxResNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/resnet-50&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = jax.numpy.argmax(logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[predicted_class_idx.item()])`}}),{c(){c=o("p"),w=l("Example:"),g=p(),$(u.$$.fragment)},l(n){c=a(n,"P",{});var m=r(c);w=i(m,"Example:"),m.forEach(s),g=f(n),b(u.$$.fragment,n)},m(n,m){_(n,c,m),e(c,w),_(n,g,m),y(u,n,m),v=!0},p:ss,i(n){v||(N(u.$$.fragment,n),v=!0)},o(n){x(u.$$.fragment,n),v=!1},d(n){n&&s(c),n&&s(g),T(u,n)}}}function oc(F){let c,w,g,u,v,n,m,R,Ca,qo,Z,he,Ms,Ke,Pa,qs,ka,Oo,E,Aa,Ze,Ma,qa,Qe,Oa,Da,Os,La,za,Ds,Sa,Wa,Ls,Ua,Va,Do,as,Ha,Lo,rs,Ja,zo,ns,zs,Ga,So,ls,Ba,Wo,is,Ye,Xa,ds,Ka,Za,Uo,ue,Qa,et,Ya,er,Vo,tt,si,Ho,D,tr,st,sr,or,ot,ar,rr,at,nr,lr,Jo,Q,ge,Ss,rt,ir,Ws,dr,Go,cs,cr,Bo,nt,Xo,_e,X,ps,pr,fr,lt,mr,hr,it,ur,gr,_r,fs,vr,ms,wr,Ko,hs,$r,Zo,Y,ve,Us,dt,br,Vs,yr,Qo,A,ct,Nr,ee,xr,us,Tr,Fr,pt,Rr,jr,Ir,te,Er,gs,Cr,Pr,_s,kr,Ar,Mr,we,Yo,se,$e,Hs,ft,qr,Js,Or,ea,H,mt,Dr,ht,Lr,ut,zr,Sr,Wr,L,gt,Ur,oe,Vr,vs,Hr,Jr,Gs,Gr,Br,Xr,be,Kr,ye,ta,ae,Ne,Bs,_t,Zr,Xs,Qr,sa,M,vt,Yr,Ks,en,tn,wt,sn,$t,on,an,rn,z,bt,nn,re,ln,ws,dn,cn,Zs,pn,fn,mn,xe,hn,Te,oa,ne,Fe,Qs,yt,un,Ys,gn,aa,J,Nt,_n,xt,vn,Tt,wn,$n,bn,S,Ft,yn,le,Nn,$s,xn,Tn,eo,Fn,Rn,jn,Re,In,je,ra,ie,Ie,to,Rt,En,so,Cn,na,q,jt,Pn,oo,kn,An,It,Mn,Et,qn,On,Dn,W,Ct,Ln,de,zn,bs,Sn,Wn,ao,Un,Vn,Hn,Ee,Jn,Ce,la,ce,Pe,ro,Pt,Gn,no,Bn,ia,j,kt,Xn,lo,Kn,Zn,At,Qn,ys,Yn,el,tl,Mt,sl,qt,ol,al,rl,io,nl,ll,G,co,Ot,il,dl,po,Dt,cl,pl,fo,Lt,fl,ml,mo,zt,hl,ul,U,St,gl,pe,_l,ho,vl,wl,uo,$l,bl,yl,ke,Nl,Ae,da,fe,Me,go,Wt,xl,_o,Tl,ca,I,Ut,Fl,vo,Rl,jl,Vt,Il,Ns,El,Cl,Pl,Ht,kl,Jt,Al,Ml,ql,wo,Ol,Dl,B,$o,Gt,Ll,zl,bo,Bt,Sl,Wl,yo,Xt,Ul,Vl,No,Kt,Hl,Jl,V,Zt,Gl,me,Bl,xo,Xl,Kl,To,Zl,Ql,Yl,qe,ei,Oe,pa;return n=new K({}),Ke=new K({}),rt=new K({}),nt=new Ud({props:{pipeline:"image-classification"}}),dt=new K({}),ct=new O({props:{name:"class transformers.ResNetConfig",anchor:"transformers.ResNetConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"embedding_size",val:" = 64"},{name:"hidden_sizes",val:" = [256, 512, 1024, 2048]"},{name:"depths",val:" = [3, 4, 6, 3]"},{name:"layer_type",val:" = 'bottleneck'"},{name:"hidden_act",val:" = 'relu'"},{name:"downsample_in_first_stage",val:" = False"},{name:"out_features",val:" = None"},{name:"out_indices",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ResNetConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.ResNetConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality (hidden size) for the embedding layer.`,name:"embedding_size"},{anchor:"transformers.ResNetConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[256, 512, 1024, 2048]</code>) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.ResNetConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 4, 6, 3]</code>) &#x2014;
Depth (number of layers) for each stage.`,name:"depths"},{anchor:"transformers.ResNetConfig.layer_type",description:`<strong>layer_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;bottleneck&quot;</code>) &#x2014;
The layer to use, it can be either <code>&quot;basic&quot;</code> (used for smaller models, like resnet-18 or resnet-34) or
<code>&quot;bottleneck&quot;</code> (used for larger models like resnet-50 and above).`,name:"layer_type"},{anchor:"transformers.ResNetConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
The non-linear activation function in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code>
are supported.`,name:"hidden_act"},{anchor:"transformers.ResNetConfig.downsample_in_first_stage",description:`<strong>downsample_in_first_stage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the first stage will downsample the inputs using a <code>stride</code> of 2.`,name:"downsample_in_first_stage"},{anchor:"transformers.ResNetConfig.out_features",description:`<strong>out_features</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of features to output. Can be any of <code>&quot;stem&quot;</code>, <code>&quot;stage1&quot;</code>, <code>&quot;stage2&quot;</code>, etc.
(depending on how many stages the model has). If unset and <code>out_indices</code> is set, will default to the
corresponding stages. If unset and <code>out_indices</code> is unset, will default to the last stage.`,name:"out_features"},{anchor:"transformers.ResNetConfig.out_indices",description:`<strong>out_indices</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of indices of features to output. Can be any of 0, 1, 2, etc. (depending on how
many stages the model has). If unset and <code>out_features</code> is set, will default to the corresponding stages.
If unset and <code>out_features</code> is unset, will default to the last stage.`,name:"out_indices"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/configuration_resnet.py#L35"}}),we=new ts({props:{anchor:"transformers.ResNetConfig.example",$$slots:{default:[Vd]},$$scope:{ctx:F}}}),ft=new K({}),mt=new O({props:{name:"class transformers.ResNetModel",anchor:"transformers.ResNetModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ResNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig">ResNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_resnet.py#L303"}}),gt=new O({props:{name:"forward",anchor:"transformers.ResNetModel.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ResNetModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21990/en/model_doc/dpt#transformers.DPTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ResNetModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ResNetModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_resnet.py#L313",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig"
>ResNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),be=new As({props:{$$slots:{default:[Hd]},$$scope:{ctx:F}}}),ye=new ts({props:{anchor:"transformers.ResNetModel.forward.example",$$slots:{default:[Jd]},$$scope:{ctx:F}}}),_t=new K({}),vt=new O({props:{name:"class transformers.ResNetForImageClassification",anchor:"transformers.ResNetForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ResNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig">ResNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_resnet.py#L356"}}),bt=new O({props:{name:"forward",anchor:"transformers.ResNetForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ResNetForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21990/en/model_doc/dpt#transformers.DPTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ResNetForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ResNetForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ResNetForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_resnet.py#L369",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig"
>ResNetConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xe=new As({props:{$$slots:{default:[Gd]},$$scope:{ctx:F}}}),Te=new ts({props:{anchor:"transformers.ResNetForImageClassification.forward.example",$$slots:{default:[Bd]},$$scope:{ctx:F}}}),yt=new K({}),Nt=new O({props:{name:"class transformers.TFResNetModel",anchor:"transformers.TFResNetModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFResNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig">ResNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_tf_resnet.py#L388"}}),Ft=new O({props:{name:"call",anchor:"transformers.TFResNetModel.call",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFResNetModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21990/en/model_doc/dpt#transformers.DPTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFResNetModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFResNetModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_tf_resnet.py#L393",returnDescription:`
<p>A <code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig"
>ResNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings, if the model has an embedding layer, + one for
the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(tf.Tensor)</code></p>
`}}),Re=new As({props:{$$slots:{default:[Xd]},$$scope:{ctx:F}}}),je=new ts({props:{anchor:"transformers.TFResNetModel.call.example",$$slots:{default:[Kd]},$$scope:{ctx:F}}}),Rt=new K({}),jt=new O({props:{name:"class transformers.TFResNetForImageClassification",anchor:"transformers.TFResNetForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFResNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig">ResNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_tf_resnet.py#L440"}}),Ct=new O({props:{name:"call",anchor:"transformers.TFResNetForImageClassification.call",parameters:[{name:"pixel_values",val:": Tensor = None"},{name:"labels",val:": Tensor = None"},{name:"output_hidden_states",val:": bool = None"},{name:"return_dict",val:": bool = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFResNetForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21990/en/model_doc/dpt#transformers.DPTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFResNetForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFResNetForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFResNetForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_tf_resnet.py#L457",returnDescription:`
<p>A <code>transformers.modeling_tf_outputs.TFImageClassifierOutputWithNoAttention</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig"
>ResNetConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings, if the model has an embedding layer, + one for
the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called
feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_tf_outputs.TFImageClassifierOutputWithNoAttention</code> or <code>tuple(tf.Tensor)</code></p>
`}}),Ee=new As({props:{$$slots:{default:[Zd]},$$scope:{ctx:F}}}),Ce=new ts({props:{anchor:"transformers.TFResNetForImageClassification.call.example",$$slots:{default:[Qd]},$$scope:{ctx:F}}}),Pt=new K({}),kt=new O({props:{name:"class transformers.FlaxResNetModel",anchor:"transformers.FlaxResNetModel",parameters:[{name:"config",val:": ResNetConfig"},{name:"input_shape",val:" = (1, 224, 224, 3)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxResNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig">ResNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxResNetModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_flax_resnet.py#L580"}}),St=new O({props:{name:"__call__",anchor:"transformers.FlaxResNetModel.__call__",parameters:[{name:"pixel_values",val:""},{name:"params",val:": dict = None"},{name:"train",val:": bool = False"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_flax_resnet.py#L488",returnDescription:`
<p>A <code>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.resnet.configuration_resnet.ResNetConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</li>
<li><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</li>
<li><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings, if the model has an embedding layer, + one
for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states of the
model at the output of each layer plus the optional initial embedding outputs.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ke=new As({props:{$$slots:{default:[Yd]},$$scope:{ctx:F}}}),Ae=new ts({props:{anchor:"transformers.FlaxResNetModel.__call__.example",$$slots:{default:[ec]},$$scope:{ctx:F}}}),Wt=new K({}),Ut=new O({props:{name:"class transformers.FlaxResNetForImageClassification",anchor:"transformers.FlaxResNetForImageClassification",parameters:[{name:"config",val:": ResNetConfig"},{name:"input_shape",val:" = (1, 224, 224, 3)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxResNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetConfig">ResNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxResNetForImageClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_flax_resnet.py#L667"}}),Zt=new O({props:{name:"__call__",anchor:"transformers.FlaxResNetForImageClassification.__call__",parameters:[{name:"pixel_values",val:""},{name:"params",val:": dict = None"},{name:"train",val:": bool = False"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/resnet/modeling_flax_resnet.py#L488",returnDescription:`
<p>A <code>transformers.modeling_flax_outputs.FlaxImageClassifierOutputWithNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.resnet.configuration_resnet.ResNetConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when</li>
<li><strong><code>config.output_hidden_states=True</code>):</strong>
Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings, if the model has an embedding layer, + one
for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_flax_outputs.FlaxImageClassifierOutputWithNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qe=new As({props:{$$slots:{default:[tc]},$$scope:{ctx:F}}}),Oe=new ts({props:{anchor:"transformers.FlaxResNetForImageClassification.__call__.example",$$slots:{default:[sc]},$$scope:{ctx:F}}}),{c(){c=o("meta"),w=p(),g=o("h1"),u=o("a"),v=o("span"),$(n.$$.fragment),m=p(),R=o("span"),Ca=l("ResNet"),qo=p(),Z=o("h2"),he=o("a"),Ms=o("span"),$(Ke.$$.fragment),Pa=p(),qs=o("span"),ka=l("Overview"),Oo=p(),E=o("p"),Aa=l("The ResNet model was proposed in "),Ze=o("a"),Ma=l("Deep Residual Learning for Image Recognition"),qa=l(" by Kaiming He, Xiangyu Zhang, Shaoqing Ren and Jian Sun. Our implementation follows the small changes made by "),Qe=o("a"),Oa=l("Nvidia"),Da=l(", we apply the "),Os=o("code"),La=l("stride=2"),za=l(" for downsampling in bottleneck\u2019s "),Ds=o("code"),Sa=l("3x3"),Wa=l(" conv and not in the first "),Ls=o("code"),Ua=l("1x1"),Va=l(". This is generally known as \u201CResNet v1.5\u201D."),Do=p(),as=o("p"),Ha=l("ResNet introduced residual connections, they allow to train networks with an unseen number of layers (up to 1000). ResNet won the 2015 ILSVRC & COCO competition, one important milestone in deep computer vision."),Lo=p(),rs=o("p"),Ja=l("The abstract from the paper is the following:"),zo=p(),ns=o("p"),zs=o("em"),Ga=l(`Deeper neural networks are more difficult to train. We present a residual learning framework to ease the training of networks that are substantially deeper than those used previously. We explicitly reformulate the layers as learning residual functions with reference to the layer inputs, instead of learning unreferenced functions. We provide comprehensive empirical evidence showing that these residual networks are easier to optimize, and can gain accuracy from considerably increased depth. On the ImageNet dataset we evaluate residual nets with a depth of up to 152 layers---8x deeper than VGG nets but still having lower complexity. An ensemble of these residual nets achieves 3.57% error on the ImageNet test set. This result won the 1st place on the ILSVRC 2015 classification task. We also present analysis on CIFAR-10 with 100 and 1000 layers.
The depth of representations is of central importance for many visual recognition tasks. Solely due to our extremely deep representations, we obtain a 28% relative improvement on the COCO object detection dataset. Deep residual nets are foundations of our submissions to ILSVRC & COCO 2015 competitions, where we also won the 1st places on the tasks of ImageNet detection, ImageNet localization, COCO detection, and COCO segmentation.`),So=p(),ls=o("p"),Ba=l("Tips:"),Wo=p(),is=o("ul"),Ye=o("li"),Xa=l("One can use "),ds=o("a"),Ka=l("AutoImageProcessor"),Za=l(" to prepare images for the model."),Uo=p(),ue=o("p"),Qa=l("The figure below illustrates the architecture of ResNet. Taken from the "),et=o("a"),Ya=l("original paper"),er=l("."),Vo=p(),tt=o("img"),Ho=p(),D=o("p"),tr=l("This model was contributed by "),st=o("a"),sr=l("Francesco"),or=l(". The TensorFlow version of this model was added by "),ot=o("a"),ar=l("amyeroberts"),rr=l(". The original code can be found "),at=o("a"),nr=l("here"),lr=l("."),Jo=p(),Q=o("h2"),ge=o("a"),Ss=o("span"),$(rt.$$.fragment),ir=p(),Ws=o("span"),dr=l("Resources"),Go=p(),cs=o("p"),cr=l("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ResNet."),Bo=p(),$(nt.$$.fragment),Xo=p(),_e=o("ul"),X=o("li"),ps=o("a"),pr=l("ResNetForImageClassification"),fr=l(" is supported by this "),lt=o("a"),mr=l("example script"),hr=l(" and "),it=o("a"),ur=l("notebook"),gr=l("."),_r=p(),fs=o("li"),vr=l("See also: "),ms=o("a"),wr=l("Image classification task guide"),Ko=p(),hs=o("p"),$r=l("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Zo=p(),Y=o("h2"),ve=o("a"),Us=o("span"),$(dt.$$.fragment),br=p(),Vs=o("span"),yr=l("ResNetConfig"),Qo=p(),A=o("div"),$(ct.$$.fragment),Nr=p(),ee=o("p"),xr=l("This is the configuration class to store the configuration of a "),us=o("a"),Tr=l("ResNetModel"),Fr=l(`. It is used to instantiate an
ResNet model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ResNet
`),pt=o("a"),Rr=l("microsoft/resnet-50"),jr=l(" architecture."),Ir=p(),te=o("p"),Er=l("Configuration objects inherit from "),gs=o("a"),Cr=l("PretrainedConfig"),Pr=l(` and can be used to control the model outputs. Read the
documentation from `),_s=o("a"),kr=l("PretrainedConfig"),Ar=l(" for more information."),Mr=p(),$(we.$$.fragment),Yo=p(),se=o("h2"),$e=o("a"),Hs=o("span"),$(ft.$$.fragment),qr=p(),Js=o("span"),Or=l("ResNetModel"),ea=p(),H=o("div"),$(mt.$$.fragment),Dr=p(),ht=o("p"),Lr=l(`The bare ResNet model outputting raw features without any specific head on top.
This model is a PyTorch `),ut=o("a"),zr=l("torch.nn.Module"),Sr=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Wr=p(),L=o("div"),$(gt.$$.fragment),Ur=p(),oe=o("p"),Vr=l("The "),vs=o("a"),Hr=l("ResNetModel"),Jr=l(" forward method, overrides the "),Gs=o("code"),Gr=l("__call__"),Br=l(" special method."),Xr=p(),$(be.$$.fragment),Kr=p(),$(ye.$$.fragment),ta=p(),ae=o("h2"),Ne=o("a"),Bs=o("span"),$(_t.$$.fragment),Zr=p(),Xs=o("span"),Qr=l("ResNetForImageClassification"),sa=p(),M=o("div"),$(vt.$$.fragment),Yr=p(),Ks=o("p"),en=l(`ResNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),tn=p(),wt=o("p"),sn=l("This model is a PyTorch "),$t=o("a"),on=l("torch.nn.Module"),an=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),rn=p(),z=o("div"),$(bt.$$.fragment),nn=p(),re=o("p"),ln=l("The "),ws=o("a"),dn=l("ResNetForImageClassification"),cn=l(" forward method, overrides the "),Zs=o("code"),pn=l("__call__"),fn=l(" special method."),mn=p(),$(xe.$$.fragment),hn=p(),$(Te.$$.fragment),oa=p(),ne=o("h2"),Fe=o("a"),Qs=o("span"),$(yt.$$.fragment),un=p(),Ys=o("span"),gn=l("TFResNetModel"),aa=p(),J=o("div"),$(Nt.$$.fragment),_n=p(),xt=o("p"),vn=l(`The bare ResNet model outputting raw features without any specific head on top.
This model is a TensorFlow
`),Tt=o("a"),wn=l("tf.keras.layers.Layer"),$n=l(` sub-class. Use it as a
regular TensorFlow Module and refer to the TensorFlow documentation for all matter related to general usage and
behavior.`),bn=p(),S=o("div"),$(Ft.$$.fragment),yn=p(),le=o("p"),Nn=l("The "),$s=o("a"),xn=l("TFResNetModel"),Tn=l(" forward method, overrides the "),eo=o("code"),Fn=l("__call__"),Rn=l(" special method."),jn=p(),$(Re.$$.fragment),In=p(),$(je.$$.fragment),ra=p(),ie=o("h2"),Ie=o("a"),to=o("span"),$(Rt.$$.fragment),En=p(),so=o("span"),Cn=l("TFResNetForImageClassification"),na=p(),q=o("div"),$(jt.$$.fragment),Pn=p(),oo=o("p"),kn=l(`ResNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),An=p(),It=o("p"),Mn=l(`This model is a TensorFlow
`),Et=o("a"),qn=l("tf.keras.layers.Layer"),On=l(` sub-class. Use it as a
regular TensorFlow Module and refer to the TensorFlow documentation for all matter related to general usage and
behavior.`),Dn=p(),W=o("div"),$(Ct.$$.fragment),Ln=p(),de=o("p"),zn=l("The "),bs=o("a"),Sn=l("TFResNetForImageClassification"),Wn=l(" forward method, overrides the "),ao=o("code"),Un=l("__call__"),Vn=l(" special method."),Hn=p(),$(Ee.$$.fragment),Jn=p(),$(Ce.$$.fragment),la=p(),ce=o("h2"),Pe=o("a"),ro=o("span"),$(Pt.$$.fragment),Gn=p(),no=o("span"),Bn=l("FlaxResNetModel"),ia=p(),j=o("div"),$(kt.$$.fragment),Xn=p(),lo=o("p"),Kn=l("The bare ResNet model outputting raw features without any specific head on top."),Zn=p(),At=o("p"),Qn=l("This model inherits from "),ys=o("a"),Yn=l("FlaxPreTrainedModel"),el=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),tl=p(),Mt=o("p"),sl=l("This model is also a Flax Linen "),qt=o("a"),ol=l("flax.linen.Module"),al=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),rl=p(),io=o("p"),nl=l("Finally, this model supports inherent JAX features such as:"),ll=p(),G=o("ul"),co=o("li"),Ot=o("a"),il=l("Just-In-Time (JIT) compilation"),dl=p(),po=o("li"),Dt=o("a"),cl=l("Automatic Differentiation"),pl=p(),fo=o("li"),Lt=o("a"),fl=l("Vectorization"),ml=p(),mo=o("li"),zt=o("a"),hl=l("Parallelization"),ul=p(),U=o("div"),$(St.$$.fragment),gl=p(),pe=o("p"),_l=l("The "),ho=o("code"),vl=l("FlaxResNetPreTrainedModel"),wl=l(" forward method, overrides the "),uo=o("code"),$l=l("__call__"),bl=l(" special method."),yl=p(),$(ke.$$.fragment),Nl=p(),$(Ae.$$.fragment),da=p(),fe=o("h2"),Me=o("a"),go=o("span"),$(Wt.$$.fragment),xl=p(),_o=o("span"),Tl=l("FlaxResNetForImageClassification"),ca=p(),I=o("div"),$(Ut.$$.fragment),Fl=p(),vo=o("p"),Rl=l(`ResNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),jl=p(),Vt=o("p"),Il=l("This model inherits from "),Ns=o("a"),El=l("FlaxPreTrainedModel"),Cl=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Pl=p(),Ht=o("p"),kl=l("This model is also a Flax Linen "),Jt=o("a"),Al=l("flax.linen.Module"),Ml=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),ql=p(),wo=o("p"),Ol=l("Finally, this model supports inherent JAX features such as:"),Dl=p(),B=o("ul"),$o=o("li"),Gt=o("a"),Ll=l("Just-In-Time (JIT) compilation"),zl=p(),bo=o("li"),Bt=o("a"),Sl=l("Automatic Differentiation"),Wl=p(),yo=o("li"),Xt=o("a"),Ul=l("Vectorization"),Vl=p(),No=o("li"),Kt=o("a"),Hl=l("Parallelization"),Jl=p(),V=o("div"),$(Zt.$$.fragment),Gl=p(),me=o("p"),Bl=l("The "),xo=o("code"),Xl=l("FlaxResNetPreTrainedModel"),Kl=l(" forward method, overrides the "),To=o("code"),Zl=l("__call__"),Ql=l(" special method."),Yl=p(),$(qe.$$.fragment),ei=p(),$(Oe.$$.fragment),this.h()},l(t){const h=zd('[data-svelte="svelte-1phssyn"]',document.head);c=a(h,"META",{name:!0,content:!0}),h.forEach(s),w=f(t),g=a(t,"H1",{class:!0});var Qt=r(g);u=a(Qt,"A",{id:!0,class:!0,href:!0});var Fo=r(u);v=a(Fo,"SPAN",{});var Ro=r(v);b(n.$$.fragment,Ro),Ro.forEach(s),Fo.forEach(s),m=f(Qt),R=a(Qt,"SPAN",{});var jo=r(R);Ca=i(jo,"ResNet"),jo.forEach(s),Qt.forEach(s),qo=f(t),Z=a(t,"H2",{class:!0});var Yt=r(Z);he=a(Yt,"A",{id:!0,class:!0,href:!0});var Io=r(he);Ms=a(Io,"SPAN",{});var Eo=r(Ms);b(Ke.$$.fragment,Eo),Eo.forEach(s),Io.forEach(s),Pa=f(Yt),qs=a(Yt,"SPAN",{});var Co=r(qs);ka=i(Co,"Overview"),Co.forEach(s),Yt.forEach(s),Oo=f(t),E=a(t,"P",{});var C=r(E);Aa=i(C,"The ResNet model was proposed in "),Ze=a(C,"A",{href:!0,rel:!0});var Po=r(Ze);Ma=i(Po,"Deep Residual Learning for Image Recognition"),Po.forEach(s),qa=i(C," by Kaiming He, Xiangyu Zhang, Shaoqing Ren and Jian Sun. Our implementation follows the small changes made by "),Qe=a(C,"A",{href:!0,rel:!0});var ko=r(Qe);Oa=i(ko,"Nvidia"),ko.forEach(s),Da=i(C,", we apply the "),Os=a(C,"CODE",{});var Ao=r(Os);La=i(Ao,"stride=2"),Ao.forEach(s),za=i(C," for downsampling in bottleneck\u2019s "),Ds=a(C,"CODE",{});var Mo=r(Ds);Sa=i(Mo,"3x3"),Mo.forEach(s),Wa=i(C," conv and not in the first "),Ls=a(C,"CODE",{});var oi=r(Ls);Ua=i(oi,"1x1"),oi.forEach(s),Va=i(C,". This is generally known as \u201CResNet v1.5\u201D."),C.forEach(s),Do=f(t),as=a(t,"P",{});var ai=r(as);Ha=i(ai,"ResNet introduced residual connections, they allow to train networks with an unseen number of layers (up to 1000). ResNet won the 2015 ILSVRC & COCO competition, one important milestone in deep computer vision."),ai.forEach(s),Lo=f(t),rs=a(t,"P",{});var ri=r(rs);Ja=i(ri,"The abstract from the paper is the following:"),ri.forEach(s),zo=f(t),ns=a(t,"P",{});var ni=r(ns);zs=a(ni,"EM",{});var li=r(zs);Ga=i(li,`Deeper neural networks are more difficult to train. We present a residual learning framework to ease the training of networks that are substantially deeper than those used previously. We explicitly reformulate the layers as learning residual functions with reference to the layer inputs, instead of learning unreferenced functions. We provide comprehensive empirical evidence showing that these residual networks are easier to optimize, and can gain accuracy from considerably increased depth. On the ImageNet dataset we evaluate residual nets with a depth of up to 152 layers---8x deeper than VGG nets but still having lower complexity. An ensemble of these residual nets achieves 3.57% error on the ImageNet test set. This result won the 1st place on the ILSVRC 2015 classification task. We also present analysis on CIFAR-10 with 100 and 1000 layers.
The depth of representations is of central importance for many visual recognition tasks. Solely due to our extremely deep representations, we obtain a 28% relative improvement on the COCO object detection dataset. Deep residual nets are foundations of our submissions to ILSVRC & COCO 2015 competitions, where we also won the 1st places on the tasks of ImageNet detection, ImageNet localization, COCO detection, and COCO segmentation.`),li.forEach(s),ni.forEach(s),So=f(t),ls=a(t,"P",{});var ii=r(ls);Ba=i(ii,"Tips:"),ii.forEach(s),Wo=f(t),is=a(t,"UL",{});var di=r(is);Ye=a(di,"LI",{});var fa=r(Ye);Xa=i(fa,"One can use "),ds=a(fa,"A",{href:!0});var ci=r(ds);Ka=i(ci,"AutoImageProcessor"),ci.forEach(s),Za=i(fa," to prepare images for the model."),fa.forEach(s),di.forEach(s),Uo=f(t),ue=a(t,"P",{});var ma=r(ue);Qa=i(ma,"The figure below illustrates the architecture of ResNet. Taken from the "),et=a(ma,"A",{href:!0,rel:!0});var pi=r(et);Ya=i(pi,"original paper"),pi.forEach(s),er=i(ma,"."),ma.forEach(s),Vo=f(t),tt=a(t,"IMG",{width:!0,src:!0}),Ho=f(t),D=a(t,"P",{});var De=r(D);tr=i(De,"This model was contributed by "),st=a(De,"A",{href:!0,rel:!0});var fi=r(st);sr=i(fi,"Francesco"),fi.forEach(s),or=i(De,". The TensorFlow version of this model was added by "),ot=a(De,"A",{href:!0,rel:!0});var mi=r(ot);ar=i(mi,"amyeroberts"),mi.forEach(s),rr=i(De,". The original code can be found "),at=a(De,"A",{href:!0,rel:!0});var hi=r(at);nr=i(hi,"here"),hi.forEach(s),lr=i(De,"."),De.forEach(s),Jo=f(t),Q=a(t,"H2",{class:!0});var ha=r(Q);ge=a(ha,"A",{id:!0,class:!0,href:!0});var ui=r(ge);Ss=a(ui,"SPAN",{});var gi=r(Ss);b(rt.$$.fragment,gi),gi.forEach(s),ui.forEach(s),ir=f(ha),Ws=a(ha,"SPAN",{});var _i=r(Ws);dr=i(_i,"Resources"),_i.forEach(s),ha.forEach(s),Go=f(t),cs=a(t,"P",{});var vi=r(cs);cr=i(vi,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ResNet."),vi.forEach(s),Bo=f(t),b(nt.$$.fragment,t),Xo=f(t),_e=a(t,"UL",{});var ua=r(_e);X=a(ua,"LI",{});var es=r(X);ps=a(es,"A",{href:!0});var wi=r(ps);pr=i(wi,"ResNetForImageClassification"),wi.forEach(s),fr=i(es," is supported by this "),lt=a(es,"A",{href:!0,rel:!0});var $i=r(lt);mr=i($i,"example script"),$i.forEach(s),hr=i(es," and "),it=a(es,"A",{href:!0,rel:!0});var bi=r(it);ur=i(bi,"notebook"),bi.forEach(s),gr=i(es,"."),es.forEach(s),_r=f(ua),fs=a(ua,"LI",{});var ti=r(fs);vr=i(ti,"See also: "),ms=a(ti,"A",{href:!0});var yi=r(ms);wr=i(yi,"Image classification task guide"),yi.forEach(s),ti.forEach(s),ua.forEach(s),Ko=f(t),hs=a(t,"P",{});var Ni=r(hs);$r=i(Ni,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ni.forEach(s),Zo=f(t),Y=a(t,"H2",{class:!0});var ga=r(Y);ve=a(ga,"A",{id:!0,class:!0,href:!0});var xi=r(ve);Us=a(xi,"SPAN",{});var Ti=r(Us);b(dt.$$.fragment,Ti),Ti.forEach(s),xi.forEach(s),br=f(ga),Vs=a(ga,"SPAN",{});var Fi=r(Vs);yr=i(Fi,"ResNetConfig"),Fi.forEach(s),ga.forEach(s),Qo=f(t),A=a(t,"DIV",{class:!0});var Le=r(A);b(ct.$$.fragment,Le),Nr=f(Le),ee=a(Le,"P",{});var xs=r(ee);xr=i(xs,"This is the configuration class to store the configuration of a "),us=a(xs,"A",{href:!0});var Ri=r(us);Tr=i(Ri,"ResNetModel"),Ri.forEach(s),Fr=i(xs,`. It is used to instantiate an
ResNet model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ResNet
`),pt=a(xs,"A",{href:!0,rel:!0});var ji=r(pt);Rr=i(ji,"microsoft/resnet-50"),ji.forEach(s),jr=i(xs," architecture."),xs.forEach(s),Ir=f(Le),te=a(Le,"P",{});var Ts=r(te);Er=i(Ts,"Configuration objects inherit from "),gs=a(Ts,"A",{href:!0});var Ii=r(gs);Cr=i(Ii,"PretrainedConfig"),Ii.forEach(s),Pr=i(Ts,` and can be used to control the model outputs. Read the
documentation from `),_s=a(Ts,"A",{href:!0});var Ei=r(_s);kr=i(Ei,"PretrainedConfig"),Ei.forEach(s),Ar=i(Ts," for more information."),Ts.forEach(s),Mr=f(Le),b(we.$$.fragment,Le),Le.forEach(s),Yo=f(t),se=a(t,"H2",{class:!0});var _a=r(se);$e=a(_a,"A",{id:!0,class:!0,href:!0});var Ci=r($e);Hs=a(Ci,"SPAN",{});var Pi=r(Hs);b(ft.$$.fragment,Pi),Pi.forEach(s),Ci.forEach(s),qr=f(_a),Js=a(_a,"SPAN",{});var ki=r(Js);Or=i(ki,"ResNetModel"),ki.forEach(s),_a.forEach(s),ea=f(t),H=a(t,"DIV",{class:!0});var Fs=r(H);b(mt.$$.fragment,Fs),Dr=f(Fs),ht=a(Fs,"P",{});var va=r(ht);Lr=i(va,`The bare ResNet model outputting raw features without any specific head on top.
This model is a PyTorch `),ut=a(va,"A",{href:!0,rel:!0});var Ai=r(ut);zr=i(Ai,"torch.nn.Module"),Ai.forEach(s),Sr=i(va,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),va.forEach(s),Wr=f(Fs),L=a(Fs,"DIV",{class:!0});var ze=r(L);b(gt.$$.fragment,ze),Ur=f(ze),oe=a(ze,"P",{});var Rs=r(oe);Vr=i(Rs,"The "),vs=a(Rs,"A",{href:!0});var Mi=r(vs);Hr=i(Mi,"ResNetModel"),Mi.forEach(s),Jr=i(Rs," forward method, overrides the "),Gs=a(Rs,"CODE",{});var qi=r(Gs);Gr=i(qi,"__call__"),qi.forEach(s),Br=i(Rs," special method."),Rs.forEach(s),Xr=f(ze),b(be.$$.fragment,ze),Kr=f(ze),b(ye.$$.fragment,ze),ze.forEach(s),Fs.forEach(s),ta=f(t),ae=a(t,"H2",{class:!0});var wa=r(ae);Ne=a(wa,"A",{id:!0,class:!0,href:!0});var Oi=r(Ne);Bs=a(Oi,"SPAN",{});var Di=r(Bs);b(_t.$$.fragment,Di),Di.forEach(s),Oi.forEach(s),Zr=f(wa),Xs=a(wa,"SPAN",{});var Li=r(Xs);Qr=i(Li,"ResNetForImageClassification"),Li.forEach(s),wa.forEach(s),sa=f(t),M=a(t,"DIV",{class:!0});var Se=r(M);b(vt.$$.fragment,Se),Yr=f(Se),Ks=a(Se,"P",{});var zi=r(Ks);en=i(zi,`ResNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),zi.forEach(s),tn=f(Se),wt=a(Se,"P",{});var $a=r(wt);sn=i($a,"This model is a PyTorch "),$t=a($a,"A",{href:!0,rel:!0});var Si=r($t);on=i(Si,"torch.nn.Module"),Si.forEach(s),an=i($a,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),$a.forEach(s),rn=f(Se),z=a(Se,"DIV",{class:!0});var We=r(z);b(bt.$$.fragment,We),nn=f(We),re=a(We,"P",{});var js=r(re);ln=i(js,"The "),ws=a(js,"A",{href:!0});var Wi=r(ws);dn=i(Wi,"ResNetForImageClassification"),Wi.forEach(s),cn=i(js," forward method, overrides the "),Zs=a(js,"CODE",{});var Ui=r(Zs);pn=i(Ui,"__call__"),Ui.forEach(s),fn=i(js," special method."),js.forEach(s),mn=f(We),b(xe.$$.fragment,We),hn=f(We),b(Te.$$.fragment,We),We.forEach(s),Se.forEach(s),oa=f(t),ne=a(t,"H2",{class:!0});var ba=r(ne);Fe=a(ba,"A",{id:!0,class:!0,href:!0});var Vi=r(Fe);Qs=a(Vi,"SPAN",{});var Hi=r(Qs);b(yt.$$.fragment,Hi),Hi.forEach(s),Vi.forEach(s),un=f(ba),Ys=a(ba,"SPAN",{});var Ji=r(Ys);gn=i(Ji,"TFResNetModel"),Ji.forEach(s),ba.forEach(s),aa=f(t),J=a(t,"DIV",{class:!0});var Is=r(J);b(Nt.$$.fragment,Is),_n=f(Is),xt=a(Is,"P",{});var ya=r(xt);vn=i(ya,`The bare ResNet model outputting raw features without any specific head on top.
This model is a TensorFlow
`),Tt=a(ya,"A",{href:!0,rel:!0});var Gi=r(Tt);wn=i(Gi,"tf.keras.layers.Layer"),Gi.forEach(s),$n=i(ya,` sub-class. Use it as a
regular TensorFlow Module and refer to the TensorFlow documentation for all matter related to general usage and
behavior.`),ya.forEach(s),bn=f(Is),S=a(Is,"DIV",{class:!0});var Ue=r(S);b(Ft.$$.fragment,Ue),yn=f(Ue),le=a(Ue,"P",{});var Es=r(le);Nn=i(Es,"The "),$s=a(Es,"A",{href:!0});var Bi=r($s);xn=i(Bi,"TFResNetModel"),Bi.forEach(s),Tn=i(Es," forward method, overrides the "),eo=a(Es,"CODE",{});var Xi=r(eo);Fn=i(Xi,"__call__"),Xi.forEach(s),Rn=i(Es," special method."),Es.forEach(s),jn=f(Ue),b(Re.$$.fragment,Ue),In=f(Ue),b(je.$$.fragment,Ue),Ue.forEach(s),Is.forEach(s),ra=f(t),ie=a(t,"H2",{class:!0});var Na=r(ie);Ie=a(Na,"A",{id:!0,class:!0,href:!0});var Ki=r(Ie);to=a(Ki,"SPAN",{});var Zi=r(to);b(Rt.$$.fragment,Zi),Zi.forEach(s),Ki.forEach(s),En=f(Na),so=a(Na,"SPAN",{});var Qi=r(so);Cn=i(Qi,"TFResNetForImageClassification"),Qi.forEach(s),Na.forEach(s),na=f(t),q=a(t,"DIV",{class:!0});var Ve=r(q);b(jt.$$.fragment,Ve),Pn=f(Ve),oo=a(Ve,"P",{});var Yi=r(oo);kn=i(Yi,`ResNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Yi.forEach(s),An=f(Ve),It=a(Ve,"P",{});var xa=r(It);Mn=i(xa,`This model is a TensorFlow
`),Et=a(xa,"A",{href:!0,rel:!0});var ed=r(Et);qn=i(ed,"tf.keras.layers.Layer"),ed.forEach(s),On=i(xa,` sub-class. Use it as a
regular TensorFlow Module and refer to the TensorFlow documentation for all matter related to general usage and
behavior.`),xa.forEach(s),Dn=f(Ve),W=a(Ve,"DIV",{class:!0});var He=r(W);b(Ct.$$.fragment,He),Ln=f(He),de=a(He,"P",{});var Cs=r(de);zn=i(Cs,"The "),bs=a(Cs,"A",{href:!0});var td=r(bs);Sn=i(td,"TFResNetForImageClassification"),td.forEach(s),Wn=i(Cs," forward method, overrides the "),ao=a(Cs,"CODE",{});var sd=r(ao);Un=i(sd,"__call__"),sd.forEach(s),Vn=i(Cs," special method."),Cs.forEach(s),Hn=f(He),b(Ee.$$.fragment,He),Jn=f(He),b(Ce.$$.fragment,He),He.forEach(s),Ve.forEach(s),la=f(t),ce=a(t,"H2",{class:!0});var Ta=r(ce);Pe=a(Ta,"A",{id:!0,class:!0,href:!0});var od=r(Pe);ro=a(od,"SPAN",{});var ad=r(ro);b(Pt.$$.fragment,ad),ad.forEach(s),od.forEach(s),Gn=f(Ta),no=a(Ta,"SPAN",{});var rd=r(no);Bn=i(rd,"FlaxResNetModel"),rd.forEach(s),Ta.forEach(s),ia=f(t),j=a(t,"DIV",{class:!0});var P=r(j);b(kt.$$.fragment,P),Xn=f(P),lo=a(P,"P",{});var nd=r(lo);Kn=i(nd,"The bare ResNet model outputting raw features without any specific head on top."),nd.forEach(s),Zn=f(P),At=a(P,"P",{});var Fa=r(At);Qn=i(Fa,"This model inherits from "),ys=a(Fa,"A",{href:!0});var ld=r(ys);Yn=i(ld,"FlaxPreTrainedModel"),ld.forEach(s),el=i(Fa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Fa.forEach(s),tl=f(P),Mt=a(P,"P",{});var Ra=r(Mt);sl=i(Ra,"This model is also a Flax Linen "),qt=a(Ra,"A",{href:!0,rel:!0});var id=r(qt);ol=i(id,"flax.linen.Module"),id.forEach(s),al=i(Ra,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ra.forEach(s),rl=f(P),io=a(P,"P",{});var dd=r(io);nl=i(dd,"Finally, this model supports inherent JAX features such as:"),dd.forEach(s),ll=f(P),G=a(P,"UL",{});var Je=r(G);co=a(Je,"LI",{});var cd=r(co);Ot=a(cd,"A",{href:!0,rel:!0});var pd=r(Ot);il=i(pd,"Just-In-Time (JIT) compilation"),pd.forEach(s),cd.forEach(s),dl=f(Je),po=a(Je,"LI",{});var fd=r(po);Dt=a(fd,"A",{href:!0,rel:!0});var md=r(Dt);cl=i(md,"Automatic Differentiation"),md.forEach(s),fd.forEach(s),pl=f(Je),fo=a(Je,"LI",{});var hd=r(fo);Lt=a(hd,"A",{href:!0,rel:!0});var ud=r(Lt);fl=i(ud,"Vectorization"),ud.forEach(s),hd.forEach(s),ml=f(Je),mo=a(Je,"LI",{});var gd=r(mo);zt=a(gd,"A",{href:!0,rel:!0});var _d=r(zt);hl=i(_d,"Parallelization"),_d.forEach(s),gd.forEach(s),Je.forEach(s),ul=f(P),U=a(P,"DIV",{class:!0});var Ge=r(U);b(St.$$.fragment,Ge),gl=f(Ge),pe=a(Ge,"P",{});var Ps=r(pe);_l=i(Ps,"The "),ho=a(Ps,"CODE",{});var vd=r(ho);vl=i(vd,"FlaxResNetPreTrainedModel"),vd.forEach(s),wl=i(Ps," forward method, overrides the "),uo=a(Ps,"CODE",{});var wd=r(uo);$l=i(wd,"__call__"),wd.forEach(s),bl=i(Ps," special method."),Ps.forEach(s),yl=f(Ge),b(ke.$$.fragment,Ge),Nl=f(Ge),b(Ae.$$.fragment,Ge),Ge.forEach(s),P.forEach(s),da=f(t),fe=a(t,"H2",{class:!0});var ja=r(fe);Me=a(ja,"A",{id:!0,class:!0,href:!0});var $d=r(Me);go=a($d,"SPAN",{});var bd=r(go);b(Wt.$$.fragment,bd),bd.forEach(s),$d.forEach(s),xl=f(ja),_o=a(ja,"SPAN",{});var yd=r(_o);Tl=i(yd,"FlaxResNetForImageClassification"),yd.forEach(s),ja.forEach(s),ca=f(t),I=a(t,"DIV",{class:!0});var k=r(I);b(Ut.$$.fragment,k),Fl=f(k),vo=a(k,"P",{});var Nd=r(vo);Rl=i(Nd,`ResNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Nd.forEach(s),jl=f(k),Vt=a(k,"P",{});var Ia=r(Vt);Il=i(Ia,"This model inherits from "),Ns=a(Ia,"A",{href:!0});var xd=r(Ns);El=i(xd,"FlaxPreTrainedModel"),xd.forEach(s),Cl=i(Ia,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ia.forEach(s),Pl=f(k),Ht=a(k,"P",{});var Ea=r(Ht);kl=i(Ea,"This model is also a Flax Linen "),Jt=a(Ea,"A",{href:!0,rel:!0});var Td=r(Jt);Al=i(Td,"flax.linen.Module"),Td.forEach(s),Ml=i(Ea,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ea.forEach(s),ql=f(k),wo=a(k,"P",{});var Fd=r(wo);Ol=i(Fd,"Finally, this model supports inherent JAX features such as:"),Fd.forEach(s),Dl=f(k),B=a(k,"UL",{});var Be=r(B);$o=a(Be,"LI",{});var Rd=r($o);Gt=a(Rd,"A",{href:!0,rel:!0});var jd=r(Gt);Ll=i(jd,"Just-In-Time (JIT) compilation"),jd.forEach(s),Rd.forEach(s),zl=f(Be),bo=a(Be,"LI",{});var Id=r(bo);Bt=a(Id,"A",{href:!0,rel:!0});var Ed=r(Bt);Sl=i(Ed,"Automatic Differentiation"),Ed.forEach(s),Id.forEach(s),Wl=f(Be),yo=a(Be,"LI",{});var Cd=r(yo);Xt=a(Cd,"A",{href:!0,rel:!0});var Pd=r(Xt);Ul=i(Pd,"Vectorization"),Pd.forEach(s),Cd.forEach(s),Vl=f(Be),No=a(Be,"LI",{});var kd=r(No);Kt=a(kd,"A",{href:!0,rel:!0});var Ad=r(Kt);Hl=i(Ad,"Parallelization"),Ad.forEach(s),kd.forEach(s),Be.forEach(s),Jl=f(k),V=a(k,"DIV",{class:!0});var Xe=r(V);b(Zt.$$.fragment,Xe),Gl=f(Xe),me=a(Xe,"P",{});var ks=r(me);Bl=i(ks,"The "),xo=a(ks,"CODE",{});var Md=r(xo);Xl=i(Md,"FlaxResNetPreTrainedModel"),Md.forEach(s),Kl=i(ks," forward method, overrides the "),To=a(ks,"CODE",{});var qd=r(To);Zl=i(qd,"__call__"),qd.forEach(s),Ql=i(ks," special method."),ks.forEach(s),Yl=f(Xe),b(qe.$$.fragment,Xe),ei=f(Xe),b(Oe.$$.fragment,Xe),Xe.forEach(s),k.forEach(s),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(ac)),d(u,"id","resnet"),d(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(u,"href","#resnet"),d(g,"class","relative group"),d(he,"id","overview"),d(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(he,"href","#overview"),d(Z,"class","relative group"),d(Ze,"href","https://arxiv.org/abs/1512.03385"),d(Ze,"rel","nofollow"),d(Qe,"href","https://catalog.ngc.nvidia.com/orgs/nvidia/resources/resnet_50_v1_5_for_pytorch"),d(Qe,"rel","nofollow"),d(ds,"href","/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor"),d(et,"href","https://arxiv.org/abs/1512.03385"),d(et,"rel","nofollow"),d(tt,"width","600"),Sd(tt.src,si="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/resnet_architecture.png")||d(tt,"src",si),d(st,"href","https://huggingface.co/Francesco"),d(st,"rel","nofollow"),d(ot,"href","https://huggingface.co/amyeroberts"),d(ot,"rel","nofollow"),d(at,"href","https://github.com/KaimingHe/deep-residual-networks"),d(at,"rel","nofollow"),d(ge,"id","resources"),d(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ge,"href","#resources"),d(Q,"class","relative group"),d(ps,"href","/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetForImageClassification"),d(lt,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),d(lt,"rel","nofollow"),d(it,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),d(it,"rel","nofollow"),d(ms,"href","../tasks/image_classification"),d(ve,"id","transformers.ResNetConfig"),d(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ve,"href","#transformers.ResNetConfig"),d(Y,"class","relative group"),d(us,"href","/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetModel"),d(pt,"href","https://huggingface.co/microsoft/resnet-50"),d(pt,"rel","nofollow"),d(gs,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),d(_s,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($e,"id","transformers.ResNetModel"),d($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d($e,"href","#transformers.ResNetModel"),d(se,"class","relative group"),d(ut,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ut,"rel","nofollow"),d(vs,"href","/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetModel"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ne,"id","transformers.ResNetForImageClassification"),d(Ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ne,"href","#transformers.ResNetForImageClassification"),d(ae,"class","relative group"),d($t,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d($t,"rel","nofollow"),d(ws,"href","/docs/transformers/pr_21990/en/model_doc/resnet#transformers.ResNetForImageClassification"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fe,"id","transformers.TFResNetModel"),d(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fe,"href","#transformers.TFResNetModel"),d(ne,"class","relative group"),d(Tt,"href","https://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer"),d(Tt,"rel","nofollow"),d($s,"href","/docs/transformers/pr_21990/en/model_doc/resnet#transformers.TFResNetModel"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ie,"id","transformers.TFResNetForImageClassification"),d(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ie,"href","#transformers.TFResNetForImageClassification"),d(ie,"class","relative group"),d(Et,"href","https://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer"),d(Et,"rel","nofollow"),d(bs,"href","/docs/transformers/pr_21990/en/model_doc/resnet#transformers.TFResNetForImageClassification"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pe,"id","transformers.FlaxResNetModel"),d(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Pe,"href","#transformers.FlaxResNetModel"),d(ce,"class","relative group"),d(ys,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(qt,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(qt,"rel","nofollow"),d(Ot,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(Ot,"rel","nofollow"),d(Dt,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Dt,"rel","nofollow"),d(Lt,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(Lt,"rel","nofollow"),d(zt,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(zt,"rel","nofollow"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Me,"id","transformers.FlaxResNetForImageClassification"),d(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Me,"href","#transformers.FlaxResNetForImageClassification"),d(fe,"class","relative group"),d(Ns,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(Jt,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(Jt,"rel","nofollow"),d(Gt,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(Gt,"rel","nofollow"),d(Bt,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Bt,"rel","nofollow"),d(Xt,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(Xt,"rel","nofollow"),d(Kt,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(Kt,"rel","nofollow"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,c),_(t,w,h),_(t,g,h),e(g,u),e(u,v),y(n,v,null),e(g,m),e(g,R),e(R,Ca),_(t,qo,h),_(t,Z,h),e(Z,he),e(he,Ms),y(Ke,Ms,null),e(Z,Pa),e(Z,qs),e(qs,ka),_(t,Oo,h),_(t,E,h),e(E,Aa),e(E,Ze),e(Ze,Ma),e(E,qa),e(E,Qe),e(Qe,Oa),e(E,Da),e(E,Os),e(Os,La),e(E,za),e(E,Ds),e(Ds,Sa),e(E,Wa),e(E,Ls),e(Ls,Ua),e(E,Va),_(t,Do,h),_(t,as,h),e(as,Ha),_(t,Lo,h),_(t,rs,h),e(rs,Ja),_(t,zo,h),_(t,ns,h),e(ns,zs),e(zs,Ga),_(t,So,h),_(t,ls,h),e(ls,Ba),_(t,Wo,h),_(t,is,h),e(is,Ye),e(Ye,Xa),e(Ye,ds),e(ds,Ka),e(Ye,Za),_(t,Uo,h),_(t,ue,h),e(ue,Qa),e(ue,et),e(et,Ya),e(ue,er),_(t,Vo,h),_(t,tt,h),_(t,Ho,h),_(t,D,h),e(D,tr),e(D,st),e(st,sr),e(D,or),e(D,ot),e(ot,ar),e(D,rr),e(D,at),e(at,nr),e(D,lr),_(t,Jo,h),_(t,Q,h),e(Q,ge),e(ge,Ss),y(rt,Ss,null),e(Q,ir),e(Q,Ws),e(Ws,dr),_(t,Go,h),_(t,cs,h),e(cs,cr),_(t,Bo,h),y(nt,t,h),_(t,Xo,h),_(t,_e,h),e(_e,X),e(X,ps),e(ps,pr),e(X,fr),e(X,lt),e(lt,mr),e(X,hr),e(X,it),e(it,ur),e(X,gr),e(_e,_r),e(_e,fs),e(fs,vr),e(fs,ms),e(ms,wr),_(t,Ko,h),_(t,hs,h),e(hs,$r),_(t,Zo,h),_(t,Y,h),e(Y,ve),e(ve,Us),y(dt,Us,null),e(Y,br),e(Y,Vs),e(Vs,yr),_(t,Qo,h),_(t,A,h),y(ct,A,null),e(A,Nr),e(A,ee),e(ee,xr),e(ee,us),e(us,Tr),e(ee,Fr),e(ee,pt),e(pt,Rr),e(ee,jr),e(A,Ir),e(A,te),e(te,Er),e(te,gs),e(gs,Cr),e(te,Pr),e(te,_s),e(_s,kr),e(te,Ar),e(A,Mr),y(we,A,null),_(t,Yo,h),_(t,se,h),e(se,$e),e($e,Hs),y(ft,Hs,null),e(se,qr),e(se,Js),e(Js,Or),_(t,ea,h),_(t,H,h),y(mt,H,null),e(H,Dr),e(H,ht),e(ht,Lr),e(ht,ut),e(ut,zr),e(ht,Sr),e(H,Wr),e(H,L),y(gt,L,null),e(L,Ur),e(L,oe),e(oe,Vr),e(oe,vs),e(vs,Hr),e(oe,Jr),e(oe,Gs),e(Gs,Gr),e(oe,Br),e(L,Xr),y(be,L,null),e(L,Kr),y(ye,L,null),_(t,ta,h),_(t,ae,h),e(ae,Ne),e(Ne,Bs),y(_t,Bs,null),e(ae,Zr),e(ae,Xs),e(Xs,Qr),_(t,sa,h),_(t,M,h),y(vt,M,null),e(M,Yr),e(M,Ks),e(Ks,en),e(M,tn),e(M,wt),e(wt,sn),e(wt,$t),e($t,on),e(wt,an),e(M,rn),e(M,z),y(bt,z,null),e(z,nn),e(z,re),e(re,ln),e(re,ws),e(ws,dn),e(re,cn),e(re,Zs),e(Zs,pn),e(re,fn),e(z,mn),y(xe,z,null),e(z,hn),y(Te,z,null),_(t,oa,h),_(t,ne,h),e(ne,Fe),e(Fe,Qs),y(yt,Qs,null),e(ne,un),e(ne,Ys),e(Ys,gn),_(t,aa,h),_(t,J,h),y(Nt,J,null),e(J,_n),e(J,xt),e(xt,vn),e(xt,Tt),e(Tt,wn),e(xt,$n),e(J,bn),e(J,S),y(Ft,S,null),e(S,yn),e(S,le),e(le,Nn),e(le,$s),e($s,xn),e(le,Tn),e(le,eo),e(eo,Fn),e(le,Rn),e(S,jn),y(Re,S,null),e(S,In),y(je,S,null),_(t,ra,h),_(t,ie,h),e(ie,Ie),e(Ie,to),y(Rt,to,null),e(ie,En),e(ie,so),e(so,Cn),_(t,na,h),_(t,q,h),y(jt,q,null),e(q,Pn),e(q,oo),e(oo,kn),e(q,An),e(q,It),e(It,Mn),e(It,Et),e(Et,qn),e(It,On),e(q,Dn),e(q,W),y(Ct,W,null),e(W,Ln),e(W,de),e(de,zn),e(de,bs),e(bs,Sn),e(de,Wn),e(de,ao),e(ao,Un),e(de,Vn),e(W,Hn),y(Ee,W,null),e(W,Jn),y(Ce,W,null),_(t,la,h),_(t,ce,h),e(ce,Pe),e(Pe,ro),y(Pt,ro,null),e(ce,Gn),e(ce,no),e(no,Bn),_(t,ia,h),_(t,j,h),y(kt,j,null),e(j,Xn),e(j,lo),e(lo,Kn),e(j,Zn),e(j,At),e(At,Qn),e(At,ys),e(ys,Yn),e(At,el),e(j,tl),e(j,Mt),e(Mt,sl),e(Mt,qt),e(qt,ol),e(Mt,al),e(j,rl),e(j,io),e(io,nl),e(j,ll),e(j,G),e(G,co),e(co,Ot),e(Ot,il),e(G,dl),e(G,po),e(po,Dt),e(Dt,cl),e(G,pl),e(G,fo),e(fo,Lt),e(Lt,fl),e(G,ml),e(G,mo),e(mo,zt),e(zt,hl),e(j,ul),e(j,U),y(St,U,null),e(U,gl),e(U,pe),e(pe,_l),e(pe,ho),e(ho,vl),e(pe,wl),e(pe,uo),e(uo,$l),e(pe,bl),e(U,yl),y(ke,U,null),e(U,Nl),y(Ae,U,null),_(t,da,h),_(t,fe,h),e(fe,Me),e(Me,go),y(Wt,go,null),e(fe,xl),e(fe,_o),e(_o,Tl),_(t,ca,h),_(t,I,h),y(Ut,I,null),e(I,Fl),e(I,vo),e(vo,Rl),e(I,jl),e(I,Vt),e(Vt,Il),e(Vt,Ns),e(Ns,El),e(Vt,Cl),e(I,Pl),e(I,Ht),e(Ht,kl),e(Ht,Jt),e(Jt,Al),e(Ht,Ml),e(I,ql),e(I,wo),e(wo,Ol),e(I,Dl),e(I,B),e(B,$o),e($o,Gt),e(Gt,Ll),e(B,zl),e(B,bo),e(bo,Bt),e(Bt,Sl),e(B,Wl),e(B,yo),e(yo,Xt),e(Xt,Ul),e(B,Vl),e(B,No),e(No,Kt),e(Kt,Hl),e(I,Jl),e(I,V),y(Zt,V,null),e(V,Gl),e(V,me),e(me,Bl),e(me,xo),e(xo,Xl),e(me,Kl),e(me,To),e(To,Zl),e(me,Ql),e(V,Yl),y(qe,V,null),e(V,ei),y(Oe,V,null),pa=!0},p(t,[h]){const Qt={};h&2&&(Qt.$$scope={dirty:h,ctx:t}),we.$set(Qt);const Fo={};h&2&&(Fo.$$scope={dirty:h,ctx:t}),be.$set(Fo);const Ro={};h&2&&(Ro.$$scope={dirty:h,ctx:t}),ye.$set(Ro);const jo={};h&2&&(jo.$$scope={dirty:h,ctx:t}),xe.$set(jo);const Yt={};h&2&&(Yt.$$scope={dirty:h,ctx:t}),Te.$set(Yt);const Io={};h&2&&(Io.$$scope={dirty:h,ctx:t}),Re.$set(Io);const Eo={};h&2&&(Eo.$$scope={dirty:h,ctx:t}),je.$set(Eo);const Co={};h&2&&(Co.$$scope={dirty:h,ctx:t}),Ee.$set(Co);const C={};h&2&&(C.$$scope={dirty:h,ctx:t}),Ce.$set(C);const Po={};h&2&&(Po.$$scope={dirty:h,ctx:t}),ke.$set(Po);const ko={};h&2&&(ko.$$scope={dirty:h,ctx:t}),Ae.$set(ko);const Ao={};h&2&&(Ao.$$scope={dirty:h,ctx:t}),qe.$set(Ao);const Mo={};h&2&&(Mo.$$scope={dirty:h,ctx:t}),Oe.$set(Mo)},i(t){pa||(N(n.$$.fragment,t),N(Ke.$$.fragment,t),N(rt.$$.fragment,t),N(nt.$$.fragment,t),N(dt.$$.fragment,t),N(ct.$$.fragment,t),N(we.$$.fragment,t),N(ft.$$.fragment,t),N(mt.$$.fragment,t),N(gt.$$.fragment,t),N(be.$$.fragment,t),N(ye.$$.fragment,t),N(_t.$$.fragment,t),N(vt.$$.fragment,t),N(bt.$$.fragment,t),N(xe.$$.fragment,t),N(Te.$$.fragment,t),N(yt.$$.fragment,t),N(Nt.$$.fragment,t),N(Ft.$$.fragment,t),N(Re.$$.fragment,t),N(je.$$.fragment,t),N(Rt.$$.fragment,t),N(jt.$$.fragment,t),N(Ct.$$.fragment,t),N(Ee.$$.fragment,t),N(Ce.$$.fragment,t),N(Pt.$$.fragment,t),N(kt.$$.fragment,t),N(St.$$.fragment,t),N(ke.$$.fragment,t),N(Ae.$$.fragment,t),N(Wt.$$.fragment,t),N(Ut.$$.fragment,t),N(Zt.$$.fragment,t),N(qe.$$.fragment,t),N(Oe.$$.fragment,t),pa=!0)},o(t){x(n.$$.fragment,t),x(Ke.$$.fragment,t),x(rt.$$.fragment,t),x(nt.$$.fragment,t),x(dt.$$.fragment,t),x(ct.$$.fragment,t),x(we.$$.fragment,t),x(ft.$$.fragment,t),x(mt.$$.fragment,t),x(gt.$$.fragment,t),x(be.$$.fragment,t),x(ye.$$.fragment,t),x(_t.$$.fragment,t),x(vt.$$.fragment,t),x(bt.$$.fragment,t),x(xe.$$.fragment,t),x(Te.$$.fragment,t),x(yt.$$.fragment,t),x(Nt.$$.fragment,t),x(Ft.$$.fragment,t),x(Re.$$.fragment,t),x(je.$$.fragment,t),x(Rt.$$.fragment,t),x(jt.$$.fragment,t),x(Ct.$$.fragment,t),x(Ee.$$.fragment,t),x(Ce.$$.fragment,t),x(Pt.$$.fragment,t),x(kt.$$.fragment,t),x(St.$$.fragment,t),x(ke.$$.fragment,t),x(Ae.$$.fragment,t),x(Wt.$$.fragment,t),x(Ut.$$.fragment,t),x(Zt.$$.fragment,t),x(qe.$$.fragment,t),x(Oe.$$.fragment,t),pa=!1},d(t){s(c),t&&s(w),t&&s(g),T(n),t&&s(qo),t&&s(Z),T(Ke),t&&s(Oo),t&&s(E),t&&s(Do),t&&s(as),t&&s(Lo),t&&s(rs),t&&s(zo),t&&s(ns),t&&s(So),t&&s(ls),t&&s(Wo),t&&s(is),t&&s(Uo),t&&s(ue),t&&s(Vo),t&&s(tt),t&&s(Ho),t&&s(D),t&&s(Jo),t&&s(Q),T(rt),t&&s(Go),t&&s(cs),t&&s(Bo),T(nt,t),t&&s(Xo),t&&s(_e),t&&s(Ko),t&&s(hs),t&&s(Zo),t&&s(Y),T(dt),t&&s(Qo),t&&s(A),T(ct),T(we),t&&s(Yo),t&&s(se),T(ft),t&&s(ea),t&&s(H),T(mt),T(gt),T(be),T(ye),t&&s(ta),t&&s(ae),T(_t),t&&s(sa),t&&s(M),T(vt),T(bt),T(xe),T(Te),t&&s(oa),t&&s(ne),T(yt),t&&s(aa),t&&s(J),T(Nt),T(Ft),T(Re),T(je),t&&s(ra),t&&s(ie),T(Rt),t&&s(na),t&&s(q),T(jt),T(Ct),T(Ee),T(Ce),t&&s(la),t&&s(ce),T(Pt),t&&s(ia),t&&s(j),T(kt),T(St),T(ke),T(Ae),t&&s(da),t&&s(fe),T(Wt),t&&s(ca),t&&s(I),T(Ut),T(Zt),T(qe),T(Oe)}}}const ac={local:"resnet",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.ResNetConfig",title:"ResNetConfig"},{local:"transformers.ResNetModel",title:"ResNetModel"},{local:"transformers.ResNetForImageClassification",title:"ResNetForImageClassification"},{local:"transformers.TFResNetModel",title:"TFResNetModel"},{local:"transformers.TFResNetForImageClassification",title:"TFResNetForImageClassification"},{local:"transformers.FlaxResNetModel",title:"FlaxResNetModel"},{local:"transformers.FlaxResNetForImageClassification",title:"FlaxResNetForImageClassification"}],title:"ResNet"};function rc(F){return Wd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class mc extends Od{constructor(c){super();Dd(this,c,rc,oc,Ld,{})}}export{mc as default,ac as metadata};
