import{S as vr,i as br,s as $r,e as a,k as u,w as b,t as i,M as Fr,c as s,d as o,m as g,a as n,x as $,h as l,b as f,G as t,g as h,y as F,q as y,o as S,B as x,v as yr,L as Oo}from"../../chunks/vendor-hf-doc-builder.js";import{T as wr}from"../../chunks/Tip-hf-doc-builder.js";import{D as et}from"../../chunks/Docstring-hf-doc-builder.js";import{C as zo}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as tt}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as No}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Sr(M){let c,v,_,d,w;return d=new zo({props:{code:`from transformers import SwiftFormerConfig, SwiftFormerModel

# Initializing a SwiftFormer swiftformer-base-patch16-224 style configuration
configuration = SwiftFormerConfig()

# Initializing a model (with random weights) from the swiftformer-base-patch16-224 style configuration
model = SwiftFormerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> SwiftFormerConfig, SwiftFormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a SwiftFormer swiftformer-base-patch16-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = SwiftFormerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the swiftformer-base-patch16-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = SwiftFormerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=a("p"),v=i("Example:"),_=u(),b(d.$$.fragment)},l(r){c=s(r,"P",{});var p=n(c);v=l(p,"Example:"),p.forEach(o),_=g(r),$(d.$$.fragment,r)},m(r,p){h(r,c,p),t(c,v),h(r,_,p),F(d,r,p),w=!0},p:Oo,i(r){w||(y(d.$$.fragment,r),w=!0)},o(r){S(d.$$.fragment,r),w=!1},d(r){r&&o(c),r&&o(_),x(d,r)}}}function xr(M){let c,v,_,d,w;return{c(){c=a("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),d=i("Module"),w=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){c=s(r,"P",{});var p=n(c);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(p,"CODE",{});var P=n(_);d=l(P,"Module"),P.forEach(o),w=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(r,p){h(r,c,p),t(c,v),t(c,_),t(_,d),t(c,w)},d(r){r&&o(c)}}}function Tr(M){let c,v,_,d,w;return d=new zo({props:{code:`from transformers import AutoImageProcessor, SwiftFormerModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("MBZUAI/swiftformer-xs")
model = SwiftFormerModel.from_pretrained("MBZUAI/swiftformer-xs")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, SwiftFormerModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;MBZUAI/swiftformer-xs&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = SwiftFormerModel.from_pretrained(<span class="hljs-string">&quot;MBZUAI/swiftformer-xs&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">220</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){c=a("p"),v=i("Example:"),_=u(),b(d.$$.fragment)},l(r){c=s(r,"P",{});var p=n(c);v=l(p,"Example:"),p.forEach(o),_=g(r),$(d.$$.fragment,r)},m(r,p){h(r,c,p),t(c,v),h(r,_,p),F(d,r,p),w=!0},p:Oo,i(r){w||(y(d.$$.fragment,r),w=!0)},o(r){S(d.$$.fragment,r),w=!1},d(r){r&&o(c),r&&o(_),x(d,r)}}}function Ir(M){let c,v,_,d,w;return{c(){c=a("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),d=i("Module"),w=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){c=s(r,"P",{});var p=n(c);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(p,"CODE",{});var P=n(_);d=l(P,"Module"),P.forEach(o),w=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(r,p){h(r,c,p),t(c,v),t(c,_),t(_,d),t(c,w)},d(r){r&&o(c)}}}function Mr(M){let c,v,_,d,w;return d=new zo({props:{code:`from transformers import AutoImageProcessor, SwiftFormerForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("MBZUAI/swiftformer-xs")
model = SwiftFormerForImageClassification.from_pretrained("MBZUAI/swiftformer-xs")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, SwiftFormerForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;MBZUAI/swiftformer-xs&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = SwiftFormerForImageClassification.from_pretrained(<span class="hljs-string">&quot;MBZUAI/swiftformer-xs&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){c=a("p"),v=i("Example:"),_=u(),b(d.$$.fragment)},l(r){c=s(r,"P",{});var p=n(c);v=l(p,"Example:"),p.forEach(o),_=g(r),$(d.$$.fragment,r)},m(r,p){h(r,c,p),t(c,v),h(r,_,p),F(d,r,p),w=!0},p:Oo,i(r){w||(y(d.$$.fragment,r),w=!0)},o(r){S(d.$$.fragment,r),w=!1},d(r){r&&o(c),r&&o(_),x(d,r)}}}function Cr(M){let c,v,_,d,w,r,p,P,St,ot,k,L,De,oe,xt,Ue,Tt,rt,V,It,re,Mt,Ct,at,Fe,Et,st,ye,Pt,nt,Se,Be,At,it,xe,jt,lt,Te,ae,kt,Ie,qt,Nt,ct,j,Ot,se,zt,Dt,ne,Ut,Bt,ft,q,H,Le,ie,Lt,Ve,Vt,mt,T,le,Ht,N,Wt,Me,Zt,Rt,ce,Kt,Yt,Gt,O,Jt,Ce,Qt,Xt,Ee,eo,to,oo,W,dt,z,Z,He,fe,ro,We,ao,pt,A,me,so,de,no,pe,io,lo,co,C,he,fo,D,mo,Pe,po,ho,Ze,uo,go,_o,R,wo,K,ht,U,Y,Re,ue,vo,Ke,bo,ut,I,ge,$o,Ye,Fo,yo,_e,So,we,xo,To,Io,E,ve,Mo,B,Co,Ae,Eo,Po,Ge,Ao,jo,ko,G,qo,J,gt;return r=new tt({}),oe=new tt({}),ie=new tt({}),le=new et({props:{name:"class transformers.SwiftFormerConfig",anchor:"transformers.SwiftFormerConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"depths",val:" = [3, 3, 6, 4]"},{name:"embed_dims",val:" = [48, 56, 112, 220]"},{name:"mlp_ratio",val:" = 4"},{name:"downsamples",val:" = [True, True, True, True]"},{name:"hidden_act",val:" = 'gelu'"},{name:"down_patch_size",val:" = 3"},{name:"down_stride",val:" = 2"},{name:"down_pad",val:" = 1"},{name:"drop_path_rate",val:" = 0.0"},{name:"use_layer_scale",val:" = True"},{name:"layer_scale_init_value",val:" = 1e-05"},{name:"batch_norm_eps",val:" = 1e-05"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SwiftFormerConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels`,name:"num_channels"},{anchor:"transformers.SwiftFormerConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 3, 6, 4]</code>) &#x2014;
Depth of each stage`,name:"depths"},{anchor:"transformers.SwiftFormerConfig.embed_dims",description:`<strong>embed_dims</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[48, 56, 112, 220]</code>) &#x2014;
The embedding dimension at each stage`,name:"embed_dims"},{anchor:"transformers.SwiftFormerConfig.mlp_ratio",description:`<strong>mlp_ratio</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Ratio of size of the hidden dimensionality of an MLP to the dimensionality of its input.`,name:"mlp_ratio"},{anchor:"transformers.SwiftFormerConfig.downsamples",description:`<strong>downsamples</strong> (<code>List[bool]</code>, <em>optional</em>, defaults to <code>[True, True, True, True]</code>) &#x2014;
Whether or not to downsample inputs between two stages.`,name:"downsamples"},{anchor:"transformers.SwiftFormerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (string). <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.SwiftFormerConfig.down_patch_size",description:`<strong>down_patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The size of patches in downsampling layers.`,name:"down_patch_size"},{anchor:"transformers.SwiftFormerConfig.down_stride",description:`<strong>down_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The stride of convolution kernels in downsampling layers.`,name:"down_stride"},{anchor:"transformers.SwiftFormerConfig.down_pad",description:`<strong>down_pad</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Padding in downsampling layers.`,name:"down_pad"},{anchor:"transformers.SwiftFormerConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.) &#x2014;
Rate at which to increase dropout probability in DropPath.`,name:"drop_path_rate"},{anchor:"transformers.SwiftFormerConfig.use_layer_scale",description:`<strong>use_layer_scale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to scale outputs from token mixers.`,name:"use_layer_scale"},{anchor:"transformers.SwiftFormerConfig.layer_scale_init_value",description:`<strong>layer_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
Factor by which outputs from token mixers are scaled.`,name:"layer_scale_init_value"},{anchor:"transformers.SwiftFormerConfig.batch_norm_eps",description:`<strong>batch_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The epsilon used by the batch normalization layers.`,name:"batch_norm_eps"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/swiftformer/configuration_swiftformer.py#L34"}}),W=new No({props:{anchor:"transformers.SwiftFormerConfig.example",$$slots:{default:[Sr]},$$scope:{ctx:M}}}),fe=new tt({}),me=new et({props:{name:"class transformers.SwiftFormerModel",anchor:"transformers.SwiftFormerModel",parameters:[{name:"config",val:": SwiftFormerConfig"}],parametersDescription:[{anchor:"transformers.SwiftFormerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/swiftformer#transformers.SwiftFormerConfig">SwiftFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/swiftformer/modeling_swiftformer.py#L479"}}),he=new et({props:{name:"forward",anchor:"transformers.SwiftFormerModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.SwiftFormerModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_21990/en/model_doc/dpt#transformers.DPTFeatureExtractor.__call__">ViTImageProcessor.<strong>call</strong>()</a>
for details.`,name:"pixel_values"},{anchor:"transformers.SwiftFormerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.SwiftFormerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/swiftformer/modeling_swiftformer.py#L490",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/swiftformer#transformers.SwiftFormerConfig"
>SwiftFormerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),R=new wr({props:{$$slots:{default:[xr]},$$scope:{ctx:M}}}),K=new No({props:{anchor:"transformers.SwiftFormerModel.forward.example",$$slots:{default:[Tr]},$$scope:{ctx:M}}}),ue=new tt({}),ge=new et({props:{name:"class transformers.SwiftFormerForImageClassification",anchor:"transformers.SwiftFormerForImageClassification",parameters:[{name:"config",val:": SwiftFormerConfig"}],parametersDescription:[{anchor:"transformers.SwiftFormerForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/swiftformer#transformers.SwiftFormerConfig">SwiftFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/swiftformer/modeling_swiftformer.py#L536"}}),ve=new et({props:{name:"forward",anchor:"transformers.SwiftFormerForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.SwiftFormerForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_21990/en/model_doc/dpt#transformers.DPTFeatureExtractor.__call__">ViTImageProcessor.<strong>call</strong>()</a>
for details.`,name:"pixel_values"},{anchor:"transformers.SwiftFormerForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.SwiftFormerForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.SwiftFormerForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/swiftformer/modeling_swiftformer.py#L553",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/swiftformer#transformers.SwiftFormerConfig"
>SwiftFormerConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),G=new wr({props:{$$slots:{default:[Ir]},$$scope:{ctx:M}}}),J=new No({props:{anchor:"transformers.SwiftFormerForImageClassification.forward.example",$$slots:{default:[Mr]},$$scope:{ctx:M}}}),{c(){c=a("meta"),v=u(),_=a("h1"),d=a("a"),w=a("span"),b(r.$$.fragment),p=u(),P=a("span"),St=i("SwiftFormer"),ot=u(),k=a("h2"),L=a("a"),De=a("span"),b(oe.$$.fragment),xt=u(),Ue=a("span"),Tt=i("Overview"),rt=u(),V=a("p"),It=i("The SwiftFormer model was proposed in "),re=a("a"),Mt=i("SwiftFormer: Efficient Additive Attention for Transformer-based Real-time Mobile Vision Applications"),Ct=i(" by Abdelrahman Shaker, Muhammad Maaz, Hanoona Rasheed, Salman Khan, Ming-Hsuan Yang, Fahad Shahbaz Khan."),at=u(),Fe=a("p"),Et=i("The SwiftFormer paper introduces a novel efficient additive attention mechanism that effectively replaces the quadratic matrix multiplication operations in the self-attention computation with linear element-wise multiplications. A series of models called \u2018SwiftFormer\u2019 is built based on this, which achieves state-of-the-art performance in terms of both accuracy and mobile inference speed. Even their small variant achieves 78.5% top-1 ImageNet1K accuracy with only 0.8 ms latency on iPhone 14, which is more accurate and 2\xD7 faster compared to MobileViT-v2."),st=u(),ye=a("p"),Pt=i("The abstract from the paper is the following:"),nt=u(),Se=a("p"),Be=a("em"),At=i("Self-attention has become a defacto choice for capturing global context in various vision applications. However, its quadratic computational complexity with respect to image resolution limits its use in real-time applications, especially for deployment on resource-constrained mobile devices. Although hybrid approaches have been proposed to combine the advantages of convolutions and self-attention for a better speed-accuracy trade-off, the expensive matrix multiplication operations in self-attention remain a bottleneck. In this work, we introduce a novel efficient additive attention mechanism that effectively replaces the quadratic matrix multiplication operations with linear element-wise multiplications. Our design shows that the key-value interaction can be replaced with a linear layer without sacrificing any accuracy. Unlike previous state-of-the-art methods, our efficient formulation of self-attention enables its usage at all stages of the network. Using our proposed efficient additive attention, we build a series of models called \u201CSwiftFormer\u201D which achieves state-of-the-art performance in terms of both accuracy and mobile inference speed. Our small variant achieves 78.5% top-1 ImageNet-1K accuracy with only 0.8 ms latency on iPhone 14, which is more accurate and 2x faster compared to MobileViT-v2."),it=u(),xe=a("p"),jt=i("Tips:"),lt=u(),Te=a("ul"),ae=a("li"),kt=i("One can use the "),Ie=a("a"),qt=i("ViTImageProcessor"),Nt=i(" API to prepare images for the model."),ct=u(),j=a("p"),Ot=i("This model was contributed by "),se=a("a"),zt=i("shehan97"),Dt=i(`.
The original code can be found `),ne=a("a"),Ut=i("here"),Bt=i("."),ft=u(),q=a("h2"),H=a("a"),Le=a("span"),b(ie.$$.fragment),Lt=u(),Ve=a("span"),Vt=i("SwiftFormerConfig"),mt=u(),T=a("div"),b(le.$$.fragment),Ht=u(),N=a("p"),Wt=i("This is the configuration class to store the configuration of a "),Me=a("a"),Zt=i("SwiftFormerModel"),Rt=i(`. It is used to instantiate an
SwiftFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the SwiftFormer
`),ce=a("a"),Kt=i("MBZUAI/swiftformer-xs"),Yt=i(" architecture."),Gt=u(),O=a("p"),Jt=i("Configuration objects inherit from "),Ce=a("a"),Qt=i("PretrainedConfig"),Xt=i(` and can be used to control the model outputs. Read the
documentation from `),Ee=a("a"),eo=i("PretrainedConfig"),to=i(" for more information."),oo=u(),b(W.$$.fragment),dt=u(),z=a("h2"),Z=a("a"),He=a("span"),b(fe.$$.fragment),ro=u(),We=a("span"),ao=i("SwiftFormerModel"),pt=u(),A=a("div"),b(me.$$.fragment),so=u(),de=a("p"),no=i(`The bare SwiftFormer Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),pe=a("a"),io=i("torch.nn.Module"),lo=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),co=u(),C=a("div"),b(he.$$.fragment),fo=u(),D=a("p"),mo=i("The "),Pe=a("a"),po=i("SwiftFormerModel"),ho=i(" forward method, overrides the "),Ze=a("code"),uo=i("__call__"),go=i(" special method."),_o=u(),b(R.$$.fragment),wo=u(),b(K.$$.fragment),ht=u(),U=a("h2"),Y=a("a"),Re=a("span"),b(ue.$$.fragment),vo=u(),Ke=a("span"),bo=i("SwiftFormerForImageClassification"),ut=u(),I=a("div"),b(ge.$$.fragment),$o=u(),Ye=a("p"),Fo=i("SwiftFormer Model transformer with an image classification head on top (e.g. for ImageNet)."),yo=u(),_e=a("p"),So=i("This model is a PyTorch "),we=a("a"),xo=i("torch.nn.Module"),To=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Io=u(),E=a("div"),b(ve.$$.fragment),Mo=u(),B=a("p"),Co=i("The "),Ae=a("a"),Eo=i("SwiftFormerForImageClassification"),Po=i(" forward method, overrides the "),Ge=a("code"),Ao=i("__call__"),jo=i(" special method."),ko=u(),b(G.$$.fragment),qo=u(),b(J.$$.fragment),this.h()},l(e){const m=Fr('[data-svelte="svelte-1phssyn"]',document.head);c=s(m,"META",{name:!0,content:!0}),m.forEach(o),v=g(e),_=s(e,"H1",{class:!0});var be=n(_);d=s(be,"A",{id:!0,class:!0,href:!0});var Je=n(d);w=s(Je,"SPAN",{});var Qe=n(w);$(r.$$.fragment,Qe),Qe.forEach(o),Je.forEach(o),p=g(be),P=s(be,"SPAN",{});var Xe=n(P);St=l(Xe,"SwiftFormer"),Xe.forEach(o),be.forEach(o),ot=g(e),k=s(e,"H2",{class:!0});var $e=n(k);L=s($e,"A",{id:!0,class:!0,href:!0});var Do=n(L);De=s(Do,"SPAN",{});var Uo=n(De);$(oe.$$.fragment,Uo),Uo.forEach(o),Do.forEach(o),xt=g($e),Ue=s($e,"SPAN",{});var Bo=n(Ue);Tt=l(Bo,"Overview"),Bo.forEach(o),$e.forEach(o),rt=g(e),V=s(e,"P",{});var _t=n(V);It=l(_t,"The SwiftFormer model was proposed in "),re=s(_t,"A",{href:!0,rel:!0});var Lo=n(re);Mt=l(Lo,"SwiftFormer: Efficient Additive Attention for Transformer-based Real-time Mobile Vision Applications"),Lo.forEach(o),Ct=l(_t," by Abdelrahman Shaker, Muhammad Maaz, Hanoona Rasheed, Salman Khan, Ming-Hsuan Yang, Fahad Shahbaz Khan."),_t.forEach(o),at=g(e),Fe=s(e,"P",{});var Vo=n(Fe);Et=l(Vo,"The SwiftFormer paper introduces a novel efficient additive attention mechanism that effectively replaces the quadratic matrix multiplication operations in the self-attention computation with linear element-wise multiplications. A series of models called \u2018SwiftFormer\u2019 is built based on this, which achieves state-of-the-art performance in terms of both accuracy and mobile inference speed. Even their small variant achieves 78.5% top-1 ImageNet1K accuracy with only 0.8 ms latency on iPhone 14, which is more accurate and 2\xD7 faster compared to MobileViT-v2."),Vo.forEach(o),st=g(e),ye=s(e,"P",{});var Ho=n(ye);Pt=l(Ho,"The abstract from the paper is the following:"),Ho.forEach(o),nt=g(e),Se=s(e,"P",{});var Wo=n(Se);Be=s(Wo,"EM",{});var Zo=n(Be);At=l(Zo,"Self-attention has become a defacto choice for capturing global context in various vision applications. However, its quadratic computational complexity with respect to image resolution limits its use in real-time applications, especially for deployment on resource-constrained mobile devices. Although hybrid approaches have been proposed to combine the advantages of convolutions and self-attention for a better speed-accuracy trade-off, the expensive matrix multiplication operations in self-attention remain a bottleneck. In this work, we introduce a novel efficient additive attention mechanism that effectively replaces the quadratic matrix multiplication operations with linear element-wise multiplications. Our design shows that the key-value interaction can be replaced with a linear layer without sacrificing any accuracy. Unlike previous state-of-the-art methods, our efficient formulation of self-attention enables its usage at all stages of the network. Using our proposed efficient additive attention, we build a series of models called \u201CSwiftFormer\u201D which achieves state-of-the-art performance in terms of both accuracy and mobile inference speed. Our small variant achieves 78.5% top-1 ImageNet-1K accuracy with only 0.8 ms latency on iPhone 14, which is more accurate and 2x faster compared to MobileViT-v2."),Zo.forEach(o),Wo.forEach(o),it=g(e),xe=s(e,"P",{});var Ro=n(xe);jt=l(Ro,"Tips:"),Ro.forEach(o),lt=g(e),Te=s(e,"UL",{});var Ko=n(Te);ae=s(Ko,"LI",{});var wt=n(ae);kt=l(wt,"One can use the "),Ie=s(wt,"A",{href:!0});var Yo=n(Ie);qt=l(Yo,"ViTImageProcessor"),Yo.forEach(o),Nt=l(wt," API to prepare images for the model."),wt.forEach(o),Ko.forEach(o),ct=g(e),j=s(e,"P",{});var je=n(j);Ot=l(je,"This model was contributed by "),se=s(je,"A",{href:!0,rel:!0});var Go=n(se);zt=l(Go,"shehan97"),Go.forEach(o),Dt=l(je,`.
The original code can be found `),ne=s(je,"A",{href:!0,rel:!0});var Jo=n(ne);Ut=l(Jo,"here"),Jo.forEach(o),Bt=l(je,"."),je.forEach(o),ft=g(e),q=s(e,"H2",{class:!0});var vt=n(q);H=s(vt,"A",{id:!0,class:!0,href:!0});var Qo=n(H);Le=s(Qo,"SPAN",{});var Xo=n(Le);$(ie.$$.fragment,Xo),Xo.forEach(o),Qo.forEach(o),Lt=g(vt),Ve=s(vt,"SPAN",{});var er=n(Ve);Vt=l(er,"SwiftFormerConfig"),er.forEach(o),vt.forEach(o),mt=g(e),T=s(e,"DIV",{class:!0});var Q=n(T);$(le.$$.fragment,Q),Ht=g(Q),N=s(Q,"P",{});var ke=n(N);Wt=l(ke,"This is the configuration class to store the configuration of a "),Me=s(ke,"A",{href:!0});var tr=n(Me);Zt=l(tr,"SwiftFormerModel"),tr.forEach(o),Rt=l(ke,`. It is used to instantiate an
SwiftFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the SwiftFormer
`),ce=s(ke,"A",{href:!0,rel:!0});var or=n(ce);Kt=l(or,"MBZUAI/swiftformer-xs"),or.forEach(o),Yt=l(ke," architecture."),ke.forEach(o),Gt=g(Q),O=s(Q,"P",{});var qe=n(O);Jt=l(qe,"Configuration objects inherit from "),Ce=s(qe,"A",{href:!0});var rr=n(Ce);Qt=l(rr,"PretrainedConfig"),rr.forEach(o),Xt=l(qe,` and can be used to control the model outputs. Read the
documentation from `),Ee=s(qe,"A",{href:!0});var ar=n(Ee);eo=l(ar,"PretrainedConfig"),ar.forEach(o),to=l(qe," for more information."),qe.forEach(o),oo=g(Q),$(W.$$.fragment,Q),Q.forEach(o),dt=g(e),z=s(e,"H2",{class:!0});var bt=n(z);Z=s(bt,"A",{id:!0,class:!0,href:!0});var sr=n(Z);He=s(sr,"SPAN",{});var nr=n(He);$(fe.$$.fragment,nr),nr.forEach(o),sr.forEach(o),ro=g(bt),We=s(bt,"SPAN",{});var ir=n(We);ao=l(ir,"SwiftFormerModel"),ir.forEach(o),bt.forEach(o),pt=g(e),A=s(e,"DIV",{class:!0});var Ne=n(A);$(me.$$.fragment,Ne),so=g(Ne),de=s(Ne,"P",{});var $t=n(de);no=l($t,`The bare SwiftFormer Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),pe=s($t,"A",{href:!0,rel:!0});var lr=n(pe);io=l(lr,"torch.nn.Module"),lr.forEach(o),lo=l($t,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),$t.forEach(o),co=g(Ne),C=s(Ne,"DIV",{class:!0});var X=n(C);$(he.$$.fragment,X),fo=g(X),D=s(X,"P",{});var Oe=n(D);mo=l(Oe,"The "),Pe=s(Oe,"A",{href:!0});var cr=n(Pe);po=l(cr,"SwiftFormerModel"),cr.forEach(o),ho=l(Oe," forward method, overrides the "),Ze=s(Oe,"CODE",{});var fr=n(Ze);uo=l(fr,"__call__"),fr.forEach(o),go=l(Oe," special method."),Oe.forEach(o),_o=g(X),$(R.$$.fragment,X),wo=g(X),$(K.$$.fragment,X),X.forEach(o),Ne.forEach(o),ht=g(e),U=s(e,"H2",{class:!0});var Ft=n(U);Y=s(Ft,"A",{id:!0,class:!0,href:!0});var mr=n(Y);Re=s(mr,"SPAN",{});var dr=n(Re);$(ue.$$.fragment,dr),dr.forEach(o),mr.forEach(o),vo=g(Ft),Ke=s(Ft,"SPAN",{});var pr=n(Ke);bo=l(pr,"SwiftFormerForImageClassification"),pr.forEach(o),Ft.forEach(o),ut=g(e),I=s(e,"DIV",{class:!0});var ee=n(I);$(ge.$$.fragment,ee),$o=g(ee),Ye=s(ee,"P",{});var hr=n(Ye);Fo=l(hr,"SwiftFormer Model transformer with an image classification head on top (e.g. for ImageNet)."),hr.forEach(o),yo=g(ee),_e=s(ee,"P",{});var yt=n(_e);So=l(yt,"This model is a PyTorch "),we=s(yt,"A",{href:!0,rel:!0});var ur=n(we);xo=l(ur,"torch.nn.Module"),ur.forEach(o),To=l(yt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),yt.forEach(o),Io=g(ee),E=s(ee,"DIV",{class:!0});var te=n(E);$(ve.$$.fragment,te),Mo=g(te),B=s(te,"P",{});var ze=n(B);Co=l(ze,"The "),Ae=s(ze,"A",{href:!0});var gr=n(Ae);Eo=l(gr,"SwiftFormerForImageClassification"),gr.forEach(o),Po=l(ze," forward method, overrides the "),Ge=s(ze,"CODE",{});var _r=n(Ge);Ao=l(_r,"__call__"),_r.forEach(o),jo=l(ze," special method."),ze.forEach(o),ko=g(te),$(G.$$.fragment,te),qo=g(te),$(J.$$.fragment,te),te.forEach(o),ee.forEach(o),this.h()},h(){f(c,"name","hf:doc:metadata"),f(c,"content",JSON.stringify(Er)),f(d,"id","swiftformer"),f(d,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(d,"href","#swiftformer"),f(_,"class","relative group"),f(L,"id","overview"),f(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(L,"href","#overview"),f(k,"class","relative group"),f(re,"href","https://arxiv.org/abs/2303.15446"),f(re,"rel","nofollow"),f(Ie,"href","/docs/transformers/pr_21990/en/model_doc/vit#transformers.ViTImageProcessor"),f(se,"href","https://huggingface.co/shehan97"),f(se,"rel","nofollow"),f(ne,"href","https://github.com/Amshaker/SwiftFormer"),f(ne,"rel","nofollow"),f(H,"id","transformers.SwiftFormerConfig"),f(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(H,"href","#transformers.SwiftFormerConfig"),f(q,"class","relative group"),f(Me,"href","/docs/transformers/pr_21990/en/model_doc/swiftformer#transformers.SwiftFormerModel"),f(ce,"href","https://huggingface.co/MBZUAI/swiftformer-xs"),f(ce,"rel","nofollow"),f(Ce,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),f(Ee,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),f(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Z,"id","transformers.SwiftFormerModel"),f(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Z,"href","#transformers.SwiftFormerModel"),f(z,"class","relative group"),f(pe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(pe,"rel","nofollow"),f(Pe,"href","/docs/transformers/pr_21990/en/model_doc/swiftformer#transformers.SwiftFormerModel"),f(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Y,"id","transformers.SwiftFormerForImageClassification"),f(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Y,"href","#transformers.SwiftFormerForImageClassification"),f(U,"class","relative group"),f(we,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(we,"rel","nofollow"),f(Ae,"href","/docs/transformers/pr_21990/en/model_doc/swiftformer#transformers.SwiftFormerForImageClassification"),f(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,m){t(document.head,c),h(e,v,m),h(e,_,m),t(_,d),t(d,w),F(r,w,null),t(_,p),t(_,P),t(P,St),h(e,ot,m),h(e,k,m),t(k,L),t(L,De),F(oe,De,null),t(k,xt),t(k,Ue),t(Ue,Tt),h(e,rt,m),h(e,V,m),t(V,It),t(V,re),t(re,Mt),t(V,Ct),h(e,at,m),h(e,Fe,m),t(Fe,Et),h(e,st,m),h(e,ye,m),t(ye,Pt),h(e,nt,m),h(e,Se,m),t(Se,Be),t(Be,At),h(e,it,m),h(e,xe,m),t(xe,jt),h(e,lt,m),h(e,Te,m),t(Te,ae),t(ae,kt),t(ae,Ie),t(Ie,qt),t(ae,Nt),h(e,ct,m),h(e,j,m),t(j,Ot),t(j,se),t(se,zt),t(j,Dt),t(j,ne),t(ne,Ut),t(j,Bt),h(e,ft,m),h(e,q,m),t(q,H),t(H,Le),F(ie,Le,null),t(q,Lt),t(q,Ve),t(Ve,Vt),h(e,mt,m),h(e,T,m),F(le,T,null),t(T,Ht),t(T,N),t(N,Wt),t(N,Me),t(Me,Zt),t(N,Rt),t(N,ce),t(ce,Kt),t(N,Yt),t(T,Gt),t(T,O),t(O,Jt),t(O,Ce),t(Ce,Qt),t(O,Xt),t(O,Ee),t(Ee,eo),t(O,to),t(T,oo),F(W,T,null),h(e,dt,m),h(e,z,m),t(z,Z),t(Z,He),F(fe,He,null),t(z,ro),t(z,We),t(We,ao),h(e,pt,m),h(e,A,m),F(me,A,null),t(A,so),t(A,de),t(de,no),t(de,pe),t(pe,io),t(de,lo),t(A,co),t(A,C),F(he,C,null),t(C,fo),t(C,D),t(D,mo),t(D,Pe),t(Pe,po),t(D,ho),t(D,Ze),t(Ze,uo),t(D,go),t(C,_o),F(R,C,null),t(C,wo),F(K,C,null),h(e,ht,m),h(e,U,m),t(U,Y),t(Y,Re),F(ue,Re,null),t(U,vo),t(U,Ke),t(Ke,bo),h(e,ut,m),h(e,I,m),F(ge,I,null),t(I,$o),t(I,Ye),t(Ye,Fo),t(I,yo),t(I,_e),t(_e,So),t(_e,we),t(we,xo),t(_e,To),t(I,Io),t(I,E),F(ve,E,null),t(E,Mo),t(E,B),t(B,Co),t(B,Ae),t(Ae,Eo),t(B,Po),t(B,Ge),t(Ge,Ao),t(B,jo),t(E,ko),F(G,E,null),t(E,qo),F(J,E,null),gt=!0},p(e,[m]){const be={};m&2&&(be.$$scope={dirty:m,ctx:e}),W.$set(be);const Je={};m&2&&(Je.$$scope={dirty:m,ctx:e}),R.$set(Je);const Qe={};m&2&&(Qe.$$scope={dirty:m,ctx:e}),K.$set(Qe);const Xe={};m&2&&(Xe.$$scope={dirty:m,ctx:e}),G.$set(Xe);const $e={};m&2&&($e.$$scope={dirty:m,ctx:e}),J.$set($e)},i(e){gt||(y(r.$$.fragment,e),y(oe.$$.fragment,e),y(ie.$$.fragment,e),y(le.$$.fragment,e),y(W.$$.fragment,e),y(fe.$$.fragment,e),y(me.$$.fragment,e),y(he.$$.fragment,e),y(R.$$.fragment,e),y(K.$$.fragment,e),y(ue.$$.fragment,e),y(ge.$$.fragment,e),y(ve.$$.fragment,e),y(G.$$.fragment,e),y(J.$$.fragment,e),gt=!0)},o(e){S(r.$$.fragment,e),S(oe.$$.fragment,e),S(ie.$$.fragment,e),S(le.$$.fragment,e),S(W.$$.fragment,e),S(fe.$$.fragment,e),S(me.$$.fragment,e),S(he.$$.fragment,e),S(R.$$.fragment,e),S(K.$$.fragment,e),S(ue.$$.fragment,e),S(ge.$$.fragment,e),S(ve.$$.fragment,e),S(G.$$.fragment,e),S(J.$$.fragment,e),gt=!1},d(e){o(c),e&&o(v),e&&o(_),x(r),e&&o(ot),e&&o(k),x(oe),e&&o(rt),e&&o(V),e&&o(at),e&&o(Fe),e&&o(st),e&&o(ye),e&&o(nt),e&&o(Se),e&&o(it),e&&o(xe),e&&o(lt),e&&o(Te),e&&o(ct),e&&o(j),e&&o(ft),e&&o(q),x(ie),e&&o(mt),e&&o(T),x(le),x(W),e&&o(dt),e&&o(z),x(fe),e&&o(pt),e&&o(A),x(me),x(he),x(R),x(K),e&&o(ht),e&&o(U),x(ue),e&&o(ut),e&&o(I),x(ge),x(ve),x(G),x(J)}}}const Er={local:"swiftformer",sections:[{local:"overview",title:"Overview"},{local:"transformers.SwiftFormerConfig",title:"SwiftFormerConfig"},{local:"transformers.SwiftFormerModel",title:"SwiftFormerModel"},{local:"transformers.SwiftFormerForImageClassification",title:"SwiftFormerForImageClassification"}],title:"SwiftFormer"};function Pr(M){return yr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class zr extends vr{constructor(c){super();br(this,c,Pr,Cr,$r,{})}}export{zr as default,Er as metadata};
