import{S as O$,i as I$,s as N$,e as a,k as c,w as y,t as i,M as D$,c as s,d as t,m as p,a as r,x as v,h as d,b as m,N as S$,G as e,g,y as T,q as w,o as $,B as x,v as L$,L as P}from"../../chunks/vendor-hf-doc-builder.js";import{T as kt}from"../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../chunks/Docstring-hf-doc-builder.js";import{C as E}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as R}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as A}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function G$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBartConfig, MBartModel

# Initializing a MBART facebook/mbart-large-cc25 style configuration
configuration = MBartConfig()

# Initializing a model (with random weights) from the facebook/mbart-large-cc25 style configuration
model = MBartModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartConfig, MBartModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a MBART facebook/mbart-large-cc25 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = MBartConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/mbart-large-cc25 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function W$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO")
example_english_phrase = " UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function U$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBartTokenizerFast

tokenizer = MBartTokenizerFast.from_pretrained(
    "facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO"
)
example_english_phrase = " UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartTokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizerFast.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function R$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBart50Tokenizer

tokenizer = MBart50Tokenizer.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")
src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")
# model(**model_inputs) should work`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBart50Tokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBart50Tokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model(**model_inputs) should work</span>`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function X$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import MBart50TokenizerFast

tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")
src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"
model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")
# model(**model_inputs) should work`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBart50TokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model(**model_inputs) should work</span>`}}),{c(){l=a("p"),b=i("Examples:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Examples:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function Q$(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function H$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartModel
import torch

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function V$(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function K$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-en-ro")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-en-ro")

example_english_phrase = "42 is the answer"
inputs = tokenizer(example_english_phrase, return_tensors="pt")

# Translate
generated_ids = model.generate(**inputs, num_beams=4, max_length=5)
tokenizer.batch_decode(generated_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot;42 is the answer&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Translate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(**inputs, num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;42 este r\u0103spuns&#x27;</span>`}}),{c(){l=a("p"),b=i("Translation example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Translation example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function J$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForConditionalGeneration

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"

input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="pt")["input_ids"]
logits = model(input_ids).logits

masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero().item()
probs = logits[0, masked_index].softmax(dim=0)
values, predictions = probs.topk(5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits[<span class="hljs-number">0</span>, masked_index].softmax(dim=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = probs.topk(<span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()
[<span class="hljs-string">&#x27;nett&#x27;</span>, <span class="hljs-string">&#x27;sehr&#x27;</span>, <span class="hljs-string">&#x27;ganz&#x27;</span>, <span class="hljs-string">&#x27;nicht&#x27;</span>, <span class="hljs-string">&#x27;so&#x27;</span>]`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Mask filling example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function Z$(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function Y$(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForQuestionAnswering.from_pretrained("facebook/mbart-large-cc25")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function ex(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function tx(M){let l,b,f,h,k;return h=new E({props:{code:`import torch
from transformers import AutoTokenizer, MBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){l=a("p"),b=i("Example of single-label classification:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example of single-label classification:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function ox(M){let l,b,f,h,k;return h=new E({props:{code:`import torch
from transformers import AutoTokenizer, MBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = MBartForSequenceClassification.from_pretrained(
    "facebook/mbart-large-cc25", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){l=a("p"),b=i("Example of multi-label classification:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example of multi-label classification:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function nx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, MBartForCausalLM

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = MBartForCausalLM.from_pretrained("facebook/mbart-large-cc25", add_cross_attention=False)
assert model.config.is_decoder, f"{model.__class__} has to be configured as a decoder."
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits
expected_shape = [1, inputs.input_ids.shape[-1], model.config.vocab_size]
list(logits.shape) == expected_shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, MBartForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForCausalLM.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>, add_cross_attention=<span class="hljs-literal">False</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> model.config.is_decoder, <span class="hljs-string">f&quot;<span class="hljs-subst">{model.__class__}</span> has to be configured as a decoder.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_shape = [<span class="hljs-number">1</span>, inputs.input_ids.shape[-<span class="hljs-number">1</span>], model.config.vocab_size]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape) == expected_shape
<span class="hljs-literal">True</span>`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function ax(M){let l,b,f,h,k,n,u,q,bt,ot,X,Se,he,j,yt,ee,Oe,Nt,me,re,Xe,Te,vt,we,$e,Tt,nt,Q,fe,Qe,ie,O,I,wt,_e,ge,$t,J,xt,Mt,U,Ie,xe,at,de,Me,ze,zt,le,Fe,qe,st,Z,S,He,N,Ft,Ve;return{c(){l=a("p"),b=i("TensorFlow models and layers in "),f=a("code"),h=i("transformers"),k=i(" accept two formats as input:"),n=c(),u=a("ul"),q=a("li"),bt=i("having all inputs as keyword arguments (like PyTorch models), or"),ot=c(),X=a("li"),Se=i("having all inputs as a list, tuple or dict in the first positional argument."),he=c(),j=a("p"),yt=i(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=a("code"),Oe=i("model.fit()"),Nt=i(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=a("code"),re=i("model.fit()"),Xe=i(` supports! If, however, you want to use the second
format outside of Keras methods like `),Te=a("code"),vt=i("fit()"),we=i(" and "),$e=a("code"),Tt=i("predict()"),nt=i(`, such as when creating your own layers or models with
the Keras `),Q=a("code"),fe=i("Functional"),Qe=i(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ie=c(),O=a("ul"),I=a("li"),wt=i("a single Tensor with "),_e=a("code"),ge=i("input_ids"),$t=i(" only and nothing else: "),J=a("code"),xt=i("model(input_ids)"),Mt=c(),U=a("li"),Ie=i(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),xe=a("code"),at=i("model([input_ids, attention_mask])"),de=i(" or "),Me=a("code"),ze=i("model([input_ids, attention_mask, token_type_ids])"),zt=c(),le=a("li"),Fe=i(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),qe=a("code"),st=i('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=c(),S=a("p"),He=i(`Note that when creating models and layers with
`),N=a("a"),Ft=i("subclassing"),Ve=i(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){l=s(z,"P",{});var B=r(l);b=d(B,"TensorFlow models and layers in "),f=s(B,"CODE",{});var K=r(f);h=d(K,"transformers"),K.forEach(t),k=d(B," accept two formats as input:"),B.forEach(t),n=p(z),u=s(z,"UL",{});var Ke=r(u);q=s(Ke,"LI",{});var qt=r(q);bt=d(qt,"having all inputs as keyword arguments (like PyTorch models), or"),qt.forEach(t),ot=p(Ke),X=s(Ke,"LI",{});var Jt=r(X);Se=d(Jt,"having all inputs as a list, tuple or dict in the first positional argument."),Jt.forEach(t),Ke.forEach(t),he=p(z),j=s(z,"P",{});var C=r(j);yt=d(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=s(C,"CODE",{});var jt=r(ee);Oe=d(jt,"model.fit()"),jt.forEach(t),Nt=d(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=s(C,"CODE",{});var Zt=r(me);re=d(Zt,"model.fit()"),Zt.forEach(t),Xe=d(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),Te=s(C,"CODE",{});var Yt=r(Te);vt=d(Yt,"fit()"),Yt.forEach(t),we=d(C," and "),$e=s(C,"CODE",{});var Bt=r($e);Tt=d(Bt,"predict()"),Bt.forEach(t),nt=d(C,`, such as when creating your own layers or models with
the Keras `),Q=s(C,"CODE",{});var eo=r(Q);fe=d(eo,"Functional"),eo.forEach(t),Qe=d(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),ie=p(z),O=s(z,"UL",{});var ce=r(O);I=s(ce,"LI",{});var pe=r(I);wt=d(pe,"a single Tensor with "),_e=s(pe,"CODE",{});var to=r(_e);ge=d(to,"input_ids"),to.forEach(t),$t=d(pe," only and nothing else: "),J=s(pe,"CODE",{});var oo=r(J);xt=d(oo,"model(input_ids)"),oo.forEach(t),pe.forEach(t),Mt=p(ce),U=s(ce,"LI",{});var ke=r(U);Ie=d(ke,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),xe=s(ke,"CODE",{});var te=r(xe);at=d(te,"model([input_ids, attention_mask])"),te.forEach(t),de=d(ke," or "),Me=s(ke,"CODE",{});var no=r(Me);ze=d(no,"model([input_ids, attention_mask, token_type_ids])"),no.forEach(t),ke.forEach(t),zt=p(ce),le=s(ce,"LI",{});var je=r(le);Fe=d(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),qe=s(je,"CODE",{});var Et=r(qe);st=d(Et,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Et.forEach(t),je.forEach(t),ce.forEach(t),Z=p(z),S=s(z,"P",{});var Je=r(S);He=d(Je,`Note that when creating models and layers with
`),N=s(Je,"A",{href:!0,rel:!0});var ao=r(N);Ft=d(ao,"subclassing"),ao.forEach(t),Ve=d(Je,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Je.forEach(t),this.h()},h(){m(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(N,"rel","nofollow")},m(z,B){g(z,l,B),e(l,b),e(l,f),e(f,h),e(l,k),g(z,n,B),g(z,u,B),e(u,q),e(q,bt),e(u,ot),e(u,X),e(X,Se),g(z,he,B),g(z,j,B),e(j,yt),e(j,ee),e(ee,Oe),e(j,Nt),e(j,me),e(me,re),e(j,Xe),e(j,Te),e(Te,vt),e(j,we),e(j,$e),e($e,Tt),e(j,nt),e(j,Q),e(Q,fe),e(j,Qe),g(z,ie,B),g(z,O,B),e(O,I),e(I,wt),e(I,_e),e(_e,ge),e(I,$t),e(I,J),e(J,xt),e(O,Mt),e(O,U),e(U,Ie),e(U,xe),e(xe,at),e(U,de),e(U,Me),e(Me,ze),e(O,zt),e(O,le),e(le,Fe),e(le,qe),e(qe,st),g(z,Z,B),g(z,S,B),e(S,He),e(S,N),e(N,Ft),e(S,Ve)},d(z){z&&t(l),z&&t(n),z&&t(u),z&&t(he),z&&t(j),z&&t(ie),z&&t(O),z&&t(Z),z&&t(S)}}}function sx(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function rx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = TFMBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function ix(M){let l,b,f,h,k,n,u,q,bt,ot,X,Se,he,j,yt,ee,Oe,Nt,me,re,Xe,Te,vt,we,$e,Tt,nt,Q,fe,Qe,ie,O,I,wt,_e,ge,$t,J,xt,Mt,U,Ie,xe,at,de,Me,ze,zt,le,Fe,qe,st,Z,S,He,N,Ft,Ve;return{c(){l=a("p"),b=i("TensorFlow models and layers in "),f=a("code"),h=i("transformers"),k=i(" accept two formats as input:"),n=c(),u=a("ul"),q=a("li"),bt=i("having all inputs as keyword arguments (like PyTorch models), or"),ot=c(),X=a("li"),Se=i("having all inputs as a list, tuple or dict in the first positional argument."),he=c(),j=a("p"),yt=i(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=a("code"),Oe=i("model.fit()"),Nt=i(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=a("code"),re=i("model.fit()"),Xe=i(` supports! If, however, you want to use the second
format outside of Keras methods like `),Te=a("code"),vt=i("fit()"),we=i(" and "),$e=a("code"),Tt=i("predict()"),nt=i(`, such as when creating your own layers or models with
the Keras `),Q=a("code"),fe=i("Functional"),Qe=i(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ie=c(),O=a("ul"),I=a("li"),wt=i("a single Tensor with "),_e=a("code"),ge=i("input_ids"),$t=i(" only and nothing else: "),J=a("code"),xt=i("model(input_ids)"),Mt=c(),U=a("li"),Ie=i(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),xe=a("code"),at=i("model([input_ids, attention_mask])"),de=i(" or "),Me=a("code"),ze=i("model([input_ids, attention_mask, token_type_ids])"),zt=c(),le=a("li"),Fe=i(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),qe=a("code"),st=i('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Z=c(),S=a("p"),He=i(`Note that when creating models and layers with
`),N=a("a"),Ft=i("subclassing"),Ve=i(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){l=s(z,"P",{});var B=r(l);b=d(B,"TensorFlow models and layers in "),f=s(B,"CODE",{});var K=r(f);h=d(K,"transformers"),K.forEach(t),k=d(B," accept two formats as input:"),B.forEach(t),n=p(z),u=s(z,"UL",{});var Ke=r(u);q=s(Ke,"LI",{});var qt=r(q);bt=d(qt,"having all inputs as keyword arguments (like PyTorch models), or"),qt.forEach(t),ot=p(Ke),X=s(Ke,"LI",{});var Jt=r(X);Se=d(Jt,"having all inputs as a list, tuple or dict in the first positional argument."),Jt.forEach(t),Ke.forEach(t),he=p(z),j=s(z,"P",{});var C=r(j);yt=d(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),ee=s(C,"CODE",{});var jt=r(ee);Oe=d(jt,"model.fit()"),jt.forEach(t),Nt=d(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),me=s(C,"CODE",{});var Zt=r(me);re=d(Zt,"model.fit()"),Zt.forEach(t),Xe=d(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),Te=s(C,"CODE",{});var Yt=r(Te);vt=d(Yt,"fit()"),Yt.forEach(t),we=d(C," and "),$e=s(C,"CODE",{});var Bt=r($e);Tt=d(Bt,"predict()"),Bt.forEach(t),nt=d(C,`, such as when creating your own layers or models with
the Keras `),Q=s(C,"CODE",{});var eo=r(Q);fe=d(eo,"Functional"),eo.forEach(t),Qe=d(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),ie=p(z),O=s(z,"UL",{});var ce=r(O);I=s(ce,"LI",{});var pe=r(I);wt=d(pe,"a single Tensor with "),_e=s(pe,"CODE",{});var to=r(_e);ge=d(to,"input_ids"),to.forEach(t),$t=d(pe," only and nothing else: "),J=s(pe,"CODE",{});var oo=r(J);xt=d(oo,"model(input_ids)"),oo.forEach(t),pe.forEach(t),Mt=p(ce),U=s(ce,"LI",{});var ke=r(U);Ie=d(ke,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),xe=s(ke,"CODE",{});var te=r(xe);at=d(te,"model([input_ids, attention_mask])"),te.forEach(t),de=d(ke," or "),Me=s(ke,"CODE",{});var no=r(Me);ze=d(no,"model([input_ids, attention_mask, token_type_ids])"),no.forEach(t),ke.forEach(t),zt=p(ce),le=s(ce,"LI",{});var je=r(le);Fe=d(je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),qe=s(je,"CODE",{});var Et=r(qe);st=d(Et,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Et.forEach(t),je.forEach(t),ce.forEach(t),Z=p(z),S=s(z,"P",{});var Je=r(S);He=d(Je,`Note that when creating models and layers with
`),N=s(Je,"A",{href:!0,rel:!0});var ao=r(N);Ft=d(ao,"subclassing"),ao.forEach(t),Ve=d(Je,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Je.forEach(t),this.h()},h(){m(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(N,"rel","nofollow")},m(z,B){g(z,l,B),e(l,b),e(l,f),e(f,h),e(l,k),g(z,n,B),g(z,u,B),e(u,q),e(q,bt),e(u,ot),e(u,X),e(X,Se),g(z,he,B),g(z,j,B),e(j,yt),e(j,ee),e(ee,Oe),e(j,Nt),e(j,me),e(me,re),e(j,Xe),e(j,Te),e(Te,vt),e(j,we),e(j,$e),e($e,Tt),e(j,nt),e(j,Q),e(Q,fe),e(j,Qe),g(z,ie,B),g(z,O,B),e(O,I),e(I,wt),e(I,_e),e(_e,ge),e(I,$t),e(I,J),e(J,xt),e(O,Mt),e(O,U),e(U,Ie),e(U,xe),e(xe,at),e(U,de),e(U,Me),e(Me,ze),e(O,zt),e(O,le),e(le,Fe),e(le,qe),e(qe,st),g(z,Z,B),g(z,S,B),e(S,He),e(S,N),e(N,Ft),e(S,Ve)},d(z){z&&t(l),z&&t(n),z&&t(u),z&&t(he),z&&t(j),z&&t(ie),z&&t(O),z&&t(Z),z&&t(S)}}}function dx(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function lx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartForConditionalGeneration

model = TFMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-en-ro")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-en-ro")

example_english_phrase = "42 is the answer"
inputs = tokenizer(example_english_phrase, return_tensors="tf")

# Translate
generated_ids = model.generate(**inputs, num_beams=4, max_length=5)
tokenizer.batch_decode(generated_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot;42 is the answer&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Translate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(**inputs, num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;42 este r\u0103spuns&#x27;</span>`}}),{c(){l=a("p"),b=i("Translation example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Translation example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function cx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, TFMBartForConditionalGeneration
import tensorflow as tf

model = TFMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"

input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="tf")["input_ids"]
logits = model(input_ids).logits

masked_index = tf.where(input_ids[0] == tokenizer.mask_token_id)[0, 0]
probs = tf.nn.softmax(logits[0, masked_index], axis=0)
values, predictions = tf.math.top_k(probs, 5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFMBartForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = tf.where(input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id)[<span class="hljs-number">0</span>, <span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = tf.nn.softmax(logits[<span class="hljs-number">0</span>, masked_index], axis=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = tf.math.top_k(probs, <span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()
[<span class="hljs-string">&#x27;nett&#x27;</span>, <span class="hljs-string">&#x27;sehr&#x27;</span>, <span class="hljs-string">&#x27;ganz&#x27;</span>, <span class="hljs-string">&#x27;nicht&#x27;</span>, <span class="hljs-string">&#x27;so&#x27;</span>]`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Mask filling example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function px(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function ux(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartModel

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartModel.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartModel.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function hx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function mx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function fx(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function _x(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration, MBartConfig

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

ARTICLE_TO_SUMMARIZE = "Meine Freunde sind cool, aber sie essen zu viel Kuchen."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=1024, return_tensors="np")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"], num_beams=4, max_length=5).sequences
print(tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration, MBartConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;Meine Freunde sind cool, aber sie essen zu viel Kuchen.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>], num_beams=<span class="hljs-number">4</span>, max_length=<span class="hljs-number">5</span>).sequences
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){l=a("p"),b=i("Summarization example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Summarization example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function gx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

# de_DE is the language symbol id <LID> for German
TXT = "</s> Meine Freunde sind <mask> nett aber sie essen zu viel Kuchen. </s> de_DE"
input_ids = tokenizer([TXT], add_special_tokens=False, return_tensors="np")["input_ids"]

logits = model(input_ids).logits
masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero()[0].item()
probs = logits[0, masked_index].softmax(dim=0)
values, predictions = probs.topk(5)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># de_DE is the language symbol id &lt;LID&gt; for German</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;&lt;/s&gt; Meine Freunde sind &lt;mask&gt; nett aber sie essen zu viel Kuchen. &lt;/s&gt; de_DE&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero()[<span class="hljs-number">0</span>].item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits[<span class="hljs-number">0</span>, masked_index].softmax(dim=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = probs.topk(<span class="hljs-number">5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()`}}),{c(){l=a("p"),b=i("Mask filling example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Mask filling example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function kx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function bx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function yx(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function vx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartForSequenceClassification.from_pretrained("facebook/mbart-large-cc25")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function Tx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function wx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function $x(M){let l,b,f,h,k;return{c(){l=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),h=i("Module"),k=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=s(u,"CODE",{});var q=r(f);h=d(q,"Module"),q.forEach(t),k=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){g(n,l,u),e(l,b),e(l,f),e(f,h),e(l,k)},d(n){n&&t(l)}}}function xx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")
model = FlaxMBartForQuestionAnswering.from_pretrained("facebook/mbart-large-cc25")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function Mx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function zx(M){let l,b,f,h,k;return h=new E({props:{code:`from transformers import AutoTokenizer, FlaxMBartForConditionalGeneration

model = FlaxMBartForConditionalGeneration.from_pretrained("facebook/mbart-large-cc25")
tokenizer = AutoTokenizer.from_pretrained("facebook/mbart-large-cc25")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="jax")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxMBartForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxMBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-cc25&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){l=a("p"),b=i("Example:"),f=c(),y(h.$$.fragment)},l(n){l=s(n,"P",{});var u=r(l);b=d(u,"Example:"),u.forEach(t),f=p(n),v(h.$$.fragment,n)},m(n,u){g(n,l,u),e(l,b),g(n,f,u),T(h,n,u),k=!0},p:P,i(n){k||(w(h.$$.fragment,n),k=!0)},o(n){$(h.$$.fragment,n),k=!1},d(n){n&&t(l),n&&t(f),x(h,n)}}}function Fx(M){let l,b,f,h,k,n,u,q,bt,ot,X,Se,he,j,yt,ee,Oe,Nt,me,re,Xe,Te,vt,we,$e,Tt,nt,Q,fe,Qe,ie,O,I,wt,_e,ge,$t,J,xt,Mt,U,Ie,xe,at,de,Me,ze,zt,le,Fe,qe,st,Z,S,He,N,Ft,Ve,z,B,K,Ke,qt,Jt,C,jt,Zt,Yt,Bt,eo,ce,pe,to,oo,ke,te,no,je,Et,Je,ao,dm,qd,lm,cm,jd,pm,um,Np,Mi,Bd,hm,Dp,Sa,Lp,zi,Oa,Ed,mm,fm,so,_m,Cd,gm,km,Ad,bm,ym,Gp,Ia,Wp,ro,Xo,Pd,Na,vm,Sd,Tm,Up,Dt,wm,Da,$m,xm,Od,Mm,zm,Rp,Fi,Fm,Xp,qi,Id,qm,Qp,io,Qo,Nd,La,jm,Dd,Bm,Hp,rt,Em,Ld,Cm,Am,Gd,Pm,Sm,Wd,Om,Im,Vp,Ho,Nm,ji,Dm,Lm,Kp,Bi,Ud,Gm,Jp,Ga,Zp,Ei,Wa,Rd,Wm,Um,Be,Rm,Xd,Xm,Qm,Qd,Hm,Vm,Hd,Km,Jm,Vd,Zm,Ym,Kd,ef,tf,Yp,Ua,eu,lo,Vo,Jd,Ra,of,Zd,nf,tu,be,Yd,Ci,af,sf,el,Ai,rf,df,tl,Pi,lf,cf,ol,Si,pf,uf,nl,Oi,hf,mf,al,Ii,ff,ou,co,Ko,sl,Xa,_f,rl,gf,nu,Ze,Qa,kf,po,bf,Ni,yf,vf,Ha,Tf,wf,$f,uo,xf,Di,Mf,zf,Li,Ff,qf,jf,Jo,au,ho,Zo,il,Va,Bf,dl,Ef,su,ue,Ka,Cf,ll,Af,Pf,Ct,Sf,Gi,Of,If,Wi,Nf,Df,Ja,Lf,Gf,Wf,mo,Uf,cl,Rf,Xf,pl,Qf,Hf,Vf,Yo,Kf,it,Za,Jf,Ya,Zf,ul,Yf,e_,t_,es,ts,hl,o_,n_,ml,a_,s_,os,fl,r_,i_,_l,d_,l_,gl,c_,ru,fo,en,kl,ns,p_,bl,u_,iu,D,as,h_,_o,m_,yl,f_,__,ss,g_,k_,b_,rs,y_,Ui,v_,T_,w_,go,$_,vl,x_,M_,Tl,z_,F_,q_,tn,j_,Ne,is,B_,wl,E_,C_,ds,A_,$l,P_,S_,O_,ls,cs,xl,I_,N_,Ml,D_,L_,ps,zl,G_,W_,Fl,U_,R_,ql,X_,Q_,on,us,H_,jl,V_,K_,nn,hs,J_,Bl,Z_,Y_,an,ms,eg,El,tg,du,ko,sn,Cl,fs,og,Al,ng,lu,L,_s,ag,gs,sg,ks,rg,ig,dg,bs,lg,Ri,cg,pg,ug,rn,hg,dt,ys,mg,vs,fg,Pl,_g,gg,kg,Ts,ws,Sl,bg,yg,Ol,vg,Tg,$s,Il,wg,$g,Nl,xg,Mg,Dl,zg,Fg,dn,xs,qg,Ll,jg,Bg,ln,Ms,Eg,zs,Cg,Gl,Ag,Pg,Sg,cn,Fs,Og,Wl,Ig,Ng,pn,qs,Dg,Ul,Lg,cu,bo,un,Rl,js,Gg,Xl,Wg,pu,Y,Bs,Ug,yo,Rg,Ql,Xg,Qg,Es,Hg,Vg,Kg,Cs,Jg,Xi,Zg,Yg,ek,hn,tk,De,As,ok,Hl,nk,ak,Ps,sk,Vl,rk,ik,dk,Ss,Os,Kl,lk,ck,Jl,pk,uk,Is,Zl,hk,mk,Yl,fk,_k,ec,gk,kk,mn,Ns,bk,tc,yk,vk,fn,Ds,Tk,oc,wk,uu,vo,_n,nc,Ls,$k,ac,xk,hu,Ye,Gs,Mk,Ws,zk,Qi,Fk,qk,jk,Us,Bk,Rs,Ek,Ck,Ak,lt,Xs,Pk,To,Sk,Hi,Ok,Ik,sc,Nk,Dk,Lk,gn,Gk,kn,mu,wo,bn,rc,Qs,Wk,ic,Uk,fu,et,Hs,Rk,Vs,Xk,Vi,Qk,Hk,Vk,Ks,Kk,Js,Jk,Zk,Yk,Le,Zs,eb,$o,tb,Ki,ob,nb,dc,ab,sb,rb,yn,ib,vn,db,Tn,_u,xo,wn,lc,Ys,lb,cc,cb,gu,Ee,er,pb,Mo,ub,pc,hb,mb,uc,fb,_b,gb,tr,kb,Ji,bb,yb,vb,or,Tb,nr,wb,$b,xb,ct,ar,Mb,zo,zb,Zi,Fb,qb,hc,jb,Bb,Eb,$n,Cb,xn,ku,Fo,Mn,mc,sr,Ab,fc,Pb,bu,Ce,rr,Sb,_c,Ob,Ib,ir,Nb,Yi,Db,Lb,Gb,dr,Wb,lr,Ub,Rb,Xb,Ge,cr,Qb,qo,Hb,ed,Vb,Kb,gc,Jb,Zb,Yb,zn,ey,Fn,ty,qn,yu,jo,jn,kc,pr,oy,bc,ny,vu,Bo,ur,ay,Bn,hr,sy,En,Tu,Eo,Cn,yc,mr,ry,vc,iy,wu,Ae,fr,dy,_r,ly,td,cy,py,uy,gr,hy,kr,my,fy,_y,An,gy,pt,br,ky,Co,by,od,yy,vy,Tc,Ty,wy,$y,Pn,xy,Sn,$u,Ao,On,wc,yr,My,$c,zy,xu,Pe,vr,Fy,Tr,qy,nd,jy,By,Ey,wr,Cy,$r,Ay,Py,Sy,In,Oy,We,xr,Iy,Po,Ny,ad,Dy,Ly,xc,Gy,Wy,Uy,Nn,Ry,Dn,Xy,Ln,Mu,So,Gn,Mc,Mr,Qy,zc,Hy,zu,H,zr,Vy,Fr,Ky,sd,Jy,Zy,Yy,qr,ev,jr,tv,ov,nv,Fc,av,sv,At,qc,Br,rv,iv,jc,Er,dv,lv,Bc,Cr,cv,pv,Ec,Ar,uv,hv,ut,Pr,mv,Oo,fv,Cc,_v,gv,Ac,kv,bv,yv,Wn,vv,Un,Tv,Rn,Sr,wv,Xn,$v,Qn,Or,xv,Hn,Fu,Io,Vn,Pc,Ir,Mv,Sc,zv,qu,V,Nr,Fv,Dr,qv,rd,jv,Bv,Ev,Lr,Cv,Gr,Av,Pv,Sv,Oc,Ov,Iv,Pt,Ic,Wr,Nv,Dv,Nc,Ur,Lv,Gv,Dc,Rr,Wv,Uv,Lc,Xr,Rv,Xv,Ue,Qr,Qv,No,Hv,Gc,Vv,Kv,Wc,Jv,Zv,Yv,Kn,eT,Jn,tT,Zn,oT,Yn,Hr,nT,ea,aT,ta,Vr,sT,oa,ju,Do,na,Uc,Kr,rT,Rc,iT,Bu,G,Jr,dT,Xc,lT,cT,Zr,pT,id,uT,hT,mT,Yr,fT,ei,_T,gT,kT,Qc,bT,yT,St,Hc,ti,vT,TT,Vc,oi,wT,$T,Kc,ni,xT,MT,Jc,ai,zT,FT,ht,si,qT,Lo,jT,Zc,BT,ET,Yc,CT,AT,PT,aa,ST,sa,OT,ra,ri,IT,ia,NT,da,ii,DT,la,Eu,Go,ca,ep,di,LT,tp,GT,Cu,W,li,WT,Wo,UT,op,RT,XT,np,QT,HT,VT,ci,KT,dd,JT,ZT,YT,pi,e1,ui,t1,o1,n1,ap,a1,s1,Ot,sp,hi,r1,i1,rp,mi,d1,l1,ip,fi,c1,p1,dp,_i,u1,h1,mt,gi,m1,Uo,f1,lp,_1,g1,cp,k1,b1,y1,pa,v1,ua,T1,ha,ki,w1,ma,$1,fa,bi,x1,_a,Au;return n=new R({}),ie=new R({}),N=new R({}),Sa=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX", tgt_lang="ro_RO")
example_english_phrase = "UN Chief Says There Is No Military Solution in Syria"
expected_translation_romanian = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"

inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors="pt")

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-en-ro")
# forward pass
model(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>example_english_phrase = <span class="hljs-string">&quot;UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_translation_romanian = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(example_english_phrase, text_target=expected_translation_romanian, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model(**inputs)`}}),Ia=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBartTokenizer

tokenizer = MBartTokenizer.from_pretrained("facebook/mbart-large-en-ro", src_lang="en_XX")
article = "UN Chief Says There Is No Military Solution in Syria"
inputs = tokenizer(article, return_tensors="pt")
translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id["ro_RO"])
tokenizer.batch_decode(translated_tokens, skip_special_tokens=True)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBartTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = MBartTokenizer.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-en-ro&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>article = <span class="hljs-string">&quot;UN Chief Says There Is No Military Solution in Syria&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(article, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>translated_tokens = model.generate(**inputs, decoder_start_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;ro_RO&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(translated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>`}}),Na=new R({}),La=new R({}),Ga=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBart50TokenizerFast

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-50")
tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50", src_lang="en_XX", tgt_lang="ro_RO")

src_text = " UN Chief Says There Is No Military Solution in Syria"
tgt_text = "\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria"

model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors="pt")

model(**model_inputs)  # forward pass`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBart50TokenizerFast

model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>)
tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50&quot;</span>, src_lang=<span class="hljs-string">&quot;en_XX&quot;</span>, tgt_lang=<span class="hljs-string">&quot;ro_RO&quot;</span>)

src_text = <span class="hljs-string">&quot; UN Chief Says There Is No Military Solution in Syria&quot;</span>
tgt_text = <span class="hljs-string">&quot;\u015Eeful ONU declar\u0103 c\u0103 nu exist\u0103 o solu\u0163ie militar\u0103 \xEEn Siria&quot;</span>

model_inputs = tokenizer(src_text, text_target=tgt_text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

model(**model_inputs)  <span class="hljs-comment"># forward pass</span>`}}),Ua=new E({props:{code:`from transformers import MBartForConditionalGeneration, MBart50TokenizerFast

article_hi = "\u0938\u0902\u092F\u0941\u0915\u094D\u0924 \u0930\u093E\u0937\u094D\u091F\u094D\u0930 \u0915\u0947 \u092A\u094D\u0930\u092E\u0941\u0916 \u0915\u093E \u0915\u0939\u0928\u093E \u0939\u0948 \u0915\u093F \u0938\u0940\u0930\u093F\u092F\u093E \u092E\u0947\u0902 \u0915\u094B\u0908 \u0938\u0948\u0928\u094D\u092F \u0938\u092E\u093E\u0927\u093E\u0928 \u0928\u0939\u0940\u0902 \u0939\u0948"
article_ar = "\u0627\u0644\u0623\u0645\u064A\u0646 \u0627\u0644\u0639\u0627\u0645 \u0644\u0644\u0623\u0645\u0645 \u0627\u0644\u0645\u062A\u062D\u062F\u0629 \u064A\u0642\u0648\u0644 \u0625\u0646\u0647 \u0644\u0627 \u064A\u0648\u062C\u062F \u062D\u0644 \u0639\u0633\u0643\u0631\u064A \u0641\u064A \u0633\u0648\u0631\u064A\u0627."

model = MBartForConditionalGeneration.from_pretrained("facebook/mbart-large-50-many-to-many-mmt")
tokenizer = MBart50TokenizerFast.from_pretrained("facebook/mbart-large-50-many-to-many-mmt")

# translate Hindi to French
tokenizer.src_lang = "hi_IN"
encoded_hi = tokenizer(article_hi, return_tensors="pt")
generated_tokens = model.generate(**encoded_hi, forced_bos_token_id=tokenizer.lang_code_to_id["fr_XX"])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=True)
# => "Le chef de l 'ONU affirme qu 'il n 'y a pas de solution militaire en Syria."

# translate Arabic to English
tokenizer.src_lang = "ar_AR"
encoded_ar = tokenizer(article_ar, return_tensors="pt")
generated_tokens = model.generate(**encoded_ar, forced_bos_token_id=tokenizer.lang_code_to_id["en_XX"])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=True)
# => "The Secretary-General of the United Nations says there is no military solution in Syria."`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> MBartForConditionalGeneration, MBart50TokenizerFast

article_hi = <span class="hljs-string">&quot;\u0938\u0902\u092F\u0941\u0915\u094D\u0924 \u0930\u093E\u0937\u094D\u091F\u094D\u0930 \u0915\u0947 \u092A\u094D\u0930\u092E\u0941\u0916 \u0915\u093E \u0915\u0939\u0928\u093E \u0939\u0948 \u0915\u093F \u0938\u0940\u0930\u093F\u092F\u093E \u092E\u0947\u0902 \u0915\u094B\u0908 \u0938\u0948\u0928\u094D\u092F \u0938\u092E\u093E\u0927\u093E\u0928 \u0928\u0939\u0940\u0902 \u0939\u0948&quot;</span>
article_ar = <span class="hljs-string">&quot;\u0627\u0644\u0623\u0645\u064A\u0646 \u0627\u0644\u0639\u0627\u0645 \u0644\u0644\u0623\u0645\u0645 \u0627\u0644\u0645\u062A\u062D\u062F\u0629 \u064A\u0642\u0648\u0644 \u0625\u0646\u0647 \u0644\u0627 \u064A\u0648\u062C\u062F \u062D\u0644 \u0639\u0633\u0643\u0631\u064A \u0641\u064A \u0633\u0648\u0631\u064A\u0627.&quot;</span>

model = MBartForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50-many-to-many-mmt&quot;</span>)
tokenizer = MBart50TokenizerFast.from_pretrained(<span class="hljs-string">&quot;facebook/mbart-large-50-many-to-many-mmt&quot;</span>)

<span class="hljs-comment"># translate Hindi to French</span>
tokenizer.src_lang = <span class="hljs-string">&quot;hi_IN&quot;</span>
encoded_hi = tokenizer(article_hi, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
generated_tokens = model.generate(**encoded_hi, forced_bos_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;fr_XX&quot;</span>])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># =&gt; &quot;Le chef de l &#x27;ONU affirme qu &#x27;il n &#x27;y a pas de solution militaire en Syria.&quot;</span>

<span class="hljs-comment"># translate Arabic to English</span>
tokenizer.src_lang = <span class="hljs-string">&quot;ar_AR&quot;</span>
encoded_ar = tokenizer(article_ar, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
generated_tokens = model.generate(**encoded_ar, forced_bos_token_id=tokenizer.lang_code_to_id[<span class="hljs-string">&quot;en_XX&quot;</span>])
tokenizer.batch_decode(generated_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># =&gt; &quot;The Secretary-General of the United Nations says there is no military solution in Syria.&quot;</span>`}}),Ra=new R({}),Xa=new R({}),Qa=new F({props:{name:"class transformers.MBartConfig",anchor:"transformers.MBartConfig",parameters:[{name:"vocab_size",val:" = 50265"},{name:"max_position_embeddings",val:" = 1024"},{name:"encoder_layers",val:" = 12"},{name:"encoder_ffn_dim",val:" = 4096"},{name:"encoder_attention_heads",val:" = 16"},{name:"decoder_layers",val:" = 12"},{name:"decoder_ffn_dim",val:" = 4096"},{name:"decoder_attention_heads",val:" = 16"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 1024"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"classifier_dropout",val:" = 0.0"},{name:"scale_embedding",val:" = False"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"forced_eos_token_id",val:" = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBartConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50265) &#x2014;
Vocabulary size of the MBART model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartModel">MBartModel</a> or <a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.TFMBartModel">TFMBartModel</a>.`,name:"vocab_size"},{anchor:"transformers.MBartConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.MBartConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.MBartConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.MBartConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.MBartConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.MBartConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.MBartConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.MBartConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.MBartConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.MBartConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.MBartConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.MBartConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for classifier.`,name:"classifier_dropout"},{anchor:"transformers.MBartConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.MBartConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.MBartConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.MBartConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.MBartConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.MBartConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models)`,name:"use_cache"},{anchor:"transformers.MBartConfig.forced_eos_token_id",description:`<strong>forced_eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The id of the token to force as the last generated token when <code>max_length</code> is reached. Usually set to
<code>eos_token_id</code>.`,name:"forced_eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/configuration_mbart.py#L34"}}),Jo=new A({props:{anchor:"transformers.MBartConfig.example",$$slots:{default:[G$]},$$scope:{ctx:M}}}),Va=new R({}),Ka=new F({props:{name:"class transformers.MBartTokenizer",anchor:"transformers.MBartTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"tokenizer_file",val:" = None"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/tokenization_mbart.py#L53"}}),Yo=new A({props:{anchor:"transformers.MBartTokenizer.example",$$slots:{default:[W$]},$$scope:{ctx:M}}}),Za=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/tokenization_mbart.py#L217",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ns=new R({}),as=new F({props:{name:"class transformers.MBartTokenizerFast",anchor:"transformers.MBartTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/tokenization_mbart_fast.py#L63"}}),tn=new A({props:{anchor:"transformers.MBartTokenizerFast.example",$$slots:{default:[U$]},$$scope:{ctx:M}}}),is=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/tokenization_mbart_fast.py#L161",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),us=new F({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.MBartTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/tokenization_mbart_fast.py#L190",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),hs=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBartTokenizerFast.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/tokenization_mbart_fast.py#L245"}}),ms=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBartTokenizerFast.set_tgt_lang_special_tokens",parameters:[{name:"lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/tokenization_mbart_fast.py#L260"}}),fs=new R({}),_s=new F({props:{name:"class transformers.MBart50Tokenizer",anchor:"transformers.MBart50Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.MBart50Tokenizer.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"src_lang"},{anchor:"transformers.MBart50Tokenizer.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"tgt_lang"},{anchor:"transformers.MBart50Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.MBart50Tokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.MBart50Tokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.MBart50Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.MBart50Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.MBart50Tokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.MBart50Tokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50.py#L49"}}),rn=new A({props:{anchor:"transformers.MBart50Tokenizer.example",$$slots:{default:[R$]},$$scope:{ctx:M}}}),ys=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBart50Tokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50.py#L301",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),xs=new F({props:{name:"convert_tokens_to_string",anchor:"transformers.MBart50Tokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50.py#L235"}}),Ms=new F({props:{name:"get_special_tokens_mask",anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.MBart50Tokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50.py#L271",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Fs=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBart50Tokenizer.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50.py#L358"}}),qs=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBart50Tokenizer.set_tgt_lang_special_tokens",parameters:[{name:"tgt_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50.py#L364"}}),js=new R({}),Bs=new F({props:{name:"class transformers.MBart50TokenizerFast",anchor:"transformers.MBart50TokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"src_lang",val:" = None"},{name:"tgt_lang",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBart50TokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.MBart50TokenizerFast.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the source language.`,name:"src_lang"},{anchor:"transformers.MBart50TokenizerFast.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
A string representing the target language.`,name:"tgt_lang"},{anchor:"transformers.MBart50TokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.MBart50TokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.MBart50TokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.MBart50TokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.MBart50TokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.MBart50TokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L59"}}),hn=new A({props:{anchor:"transformers.MBart50TokenizerFast.example",$$slots:{default:[X$]},$$scope:{ctx:M}}}),As=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.MBart50TokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L170",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Ns=new F({props:{name:"set_src_lang_special_tokens",anchor:"transformers.MBart50TokenizerFast.set_src_lang_special_tokens",parameters:[{name:"src_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L217"}}),Ds=new F({props:{name:"set_tgt_lang_special_tokens",anchor:"transformers.MBart50TokenizerFast.set_tgt_lang_special_tokens",parameters:[{name:"tgt_lang",val:": str"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart50/tokenization_mbart50_fast.py#L232"}}),Ls=new R({}),Gs=new F({props:{name:"class transformers.MBartModel",anchor:"transformers.MBartModel",parameters:[{name:"config",val:": MBartConfig"}],parametersDescription:[{anchor:"transformers.MBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1153"}}),Xs=new F({props:{name:"forward",anchor:"transformers.MBartModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1182",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),gn=new kt({props:{$$slots:{default:[Q$]},$$scope:{ctx:M}}}),kn=new A({props:{anchor:"transformers.MBartModel.forward.example",$$slots:{default:[H$]},$$scope:{ctx:M}}}),Qs=new R({}),Hs=new F({props:{name:"class transformers.MBartForConditionalGeneration",anchor:"transformers.MBartForConditionalGeneration",parameters:[{name:"config",val:": MBartConfig"}],parametersDescription:[{anchor:"transformers.MBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1272"}}),Zs=new F({props:{name:"forward",anchor:"transformers.MBartForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1318",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),yn=new kt({props:{$$slots:{default:[V$]},$$scope:{ctx:M}}}),vn=new A({props:{anchor:"transformers.MBartForConditionalGeneration.forward.example",$$slots:{default:[K$]},$$scope:{ctx:M}}}),Tn=new A({props:{anchor:"transformers.MBartForConditionalGeneration.forward.example-2",$$slots:{default:[J$]},$$scope:{ctx:M}}}),Ys=new R({}),er=new F({props:{name:"class transformers.MBartForQuestionAnswering",anchor:"transformers.MBartForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.MBartForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1576"}}),ar=new F({props:{name:"forward",anchor:"transformers.MBartForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": Tensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForQuestionAnswering.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForQuestionAnswering.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForQuestionAnswering.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForQuestionAnswering.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<em>sequence_length</em>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.MBartForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<em>sequence_length</em>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1591",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_outputs.Seq2SeqQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$n=new kt({props:{$$slots:{default:[Z$]},$$scope:{ctx:M}}}),xn=new A({props:{anchor:"transformers.MBartForQuestionAnswering.forward.example",$$slots:{default:[Y$]},$$scope:{ctx:M}}}),sr=new R({}),rr=new F({props:{name:"class transformers.MBartForSequenceClassification",anchor:"transformers.MBartForSequenceClassification",parameters:[{name:"config",val:": MBartConfig"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.MBartForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1447"}}),cr=new F({props:{name:"forward",anchor:"transformers.MBartForSequenceClassification.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForSequenceClassification.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.MBartForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.MBartForSequenceClassification.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.MBartForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.MBartForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.MBartForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1463",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>label</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput"
>transformers.modeling_outputs.Seq2SeqSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),zn=new kt({props:{$$slots:{default:[ex]},$$scope:{ctx:M}}}),Fn=new A({props:{anchor:"transformers.MBartForSequenceClassification.forward.example",$$slots:{default:[tx]},$$scope:{ctx:M}}}),qn=new A({props:{anchor:"transformers.MBartForSequenceClassification.forward.example-2",$$slots:{default:[ox]},$$scope:{ctx:M}}}),pr=new R({}),ur=new F({props:{name:"class transformers.MBartForCausalLM",anchor:"transformers.MBartForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1709"}}),hr=new F({props:{name:"forward",anchor:"transformers.MBartForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.MBartForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.MBartForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.MBartForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention
if the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.MBartForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used
in the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.MBartForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.MBartForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.MBartForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.MBartForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.MBartForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.MBartForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.MBartForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.MBartForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_mbart.py#L1742",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),En=new A({props:{anchor:"transformers.MBartForCausalLM.forward.example",$$slots:{default:[nx]},$$scope:{ctx:M}}}),mr=new R({}),fr=new F({props:{name:"class transformers.TFMBartModel",anchor:"transformers.TFMBartModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_tf_mbart.py#L1207"}}),An=new kt({props:{$$slots:{default:[ax]},$$scope:{ctx:M}}}),br=new F({props:{name:"call",anchor:"transformers.TFMBartModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple, transformers.modeling_tf_outputs.TFBaseModelOutput, NoneType] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[tensorflow.python.framework.ops.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMBartModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMBartModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.TFMBartModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMBartModel.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMBartModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMBartModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMBartModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMBartModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMBartModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMBartModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMBartModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMBartModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMBartModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMBartModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_tf_mbart.py#L1219",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Pn=new kt({props:{$$slots:{default:[sx]},$$scope:{ctx:M}}}),Sn=new A({props:{anchor:"transformers.TFMBartModel.call.example",$$slots:{default:[rx]},$$scope:{ctx:M}}}),yr=new R({}),vr=new F({props:{name:"class transformers.TFMBartForConditionalGeneration",anchor:"transformers.TFMBartForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFMBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_tf_mbart.py#L1312"}}),In=new kt({props:{$$slots:{default:[ix]},$$scope:{ctx:M}}}),xr=new F({props:{name:"call",anchor:"transformers.TFMBartForConditionalGeneration.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[transformers.modeling_tf_outputs.TFBaseModelOutput] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFMBartForConditionalGeneration.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>MBart uses a specific language id token as the starting token for <code>decoder_input_ids</code> generation that
varies according to source and target language, <em>e.g.</em> 25004 for <em>en_XX</em>, and 25003 for <em>de_DE</em>. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFMBartForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFMBartForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFMBartForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFMBartForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFMBartForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFMBartForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFMBartForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFMBartForConditionalGeneration.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFMBartForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_tf_mbart.py#L1350",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Nn=new kt({props:{$$slots:{default:[dx]},$$scope:{ctx:M}}}),Dn=new A({props:{anchor:"transformers.TFMBartForConditionalGeneration.call.example",$$slots:{default:[lx]},$$scope:{ctx:M}}}),Ln=new A({props:{anchor:"transformers.TFMBartForConditionalGeneration.call.example-2",$$slots:{default:[cx]},$$scope:{ctx:M}}}),Mr=new R({}),zr=new F({props:{name:"class transformers.FlaxMBartModel",anchor:"transformers.FlaxMBartModel",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1277"}}),Pr=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Wn=new kt({props:{$$slots:{default:[px]},$$scope:{ctx:M}}}),Un=new A({props:{anchor:"transformers.FlaxMBartModel.__call__.example",$$slots:{default:[ux]},$$scope:{ctx:M}}}),Sr=new F({props:{name:"encode",anchor:"transformers.FlaxMBartModel.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartModel.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartModel.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartModel.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xn=new A({props:{anchor:"transformers.FlaxMBartModel.encode.example",$$slots:{default:[hx]},$$scope:{ctx:M}}}),Or=new F({props:{name:"decode",anchor:"transformers.FlaxMBartModel.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartModel.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartModel.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartModel.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartModel.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartModel.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartModel.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartModel.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartModel.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1101",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Hn=new A({props:{anchor:"transformers.FlaxMBartModel.decode.example",$$slots:{default:[mx]},$$scope:{ctx:M}}}),Ir=new R({}),Nr=new F({props:{name:"class transformers.FlaxMBartForConditionalGeneration",anchor:"transformers.FlaxMBartForConditionalGeneration",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForConditionalGeneration.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1362"}}),Qr=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForConditionalGeneration.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Kn=new kt({props:{$$slots:{default:[fx]},$$scope:{ctx:M}}}),Jn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.example",$$slots:{default:[_x]},$$scope:{ctx:M}}}),Zn=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.__call__.example-2",$$slots:{default:[gx]},$$scope:{ctx:M}}}),Hr=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForConditionalGeneration.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ea=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.encode.example",$$slots:{default:[kx]},$$scope:{ctx:M}}}),Vr=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForConditionalGeneration.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1366",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),oa=new A({props:{anchor:"transformers.FlaxMBartForConditionalGeneration.decode.example",$$slots:{default:[bx]},$$scope:{ctx:M}}}),Kr=new R({}),Jr=new F({props:{name:"class transformers.FlaxMBartForSequenceClassification",anchor:"transformers.FlaxMBartForSequenceClassification",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForSequenceClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1675"}}),si=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForSequenceClassification.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),aa=new kt({props:{$$slots:{default:[yx]},$$scope:{ctx:M}}}),sa=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.__call__.example",$$slots:{default:[vx]},$$scope:{ctx:M}}}),ri=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForSequenceClassification.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ia=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.encode.example",$$slots:{default:[Tx]},$$scope:{ctx:M}}}),ii=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForSequenceClassification.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForSequenceClassification.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1101",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),la=new A({props:{anchor:"transformers.FlaxMBartForSequenceClassification.decode.example",$$slots:{default:[wx]},$$scope:{ctx:M}}}),di=new R({}),li=new F({props:{name:"class transformers.FlaxMBartForQuestionAnswering",anchor:"transformers.FlaxMBartForQuestionAnswering",parameters:[{name:"config",val:": MBartConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig">MBartConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxMBartForQuestionAnswering.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1762"}}),gi=new F({props:{name:"__call__",anchor:"transformers.FlaxMBartForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1214",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartConfig"
>MBartConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),pa=new kt({props:{$$slots:{default:[$x]},$$scope:{ctx:M}}}),ua=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.__call__.example",$$slots:{default:[xx]},$$scope:{ctx:M}}}),ki=new F({props:{name:"encode",anchor:"transformers.FlaxMBartForQuestionAnswering.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1038",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ma=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.encode.example",$$slots:{default:[Mx]},$$scope:{ctx:M}}}),bi=new F({props:{name:"decode",anchor:"transformers.FlaxMBartForQuestionAnswering.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For translation and summarization training, <code>decoder_input_ids</code> should be provided. If no
<code>decoder_input_ids</code> is provided, the model will create this tensor by shifting the <code>input_ids</code> to the right
for denoising pre-training following the paper.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/mbart/modeling_flax_mbart.py#L1101",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.mbart.configuration_mbart.MBartConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),_a=new A({props:{anchor:"transformers.FlaxMBartForQuestionAnswering.decode.example",$$slots:{default:[zx]},$$scope:{ctx:M}}}),{c(){l=a("meta"),b=c(),f=a("h1"),h=a("a"),k=a("span"),y(n.$$.fragment),u=c(),q=a("span"),bt=i("MBart and MBart-50"),ot=c(),X=a("div"),Se=a("a"),he=a("img"),yt=c(),ee=a("a"),Oe=a("img"),me=c(),re=a("p"),Xe=a("strong"),Te=i("DISCLAIMER:"),vt=i(" If you see something strange, file a "),we=a("a"),$e=i("Github Issue"),Tt=i(` and assign
@patrickvonplaten`),nt=c(),Q=a("h2"),fe=a("a"),Qe=a("span"),y(ie.$$.fragment),O=c(),I=a("span"),wt=i("Overview of MBart"),_e=c(),ge=a("p"),$t=i("The MBart model was presented in "),J=a("a"),xt=i("Multilingual Denoising Pre-training for Neural Machine Translation"),Mt=i(` by Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov Marjan
Ghazvininejad, Mike Lewis, Luke Zettlemoyer.`),U=c(),Ie=a("p"),xe=i(`According to the abstract, MBART is a sequence-to-sequence denoising auto-encoder pretrained on large-scale monolingual
corpora in many languages using the BART objective. mBART is one of the first methods for pretraining a complete
sequence-to-sequence model by denoising full texts in multiple languages, while previous approaches have focused only
on the encoder, decoder, or reconstructing parts of the text.`),at=c(),de=a("p"),Me=i("This model was contributed by "),ze=a("a"),zt=i("valhalla"),le=i(". The Authors\u2019 code can be found "),Fe=a("a"),qe=i("here"),st=c(),Z=a("h3"),S=a("a"),He=a("span"),y(N.$$.fragment),Ft=c(),Ve=a("span"),z=i("Training of MBart"),B=c(),K=a("p"),Ke=i(`MBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for translation task. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),qt=a("code"),Jt=i("X [eos, src_lang_code]"),C=i(" where "),jt=a("code"),Zt=i("X"),Yt=i(` is the source text. The
target text format is `),Bt=a("code"),eo=i("[tgt_lang_code] X [eos]"),ce=i(". "),pe=a("code"),to=i("bos"),oo=i(" is never used."),ke=c(),te=a("p"),no=i("The regular "),je=a("a"),Et=a("strong"),Je=i("call"),ao=i("()"),dm=i(" will encode source text format passed as first argument or with the "),qd=a("code"),lm=i("text"),cm=i(`
keyword, and target text format passed with the `),jd=a("code"),pm=i("text_label"),um=i(" keyword argument."),Np=c(),Mi=a("ul"),Bd=a("li"),hm=i("Supervised training"),Dp=c(),y(Sa.$$.fragment),Lp=c(),zi=a("ul"),Oa=a("li"),Ed=a("p"),mm=i("Generation"),fm=c(),so=a("p"),_m=i("While generating the target text set the "),Cd=a("code"),gm=i("decoder_start_token_id"),km=i(` to the target language id. The following
example shows how to translate English to Romanian using the `),Ad=a("em"),bm=i("facebook/mbart-large-en-ro"),ym=i(" model."),Gp=c(),y(Ia.$$.fragment),Wp=c(),ro=a("h2"),Xo=a("a"),Pd=a("span"),y(Na.$$.fragment),vm=c(),Sd=a("span"),Tm=i("Overview of MBart-50"),Up=c(),Dt=a("p"),wm=i("MBart-50 was introduced in the "),Da=a("a"),$m=i("Multilingual Translation with Extensible Multilingual Pretraining and Finetuning"),xm=i(` paper by Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav
Chaudhary, Jiatao Gu, Angela Fan. MBart-50 is created using the original `),Od=a("em"),Mm=i("mbart-large-cc25"),zm=i(` checkpoint by extendeding
its embedding layers with randomly initialized vectors for an extra set of 25 language tokens and then pretrained on 50
languages.`),Rp=c(),Fi=a("p"),Fm=i("According to the abstract"),Xp=c(),qi=a("p"),Id=a("em"),qm=i(`Multilingual translation models can be created through multilingual finetuning. Instead of finetuning on one
direction, a pretrained model is finetuned on many directions at the same time. It demonstrates that pretrained models
can be extended to incorporate additional languages without loss of performance. Multilingual finetuning improves on
average 1 BLEU over the strongest baselines (being either multilingual from scratch or bilingual finetuning) while
improving 9.3 BLEU on average over bilingual baselines from scratch.`),Qp=c(),io=a("h3"),Qo=a("a"),Nd=a("span"),y(La.$$.fragment),jm=c(),Dd=a("span"),Bm=i("Training of MBart-50"),Hp=c(),rt=a("p"),Em=i(`The text format for MBart-50 is slightly different from mBART. For MBart-50 the language id token is used as a prefix
for both source and target text i.e the text format is `),Ld=a("code"),Cm=i("[lang_code] X [eos]"),Am=i(", where "),Gd=a("code"),Pm=i("lang_code"),Sm=i(` is source
language id for source text and target language id for target text, with `),Wd=a("code"),Om=i("X"),Im=i(` being the source or target text
respectively.`),Vp=c(),Ho=a("p"),Nm=i("MBart-50 has its own tokenizer "),ji=a("a"),Dm=i("MBart50Tokenizer"),Lm=i("."),Kp=c(),Bi=a("ul"),Ud=a("li"),Gm=i("Supervised training"),Jp=c(),y(Ga.$$.fragment),Zp=c(),Ei=a("ul"),Wa=a("li"),Rd=a("p"),Wm=i("Generation"),Um=c(),Be=a("p"),Rm=i("To generate using the mBART-50 multilingual translation models, "),Xd=a("code"),Xm=i("eos_token_id"),Qm=i(` is used as the
`),Qd=a("code"),Hm=i("decoder_start_token_id"),Vm=i(` and the target language id is forced as the first generated token. To force the
target language id as the first generated token, pass the `),Hd=a("em"),Km=i("forced_bos_token_id"),Jm=i(" parameter to the "),Vd=a("em"),Zm=i("generate"),Ym=i(` method.
The following example shows how to translate between Hindi to French and Arabic to English using the
`),Kd=a("em"),ef=i("facebook/mbart-50-large-many-to-many"),tf=i(" checkpoint."),Yp=c(),y(Ua.$$.fragment),eu=c(),lo=a("h2"),Vo=a("a"),Jd=a("span"),y(Ra.$$.fragment),of=c(),Zd=a("span"),nf=i("Documentation resources"),tu=c(),be=a("ul"),Yd=a("li"),Ci=a("a"),af=i("Text classification task guide"),sf=c(),el=a("li"),Ai=a("a"),rf=i("Question answering task guide"),df=c(),tl=a("li"),Pi=a("a"),lf=i("Causal language modeling task guide"),cf=c(),ol=a("li"),Si=a("a"),pf=i("Masked language modeling task guide"),uf=c(),nl=a("li"),Oi=a("a"),hf=i("Translation task guide"),mf=c(),al=a("li"),Ii=a("a"),ff=i("Summarization task guide"),ou=c(),co=a("h2"),Ko=a("a"),sl=a("span"),y(Xa.$$.fragment),_f=c(),rl=a("span"),gf=i("MBartConfig"),nu=c(),Ze=a("div"),y(Qa.$$.fragment),kf=c(),po=a("p"),bf=i("This is the configuration class to store the configuration of a "),Ni=a("a"),yf=i("MBartModel"),vf=i(`. It is used to instantiate an MBART
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the MBART
`),Ha=a("a"),Tf=i("facebook/mbart-large-cc25"),wf=i(" architecture."),$f=c(),uo=a("p"),xf=i("Configuration objects inherit from "),Di=a("a"),Mf=i("PretrainedConfig"),zf=i(` and can be used to control the model outputs. Read the
documentation from `),Li=a("a"),Ff=i("PretrainedConfig"),qf=i(" for more information."),jf=c(),y(Jo.$$.fragment),au=c(),ho=a("h2"),Zo=a("a"),il=a("span"),y(Va.$$.fragment),Bf=c(),dl=a("span"),Ef=i("MBartTokenizer"),su=c(),ue=a("div"),y(Ka.$$.fragment),Cf=c(),ll=a("p"),Af=i("Construct an MBART tokenizer."),Pf=c(),Ct=a("p"),Sf=i("Adapted from "),Gi=a("a"),Of=i("RobertaTokenizer"),If=i(" and "),Wi=a("a"),Nf=i("XLNetTokenizer"),Df=i(`. Based on
`),Ja=a("a"),Lf=i("SentencePiece"),Gf=i("."),Wf=c(),mo=a("p"),Uf=i("The tokenization method is "),cl=a("code"),Rf=i("<tokens> <eos> <language code>"),Xf=i(" for source language documents, and "),pl=a("code"),Qf=i("<language code> <tokens> <eos>"),Hf=i(" for target language documents."),Vf=c(),y(Yo.$$.fragment),Kf=c(),it=a("div"),y(Za.$$.fragment),Jf=c(),Ya=a("p"),Zf=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART sequence has the following format, where `),ul=a("code"),Yf=i("X"),e_=i(" represents the sequence:"),t_=c(),es=a("ul"),ts=a("li"),hl=a("code"),o_=i("input_ids"),n_=i(" (for encoder) "),ml=a("code"),a_=i("X [eos, src_lang_code]"),s_=c(),os=a("li"),fl=a("code"),r_=i("decoder_input_ids"),i_=i(": (for decoder) "),_l=a("code"),d_=i("X [eos, tgt_lang_code]"),l_=c(),gl=a("p"),c_=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),ru=c(),fo=a("h2"),en=a("a"),kl=a("span"),y(ns.$$.fragment),p_=c(),bl=a("span"),u_=i("MBartTokenizerFast"),iu=c(),D=a("div"),y(as.$$.fragment),h_=c(),_o=a("p"),m_=i("Construct a \u201Cfast\u201D MBART tokenizer (backed by HuggingFace\u2019s "),yl=a("em"),f_=i("tokenizers"),__=i(` library). Based on
`),ss=a("a"),g_=i("BPE"),k_=i("."),b_=c(),rs=a("p"),y_=i("This tokenizer inherits from "),Ui=a("a"),v_=i("PreTrainedTokenizerFast"),T_=i(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),w_=c(),go=a("p"),$_=i("The tokenization method is "),vl=a("code"),x_=i("<tokens> <eos> <language code>"),M_=i(" for source language documents, and "),Tl=a("code"),z_=i("<language code> <tokens> <eos>"),F_=i(" for target language documents."),q_=c(),y(tn.$$.fragment),j_=c(),Ne=a("div"),y(is.$$.fragment),B_=c(),wl=a("p"),E_=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),C_=c(),ds=a("p"),A_=i("An MBART sequence has the following format, where "),$l=a("code"),P_=i("X"),S_=i(" represents the sequence:"),O_=c(),ls=a("ul"),cs=a("li"),xl=a("code"),I_=i("input_ids"),N_=i(" (for encoder) "),Ml=a("code"),D_=i("X [eos, src_lang_code]"),L_=c(),ps=a("li"),zl=a("code"),G_=i("decoder_input_ids"),W_=i(": (for decoder) "),Fl=a("code"),U_=i("X [eos, tgt_lang_code]"),R_=c(),ql=a("p"),X_=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Q_=c(),on=a("div"),y(us.$$.fragment),H_=c(),jl=a("p"),V_=i(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. mBART does not
make use of token type ids, therefore a list of zeros is returned.`),K_=c(),nn=a("div"),y(hs.$$.fragment),J_=c(),Bl=a("p"),Z_=i("Reset the special tokens to the source lang setting. No prefix and suffix=[eos, src_lang_code]."),Y_=c(),an=a("div"),y(ms.$$.fragment),eg=c(),El=a("p"),tg=i("Reset the special tokens to the target language setting. No prefix and suffix=[eos, tgt_lang_code]."),du=c(),ko=a("h2"),sn=a("a"),Cl=a("span"),y(fs.$$.fragment),og=c(),Al=a("span"),ng=i("MBart50Tokenizer"),lu=c(),L=a("div"),y(_s.$$.fragment),ag=c(),gs=a("p"),sg=i("Construct a MBart50 tokenizer. Based on "),ks=a("a"),rg=i("SentencePiece"),ig=i("."),dg=c(),bs=a("p"),lg=i("This tokenizer inherits from "),Ri=a("a"),cg=i("PreTrainedTokenizer"),pg=i(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),ug=c(),y(rn.$$.fragment),hg=c(),dt=a("div"),y(ys.$$.fragment),mg=c(),vs=a("p"),fg=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART-50 sequence has the following format, where `),Pl=a("code"),_g=i("X"),gg=i(" represents the sequence:"),kg=c(),Ts=a("ul"),ws=a("li"),Sl=a("code"),bg=i("input_ids"),yg=i(" (for encoder) "),Ol=a("code"),vg=i("[src_lang_code] X [eos]"),Tg=c(),$s=a("li"),Il=a("code"),wg=i("labels"),$g=i(": (for decoder) "),Nl=a("code"),xg=i("[tgt_lang_code] X [eos]"),Mg=c(),Dl=a("p"),zg=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Fg=c(),dn=a("div"),y(xs.$$.fragment),qg=c(),Ll=a("p"),jg=i("Converts a sequence of tokens (string) in a single string."),Bg=c(),ln=a("div"),y(Ms.$$.fragment),Eg=c(),zs=a("p"),Cg=i(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Gl=a("code"),Ag=i("prepare_for_model"),Pg=i(" method."),Sg=c(),cn=a("div"),y(Fs.$$.fragment),Og=c(),Wl=a("p"),Ig=i("Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),Ng=c(),pn=a("div"),y(qs.$$.fragment),Dg=c(),Ul=a("p"),Lg=i("Reset the special tokens to the target language setting. prefix=[tgt_lang_code] and suffix=[eos]."),cu=c(),bo=a("h2"),un=a("a"),Rl=a("span"),y(js.$$.fragment),Gg=c(),Xl=a("span"),Wg=i("MBart50TokenizerFast"),pu=c(),Y=a("div"),y(Bs.$$.fragment),Ug=c(),yo=a("p"),Rg=i("Construct a \u201Cfast\u201D MBART tokenizer for mBART-50 (backed by HuggingFace\u2019s "),Ql=a("em"),Xg=i("tokenizers"),Qg=i(` library). Based on
`),Es=a("a"),Hg=i("BPE"),Vg=i("."),Kg=c(),Cs=a("p"),Jg=i("This tokenizer inherits from "),Xi=a("a"),Zg=i("PreTrainedTokenizerFast"),Yg=i(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),ek=c(),y(hn.$$.fragment),tk=c(),De=a("div"),y(As.$$.fragment),ok=c(),Hl=a("p"),nk=i(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),ak=c(),Ps=a("p"),sk=i("An MBART-50 sequence has the following format, where "),Vl=a("code"),rk=i("X"),ik=i(" represents the sequence:"),dk=c(),Ss=a("ul"),Os=a("li"),Kl=a("code"),lk=i("input_ids"),ck=i(" (for encoder) "),Jl=a("code"),pk=i("[src_lang_code] X [eos]"),uk=c(),Is=a("li"),Zl=a("code"),hk=i("labels"),mk=i(": (for decoder) "),Yl=a("code"),fk=i("[tgt_lang_code] X [eos]"),_k=c(),ec=a("p"),gk=i(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),kk=c(),mn=a("div"),y(Ns.$$.fragment),bk=c(),tc=a("p"),yk=i("Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),vk=c(),fn=a("div"),y(Ds.$$.fragment),Tk=c(),oc=a("p"),wk=i("Reset the special tokens to the target language setting. prefix=[src_lang_code] and suffix=[eos]."),uu=c(),vo=a("h2"),_n=a("a"),nc=a("span"),y(Ls.$$.fragment),$k=c(),ac=a("span"),xk=i("MBartModel"),hu=c(),Ye=a("div"),y(Gs.$$.fragment),Mk=c(),Ws=a("p"),zk=i(`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Qi=a("a"),Fk=i("PreTrainedModel"),qk=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jk=c(),Us=a("p"),Bk=i("This model is also a PyTorch "),Rs=a("a"),Ek=i("torch.nn.Module"),Ck=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ak=c(),lt=a("div"),y(Xs.$$.fragment),Pk=c(),To=a("p"),Sk=i("The "),Hi=a("a"),Ok=i("MBartModel"),Ik=i(" forward method, overrides the "),sc=a("code"),Nk=i("__call__"),Dk=i(" special method."),Lk=c(),y(gn.$$.fragment),Gk=c(),y(kn.$$.fragment),mu=c(),wo=a("h2"),bn=a("a"),rc=a("span"),y(Qs.$$.fragment),Wk=c(),ic=a("span"),Uk=i("MBartForConditionalGeneration"),fu=c(),et=a("div"),y(Hs.$$.fragment),Rk=c(),Vs=a("p"),Xk=i(`The MBART Model with a language modeling head. Can be used for summarization, after fine-tuning the pretrained models.
This model inherits from `),Vi=a("a"),Qk=i("PreTrainedModel"),Hk=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Vk=c(),Ks=a("p"),Kk=i("This model is also a PyTorch "),Js=a("a"),Jk=i("torch.nn.Module"),Zk=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Yk=c(),Le=a("div"),y(Zs.$$.fragment),eb=c(),$o=a("p"),tb=i("The "),Ki=a("a"),ob=i("MBartForConditionalGeneration"),nb=i(" forward method, overrides the "),dc=a("code"),ab=i("__call__"),sb=i(" special method."),rb=c(),y(yn.$$.fragment),ib=c(),y(vn.$$.fragment),db=c(),y(Tn.$$.fragment),_u=c(),xo=a("h2"),wn=a("a"),lc=a("span"),y(Ys.$$.fragment),lb=c(),cc=a("span"),cb=i("MBartForQuestionAnswering"),gu=c(),Ee=a("div"),y(er.$$.fragment),pb=c(),Mo=a("p"),ub=i(`MBART Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),pc=a("code"),hb=i("span start logits"),mb=i(" and "),uc=a("code"),fb=i("span end logits"),_b=i(")."),gb=c(),tr=a("p"),kb=i("This model inherits from "),Ji=a("a"),bb=i("PreTrainedModel"),yb=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vb=c(),or=a("p"),Tb=i("This model is also a PyTorch "),nr=a("a"),wb=i("torch.nn.Module"),$b=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),xb=c(),ct=a("div"),y(ar.$$.fragment),Mb=c(),zo=a("p"),zb=i("The "),Zi=a("a"),Fb=i("MBartForQuestionAnswering"),qb=i(" forward method, overrides the "),hc=a("code"),jb=i("__call__"),Bb=i(" special method."),Eb=c(),y($n.$$.fragment),Cb=c(),y(xn.$$.fragment),ku=c(),Fo=a("h2"),Mn=a("a"),mc=a("span"),y(sr.$$.fragment),Ab=c(),fc=a("span"),Pb=i("MBartForSequenceClassification"),bu=c(),Ce=a("div"),y(rr.$$.fragment),Sb=c(),_c=a("p"),Ob=i(`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),Ib=c(),ir=a("p"),Nb=i("This model inherits from "),Yi=a("a"),Db=i("PreTrainedModel"),Lb=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Gb=c(),dr=a("p"),Wb=i("This model is also a PyTorch "),lr=a("a"),Ub=i("torch.nn.Module"),Rb=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Xb=c(),Ge=a("div"),y(cr.$$.fragment),Qb=c(),qo=a("p"),Hb=i("The "),ed=a("a"),Vb=i("MBartForSequenceClassification"),Kb=i(" forward method, overrides the "),gc=a("code"),Jb=i("__call__"),Zb=i(" special method."),Yb=c(),y(zn.$$.fragment),ey=c(),y(Fn.$$.fragment),ty=c(),y(qn.$$.fragment),yu=c(),jo=a("h2"),jn=a("a"),kc=a("span"),y(pr.$$.fragment),oy=c(),bc=a("span"),ny=i("MBartForCausalLM"),vu=c(),Bo=a("div"),y(ur.$$.fragment),ay=c(),Bn=a("div"),y(hr.$$.fragment),sy=c(),y(En.$$.fragment),Tu=c(),Eo=a("h2"),Cn=a("a"),yc=a("span"),y(mr.$$.fragment),ry=c(),vc=a("span"),iy=i("TFMBartModel"),wu=c(),Ae=a("div"),y(fr.$$.fragment),dy=c(),_r=a("p"),ly=i(`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),td=a("a"),cy=i("TFPreTrainedModel"),py=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uy=c(),gr=a("p"),hy=i("This model is also a "),kr=a("a"),my=i("tf.keras.Model"),fy=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),_y=c(),y(An.$$.fragment),gy=c(),pt=a("div"),y(br.$$.fragment),ky=c(),Co=a("p"),by=i("The "),od=a("a"),yy=i("TFMBartModel"),vy=i(" forward method, overrides the "),Tc=a("code"),Ty=i("__call__"),wy=i(" special method."),$y=c(),y(Pn.$$.fragment),xy=c(),y(Sn.$$.fragment),$u=c(),Ao=a("h2"),On=a("a"),wc=a("span"),y(yr.$$.fragment),My=c(),$c=a("span"),zy=i("TFMBartForConditionalGeneration"),xu=c(),Pe=a("div"),y(vr.$$.fragment),Fy=c(),Tr=a("p"),qy=i(`The MBART Model with a language modeling head. Can be used for summarization, after fine-tuning the pretrained models.
This model inherits from `),nd=a("a"),jy=i("TFPreTrainedModel"),By=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ey=c(),wr=a("p"),Cy=i("This model is also a "),$r=a("a"),Ay=i("tf.keras.Model"),Py=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Sy=c(),y(In.$$.fragment),Oy=c(),We=a("div"),y(xr.$$.fragment),Iy=c(),Po=a("p"),Ny=i("The "),ad=a("a"),Dy=i("TFMBartForConditionalGeneration"),Ly=i(" forward method, overrides the "),xc=a("code"),Gy=i("__call__"),Wy=i(" special method."),Uy=c(),y(Nn.$$.fragment),Ry=c(),y(Dn.$$.fragment),Xy=c(),y(Ln.$$.fragment),Mu=c(),So=a("h2"),Gn=a("a"),Mc=a("span"),y(Mr.$$.fragment),Qy=c(),zc=a("span"),Hy=i("FlaxMBartModel"),zu=c(),H=a("div"),y(zr.$$.fragment),Vy=c(),Fr=a("p"),Ky=i(`The bare MBart Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),sd=a("a"),Jy=i("FlaxPreTrainedModel"),Zy=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yy=c(),qr=a("p"),ev=i(`This model is also a Flax Linen
`),jr=a("a"),tv=i("flax.nn.Module"),ov=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),nv=c(),Fc=a("p"),av=i("Finally, this model supports inherent JAX features such as:"),sv=c(),At=a("ul"),qc=a("li"),Br=a("a"),rv=i("Just-In-Time (JIT) compilation"),iv=c(),jc=a("li"),Er=a("a"),dv=i("Automatic Differentiation"),lv=c(),Bc=a("li"),Cr=a("a"),cv=i("Vectorization"),pv=c(),Ec=a("li"),Ar=a("a"),uv=i("Parallelization"),hv=c(),ut=a("div"),y(Pr.$$.fragment),mv=c(),Oo=a("p"),fv=i("The "),Cc=a("code"),_v=i("FlaxMBartPreTrainedModel"),gv=i(" forward method, overrides the "),Ac=a("code"),kv=i("__call__"),bv=i(" special method."),yv=c(),y(Wn.$$.fragment),vv=c(),y(Un.$$.fragment),Tv=c(),Rn=a("div"),y(Sr.$$.fragment),wv=c(),y(Xn.$$.fragment),$v=c(),Qn=a("div"),y(Or.$$.fragment),xv=c(),y(Hn.$$.fragment),Fu=c(),Io=a("h2"),Vn=a("a"),Pc=a("span"),y(Ir.$$.fragment),Mv=c(),Sc=a("span"),zv=i("FlaxMBartForConditionalGeneration"),qu=c(),V=a("div"),y(Nr.$$.fragment),Fv=c(),Dr=a("p"),qv=i(`The MMBart Model with a language modeling head. Can be used for summarization.
This model inherits from `),rd=a("a"),jv=i("FlaxPreTrainedModel"),Bv=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ev=c(),Lr=a("p"),Cv=i(`This model is also a Flax Linen
`),Gr=a("a"),Av=i("flax.nn.Module"),Pv=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Sv=c(),Oc=a("p"),Ov=i("Finally, this model supports inherent JAX features such as:"),Iv=c(),Pt=a("ul"),Ic=a("li"),Wr=a("a"),Nv=i("Just-In-Time (JIT) compilation"),Dv=c(),Nc=a("li"),Ur=a("a"),Lv=i("Automatic Differentiation"),Gv=c(),Dc=a("li"),Rr=a("a"),Wv=i("Vectorization"),Uv=c(),Lc=a("li"),Xr=a("a"),Rv=i("Parallelization"),Xv=c(),Ue=a("div"),y(Qr.$$.fragment),Qv=c(),No=a("p"),Hv=i("The "),Gc=a("code"),Vv=i("FlaxMBartPreTrainedModel"),Kv=i(" forward method, overrides the "),Wc=a("code"),Jv=i("__call__"),Zv=i(" special method."),Yv=c(),y(Kn.$$.fragment),eT=c(),y(Jn.$$.fragment),tT=c(),y(Zn.$$.fragment),oT=c(),Yn=a("div"),y(Hr.$$.fragment),nT=c(),y(ea.$$.fragment),aT=c(),ta=a("div"),y(Vr.$$.fragment),sT=c(),y(oa.$$.fragment),ju=c(),Do=a("h2"),na=a("a"),Uc=a("span"),y(Kr.$$.fragment),rT=c(),Rc=a("span"),iT=i("FlaxMBartForSequenceClassification"),Bu=c(),G=a("div"),y(Jr.$$.fragment),dT=c(),Xc=a("p"),lT=i(`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),cT=c(),Zr=a("p"),pT=i("This model inherits from "),id=a("a"),uT=i("FlaxPreTrainedModel"),hT=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),mT=c(),Yr=a("p"),fT=i(`This model is also a Flax Linen
`),ei=a("a"),_T=i("flax.nn.Module"),gT=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),kT=c(),Qc=a("p"),bT=i("Finally, this model supports inherent JAX features such as:"),yT=c(),St=a("ul"),Hc=a("li"),ti=a("a"),vT=i("Just-In-Time (JIT) compilation"),TT=c(),Vc=a("li"),oi=a("a"),wT=i("Automatic Differentiation"),$T=c(),Kc=a("li"),ni=a("a"),xT=i("Vectorization"),MT=c(),Jc=a("li"),ai=a("a"),zT=i("Parallelization"),FT=c(),ht=a("div"),y(si.$$.fragment),qT=c(),Lo=a("p"),jT=i("The "),Zc=a("code"),BT=i("FlaxMBartPreTrainedModel"),ET=i(" forward method, overrides the "),Yc=a("code"),CT=i("__call__"),AT=i(" special method."),PT=c(),y(aa.$$.fragment),ST=c(),y(sa.$$.fragment),OT=c(),ra=a("div"),y(ri.$$.fragment),IT=c(),y(ia.$$.fragment),NT=c(),da=a("div"),y(ii.$$.fragment),DT=c(),y(la.$$.fragment),Eu=c(),Go=a("h2"),ca=a("a"),ep=a("span"),y(di.$$.fragment),LT=c(),tp=a("span"),GT=i("FlaxMBartForQuestionAnswering"),Cu=c(),W=a("div"),y(li.$$.fragment),WT=c(),Wo=a("p"),UT=i(`MBart Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),op=a("code"),RT=i("span start logits"),XT=i(" and "),np=a("code"),QT=i("span end logits"),HT=i(")."),VT=c(),ci=a("p"),KT=i("This model inherits from "),dd=a("a"),JT=i("FlaxPreTrainedModel"),ZT=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),YT=c(),pi=a("p"),e1=i(`This model is also a Flax Linen
`),ui=a("a"),t1=i("flax.nn.Module"),o1=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),n1=c(),ap=a("p"),a1=i("Finally, this model supports inherent JAX features such as:"),s1=c(),Ot=a("ul"),sp=a("li"),hi=a("a"),r1=i("Just-In-Time (JIT) compilation"),i1=c(),rp=a("li"),mi=a("a"),d1=i("Automatic Differentiation"),l1=c(),ip=a("li"),fi=a("a"),c1=i("Vectorization"),p1=c(),dp=a("li"),_i=a("a"),u1=i("Parallelization"),h1=c(),mt=a("div"),y(gi.$$.fragment),m1=c(),Uo=a("p"),f1=i("The "),lp=a("code"),_1=i("FlaxMBartPreTrainedModel"),g1=i(" forward method, overrides the "),cp=a("code"),k1=i("__call__"),b1=i(" special method."),y1=c(),y(pa.$$.fragment),v1=c(),y(ua.$$.fragment),T1=c(),ha=a("div"),y(ki.$$.fragment),w1=c(),y(ma.$$.fragment),$1=c(),fa=a("div"),y(bi.$$.fragment),x1=c(),y(_a.$$.fragment),this.h()},l(o){const _=D$('[data-svelte="svelte-1phssyn"]',document.head);l=s(_,"META",{name:!0,content:!0}),_.forEach(t),b=p(o),f=s(o,"H1",{class:!0});var yi=r(f);h=s(yi,"A",{id:!0,class:!0,href:!0});var pp=r(h);k=s(pp,"SPAN",{});var up=r(k);v(n.$$.fragment,up),up.forEach(t),pp.forEach(t),u=p(yi),q=s(yi,"SPAN",{});var hp=r(q);bt=d(hp,"MBart and MBart-50"),hp.forEach(t),yi.forEach(t),ot=p(o),X=s(o,"DIV",{class:!0});var vi=r(X);Se=s(vi,"A",{href:!0});var mp=r(Se);he=s(mp,"IMG",{alt:!0,src:!0}),mp.forEach(t),yt=p(vi),ee=s(vi,"A",{href:!0});var fp=r(ee);Oe=s(fp,"IMG",{alt:!0,src:!0}),fp.forEach(t),vi.forEach(t),me=p(o),re=s(o,"P",{});var ga=r(re);Xe=s(ga,"STRONG",{});var _p=r(Xe);Te=d(_p,"DISCLAIMER:"),_p.forEach(t),vt=d(ga," If you see something strange, file a "),we=s(ga,"A",{href:!0,rel:!0});var gp=r(we);$e=d(gp,"Github Issue"),gp.forEach(t),Tt=d(ga,` and assign
@patrickvonplaten`),ga.forEach(t),nt=p(o),Q=s(o,"H2",{class:!0});var Ti=r(Q);fe=s(Ti,"A",{id:!0,class:!0,href:!0});var kp=r(fe);Qe=s(kp,"SPAN",{});var bp=r(Qe);v(ie.$$.fragment,bp),bp.forEach(t),kp.forEach(t),O=p(Ti),I=s(Ti,"SPAN",{});var yp=r(I);wt=d(yp,"Overview of MBart"),yp.forEach(t),Ti.forEach(t),_e=p(o),ge=s(o,"P",{});var wi=r(ge);$t=d(wi,"The MBart model was presented in "),J=s(wi,"A",{href:!0,rel:!0});var vp=r(J);xt=d(vp,"Multilingual Denoising Pre-training for Neural Machine Translation"),vp.forEach(t),Mt=d(wi,` by Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov Marjan
Ghazvininejad, Mike Lewis, Luke Zettlemoyer.`),wi.forEach(t),U=p(o),Ie=s(o,"P",{});var Tp=r(Ie);xe=d(Tp,`According to the abstract, MBART is a sequence-to-sequence denoising auto-encoder pretrained on large-scale monolingual
corpora in many languages using the BART objective. mBART is one of the first methods for pretraining a complete
sequence-to-sequence model by denoising full texts in multiple languages, while previous approaches have focused only
on the encoder, decoder, or reconstructing parts of the text.`),Tp.forEach(t),at=p(o),de=s(o,"P",{});var ka=r(de);Me=d(ka,"This model was contributed by "),ze=s(ka,"A",{href:!0,rel:!0});var wp=r(ze);zt=d(wp,"valhalla"),wp.forEach(t),le=d(ka,". The Authors\u2019 code can be found "),Fe=s(ka,"A",{href:!0,rel:!0});var $p=r(Fe);qe=d($p,"here"),$p.forEach(t),ka.forEach(t),st=p(o),Z=s(o,"H3",{class:!0});var $i=r(Z);S=s($i,"A",{id:!0,class:!0,href:!0});var xp=r(S);He=s(xp,"SPAN",{});var Mp=r(He);v(N.$$.fragment,Mp),Mp.forEach(t),xp.forEach(t),Ft=p($i),Ve=s($i,"SPAN",{});var zp=r(Ve);z=d(zp,"Training of MBart"),zp.forEach(t),$i.forEach(t),B=p(o),K=s(o,"P",{});var tt=r(K);Ke=d(tt,`MBart is a multilingual encoder-decoder (sequence-to-sequence) model primarily intended for translation task. As the
model is multilingual it expects the sequences in a different format. A special language id token is added in both the
source and target text. The source text format is `),qt=s(tt,"CODE",{});var Fp=r(qt);Jt=d(Fp,"X [eos, src_lang_code]"),Fp.forEach(t),C=d(tt," where "),jt=s(tt,"CODE",{});var qp=r(jt);Zt=d(qp,"X"),qp.forEach(t),Yt=d(tt,` is the source text. The
target text format is `),Bt=s(tt,"CODE",{});var jp=r(Bt);eo=d(jp,"[tgt_lang_code] X [eos]"),jp.forEach(t),ce=d(tt,". "),pe=s(tt,"CODE",{});var Bp=r(pe);to=d(Bp,"bos"),Bp.forEach(t),oo=d(tt," is never used."),tt.forEach(t),ke=p(o),te=s(o,"P",{});var It=r(te);no=d(It,"The regular "),je=s(It,"A",{href:!0});var ld=r(je);Et=s(ld,"STRONG",{});var Ep=r(Et);Je=d(Ep,"call"),Ep.forEach(t),ao=d(ld,"()"),ld.forEach(t),dm=d(It," will encode source text format passed as first argument or with the "),qd=s(It,"CODE",{});var Cp=r(qd);lm=d(Cp,"text"),Cp.forEach(t),cm=d(It,`
keyword, and target text format passed with the `),jd=s(It,"CODE",{});var Ap=r(jd);pm=d(Ap,"text_label"),Ap.forEach(t),um=d(It," keyword argument."),It.forEach(t),Np=p(o),Mi=s(o,"UL",{});var Pp=r(Mi);Bd=s(Pp,"LI",{});var Sp=r(Bd);hm=d(Sp,"Supervised training"),Sp.forEach(t),Pp.forEach(t),Dp=p(o),v(Sa.$$.fragment,o),Lp=p(o),zi=s(o,"UL",{});var Op=r(zi);Oa=s(Op,"LI",{});var xi=r(Oa);Ed=s(xi,"P",{});var Ip=r(Ed);mm=d(Ip,"Generation"),Ip.forEach(t),fm=p(xi),so=s(xi,"P",{});var Ro=r(so);_m=d(Ro,"While generating the target text set the "),Cd=s(Ro,"CODE",{});var M1=r(Cd);gm=d(M1,"decoder_start_token_id"),M1.forEach(t),km=d(Ro,` to the target language id. The following
example shows how to translate English to Romanian using the `),Ad=s(Ro,"EM",{});var z1=r(Ad);bm=d(z1,"facebook/mbart-large-en-ro"),z1.forEach(t),ym=d(Ro," model."),Ro.forEach(t),xi.forEach(t),Op.forEach(t),Gp=p(o),v(Ia.$$.fragment,o),Wp=p(o),ro=s(o,"H2",{class:!0});var Pu=r(ro);Xo=s(Pu,"A",{id:!0,class:!0,href:!0});var F1=r(Xo);Pd=s(F1,"SPAN",{});var q1=r(Pd);v(Na.$$.fragment,q1),q1.forEach(t),F1.forEach(t),vm=p(Pu),Sd=s(Pu,"SPAN",{});var j1=r(Sd);Tm=d(j1,"Overview of MBart-50"),j1.forEach(t),Pu.forEach(t),Up=p(o),Dt=s(o,"P",{});var cd=r(Dt);wm=d(cd,"MBart-50 was introduced in the "),Da=s(cd,"A",{href:!0,rel:!0});var B1=r(Da);$m=d(B1,"Multilingual Translation with Extensible Multilingual Pretraining and Finetuning"),B1.forEach(t),xm=d(cd,` paper by Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav
Chaudhary, Jiatao Gu, Angela Fan. MBart-50 is created using the original `),Od=s(cd,"EM",{});var E1=r(Od);Mm=d(E1,"mbart-large-cc25"),E1.forEach(t),zm=d(cd,` checkpoint by extendeding
its embedding layers with randomly initialized vectors for an extra set of 25 language tokens and then pretrained on 50
languages.`),cd.forEach(t),Rp=p(o),Fi=s(o,"P",{});var C1=r(Fi);Fm=d(C1,"According to the abstract"),C1.forEach(t),Xp=p(o),qi=s(o,"P",{});var A1=r(qi);Id=s(A1,"EM",{});var P1=r(Id);qm=d(P1,`Multilingual translation models can be created through multilingual finetuning. Instead of finetuning on one
direction, a pretrained model is finetuned on many directions at the same time. It demonstrates that pretrained models
can be extended to incorporate additional languages without loss of performance. Multilingual finetuning improves on
average 1 BLEU over the strongest baselines (being either multilingual from scratch or bilingual finetuning) while
improving 9.3 BLEU on average over bilingual baselines from scratch.`),P1.forEach(t),A1.forEach(t),Qp=p(o),io=s(o,"H3",{class:!0});var Su=r(io);Qo=s(Su,"A",{id:!0,class:!0,href:!0});var S1=r(Qo);Nd=s(S1,"SPAN",{});var O1=r(Nd);v(La.$$.fragment,O1),O1.forEach(t),S1.forEach(t),jm=p(Su),Dd=s(Su,"SPAN",{});var I1=r(Dd);Bm=d(I1,"Training of MBart-50"),I1.forEach(t),Su.forEach(t),Hp=p(o),rt=s(o,"P",{});var ba=r(rt);Em=d(ba,`The text format for MBart-50 is slightly different from mBART. For MBart-50 the language id token is used as a prefix
for both source and target text i.e the text format is `),Ld=s(ba,"CODE",{});var N1=r(Ld);Cm=d(N1,"[lang_code] X [eos]"),N1.forEach(t),Am=d(ba,", where "),Gd=s(ba,"CODE",{});var D1=r(Gd);Pm=d(D1,"lang_code"),D1.forEach(t),Sm=d(ba,` is source
language id for source text and target language id for target text, with `),Wd=s(ba,"CODE",{});var L1=r(Wd);Om=d(L1,"X"),L1.forEach(t),Im=d(ba,` being the source or target text
respectively.`),ba.forEach(t),Vp=p(o),Ho=s(o,"P",{});var Ou=r(Ho);Nm=d(Ou,"MBart-50 has its own tokenizer "),ji=s(Ou,"A",{href:!0});var G1=r(ji);Dm=d(G1,"MBart50Tokenizer"),G1.forEach(t),Lm=d(Ou,"."),Ou.forEach(t),Kp=p(o),Bi=s(o,"UL",{});var W1=r(Bi);Ud=s(W1,"LI",{});var U1=r(Ud);Gm=d(U1,"Supervised training"),U1.forEach(t),W1.forEach(t),Jp=p(o),v(Ga.$$.fragment,o),Zp=p(o),Ei=s(o,"UL",{});var R1=r(Ei);Wa=s(R1,"LI",{});var Iu=r(Wa);Rd=s(Iu,"P",{});var X1=r(Rd);Wm=d(X1,"Generation"),X1.forEach(t),Um=p(Iu),Be=s(Iu,"P",{});var ft=r(Be);Rm=d(ft,"To generate using the mBART-50 multilingual translation models, "),Xd=s(ft,"CODE",{});var Q1=r(Xd);Xm=d(Q1,"eos_token_id"),Q1.forEach(t),Qm=d(ft,` is used as the
`),Qd=s(ft,"CODE",{});var H1=r(Qd);Hm=d(H1,"decoder_start_token_id"),H1.forEach(t),Vm=d(ft,` and the target language id is forced as the first generated token. To force the
target language id as the first generated token, pass the `),Hd=s(ft,"EM",{});var V1=r(Hd);Km=d(V1,"forced_bos_token_id"),V1.forEach(t),Jm=d(ft," parameter to the "),Vd=s(ft,"EM",{});var K1=r(Vd);Zm=d(K1,"generate"),K1.forEach(t),Ym=d(ft,` method.
The following example shows how to translate between Hindi to French and Arabic to English using the
`),Kd=s(ft,"EM",{});var J1=r(Kd);ef=d(J1,"facebook/mbart-50-large-many-to-many"),J1.forEach(t),tf=d(ft," checkpoint."),ft.forEach(t),Iu.forEach(t),R1.forEach(t),Yp=p(o),v(Ua.$$.fragment,o),eu=p(o),lo=s(o,"H2",{class:!0});var Nu=r(lo);Vo=s(Nu,"A",{id:!0,class:!0,href:!0});var Z1=r(Vo);Jd=s(Z1,"SPAN",{});var Y1=r(Jd);v(Ra.$$.fragment,Y1),Y1.forEach(t),Z1.forEach(t),of=p(Nu),Zd=s(Nu,"SPAN",{});var e2=r(Zd);nf=d(e2,"Documentation resources"),e2.forEach(t),Nu.forEach(t),tu=p(o),be=s(o,"UL",{});var _t=r(be);Yd=s(_t,"LI",{});var t2=r(Yd);Ci=s(t2,"A",{href:!0});var o2=r(Ci);af=d(o2,"Text classification task guide"),o2.forEach(t),t2.forEach(t),sf=p(_t),el=s(_t,"LI",{});var n2=r(el);Ai=s(n2,"A",{href:!0});var a2=r(Ai);rf=d(a2,"Question answering task guide"),a2.forEach(t),n2.forEach(t),df=p(_t),tl=s(_t,"LI",{});var s2=r(tl);Pi=s(s2,"A",{href:!0});var r2=r(Pi);lf=d(r2,"Causal language modeling task guide"),r2.forEach(t),s2.forEach(t),cf=p(_t),ol=s(_t,"LI",{});var i2=r(ol);Si=s(i2,"A",{href:!0});var d2=r(Si);pf=d(d2,"Masked language modeling task guide"),d2.forEach(t),i2.forEach(t),uf=p(_t),nl=s(_t,"LI",{});var l2=r(nl);Oi=s(l2,"A",{href:!0});var c2=r(Oi);hf=d(c2,"Translation task guide"),c2.forEach(t),l2.forEach(t),mf=p(_t),al=s(_t,"LI",{});var p2=r(al);Ii=s(p2,"A",{href:!0});var u2=r(Ii);ff=d(u2,"Summarization task guide"),u2.forEach(t),p2.forEach(t),_t.forEach(t),ou=p(o),co=s(o,"H2",{class:!0});var Du=r(co);Ko=s(Du,"A",{id:!0,class:!0,href:!0});var h2=r(Ko);sl=s(h2,"SPAN",{});var m2=r(sl);v(Xa.$$.fragment,m2),m2.forEach(t),h2.forEach(t),_f=p(Du),rl=s(Du,"SPAN",{});var f2=r(rl);gf=d(f2,"MBartConfig"),f2.forEach(t),Du.forEach(t),nu=p(o),Ze=s(o,"DIV",{class:!0});var ya=r(Ze);v(Qa.$$.fragment,ya),kf=p(ya),po=s(ya,"P",{});var pd=r(po);bf=d(pd,"This is the configuration class to store the configuration of a "),Ni=s(pd,"A",{href:!0});var _2=r(Ni);yf=d(_2,"MBartModel"),_2.forEach(t),vf=d(pd,`. It is used to instantiate an MBART
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the MBART
`),Ha=s(pd,"A",{href:!0,rel:!0});var g2=r(Ha);Tf=d(g2,"facebook/mbart-large-cc25"),g2.forEach(t),wf=d(pd," architecture."),pd.forEach(t),$f=p(ya),uo=s(ya,"P",{});var ud=r(uo);xf=d(ud,"Configuration objects inherit from "),Di=s(ud,"A",{href:!0});var k2=r(Di);Mf=d(k2,"PretrainedConfig"),k2.forEach(t),zf=d(ud,` and can be used to control the model outputs. Read the
documentation from `),Li=s(ud,"A",{href:!0});var b2=r(Li);Ff=d(b2,"PretrainedConfig"),b2.forEach(t),qf=d(ud," for more information."),ud.forEach(t),jf=p(ya),v(Jo.$$.fragment,ya),ya.forEach(t),au=p(o),ho=s(o,"H2",{class:!0});var Lu=r(ho);Zo=s(Lu,"A",{id:!0,class:!0,href:!0});var y2=r(Zo);il=s(y2,"SPAN",{});var v2=r(il);v(Va.$$.fragment,v2),v2.forEach(t),y2.forEach(t),Bf=p(Lu),dl=s(Lu,"SPAN",{});var T2=r(dl);Ef=d(T2,"MBartTokenizer"),T2.forEach(t),Lu.forEach(t),su=p(o),ue=s(o,"DIV",{class:!0});var gt=r(ue);v(Ka.$$.fragment,gt),Cf=p(gt),ll=s(gt,"P",{});var w2=r(ll);Af=d(w2,"Construct an MBART tokenizer."),w2.forEach(t),Pf=p(gt),Ct=s(gt,"P",{});var va=r(Ct);Sf=d(va,"Adapted from "),Gi=s(va,"A",{href:!0});var $2=r(Gi);Of=d($2,"RobertaTokenizer"),$2.forEach(t),If=d(va," and "),Wi=s(va,"A",{href:!0});var x2=r(Wi);Nf=d(x2,"XLNetTokenizer"),x2.forEach(t),Df=d(va,`. Based on
`),Ja=s(va,"A",{href:!0,rel:!0});var M2=r(Ja);Lf=d(M2,"SentencePiece"),M2.forEach(t),Gf=d(va,"."),va.forEach(t),Wf=p(gt),mo=s(gt,"P",{});var hd=r(mo);Uf=d(hd,"The tokenization method is "),cl=s(hd,"CODE",{});var z2=r(cl);Rf=d(z2,"<tokens> <eos> <language code>"),z2.forEach(t),Xf=d(hd," for source language documents, and "),pl=s(hd,"CODE",{});var F2=r(pl);Qf=d(F2,"<language code> <tokens> <eos>"),F2.forEach(t),Hf=d(hd," for target language documents."),hd.forEach(t),Vf=p(gt),v(Yo.$$.fragment,gt),Kf=p(gt),it=s(gt,"DIV",{class:!0});var Ta=r(it);v(Za.$$.fragment,Ta),Jf=p(Ta),Ya=s(Ta,"P",{});var Gu=r(Ya);Zf=d(Gu,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART sequence has the following format, where `),ul=s(Gu,"CODE",{});var q2=r(ul);Yf=d(q2,"X"),q2.forEach(t),e_=d(Gu," represents the sequence:"),Gu.forEach(t),t_=p(Ta),es=s(Ta,"UL",{});var Wu=r(es);ts=s(Wu,"LI",{});var Uu=r(ts);hl=s(Uu,"CODE",{});var j2=r(hl);o_=d(j2,"input_ids"),j2.forEach(t),n_=d(Uu," (for encoder) "),ml=s(Uu,"CODE",{});var B2=r(ml);a_=d(B2,"X [eos, src_lang_code]"),B2.forEach(t),Uu.forEach(t),s_=p(Wu),os=s(Wu,"LI",{});var Ru=r(os);fl=s(Ru,"CODE",{});var E2=r(fl);r_=d(E2,"decoder_input_ids"),E2.forEach(t),i_=d(Ru,": (for decoder) "),_l=s(Ru,"CODE",{});var C2=r(_l);d_=d(C2,"X [eos, tgt_lang_code]"),C2.forEach(t),Ru.forEach(t),Wu.forEach(t),l_=p(Ta),gl=s(Ta,"P",{});var A2=r(gl);c_=d(A2,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),A2.forEach(t),Ta.forEach(t),gt.forEach(t),ru=p(o),fo=s(o,"H2",{class:!0});var Xu=r(fo);en=s(Xu,"A",{id:!0,class:!0,href:!0});var P2=r(en);kl=s(P2,"SPAN",{});var S2=r(kl);v(ns.$$.fragment,S2),S2.forEach(t),P2.forEach(t),p_=p(Xu),bl=s(Xu,"SPAN",{});var O2=r(bl);u_=d(O2,"MBartTokenizerFast"),O2.forEach(t),Xu.forEach(t),iu=p(o),D=s(o,"DIV",{class:!0});var oe=r(D);v(as.$$.fragment,oe),h_=p(oe),_o=s(oe,"P",{});var md=r(_o);m_=d(md,"Construct a \u201Cfast\u201D MBART tokenizer (backed by HuggingFace\u2019s "),yl=s(md,"EM",{});var I2=r(yl);f_=d(I2,"tokenizers"),I2.forEach(t),__=d(md,` library). Based on
`),ss=s(md,"A",{href:!0,rel:!0});var N2=r(ss);g_=d(N2,"BPE"),N2.forEach(t),k_=d(md,"."),md.forEach(t),b_=p(oe),rs=s(oe,"P",{});var Qu=r(rs);y_=d(Qu,"This tokenizer inherits from "),Ui=s(Qu,"A",{href:!0});var D2=r(Ui);v_=d(D2,"PreTrainedTokenizerFast"),D2.forEach(t),T_=d(Qu,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Qu.forEach(t),w_=p(oe),go=s(oe,"P",{});var fd=r(go);$_=d(fd,"The tokenization method is "),vl=s(fd,"CODE",{});var L2=r(vl);x_=d(L2,"<tokens> <eos> <language code>"),L2.forEach(t),M_=d(fd," for source language documents, and "),Tl=s(fd,"CODE",{});var G2=r(Tl);z_=d(G2,"<language code> <tokens> <eos>"),G2.forEach(t),F_=d(fd," for target language documents."),fd.forEach(t),q_=p(oe),v(tn.$$.fragment,oe),j_=p(oe),Ne=s(oe,"DIV",{class:!0});var Lt=r(Ne);v(is.$$.fragment,Lt),B_=p(Lt),wl=s(Lt,"P",{});var W2=r(wl);E_=d(W2,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),W2.forEach(t),C_=p(Lt),ds=s(Lt,"P",{});var Hu=r(ds);A_=d(Hu,"An MBART sequence has the following format, where "),$l=s(Hu,"CODE",{});var U2=r($l);P_=d(U2,"X"),U2.forEach(t),S_=d(Hu," represents the sequence:"),Hu.forEach(t),O_=p(Lt),ls=s(Lt,"UL",{});var Vu=r(ls);cs=s(Vu,"LI",{});var Ku=r(cs);xl=s(Ku,"CODE",{});var R2=r(xl);I_=d(R2,"input_ids"),R2.forEach(t),N_=d(Ku," (for encoder) "),Ml=s(Ku,"CODE",{});var X2=r(Ml);D_=d(X2,"X [eos, src_lang_code]"),X2.forEach(t),Ku.forEach(t),L_=p(Vu),ps=s(Vu,"LI",{});var Ju=r(ps);zl=s(Ju,"CODE",{});var Q2=r(zl);G_=d(Q2,"decoder_input_ids"),Q2.forEach(t),W_=d(Ju,": (for decoder) "),Fl=s(Ju,"CODE",{});var H2=r(Fl);U_=d(H2,"X [eos, tgt_lang_code]"),H2.forEach(t),Ju.forEach(t),Vu.forEach(t),R_=p(Lt),ql=s(Lt,"P",{});var V2=r(ql);X_=d(V2,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),V2.forEach(t),Lt.forEach(t),Q_=p(oe),on=s(oe,"DIV",{class:!0});var Zu=r(on);v(us.$$.fragment,Zu),H_=p(Zu),jl=s(Zu,"P",{});var K2=r(jl);V_=d(K2,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. mBART does not
make use of token type ids, therefore a list of zeros is returned.`),K2.forEach(t),Zu.forEach(t),K_=p(oe),nn=s(oe,"DIV",{class:!0});var Yu=r(nn);v(hs.$$.fragment,Yu),J_=p(Yu),Bl=s(Yu,"P",{});var J2=r(Bl);Z_=d(J2,"Reset the special tokens to the source lang setting. No prefix and suffix=[eos, src_lang_code]."),J2.forEach(t),Yu.forEach(t),Y_=p(oe),an=s(oe,"DIV",{class:!0});var eh=r(an);v(ms.$$.fragment,eh),eg=p(eh),El=s(eh,"P",{});var Z2=r(El);tg=d(Z2,"Reset the special tokens to the target language setting. No prefix and suffix=[eos, tgt_lang_code]."),Z2.forEach(t),eh.forEach(t),oe.forEach(t),du=p(o),ko=s(o,"H2",{class:!0});var th=r(ko);sn=s(th,"A",{id:!0,class:!0,href:!0});var Y2=r(sn);Cl=s(Y2,"SPAN",{});var ew=r(Cl);v(fs.$$.fragment,ew),ew.forEach(t),Y2.forEach(t),og=p(th),Al=s(th,"SPAN",{});var tw=r(Al);ng=d(tw,"MBart50Tokenizer"),tw.forEach(t),th.forEach(t),lu=p(o),L=s(o,"DIV",{class:!0});var ne=r(L);v(_s.$$.fragment,ne),ag=p(ne),gs=s(ne,"P",{});var oh=r(gs);sg=d(oh,"Construct a MBart50 tokenizer. Based on "),ks=s(oh,"A",{href:!0,rel:!0});var ow=r(ks);rg=d(ow,"SentencePiece"),ow.forEach(t),ig=d(oh,"."),oh.forEach(t),dg=p(ne),bs=s(ne,"P",{});var nh=r(bs);lg=d(nh,"This tokenizer inherits from "),Ri=s(nh,"A",{href:!0});var nw=r(Ri);cg=d(nw,"PreTrainedTokenizer"),nw.forEach(t),pg=d(nh,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),nh.forEach(t),ug=p(ne),v(rn.$$.fragment,ne),hg=p(ne),dt=s(ne,"DIV",{class:!0});var wa=r(dt);v(ys.$$.fragment,wa),mg=p(wa),vs=s(wa,"P",{});var ah=r(vs);fg=d(ah,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An MBART-50 sequence has the following format, where `),Pl=s(ah,"CODE",{});var aw=r(Pl);_g=d(aw,"X"),aw.forEach(t),gg=d(ah," represents the sequence:"),ah.forEach(t),kg=p(wa),Ts=s(wa,"UL",{});var sh=r(Ts);ws=s(sh,"LI",{});var rh=r(ws);Sl=s(rh,"CODE",{});var sw=r(Sl);bg=d(sw,"input_ids"),sw.forEach(t),yg=d(rh," (for encoder) "),Ol=s(rh,"CODE",{});var rw=r(Ol);vg=d(rw,"[src_lang_code] X [eos]"),rw.forEach(t),rh.forEach(t),Tg=p(sh),$s=s(sh,"LI",{});var ih=r($s);Il=s(ih,"CODE",{});var iw=r(Il);wg=d(iw,"labels"),iw.forEach(t),$g=d(ih,": (for decoder) "),Nl=s(ih,"CODE",{});var dw=r(Nl);xg=d(dw,"[tgt_lang_code] X [eos]"),dw.forEach(t),ih.forEach(t),sh.forEach(t),Mg=p(wa),Dl=s(wa,"P",{});var lw=r(Dl);zg=d(lw,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),lw.forEach(t),wa.forEach(t),Fg=p(ne),dn=s(ne,"DIV",{class:!0});var dh=r(dn);v(xs.$$.fragment,dh),qg=p(dh),Ll=s(dh,"P",{});var cw=r(Ll);jg=d(cw,"Converts a sequence of tokens (string) in a single string."),cw.forEach(t),dh.forEach(t),Bg=p(ne),ln=s(ne,"DIV",{class:!0});var lh=r(ln);v(Ms.$$.fragment,lh),Eg=p(lh),zs=s(lh,"P",{});var ch=r(zs);Cg=d(ch,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Gl=s(ch,"CODE",{});var pw=r(Gl);Ag=d(pw,"prepare_for_model"),pw.forEach(t),Pg=d(ch," method."),ch.forEach(t),lh.forEach(t),Sg=p(ne),cn=s(ne,"DIV",{class:!0});var ph=r(cn);v(Fs.$$.fragment,ph),Og=p(ph),Wl=s(ph,"P",{});var uw=r(Wl);Ig=d(uw,"Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),uw.forEach(t),ph.forEach(t),Ng=p(ne),pn=s(ne,"DIV",{class:!0});var uh=r(pn);v(qs.$$.fragment,uh),Dg=p(uh),Ul=s(uh,"P",{});var hw=r(Ul);Lg=d(hw,"Reset the special tokens to the target language setting. prefix=[tgt_lang_code] and suffix=[eos]."),hw.forEach(t),uh.forEach(t),ne.forEach(t),cu=p(o),bo=s(o,"H2",{class:!0});var hh=r(bo);un=s(hh,"A",{id:!0,class:!0,href:!0});var mw=r(un);Rl=s(mw,"SPAN",{});var fw=r(Rl);v(js.$$.fragment,fw),fw.forEach(t),mw.forEach(t),Gg=p(hh),Xl=s(hh,"SPAN",{});var _w=r(Xl);Wg=d(_w,"MBart50TokenizerFast"),_w.forEach(t),hh.forEach(t),pu=p(o),Y=s(o,"DIV",{class:!0});var Re=r(Y);v(Bs.$$.fragment,Re),Ug=p(Re),yo=s(Re,"P",{});var _d=r(yo);Rg=d(_d,"Construct a \u201Cfast\u201D MBART tokenizer for mBART-50 (backed by HuggingFace\u2019s "),Ql=s(_d,"EM",{});var gw=r(Ql);Xg=d(gw,"tokenizers"),gw.forEach(t),Qg=d(_d,` library). Based on
`),Es=s(_d,"A",{href:!0,rel:!0});var kw=r(Es);Hg=d(kw,"BPE"),kw.forEach(t),Vg=d(_d,"."),_d.forEach(t),Kg=p(Re),Cs=s(Re,"P",{});var mh=r(Cs);Jg=d(mh,"This tokenizer inherits from "),Xi=s(mh,"A",{href:!0});var bw=r(Xi);Zg=d(bw,"PreTrainedTokenizerFast"),bw.forEach(t),Yg=d(mh,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),mh.forEach(t),ek=p(Re),v(hn.$$.fragment,Re),tk=p(Re),De=s(Re,"DIV",{class:!0});var Gt=r(De);v(As.$$.fragment,Gt),ok=p(Gt),Hl=s(Gt,"P",{});var yw=r(Hl);nk=d(yw,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. The special tokens depend on calling set_lang.`),yw.forEach(t),ak=p(Gt),Ps=s(Gt,"P",{});var fh=r(Ps);sk=d(fh,"An MBART-50 sequence has the following format, where "),Vl=s(fh,"CODE",{});var vw=r(Vl);rk=d(vw,"X"),vw.forEach(t),ik=d(fh," represents the sequence:"),fh.forEach(t),dk=p(Gt),Ss=s(Gt,"UL",{});var _h=r(Ss);Os=s(_h,"LI",{});var gh=r(Os);Kl=s(gh,"CODE",{});var Tw=r(Kl);lk=d(Tw,"input_ids"),Tw.forEach(t),ck=d(gh," (for encoder) "),Jl=s(gh,"CODE",{});var ww=r(Jl);pk=d(ww,"[src_lang_code] X [eos]"),ww.forEach(t),gh.forEach(t),uk=p(_h),Is=s(_h,"LI",{});var kh=r(Is);Zl=s(kh,"CODE",{});var $w=r(Zl);hk=d($w,"labels"),$w.forEach(t),mk=d(kh,": (for decoder) "),Yl=s(kh,"CODE",{});var xw=r(Yl);fk=d(xw,"[tgt_lang_code] X [eos]"),xw.forEach(t),kh.forEach(t),_h.forEach(t),_k=p(Gt),ec=s(Gt,"P",{});var Mw=r(ec);gk=d(Mw,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Mw.forEach(t),Gt.forEach(t),kk=p(Re),mn=s(Re,"DIV",{class:!0});var bh=r(mn);v(Ns.$$.fragment,bh),bk=p(bh),tc=s(bh,"P",{});var zw=r(tc);yk=d(zw,"Reset the special tokens to the source lang setting. prefix=[src_lang_code] and suffix=[eos]."),zw.forEach(t),bh.forEach(t),vk=p(Re),fn=s(Re,"DIV",{class:!0});var yh=r(fn);v(Ds.$$.fragment,yh),Tk=p(yh),oc=s(yh,"P",{});var Fw=r(oc);wk=d(Fw,"Reset the special tokens to the target language setting. prefix=[src_lang_code] and suffix=[eos]."),Fw.forEach(t),yh.forEach(t),Re.forEach(t),uu=p(o),vo=s(o,"H2",{class:!0});var vh=r(vo);_n=s(vh,"A",{id:!0,class:!0,href:!0});var qw=r(_n);nc=s(qw,"SPAN",{});var jw=r(nc);v(Ls.$$.fragment,jw),jw.forEach(t),qw.forEach(t),$k=p(vh),ac=s(vh,"SPAN",{});var Bw=r(ac);xk=d(Bw,"MBartModel"),Bw.forEach(t),vh.forEach(t),hu=p(o),Ye=s(o,"DIV",{class:!0});var $a=r(Ye);v(Gs.$$.fragment,$a),Mk=p($a),Ws=s($a,"P",{});var Th=r(Ws);zk=d(Th,`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Qi=s(Th,"A",{href:!0});var Ew=r(Qi);Fk=d(Ew,"PreTrainedModel"),Ew.forEach(t),qk=d(Th,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Th.forEach(t),jk=p($a),Us=s($a,"P",{});var wh=r(Us);Bk=d(wh,"This model is also a PyTorch "),Rs=s(wh,"A",{href:!0,rel:!0});var Cw=r(Rs);Ek=d(Cw,"torch.nn.Module"),Cw.forEach(t),Ck=d(wh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wh.forEach(t),Ak=p($a),lt=s($a,"DIV",{class:!0});var xa=r(lt);v(Xs.$$.fragment,xa),Pk=p(xa),To=s(xa,"P",{});var gd=r(To);Sk=d(gd,"The "),Hi=s(gd,"A",{href:!0});var Aw=r(Hi);Ok=d(Aw,"MBartModel"),Aw.forEach(t),Ik=d(gd," forward method, overrides the "),sc=s(gd,"CODE",{});var Pw=r(sc);Nk=d(Pw,"__call__"),Pw.forEach(t),Dk=d(gd," special method."),gd.forEach(t),Lk=p(xa),v(gn.$$.fragment,xa),Gk=p(xa),v(kn.$$.fragment,xa),xa.forEach(t),$a.forEach(t),mu=p(o),wo=s(o,"H2",{class:!0});var $h=r(wo);bn=s($h,"A",{id:!0,class:!0,href:!0});var Sw=r(bn);rc=s(Sw,"SPAN",{});var Ow=r(rc);v(Qs.$$.fragment,Ow),Ow.forEach(t),Sw.forEach(t),Wk=p($h),ic=s($h,"SPAN",{});var Iw=r(ic);Uk=d(Iw,"MBartForConditionalGeneration"),Iw.forEach(t),$h.forEach(t),fu=p(o),et=s(o,"DIV",{class:!0});var Ma=r(et);v(Hs.$$.fragment,Ma),Rk=p(Ma),Vs=s(Ma,"P",{});var xh=r(Vs);Xk=d(xh,`The MBART Model with a language modeling head. Can be used for summarization, after fine-tuning the pretrained models.
This model inherits from `),Vi=s(xh,"A",{href:!0});var Nw=r(Vi);Qk=d(Nw,"PreTrainedModel"),Nw.forEach(t),Hk=d(xh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xh.forEach(t),Vk=p(Ma),Ks=s(Ma,"P",{});var Mh=r(Ks);Kk=d(Mh,"This model is also a PyTorch "),Js=s(Mh,"A",{href:!0,rel:!0});var Dw=r(Js);Jk=d(Dw,"torch.nn.Module"),Dw.forEach(t),Zk=d(Mh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Mh.forEach(t),Yk=p(Ma),Le=s(Ma,"DIV",{class:!0});var Wt=r(Le);v(Zs.$$.fragment,Wt),eb=p(Wt),$o=s(Wt,"P",{});var kd=r($o);tb=d(kd,"The "),Ki=s(kd,"A",{href:!0});var Lw=r(Ki);ob=d(Lw,"MBartForConditionalGeneration"),Lw.forEach(t),nb=d(kd," forward method, overrides the "),dc=s(kd,"CODE",{});var Gw=r(dc);ab=d(Gw,"__call__"),Gw.forEach(t),sb=d(kd," special method."),kd.forEach(t),rb=p(Wt),v(yn.$$.fragment,Wt),ib=p(Wt),v(vn.$$.fragment,Wt),db=p(Wt),v(Tn.$$.fragment,Wt),Wt.forEach(t),Ma.forEach(t),_u=p(o),xo=s(o,"H2",{class:!0});var zh=r(xo);wn=s(zh,"A",{id:!0,class:!0,href:!0});var Ww=r(wn);lc=s(Ww,"SPAN",{});var Uw=r(lc);v(Ys.$$.fragment,Uw),Uw.forEach(t),Ww.forEach(t),lb=p(zh),cc=s(zh,"SPAN",{});var Rw=r(cc);cb=d(Rw,"MBartForQuestionAnswering"),Rw.forEach(t),zh.forEach(t),gu=p(o),Ee=s(o,"DIV",{class:!0});var Ut=r(Ee);v(er.$$.fragment,Ut),pb=p(Ut),Mo=s(Ut,"P",{});var bd=r(Mo);ub=d(bd,`MBART Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),pc=s(bd,"CODE",{});var Xw=r(pc);hb=d(Xw,"span start logits"),Xw.forEach(t),mb=d(bd," and "),uc=s(bd,"CODE",{});var Qw=r(uc);fb=d(Qw,"span end logits"),Qw.forEach(t),_b=d(bd,")."),bd.forEach(t),gb=p(Ut),tr=s(Ut,"P",{});var Fh=r(tr);kb=d(Fh,"This model inherits from "),Ji=s(Fh,"A",{href:!0});var Hw=r(Ji);bb=d(Hw,"PreTrainedModel"),Hw.forEach(t),yb=d(Fh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Fh.forEach(t),vb=p(Ut),or=s(Ut,"P",{});var qh=r(or);Tb=d(qh,"This model is also a PyTorch "),nr=s(qh,"A",{href:!0,rel:!0});var Vw=r(nr);wb=d(Vw,"torch.nn.Module"),Vw.forEach(t),$b=d(qh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),qh.forEach(t),xb=p(Ut),ct=s(Ut,"DIV",{class:!0});var za=r(ct);v(ar.$$.fragment,za),Mb=p(za),zo=s(za,"P",{});var yd=r(zo);zb=d(yd,"The "),Zi=s(yd,"A",{href:!0});var Kw=r(Zi);Fb=d(Kw,"MBartForQuestionAnswering"),Kw.forEach(t),qb=d(yd," forward method, overrides the "),hc=s(yd,"CODE",{});var Jw=r(hc);jb=d(Jw,"__call__"),Jw.forEach(t),Bb=d(yd," special method."),yd.forEach(t),Eb=p(za),v($n.$$.fragment,za),Cb=p(za),v(xn.$$.fragment,za),za.forEach(t),Ut.forEach(t),ku=p(o),Fo=s(o,"H2",{class:!0});var jh=r(Fo);Mn=s(jh,"A",{id:!0,class:!0,href:!0});var Zw=r(Mn);mc=s(Zw,"SPAN",{});var Yw=r(mc);v(sr.$$.fragment,Yw),Yw.forEach(t),Zw.forEach(t),Ab=p(jh),fc=s(jh,"SPAN",{});var e0=r(fc);Pb=d(e0,"MBartForSequenceClassification"),e0.forEach(t),jh.forEach(t),bu=p(o),Ce=s(o,"DIV",{class:!0});var Rt=r(Ce);v(rr.$$.fragment,Rt),Sb=p(Rt),_c=s(Rt,"P",{});var t0=r(_c);Ob=d(t0,`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),t0.forEach(t),Ib=p(Rt),ir=s(Rt,"P",{});var Bh=r(ir);Nb=d(Bh,"This model inherits from "),Yi=s(Bh,"A",{href:!0});var o0=r(Yi);Db=d(o0,"PreTrainedModel"),o0.forEach(t),Lb=d(Bh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bh.forEach(t),Gb=p(Rt),dr=s(Rt,"P",{});var Eh=r(dr);Wb=d(Eh,"This model is also a PyTorch "),lr=s(Eh,"A",{href:!0,rel:!0});var n0=r(lr);Ub=d(n0,"torch.nn.Module"),n0.forEach(t),Rb=d(Eh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Eh.forEach(t),Xb=p(Rt),Ge=s(Rt,"DIV",{class:!0});var Xt=r(Ge);v(cr.$$.fragment,Xt),Qb=p(Xt),qo=s(Xt,"P",{});var vd=r(qo);Hb=d(vd,"The "),ed=s(vd,"A",{href:!0});var a0=r(ed);Vb=d(a0,"MBartForSequenceClassification"),a0.forEach(t),Kb=d(vd," forward method, overrides the "),gc=s(vd,"CODE",{});var s0=r(gc);Jb=d(s0,"__call__"),s0.forEach(t),Zb=d(vd," special method."),vd.forEach(t),Yb=p(Xt),v(zn.$$.fragment,Xt),ey=p(Xt),v(Fn.$$.fragment,Xt),ty=p(Xt),v(qn.$$.fragment,Xt),Xt.forEach(t),Rt.forEach(t),yu=p(o),jo=s(o,"H2",{class:!0});var Ch=r(jo);jn=s(Ch,"A",{id:!0,class:!0,href:!0});var r0=r(jn);kc=s(r0,"SPAN",{});var i0=r(kc);v(pr.$$.fragment,i0),i0.forEach(t),r0.forEach(t),oy=p(Ch),bc=s(Ch,"SPAN",{});var d0=r(bc);ny=d(d0,"MBartForCausalLM"),d0.forEach(t),Ch.forEach(t),vu=p(o),Bo=s(o,"DIV",{class:!0});var Ah=r(Bo);v(ur.$$.fragment,Ah),ay=p(Ah),Bn=s(Ah,"DIV",{class:!0});var Ph=r(Bn);v(hr.$$.fragment,Ph),sy=p(Ph),v(En.$$.fragment,Ph),Ph.forEach(t),Ah.forEach(t),Tu=p(o),Eo=s(o,"H2",{class:!0});var Sh=r(Eo);Cn=s(Sh,"A",{id:!0,class:!0,href:!0});var l0=r(Cn);yc=s(l0,"SPAN",{});var c0=r(yc);v(mr.$$.fragment,c0),c0.forEach(t),l0.forEach(t),ry=p(Sh),vc=s(Sh,"SPAN",{});var p0=r(vc);iy=d(p0,"TFMBartModel"),p0.forEach(t),Sh.forEach(t),wu=p(o),Ae=s(o,"DIV",{class:!0});var Qt=r(Ae);v(fr.$$.fragment,Qt),dy=p(Qt),_r=s(Qt,"P",{});var Oh=r(_r);ly=d(Oh,`The bare MBART Model outputting raw hidden-states without any specific head on top.
This model inherits from `),td=s(Oh,"A",{href:!0});var u0=r(td);cy=d(u0,"TFPreTrainedModel"),u0.forEach(t),py=d(Oh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Oh.forEach(t),uy=p(Qt),gr=s(Qt,"P",{});var Ih=r(gr);hy=d(Ih,"This model is also a "),kr=s(Ih,"A",{href:!0,rel:!0});var h0=r(kr);my=d(h0,"tf.keras.Model"),h0.forEach(t),fy=d(Ih,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ih.forEach(t),_y=p(Qt),v(An.$$.fragment,Qt),gy=p(Qt),pt=s(Qt,"DIV",{class:!0});var Fa=r(pt);v(br.$$.fragment,Fa),ky=p(Fa),Co=s(Fa,"P",{});var Td=r(Co);by=d(Td,"The "),od=s(Td,"A",{href:!0});var m0=r(od);yy=d(m0,"TFMBartModel"),m0.forEach(t),vy=d(Td," forward method, overrides the "),Tc=s(Td,"CODE",{});var f0=r(Tc);Ty=d(f0,"__call__"),f0.forEach(t),wy=d(Td," special method."),Td.forEach(t),$y=p(Fa),v(Pn.$$.fragment,Fa),xy=p(Fa),v(Sn.$$.fragment,Fa),Fa.forEach(t),Qt.forEach(t),$u=p(o),Ao=s(o,"H2",{class:!0});var Nh=r(Ao);On=s(Nh,"A",{id:!0,class:!0,href:!0});var _0=r(On);wc=s(_0,"SPAN",{});var g0=r(wc);v(yr.$$.fragment,g0),g0.forEach(t),_0.forEach(t),My=p(Nh),$c=s(Nh,"SPAN",{});var k0=r($c);zy=d(k0,"TFMBartForConditionalGeneration"),k0.forEach(t),Nh.forEach(t),xu=p(o),Pe=s(o,"DIV",{class:!0});var Ht=r(Pe);v(vr.$$.fragment,Ht),Fy=p(Ht),Tr=s(Ht,"P",{});var Dh=r(Tr);qy=d(Dh,`The MBART Model with a language modeling head. Can be used for summarization, after fine-tuning the pretrained models.
This model inherits from `),nd=s(Dh,"A",{href:!0});var b0=r(nd);jy=d(b0,"TFPreTrainedModel"),b0.forEach(t),By=d(Dh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Dh.forEach(t),Ey=p(Ht),wr=s(Ht,"P",{});var Lh=r(wr);Cy=d(Lh,"This model is also a "),$r=s(Lh,"A",{href:!0,rel:!0});var y0=r($r);Ay=d(y0,"tf.keras.Model"),y0.forEach(t),Py=d(Lh,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Lh.forEach(t),Sy=p(Ht),v(In.$$.fragment,Ht),Oy=p(Ht),We=s(Ht,"DIV",{class:!0});var Vt=r(We);v(xr.$$.fragment,Vt),Iy=p(Vt),Po=s(Vt,"P",{});var wd=r(Po);Ny=d(wd,"The "),ad=s(wd,"A",{href:!0});var v0=r(ad);Dy=d(v0,"TFMBartForConditionalGeneration"),v0.forEach(t),Ly=d(wd," forward method, overrides the "),xc=s(wd,"CODE",{});var T0=r(xc);Gy=d(T0,"__call__"),T0.forEach(t),Wy=d(wd," special method."),wd.forEach(t),Uy=p(Vt),v(Nn.$$.fragment,Vt),Ry=p(Vt),v(Dn.$$.fragment,Vt),Xy=p(Vt),v(Ln.$$.fragment,Vt),Vt.forEach(t),Ht.forEach(t),Mu=p(o),So=s(o,"H2",{class:!0});var Gh=r(So);Gn=s(Gh,"A",{id:!0,class:!0,href:!0});var w0=r(Gn);Mc=s(w0,"SPAN",{});var $0=r(Mc);v(Mr.$$.fragment,$0),$0.forEach(t),w0.forEach(t),Qy=p(Gh),zc=s(Gh,"SPAN",{});var x0=r(zc);Hy=d(x0,"FlaxMBartModel"),x0.forEach(t),Gh.forEach(t),zu=p(o),H=s(o,"DIV",{class:!0});var ye=r(H);v(zr.$$.fragment,ye),Vy=p(ye),Fr=s(ye,"P",{});var Wh=r(Fr);Ky=d(Wh,`The bare MBart Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),sd=s(Wh,"A",{href:!0});var M0=r(sd);Jy=d(M0,"FlaxPreTrainedModel"),M0.forEach(t),Zy=d(Wh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Wh.forEach(t),Yy=p(ye),qr=s(ye,"P",{});var Uh=r(qr);ev=d(Uh,`This model is also a Flax Linen
`),jr=s(Uh,"A",{href:!0,rel:!0});var z0=r(jr);tv=d(z0,"flax.nn.Module"),z0.forEach(t),ov=d(Uh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Uh.forEach(t),nv=p(ye),Fc=s(ye,"P",{});var F0=r(Fc);av=d(F0,"Finally, this model supports inherent JAX features such as:"),F0.forEach(t),sv=p(ye),At=s(ye,"UL",{});var qa=r(At);qc=s(qa,"LI",{});var q0=r(qc);Br=s(q0,"A",{href:!0,rel:!0});var j0=r(Br);rv=d(j0,"Just-In-Time (JIT) compilation"),j0.forEach(t),q0.forEach(t),iv=p(qa),jc=s(qa,"LI",{});var B0=r(jc);Er=s(B0,"A",{href:!0,rel:!0});var E0=r(Er);dv=d(E0,"Automatic Differentiation"),E0.forEach(t),B0.forEach(t),lv=p(qa),Bc=s(qa,"LI",{});var C0=r(Bc);Cr=s(C0,"A",{href:!0,rel:!0});var A0=r(Cr);cv=d(A0,"Vectorization"),A0.forEach(t),C0.forEach(t),pv=p(qa),Ec=s(qa,"LI",{});var P0=r(Ec);Ar=s(P0,"A",{href:!0,rel:!0});var S0=r(Ar);uv=d(S0,"Parallelization"),S0.forEach(t),P0.forEach(t),qa.forEach(t),hv=p(ye),ut=s(ye,"DIV",{class:!0});var ja=r(ut);v(Pr.$$.fragment,ja),mv=p(ja),Oo=s(ja,"P",{});var $d=r(Oo);fv=d($d,"The "),Cc=s($d,"CODE",{});var O0=r(Cc);_v=d(O0,"FlaxMBartPreTrainedModel"),O0.forEach(t),gv=d($d," forward method, overrides the "),Ac=s($d,"CODE",{});var I0=r(Ac);kv=d(I0,"__call__"),I0.forEach(t),bv=d($d," special method."),$d.forEach(t),yv=p(ja),v(Wn.$$.fragment,ja),vv=p(ja),v(Un.$$.fragment,ja),ja.forEach(t),Tv=p(ye),Rn=s(ye,"DIV",{class:!0});var Rh=r(Rn);v(Sr.$$.fragment,Rh),wv=p(Rh),v(Xn.$$.fragment,Rh),Rh.forEach(t),$v=p(ye),Qn=s(ye,"DIV",{class:!0});var Xh=r(Qn);v(Or.$$.fragment,Xh),xv=p(Xh),v(Hn.$$.fragment,Xh),Xh.forEach(t),ye.forEach(t),Fu=p(o),Io=s(o,"H2",{class:!0});var Qh=r(Io);Vn=s(Qh,"A",{id:!0,class:!0,href:!0});var N0=r(Vn);Pc=s(N0,"SPAN",{});var D0=r(Pc);v(Ir.$$.fragment,D0),D0.forEach(t),N0.forEach(t),Mv=p(Qh),Sc=s(Qh,"SPAN",{});var L0=r(Sc);zv=d(L0,"FlaxMBartForConditionalGeneration"),L0.forEach(t),Qh.forEach(t),qu=p(o),V=s(o,"DIV",{class:!0});var ve=r(V);v(Nr.$$.fragment,ve),Fv=p(ve),Dr=s(ve,"P",{});var Hh=r(Dr);qv=d(Hh,`The MMBart Model with a language modeling head. Can be used for summarization.
This model inherits from `),rd=s(Hh,"A",{href:!0});var G0=r(rd);jv=d(G0,"FlaxPreTrainedModel"),G0.forEach(t),Bv=d(Hh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Hh.forEach(t),Ev=p(ve),Lr=s(ve,"P",{});var Vh=r(Lr);Cv=d(Vh,`This model is also a Flax Linen
`),Gr=s(Vh,"A",{href:!0,rel:!0});var W0=r(Gr);Av=d(W0,"flax.nn.Module"),W0.forEach(t),Pv=d(Vh,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Vh.forEach(t),Sv=p(ve),Oc=s(ve,"P",{});var U0=r(Oc);Ov=d(U0,"Finally, this model supports inherent JAX features such as:"),U0.forEach(t),Iv=p(ve),Pt=s(ve,"UL",{});var Ba=r(Pt);Ic=s(Ba,"LI",{});var R0=r(Ic);Wr=s(R0,"A",{href:!0,rel:!0});var X0=r(Wr);Nv=d(X0,"Just-In-Time (JIT) compilation"),X0.forEach(t),R0.forEach(t),Dv=p(Ba),Nc=s(Ba,"LI",{});var Q0=r(Nc);Ur=s(Q0,"A",{href:!0,rel:!0});var H0=r(Ur);Lv=d(H0,"Automatic Differentiation"),H0.forEach(t),Q0.forEach(t),Gv=p(Ba),Dc=s(Ba,"LI",{});var V0=r(Dc);Rr=s(V0,"A",{href:!0,rel:!0});var K0=r(Rr);Wv=d(K0,"Vectorization"),K0.forEach(t),V0.forEach(t),Uv=p(Ba),Lc=s(Ba,"LI",{});var J0=r(Lc);Xr=s(J0,"A",{href:!0,rel:!0});var Z0=r(Xr);Rv=d(Z0,"Parallelization"),Z0.forEach(t),J0.forEach(t),Ba.forEach(t),Xv=p(ve),Ue=s(ve,"DIV",{class:!0});var Kt=r(Ue);v(Qr.$$.fragment,Kt),Qv=p(Kt),No=s(Kt,"P",{});var xd=r(No);Hv=d(xd,"The "),Gc=s(xd,"CODE",{});var Y0=r(Gc);Vv=d(Y0,"FlaxMBartPreTrainedModel"),Y0.forEach(t),Kv=d(xd," forward method, overrides the "),Wc=s(xd,"CODE",{});var e$=r(Wc);Jv=d(e$,"__call__"),e$.forEach(t),Zv=d(xd," special method."),xd.forEach(t),Yv=p(Kt),v(Kn.$$.fragment,Kt),eT=p(Kt),v(Jn.$$.fragment,Kt),tT=p(Kt),v(Zn.$$.fragment,Kt),Kt.forEach(t),oT=p(ve),Yn=s(ve,"DIV",{class:!0});var Kh=r(Yn);v(Hr.$$.fragment,Kh),nT=p(Kh),v(ea.$$.fragment,Kh),Kh.forEach(t),aT=p(ve),ta=s(ve,"DIV",{class:!0});var Jh=r(ta);v(Vr.$$.fragment,Jh),sT=p(Jh),v(oa.$$.fragment,Jh),Jh.forEach(t),ve.forEach(t),ju=p(o),Do=s(o,"H2",{class:!0});var Zh=r(Do);na=s(Zh,"A",{id:!0,class:!0,href:!0});var t$=r(na);Uc=s(t$,"SPAN",{});var o$=r(Uc);v(Kr.$$.fragment,o$),o$.forEach(t),t$.forEach(t),rT=p(Zh),Rc=s(Zh,"SPAN",{});var n$=r(Rc);iT=d(n$,"FlaxMBartForSequenceClassification"),n$.forEach(t),Zh.forEach(t),Bu=p(o),G=s(o,"DIV",{class:!0});var ae=r(G);v(Jr.$$.fragment,ae),dT=p(ae),Xc=s(ae,"P",{});var a$=r(Xc);lT=d(a$,`MBart model with a sequence classification/head on top (a linear layer on top of the pooled output) e.g. for GLUE
tasks.`),a$.forEach(t),cT=p(ae),Zr=s(ae,"P",{});var Yh=r(Zr);pT=d(Yh,"This model inherits from "),id=s(Yh,"A",{href:!0});var s$=r(id);uT=d(s$,"FlaxPreTrainedModel"),s$.forEach(t),hT=d(Yh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yh.forEach(t),mT=p(ae),Yr=s(ae,"P",{});var em=r(Yr);fT=d(em,`This model is also a Flax Linen
`),ei=s(em,"A",{href:!0,rel:!0});var r$=r(ei);_T=d(r$,"flax.nn.Module"),r$.forEach(t),gT=d(em,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),em.forEach(t),kT=p(ae),Qc=s(ae,"P",{});var i$=r(Qc);bT=d(i$,"Finally, this model supports inherent JAX features such as:"),i$.forEach(t),yT=p(ae),St=s(ae,"UL",{});var Ea=r(St);Hc=s(Ea,"LI",{});var d$=r(Hc);ti=s(d$,"A",{href:!0,rel:!0});var l$=r(ti);vT=d(l$,"Just-In-Time (JIT) compilation"),l$.forEach(t),d$.forEach(t),TT=p(Ea),Vc=s(Ea,"LI",{});var c$=r(Vc);oi=s(c$,"A",{href:!0,rel:!0});var p$=r(oi);wT=d(p$,"Automatic Differentiation"),p$.forEach(t),c$.forEach(t),$T=p(Ea),Kc=s(Ea,"LI",{});var u$=r(Kc);ni=s(u$,"A",{href:!0,rel:!0});var h$=r(ni);xT=d(h$,"Vectorization"),h$.forEach(t),u$.forEach(t),MT=p(Ea),Jc=s(Ea,"LI",{});var m$=r(Jc);ai=s(m$,"A",{href:!0,rel:!0});var f$=r(ai);zT=d(f$,"Parallelization"),f$.forEach(t),m$.forEach(t),Ea.forEach(t),FT=p(ae),ht=s(ae,"DIV",{class:!0});var Ca=r(ht);v(si.$$.fragment,Ca),qT=p(Ca),Lo=s(Ca,"P",{});var Md=r(Lo);jT=d(Md,"The "),Zc=s(Md,"CODE",{});var _$=r(Zc);BT=d(_$,"FlaxMBartPreTrainedModel"),_$.forEach(t),ET=d(Md," forward method, overrides the "),Yc=s(Md,"CODE",{});var g$=r(Yc);CT=d(g$,"__call__"),g$.forEach(t),AT=d(Md," special method."),Md.forEach(t),PT=p(Ca),v(aa.$$.fragment,Ca),ST=p(Ca),v(sa.$$.fragment,Ca),Ca.forEach(t),OT=p(ae),ra=s(ae,"DIV",{class:!0});var tm=r(ra);v(ri.$$.fragment,tm),IT=p(tm),v(ia.$$.fragment,tm),tm.forEach(t),NT=p(ae),da=s(ae,"DIV",{class:!0});var om=r(da);v(ii.$$.fragment,om),DT=p(om),v(la.$$.fragment,om),om.forEach(t),ae.forEach(t),Eu=p(o),Go=s(o,"H2",{class:!0});var nm=r(Go);ca=s(nm,"A",{id:!0,class:!0,href:!0});var k$=r(ca);ep=s(k$,"SPAN",{});var b$=r(ep);v(di.$$.fragment,b$),b$.forEach(t),k$.forEach(t),LT=p(nm),tp=s(nm,"SPAN",{});var y$=r(tp);GT=d(y$,"FlaxMBartForQuestionAnswering"),y$.forEach(t),nm.forEach(t),Cu=p(o),W=s(o,"DIV",{class:!0});var se=r(W);v(li.$$.fragment,se),WT=p(se),Wo=s(se,"P",{});var zd=r(Wo);UT=d(zd,`MBart Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),op=s(zd,"CODE",{});var v$=r(op);RT=d(v$,"span start logits"),v$.forEach(t),XT=d(zd," and "),np=s(zd,"CODE",{});var T$=r(np);QT=d(T$,"span end logits"),T$.forEach(t),HT=d(zd,")."),zd.forEach(t),VT=p(se),ci=s(se,"P",{});var am=r(ci);KT=d(am,"This model inherits from "),dd=s(am,"A",{href:!0});var w$=r(dd);JT=d(w$,"FlaxPreTrainedModel"),w$.forEach(t),ZT=d(am,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),am.forEach(t),YT=p(se),pi=s(se,"P",{});var sm=r(pi);e1=d(sm,`This model is also a Flax Linen
`),ui=s(sm,"A",{href:!0,rel:!0});var $$=r(ui);t1=d($$,"flax.nn.Module"),$$.forEach(t),o1=d(sm,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),sm.forEach(t),n1=p(se),ap=s(se,"P",{});var x$=r(ap);a1=d(x$,"Finally, this model supports inherent JAX features such as:"),x$.forEach(t),s1=p(se),Ot=s(se,"UL",{});var Aa=r(Ot);sp=s(Aa,"LI",{});var M$=r(sp);hi=s(M$,"A",{href:!0,rel:!0});var z$=r(hi);r1=d(z$,"Just-In-Time (JIT) compilation"),z$.forEach(t),M$.forEach(t),i1=p(Aa),rp=s(Aa,"LI",{});var F$=r(rp);mi=s(F$,"A",{href:!0,rel:!0});var q$=r(mi);d1=d(q$,"Automatic Differentiation"),q$.forEach(t),F$.forEach(t),l1=p(Aa),ip=s(Aa,"LI",{});var j$=r(ip);fi=s(j$,"A",{href:!0,rel:!0});var B$=r(fi);c1=d(B$,"Vectorization"),B$.forEach(t),j$.forEach(t),p1=p(Aa),dp=s(Aa,"LI",{});var E$=r(dp);_i=s(E$,"A",{href:!0,rel:!0});var C$=r(_i);u1=d(C$,"Parallelization"),C$.forEach(t),E$.forEach(t),Aa.forEach(t),h1=p(se),mt=s(se,"DIV",{class:!0});var Pa=r(mt);v(gi.$$.fragment,Pa),m1=p(Pa),Uo=s(Pa,"P",{});var Fd=r(Uo);f1=d(Fd,"The "),lp=s(Fd,"CODE",{});var A$=r(lp);_1=d(A$,"FlaxMBartPreTrainedModel"),A$.forEach(t),g1=d(Fd," forward method, overrides the "),cp=s(Fd,"CODE",{});var P$=r(cp);k1=d(P$,"__call__"),P$.forEach(t),b1=d(Fd," special method."),Fd.forEach(t),y1=p(Pa),v(pa.$$.fragment,Pa),v1=p(Pa),v(ua.$$.fragment,Pa),Pa.forEach(t),T1=p(se),ha=s(se,"DIV",{class:!0});var rm=r(ha);v(ki.$$.fragment,rm),w1=p(rm),v(ma.$$.fragment,rm),rm.forEach(t),$1=p(se),fa=s(se,"DIV",{class:!0});var im=r(fa);v(bi.$$.fragment,im),x1=p(im),v(_a.$$.fragment,im),im.forEach(t),se.forEach(t),this.h()},h(){m(l,"name","hf:doc:metadata"),m(l,"content",JSON.stringify(qx)),m(h,"id","mbart-and-mbart50"),m(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(h,"href","#mbart-and-mbart50"),m(f,"class","relative group"),m(he,"alt","Models"),S$(he.src,j="https://img.shields.io/badge/All_model_pages-mbart-blueviolet")||m(he,"src",j),m(Se,"href","https://huggingface.co/models?filter=mbart"),m(Oe,"alt","Spaces"),S$(Oe.src,Nt="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||m(Oe,"src",Nt),m(ee,"href","https://huggingface.co/spaces/docs-demos/mbart-large-50-one-to-many-mmt"),m(X,"class","flex flex-wrap space-x-1"),m(we,"href","https://github.com/huggingface/transformers/issues/new?assignees=&labels=&template=bug-report.md&title"),m(we,"rel","nofollow"),m(fe,"id","overview-of-mbart"),m(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(fe,"href","#overview-of-mbart"),m(Q,"class","relative group"),m(J,"href","https://arxiv.org/abs/2001.08210"),m(J,"rel","nofollow"),m(ze,"href","https://huggingface.co/valhalla"),m(ze,"rel","nofollow"),m(Fe,"href","https://github.com/pytorch/fairseq/tree/master/examples/mbart"),m(Fe,"rel","nofollow"),m(S,"id","training-of-mbart"),m(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(S,"href","#training-of-mbart"),m(Z,"class","relative group"),m(je,"href","/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__"),m(Xo,"id","overview-of-mbart50"),m(Xo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Xo,"href","#overview-of-mbart50"),m(ro,"class","relative group"),m(Da,"href","https://arxiv.org/abs/2008.00401"),m(Da,"rel","nofollow"),m(Qo,"id","training-of-mbart50"),m(Qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Qo,"href","#training-of-mbart50"),m(io,"class","relative group"),m(ji,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBart50Tokenizer"),m(Vo,"id","documentation-resources"),m(Vo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Vo,"href","#documentation-resources"),m(lo,"class","relative group"),m(Ci,"href","../tasks/sequence_classification"),m(Ai,"href","../tasks/question_answering"),m(Pi,"href","../tasks/language_modeling"),m(Si,"href","../tasks/masked_language_modeling"),m(Oi,"href","../tasks/translation"),m(Ii,"href","../tasks/summarization"),m(Ko,"id","transformers.MBartConfig"),m(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ko,"href","#transformers.MBartConfig"),m(co,"class","relative group"),m(Ni,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartModel"),m(Ha,"href","https://huggingface.co/facebook/mbart-large-cc25"),m(Ha,"rel","nofollow"),m(Di,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),m(Li,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),m(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Zo,"id","transformers.MBartTokenizer"),m(Zo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Zo,"href","#transformers.MBartTokenizer"),m(ho,"class","relative group"),m(Gi,"href","/docs/transformers/pr_21990/en/model_doc/roberta#transformers.RobertaTokenizer"),m(Wi,"href","/docs/transformers/pr_21990/en/model_doc/xlnet#transformers.XLNetTokenizer"),m(Ja,"href","https://github.com/google/sentencepiece"),m(Ja,"rel","nofollow"),m(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(en,"id","transformers.MBartTokenizerFast"),m(en,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(en,"href","#transformers.MBartTokenizerFast"),m(fo,"class","relative group"),m(ss,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),m(ss,"rel","nofollow"),m(Ui,"href","/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),m(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(on,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(nn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(an,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(sn,"id","transformers.MBart50Tokenizer"),m(sn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(sn,"href","#transformers.MBart50Tokenizer"),m(ko,"class","relative group"),m(ks,"href","https://github.com/google/sentencepiece"),m(ks,"rel","nofollow"),m(Ri,"href","/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),m(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(dn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ln,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(cn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(pn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(un,"id","transformers.MBart50TokenizerFast"),m(un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(un,"href","#transformers.MBart50TokenizerFast"),m(bo,"class","relative group"),m(Es,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),m(Es,"rel","nofollow"),m(Xi,"href","/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),m(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(mn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(fn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(_n,"id","transformers.MBartModel"),m(_n,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(_n,"href","#transformers.MBartModel"),m(vo,"class","relative group"),m(Qi,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),m(Rs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Rs,"rel","nofollow"),m(Hi,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartModel"),m(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(bn,"id","transformers.MBartForConditionalGeneration"),m(bn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(bn,"href","#transformers.MBartForConditionalGeneration"),m(wo,"class","relative group"),m(Vi,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),m(Js,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Js,"rel","nofollow"),m(Ki,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartForConditionalGeneration"),m(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(wn,"id","transformers.MBartForQuestionAnswering"),m(wn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(wn,"href","#transformers.MBartForQuestionAnswering"),m(xo,"class","relative group"),m(Ji,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),m(nr,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(nr,"rel","nofollow"),m(Zi,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartForQuestionAnswering"),m(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Mn,"id","transformers.MBartForSequenceClassification"),m(Mn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Mn,"href","#transformers.MBartForSequenceClassification"),m(Fo,"class","relative group"),m(Yi,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),m(lr,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(lr,"rel","nofollow"),m(ed,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.MBartForSequenceClassification"),m(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(jn,"id","transformers.MBartForCausalLM"),m(jn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(jn,"href","#transformers.MBartForCausalLM"),m(jo,"class","relative group"),m(Bn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Bo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Cn,"id","transformers.TFMBartModel"),m(Cn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Cn,"href","#transformers.TFMBartModel"),m(Eo,"class","relative group"),m(td,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel"),m(kr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(kr,"rel","nofollow"),m(od,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.TFMBartModel"),m(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(On,"id","transformers.TFMBartForConditionalGeneration"),m(On,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(On,"href","#transformers.TFMBartForConditionalGeneration"),m(Ao,"class","relative group"),m(nd,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel"),m($r,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m($r,"rel","nofollow"),m(ad,"href","/docs/transformers/pr_21990/en/model_doc/mbart#transformers.TFMBartForConditionalGeneration"),m(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Gn,"id","transformers.FlaxMBartModel"),m(Gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Gn,"href","#transformers.FlaxMBartModel"),m(So,"class","relative group"),m(sd,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(jr,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(jr,"rel","nofollow"),m(Br,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Br,"rel","nofollow"),m(Er,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(Er,"rel","nofollow"),m(Cr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Cr,"rel","nofollow"),m(Ar,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(Ar,"rel","nofollow"),m(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Qn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Vn,"id","transformers.FlaxMBartForConditionalGeneration"),m(Vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Vn,"href","#transformers.FlaxMBartForConditionalGeneration"),m(Io,"class","relative group"),m(rd,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(Gr,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(Gr,"rel","nofollow"),m(Wr,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(Wr,"rel","nofollow"),m(Ur,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(Ur,"rel","nofollow"),m(Rr,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(Rr,"rel","nofollow"),m(Xr,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(Xr,"rel","nofollow"),m(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Yn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ta,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(na,"id","transformers.FlaxMBartForSequenceClassification"),m(na,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(na,"href","#transformers.FlaxMBartForSequenceClassification"),m(Do,"class","relative group"),m(id,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(ei,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(ei,"rel","nofollow"),m(ti,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(ti,"rel","nofollow"),m(oi,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(oi,"rel","nofollow"),m(ni,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(ni,"rel","nofollow"),m(ai,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(ai,"rel","nofollow"),m(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ra,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(da,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ca,"id","transformers.FlaxMBartForQuestionAnswering"),m(ca,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(ca,"href","#transformers.FlaxMBartForQuestionAnswering"),m(Go,"class","relative group"),m(dd,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.FlaxPreTrainedModel"),m(ui,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),m(ui,"rel","nofollow"),m(hi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),m(hi,"rel","nofollow"),m(mi,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),m(mi,"rel","nofollow"),m(fi,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),m(fi,"rel","nofollow"),m(_i,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),m(_i,"rel","nofollow"),m(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ha,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(fa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,_){e(document.head,l),g(o,b,_),g(o,f,_),e(f,h),e(h,k),T(n,k,null),e(f,u),e(f,q),e(q,bt),g(o,ot,_),g(o,X,_),e(X,Se),e(Se,he),e(X,yt),e(X,ee),e(ee,Oe),g(o,me,_),g(o,re,_),e(re,Xe),e(Xe,Te),e(re,vt),e(re,we),e(we,$e),e(re,Tt),g(o,nt,_),g(o,Q,_),e(Q,fe),e(fe,Qe),T(ie,Qe,null),e(Q,O),e(Q,I),e(I,wt),g(o,_e,_),g(o,ge,_),e(ge,$t),e(ge,J),e(J,xt),e(ge,Mt),g(o,U,_),g(o,Ie,_),e(Ie,xe),g(o,at,_),g(o,de,_),e(de,Me),e(de,ze),e(ze,zt),e(de,le),e(de,Fe),e(Fe,qe),g(o,st,_),g(o,Z,_),e(Z,S),e(S,He),T(N,He,null),e(Z,Ft),e(Z,Ve),e(Ve,z),g(o,B,_),g(o,K,_),e(K,Ke),e(K,qt),e(qt,Jt),e(K,C),e(K,jt),e(jt,Zt),e(K,Yt),e(K,Bt),e(Bt,eo),e(K,ce),e(K,pe),e(pe,to),e(K,oo),g(o,ke,_),g(o,te,_),e(te,no),e(te,je),e(je,Et),e(Et,Je),e(je,ao),e(te,dm),e(te,qd),e(qd,lm),e(te,cm),e(te,jd),e(jd,pm),e(te,um),g(o,Np,_),g(o,Mi,_),e(Mi,Bd),e(Bd,hm),g(o,Dp,_),T(Sa,o,_),g(o,Lp,_),g(o,zi,_),e(zi,Oa),e(Oa,Ed),e(Ed,mm),e(Oa,fm),e(Oa,so),e(so,_m),e(so,Cd),e(Cd,gm),e(so,km),e(so,Ad),e(Ad,bm),e(so,ym),g(o,Gp,_),T(Ia,o,_),g(o,Wp,_),g(o,ro,_),e(ro,Xo),e(Xo,Pd),T(Na,Pd,null),e(ro,vm),e(ro,Sd),e(Sd,Tm),g(o,Up,_),g(o,Dt,_),e(Dt,wm),e(Dt,Da),e(Da,$m),e(Dt,xm),e(Dt,Od),e(Od,Mm),e(Dt,zm),g(o,Rp,_),g(o,Fi,_),e(Fi,Fm),g(o,Xp,_),g(o,qi,_),e(qi,Id),e(Id,qm),g(o,Qp,_),g(o,io,_),e(io,Qo),e(Qo,Nd),T(La,Nd,null),e(io,jm),e(io,Dd),e(Dd,Bm),g(o,Hp,_),g(o,rt,_),e(rt,Em),e(rt,Ld),e(Ld,Cm),e(rt,Am),e(rt,Gd),e(Gd,Pm),e(rt,Sm),e(rt,Wd),e(Wd,Om),e(rt,Im),g(o,Vp,_),g(o,Ho,_),e(Ho,Nm),e(Ho,ji),e(ji,Dm),e(Ho,Lm),g(o,Kp,_),g(o,Bi,_),e(Bi,Ud),e(Ud,Gm),g(o,Jp,_),T(Ga,o,_),g(o,Zp,_),g(o,Ei,_),e(Ei,Wa),e(Wa,Rd),e(Rd,Wm),e(Wa,Um),e(Wa,Be),e(Be,Rm),e(Be,Xd),e(Xd,Xm),e(Be,Qm),e(Be,Qd),e(Qd,Hm),e(Be,Vm),e(Be,Hd),e(Hd,Km),e(Be,Jm),e(Be,Vd),e(Vd,Zm),e(Be,Ym),e(Be,Kd),e(Kd,ef),e(Be,tf),g(o,Yp,_),T(Ua,o,_),g(o,eu,_),g(o,lo,_),e(lo,Vo),e(Vo,Jd),T(Ra,Jd,null),e(lo,of),e(lo,Zd),e(Zd,nf),g(o,tu,_),g(o,be,_),e(be,Yd),e(Yd,Ci),e(Ci,af),e(be,sf),e(be,el),e(el,Ai),e(Ai,rf),e(be,df),e(be,tl),e(tl,Pi),e(Pi,lf),e(be,cf),e(be,ol),e(ol,Si),e(Si,pf),e(be,uf),e(be,nl),e(nl,Oi),e(Oi,hf),e(be,mf),e(be,al),e(al,Ii),e(Ii,ff),g(o,ou,_),g(o,co,_),e(co,Ko),e(Ko,sl),T(Xa,sl,null),e(co,_f),e(co,rl),e(rl,gf),g(o,nu,_),g(o,Ze,_),T(Qa,Ze,null),e(Ze,kf),e(Ze,po),e(po,bf),e(po,Ni),e(Ni,yf),e(po,vf),e(po,Ha),e(Ha,Tf),e(po,wf),e(Ze,$f),e(Ze,uo),e(uo,xf),e(uo,Di),e(Di,Mf),e(uo,zf),e(uo,Li),e(Li,Ff),e(uo,qf),e(Ze,jf),T(Jo,Ze,null),g(o,au,_),g(o,ho,_),e(ho,Zo),e(Zo,il),T(Va,il,null),e(ho,Bf),e(ho,dl),e(dl,Ef),g(o,su,_),g(o,ue,_),T(Ka,ue,null),e(ue,Cf),e(ue,ll),e(ll,Af),e(ue,Pf),e(ue,Ct),e(Ct,Sf),e(Ct,Gi),e(Gi,Of),e(Ct,If),e(Ct,Wi),e(Wi,Nf),e(Ct,Df),e(Ct,Ja),e(Ja,Lf),e(Ct,Gf),e(ue,Wf),e(ue,mo),e(mo,Uf),e(mo,cl),e(cl,Rf),e(mo,Xf),e(mo,pl),e(pl,Qf),e(mo,Hf),e(ue,Vf),T(Yo,ue,null),e(ue,Kf),e(ue,it),T(Za,it,null),e(it,Jf),e(it,Ya),e(Ya,Zf),e(Ya,ul),e(ul,Yf),e(Ya,e_),e(it,t_),e(it,es),e(es,ts),e(ts,hl),e(hl,o_),e(ts,n_),e(ts,ml),e(ml,a_),e(es,s_),e(es,os),e(os,fl),e(fl,r_),e(os,i_),e(os,_l),e(_l,d_),e(it,l_),e(it,gl),e(gl,c_),g(o,ru,_),g(o,fo,_),e(fo,en),e(en,kl),T(ns,kl,null),e(fo,p_),e(fo,bl),e(bl,u_),g(o,iu,_),g(o,D,_),T(as,D,null),e(D,h_),e(D,_o),e(_o,m_),e(_o,yl),e(yl,f_),e(_o,__),e(_o,ss),e(ss,g_),e(_o,k_),e(D,b_),e(D,rs),e(rs,y_),e(rs,Ui),e(Ui,v_),e(rs,T_),e(D,w_),e(D,go),e(go,$_),e(go,vl),e(vl,x_),e(go,M_),e(go,Tl),e(Tl,z_),e(go,F_),e(D,q_),T(tn,D,null),e(D,j_),e(D,Ne),T(is,Ne,null),e(Ne,B_),e(Ne,wl),e(wl,E_),e(Ne,C_),e(Ne,ds),e(ds,A_),e(ds,$l),e($l,P_),e(ds,S_),e(Ne,O_),e(Ne,ls),e(ls,cs),e(cs,xl),e(xl,I_),e(cs,N_),e(cs,Ml),e(Ml,D_),e(ls,L_),e(ls,ps),e(ps,zl),e(zl,G_),e(ps,W_),e(ps,Fl),e(Fl,U_),e(Ne,R_),e(Ne,ql),e(ql,X_),e(D,Q_),e(D,on),T(us,on,null),e(on,H_),e(on,jl),e(jl,V_),e(D,K_),e(D,nn),T(hs,nn,null),e(nn,J_),e(nn,Bl),e(Bl,Z_),e(D,Y_),e(D,an),T(ms,an,null),e(an,eg),e(an,El),e(El,tg),g(o,du,_),g(o,ko,_),e(ko,sn),e(sn,Cl),T(fs,Cl,null),e(ko,og),e(ko,Al),e(Al,ng),g(o,lu,_),g(o,L,_),T(_s,L,null),e(L,ag),e(L,gs),e(gs,sg),e(gs,ks),e(ks,rg),e(gs,ig),e(L,dg),e(L,bs),e(bs,lg),e(bs,Ri),e(Ri,cg),e(bs,pg),e(L,ug),T(rn,L,null),e(L,hg),e(L,dt),T(ys,dt,null),e(dt,mg),e(dt,vs),e(vs,fg),e(vs,Pl),e(Pl,_g),e(vs,gg),e(dt,kg),e(dt,Ts),e(Ts,ws),e(ws,Sl),e(Sl,bg),e(ws,yg),e(ws,Ol),e(Ol,vg),e(Ts,Tg),e(Ts,$s),e($s,Il),e(Il,wg),e($s,$g),e($s,Nl),e(Nl,xg),e(dt,Mg),e(dt,Dl),e(Dl,zg),e(L,Fg),e(L,dn),T(xs,dn,null),e(dn,qg),e(dn,Ll),e(Ll,jg),e(L,Bg),e(L,ln),T(Ms,ln,null),e(ln,Eg),e(ln,zs),e(zs,Cg),e(zs,Gl),e(Gl,Ag),e(zs,Pg),e(L,Sg),e(L,cn),T(Fs,cn,null),e(cn,Og),e(cn,Wl),e(Wl,Ig),e(L,Ng),e(L,pn),T(qs,pn,null),e(pn,Dg),e(pn,Ul),e(Ul,Lg),g(o,cu,_),g(o,bo,_),e(bo,un),e(un,Rl),T(js,Rl,null),e(bo,Gg),e(bo,Xl),e(Xl,Wg),g(o,pu,_),g(o,Y,_),T(Bs,Y,null),e(Y,Ug),e(Y,yo),e(yo,Rg),e(yo,Ql),e(Ql,Xg),e(yo,Qg),e(yo,Es),e(Es,Hg),e(yo,Vg),e(Y,Kg),e(Y,Cs),e(Cs,Jg),e(Cs,Xi),e(Xi,Zg),e(Cs,Yg),e(Y,ek),T(hn,Y,null),e(Y,tk),e(Y,De),T(As,De,null),e(De,ok),e(De,Hl),e(Hl,nk),e(De,ak),e(De,Ps),e(Ps,sk),e(Ps,Vl),e(Vl,rk),e(Ps,ik),e(De,dk),e(De,Ss),e(Ss,Os),e(Os,Kl),e(Kl,lk),e(Os,ck),e(Os,Jl),e(Jl,pk),e(Ss,uk),e(Ss,Is),e(Is,Zl),e(Zl,hk),e(Is,mk),e(Is,Yl),e(Yl,fk),e(De,_k),e(De,ec),e(ec,gk),e(Y,kk),e(Y,mn),T(Ns,mn,null),e(mn,bk),e(mn,tc),e(tc,yk),e(Y,vk),e(Y,fn),T(Ds,fn,null),e(fn,Tk),e(fn,oc),e(oc,wk),g(o,uu,_),g(o,vo,_),e(vo,_n),e(_n,nc),T(Ls,nc,null),e(vo,$k),e(vo,ac),e(ac,xk),g(o,hu,_),g(o,Ye,_),T(Gs,Ye,null),e(Ye,Mk),e(Ye,Ws),e(Ws,zk),e(Ws,Qi),e(Qi,Fk),e(Ws,qk),e(Ye,jk),e(Ye,Us),e(Us,Bk),e(Us,Rs),e(Rs,Ek),e(Us,Ck),e(Ye,Ak),e(Ye,lt),T(Xs,lt,null),e(lt,Pk),e(lt,To),e(To,Sk),e(To,Hi),e(Hi,Ok),e(To,Ik),e(To,sc),e(sc,Nk),e(To,Dk),e(lt,Lk),T(gn,lt,null),e(lt,Gk),T(kn,lt,null),g(o,mu,_),g(o,wo,_),e(wo,bn),e(bn,rc),T(Qs,rc,null),e(wo,Wk),e(wo,ic),e(ic,Uk),g(o,fu,_),g(o,et,_),T(Hs,et,null),e(et,Rk),e(et,Vs),e(Vs,Xk),e(Vs,Vi),e(Vi,Qk),e(Vs,Hk),e(et,Vk),e(et,Ks),e(Ks,Kk),e(Ks,Js),e(Js,Jk),e(Ks,Zk),e(et,Yk),e(et,Le),T(Zs,Le,null),e(Le,eb),e(Le,$o),e($o,tb),e($o,Ki),e(Ki,ob),e($o,nb),e($o,dc),e(dc,ab),e($o,sb),e(Le,rb),T(yn,Le,null),e(Le,ib),T(vn,Le,null),e(Le,db),T(Tn,Le,null),g(o,_u,_),g(o,xo,_),e(xo,wn),e(wn,lc),T(Ys,lc,null),e(xo,lb),e(xo,cc),e(cc,cb),g(o,gu,_),g(o,Ee,_),T(er,Ee,null),e(Ee,pb),e(Ee,Mo),e(Mo,ub),e(Mo,pc),e(pc,hb),e(Mo,mb),e(Mo,uc),e(uc,fb),e(Mo,_b),e(Ee,gb),e(Ee,tr),e(tr,kb),e(tr,Ji),e(Ji,bb),e(tr,yb),e(Ee,vb),e(Ee,or),e(or,Tb),e(or,nr),e(nr,wb),e(or,$b),e(Ee,xb),e(Ee,ct),T(ar,ct,null),e(ct,Mb),e(ct,zo),e(zo,zb),e(zo,Zi),e(Zi,Fb),e(zo,qb),e(zo,hc),e(hc,jb),e(zo,Bb),e(ct,Eb),T($n,ct,null),e(ct,Cb),T(xn,ct,null),g(o,ku,_),g(o,Fo,_),e(Fo,Mn),e(Mn,mc),T(sr,mc,null),e(Fo,Ab),e(Fo,fc),e(fc,Pb),g(o,bu,_),g(o,Ce,_),T(rr,Ce,null),e(Ce,Sb),e(Ce,_c),e(_c,Ob),e(Ce,Ib),e(Ce,ir),e(ir,Nb),e(ir,Yi),e(Yi,Db),e(ir,Lb),e(Ce,Gb),e(Ce,dr),e(dr,Wb),e(dr,lr),e(lr,Ub),e(dr,Rb),e(Ce,Xb),e(Ce,Ge),T(cr,Ge,null),e(Ge,Qb),e(Ge,qo),e(qo,Hb),e(qo,ed),e(ed,Vb),e(qo,Kb),e(qo,gc),e(gc,Jb),e(qo,Zb),e(Ge,Yb),T(zn,Ge,null),e(Ge,ey),T(Fn,Ge,null),e(Ge,ty),T(qn,Ge,null),g(o,yu,_),g(o,jo,_),e(jo,jn),e(jn,kc),T(pr,kc,null),e(jo,oy),e(jo,bc),e(bc,ny),g(o,vu,_),g(o,Bo,_),T(ur,Bo,null),e(Bo,ay),e(Bo,Bn),T(hr,Bn,null),e(Bn,sy),T(En,Bn,null),g(o,Tu,_),g(o,Eo,_),e(Eo,Cn),e(Cn,yc),T(mr,yc,null),e(Eo,ry),e(Eo,vc),e(vc,iy),g(o,wu,_),g(o,Ae,_),T(fr,Ae,null),e(Ae,dy),e(Ae,_r),e(_r,ly),e(_r,td),e(td,cy),e(_r,py),e(Ae,uy),e(Ae,gr),e(gr,hy),e(gr,kr),e(kr,my),e(gr,fy),e(Ae,_y),T(An,Ae,null),e(Ae,gy),e(Ae,pt),T(br,pt,null),e(pt,ky),e(pt,Co),e(Co,by),e(Co,od),e(od,yy),e(Co,vy),e(Co,Tc),e(Tc,Ty),e(Co,wy),e(pt,$y),T(Pn,pt,null),e(pt,xy),T(Sn,pt,null),g(o,$u,_),g(o,Ao,_),e(Ao,On),e(On,wc),T(yr,wc,null),e(Ao,My),e(Ao,$c),e($c,zy),g(o,xu,_),g(o,Pe,_),T(vr,Pe,null),e(Pe,Fy),e(Pe,Tr),e(Tr,qy),e(Tr,nd),e(nd,jy),e(Tr,By),e(Pe,Ey),e(Pe,wr),e(wr,Cy),e(wr,$r),e($r,Ay),e(wr,Py),e(Pe,Sy),T(In,Pe,null),e(Pe,Oy),e(Pe,We),T(xr,We,null),e(We,Iy),e(We,Po),e(Po,Ny),e(Po,ad),e(ad,Dy),e(Po,Ly),e(Po,xc),e(xc,Gy),e(Po,Wy),e(We,Uy),T(Nn,We,null),e(We,Ry),T(Dn,We,null),e(We,Xy),T(Ln,We,null),g(o,Mu,_),g(o,So,_),e(So,Gn),e(Gn,Mc),T(Mr,Mc,null),e(So,Qy),e(So,zc),e(zc,Hy),g(o,zu,_),g(o,H,_),T(zr,H,null),e(H,Vy),e(H,Fr),e(Fr,Ky),e(Fr,sd),e(sd,Jy),e(Fr,Zy),e(H,Yy),e(H,qr),e(qr,ev),e(qr,jr),e(jr,tv),e(qr,ov),e(H,nv),e(H,Fc),e(Fc,av),e(H,sv),e(H,At),e(At,qc),e(qc,Br),e(Br,rv),e(At,iv),e(At,jc),e(jc,Er),e(Er,dv),e(At,lv),e(At,Bc),e(Bc,Cr),e(Cr,cv),e(At,pv),e(At,Ec),e(Ec,Ar),e(Ar,uv),e(H,hv),e(H,ut),T(Pr,ut,null),e(ut,mv),e(ut,Oo),e(Oo,fv),e(Oo,Cc),e(Cc,_v),e(Oo,gv),e(Oo,Ac),e(Ac,kv),e(Oo,bv),e(ut,yv),T(Wn,ut,null),e(ut,vv),T(Un,ut,null),e(H,Tv),e(H,Rn),T(Sr,Rn,null),e(Rn,wv),T(Xn,Rn,null),e(H,$v),e(H,Qn),T(Or,Qn,null),e(Qn,xv),T(Hn,Qn,null),g(o,Fu,_),g(o,Io,_),e(Io,Vn),e(Vn,Pc),T(Ir,Pc,null),e(Io,Mv),e(Io,Sc),e(Sc,zv),g(o,qu,_),g(o,V,_),T(Nr,V,null),e(V,Fv),e(V,Dr),e(Dr,qv),e(Dr,rd),e(rd,jv),e(Dr,Bv),e(V,Ev),e(V,Lr),e(Lr,Cv),e(Lr,Gr),e(Gr,Av),e(Lr,Pv),e(V,Sv),e(V,Oc),e(Oc,Ov),e(V,Iv),e(V,Pt),e(Pt,Ic),e(Ic,Wr),e(Wr,Nv),e(Pt,Dv),e(Pt,Nc),e(Nc,Ur),e(Ur,Lv),e(Pt,Gv),e(Pt,Dc),e(Dc,Rr),e(Rr,Wv),e(Pt,Uv),e(Pt,Lc),e(Lc,Xr),e(Xr,Rv),e(V,Xv),e(V,Ue),T(Qr,Ue,null),e(Ue,Qv),e(Ue,No),e(No,Hv),e(No,Gc),e(Gc,Vv),e(No,Kv),e(No,Wc),e(Wc,Jv),e(No,Zv),e(Ue,Yv),T(Kn,Ue,null),e(Ue,eT),T(Jn,Ue,null),e(Ue,tT),T(Zn,Ue,null),e(V,oT),e(V,Yn),T(Hr,Yn,null),e(Yn,nT),T(ea,Yn,null),e(V,aT),e(V,ta),T(Vr,ta,null),e(ta,sT),T(oa,ta,null),g(o,ju,_),g(o,Do,_),e(Do,na),e(na,Uc),T(Kr,Uc,null),e(Do,rT),e(Do,Rc),e(Rc,iT),g(o,Bu,_),g(o,G,_),T(Jr,G,null),e(G,dT),e(G,Xc),e(Xc,lT),e(G,cT),e(G,Zr),e(Zr,pT),e(Zr,id),e(id,uT),e(Zr,hT),e(G,mT),e(G,Yr),e(Yr,fT),e(Yr,ei),e(ei,_T),e(Yr,gT),e(G,kT),e(G,Qc),e(Qc,bT),e(G,yT),e(G,St),e(St,Hc),e(Hc,ti),e(ti,vT),e(St,TT),e(St,Vc),e(Vc,oi),e(oi,wT),e(St,$T),e(St,Kc),e(Kc,ni),e(ni,xT),e(St,MT),e(St,Jc),e(Jc,ai),e(ai,zT),e(G,FT),e(G,ht),T(si,ht,null),e(ht,qT),e(ht,Lo),e(Lo,jT),e(Lo,Zc),e(Zc,BT),e(Lo,ET),e(Lo,Yc),e(Yc,CT),e(Lo,AT),e(ht,PT),T(aa,ht,null),e(ht,ST),T(sa,ht,null),e(G,OT),e(G,ra),T(ri,ra,null),e(ra,IT),T(ia,ra,null),e(G,NT),e(G,da),T(ii,da,null),e(da,DT),T(la,da,null),g(o,Eu,_),g(o,Go,_),e(Go,ca),e(ca,ep),T(di,ep,null),e(Go,LT),e(Go,tp),e(tp,GT),g(o,Cu,_),g(o,W,_),T(li,W,null),e(W,WT),e(W,Wo),e(Wo,UT),e(Wo,op),e(op,RT),e(Wo,XT),e(Wo,np),e(np,QT),e(Wo,HT),e(W,VT),e(W,ci),e(ci,KT),e(ci,dd),e(dd,JT),e(ci,ZT),e(W,YT),e(W,pi),e(pi,e1),e(pi,ui),e(ui,t1),e(pi,o1),e(W,n1),e(W,ap),e(ap,a1),e(W,s1),e(W,Ot),e(Ot,sp),e(sp,hi),e(hi,r1),e(Ot,i1),e(Ot,rp),e(rp,mi),e(mi,d1),e(Ot,l1),e(Ot,ip),e(ip,fi),e(fi,c1),e(Ot,p1),e(Ot,dp),e(dp,_i),e(_i,u1),e(W,h1),e(W,mt),T(gi,mt,null),e(mt,m1),e(mt,Uo),e(Uo,f1),e(Uo,lp),e(lp,_1),e(Uo,g1),e(Uo,cp),e(cp,k1),e(Uo,b1),e(mt,y1),T(pa,mt,null),e(mt,v1),T(ua,mt,null),e(W,T1),e(W,ha),T(ki,ha,null),e(ha,w1),T(ma,ha,null),e(W,$1),e(W,fa),T(bi,fa,null),e(fa,x1),T(_a,fa,null),Au=!0},p(o,[_]){const yi={};_&2&&(yi.$$scope={dirty:_,ctx:o}),Jo.$set(yi);const pp={};_&2&&(pp.$$scope={dirty:_,ctx:o}),Yo.$set(pp);const up={};_&2&&(up.$$scope={dirty:_,ctx:o}),tn.$set(up);const hp={};_&2&&(hp.$$scope={dirty:_,ctx:o}),rn.$set(hp);const vi={};_&2&&(vi.$$scope={dirty:_,ctx:o}),hn.$set(vi);const mp={};_&2&&(mp.$$scope={dirty:_,ctx:o}),gn.$set(mp);const fp={};_&2&&(fp.$$scope={dirty:_,ctx:o}),kn.$set(fp);const ga={};_&2&&(ga.$$scope={dirty:_,ctx:o}),yn.$set(ga);const _p={};_&2&&(_p.$$scope={dirty:_,ctx:o}),vn.$set(_p);const gp={};_&2&&(gp.$$scope={dirty:_,ctx:o}),Tn.$set(gp);const Ti={};_&2&&(Ti.$$scope={dirty:_,ctx:o}),$n.$set(Ti);const kp={};_&2&&(kp.$$scope={dirty:_,ctx:o}),xn.$set(kp);const bp={};_&2&&(bp.$$scope={dirty:_,ctx:o}),zn.$set(bp);const yp={};_&2&&(yp.$$scope={dirty:_,ctx:o}),Fn.$set(yp);const wi={};_&2&&(wi.$$scope={dirty:_,ctx:o}),qn.$set(wi);const vp={};_&2&&(vp.$$scope={dirty:_,ctx:o}),En.$set(vp);const Tp={};_&2&&(Tp.$$scope={dirty:_,ctx:o}),An.$set(Tp);const ka={};_&2&&(ka.$$scope={dirty:_,ctx:o}),Pn.$set(ka);const wp={};_&2&&(wp.$$scope={dirty:_,ctx:o}),Sn.$set(wp);const $p={};_&2&&($p.$$scope={dirty:_,ctx:o}),In.$set($p);const $i={};_&2&&($i.$$scope={dirty:_,ctx:o}),Nn.$set($i);const xp={};_&2&&(xp.$$scope={dirty:_,ctx:o}),Dn.$set(xp);const Mp={};_&2&&(Mp.$$scope={dirty:_,ctx:o}),Ln.$set(Mp);const zp={};_&2&&(zp.$$scope={dirty:_,ctx:o}),Wn.$set(zp);const tt={};_&2&&(tt.$$scope={dirty:_,ctx:o}),Un.$set(tt);const Fp={};_&2&&(Fp.$$scope={dirty:_,ctx:o}),Xn.$set(Fp);const qp={};_&2&&(qp.$$scope={dirty:_,ctx:o}),Hn.$set(qp);const jp={};_&2&&(jp.$$scope={dirty:_,ctx:o}),Kn.$set(jp);const Bp={};_&2&&(Bp.$$scope={dirty:_,ctx:o}),Jn.$set(Bp);const It={};_&2&&(It.$$scope={dirty:_,ctx:o}),Zn.$set(It);const ld={};_&2&&(ld.$$scope={dirty:_,ctx:o}),ea.$set(ld);const Ep={};_&2&&(Ep.$$scope={dirty:_,ctx:o}),oa.$set(Ep);const Cp={};_&2&&(Cp.$$scope={dirty:_,ctx:o}),aa.$set(Cp);const Ap={};_&2&&(Ap.$$scope={dirty:_,ctx:o}),sa.$set(Ap);const Pp={};_&2&&(Pp.$$scope={dirty:_,ctx:o}),ia.$set(Pp);const Sp={};_&2&&(Sp.$$scope={dirty:_,ctx:o}),la.$set(Sp);const Op={};_&2&&(Op.$$scope={dirty:_,ctx:o}),pa.$set(Op);const xi={};_&2&&(xi.$$scope={dirty:_,ctx:o}),ua.$set(xi);const Ip={};_&2&&(Ip.$$scope={dirty:_,ctx:o}),ma.$set(Ip);const Ro={};_&2&&(Ro.$$scope={dirty:_,ctx:o}),_a.$set(Ro)},i(o){Au||(w(n.$$.fragment,o),w(ie.$$.fragment,o),w(N.$$.fragment,o),w(Sa.$$.fragment,o),w(Ia.$$.fragment,o),w(Na.$$.fragment,o),w(La.$$.fragment,o),w(Ga.$$.fragment,o),w(Ua.$$.fragment,o),w(Ra.$$.fragment,o),w(Xa.$$.fragment,o),w(Qa.$$.fragment,o),w(Jo.$$.fragment,o),w(Va.$$.fragment,o),w(Ka.$$.fragment,o),w(Yo.$$.fragment,o),w(Za.$$.fragment,o),w(ns.$$.fragment,o),w(as.$$.fragment,o),w(tn.$$.fragment,o),w(is.$$.fragment,o),w(us.$$.fragment,o),w(hs.$$.fragment,o),w(ms.$$.fragment,o),w(fs.$$.fragment,o),w(_s.$$.fragment,o),w(rn.$$.fragment,o),w(ys.$$.fragment,o),w(xs.$$.fragment,o),w(Ms.$$.fragment,o),w(Fs.$$.fragment,o),w(qs.$$.fragment,o),w(js.$$.fragment,o),w(Bs.$$.fragment,o),w(hn.$$.fragment,o),w(As.$$.fragment,o),w(Ns.$$.fragment,o),w(Ds.$$.fragment,o),w(Ls.$$.fragment,o),w(Gs.$$.fragment,o),w(Xs.$$.fragment,o),w(gn.$$.fragment,o),w(kn.$$.fragment,o),w(Qs.$$.fragment,o),w(Hs.$$.fragment,o),w(Zs.$$.fragment,o),w(yn.$$.fragment,o),w(vn.$$.fragment,o),w(Tn.$$.fragment,o),w(Ys.$$.fragment,o),w(er.$$.fragment,o),w(ar.$$.fragment,o),w($n.$$.fragment,o),w(xn.$$.fragment,o),w(sr.$$.fragment,o),w(rr.$$.fragment,o),w(cr.$$.fragment,o),w(zn.$$.fragment,o),w(Fn.$$.fragment,o),w(qn.$$.fragment,o),w(pr.$$.fragment,o),w(ur.$$.fragment,o),w(hr.$$.fragment,o),w(En.$$.fragment,o),w(mr.$$.fragment,o),w(fr.$$.fragment,o),w(An.$$.fragment,o),w(br.$$.fragment,o),w(Pn.$$.fragment,o),w(Sn.$$.fragment,o),w(yr.$$.fragment,o),w(vr.$$.fragment,o),w(In.$$.fragment,o),w(xr.$$.fragment,o),w(Nn.$$.fragment,o),w(Dn.$$.fragment,o),w(Ln.$$.fragment,o),w(Mr.$$.fragment,o),w(zr.$$.fragment,o),w(Pr.$$.fragment,o),w(Wn.$$.fragment,o),w(Un.$$.fragment,o),w(Sr.$$.fragment,o),w(Xn.$$.fragment,o),w(Or.$$.fragment,o),w(Hn.$$.fragment,o),w(Ir.$$.fragment,o),w(Nr.$$.fragment,o),w(Qr.$$.fragment,o),w(Kn.$$.fragment,o),w(Jn.$$.fragment,o),w(Zn.$$.fragment,o),w(Hr.$$.fragment,o),w(ea.$$.fragment,o),w(Vr.$$.fragment,o),w(oa.$$.fragment,o),w(Kr.$$.fragment,o),w(Jr.$$.fragment,o),w(si.$$.fragment,o),w(aa.$$.fragment,o),w(sa.$$.fragment,o),w(ri.$$.fragment,o),w(ia.$$.fragment,o),w(ii.$$.fragment,o),w(la.$$.fragment,o),w(di.$$.fragment,o),w(li.$$.fragment,o),w(gi.$$.fragment,o),w(pa.$$.fragment,o),w(ua.$$.fragment,o),w(ki.$$.fragment,o),w(ma.$$.fragment,o),w(bi.$$.fragment,o),w(_a.$$.fragment,o),Au=!0)},o(o){$(n.$$.fragment,o),$(ie.$$.fragment,o),$(N.$$.fragment,o),$(Sa.$$.fragment,o),$(Ia.$$.fragment,o),$(Na.$$.fragment,o),$(La.$$.fragment,o),$(Ga.$$.fragment,o),$(Ua.$$.fragment,o),$(Ra.$$.fragment,o),$(Xa.$$.fragment,o),$(Qa.$$.fragment,o),$(Jo.$$.fragment,o),$(Va.$$.fragment,o),$(Ka.$$.fragment,o),$(Yo.$$.fragment,o),$(Za.$$.fragment,o),$(ns.$$.fragment,o),$(as.$$.fragment,o),$(tn.$$.fragment,o),$(is.$$.fragment,o),$(us.$$.fragment,o),$(hs.$$.fragment,o),$(ms.$$.fragment,o),$(fs.$$.fragment,o),$(_s.$$.fragment,o),$(rn.$$.fragment,o),$(ys.$$.fragment,o),$(xs.$$.fragment,o),$(Ms.$$.fragment,o),$(Fs.$$.fragment,o),$(qs.$$.fragment,o),$(js.$$.fragment,o),$(Bs.$$.fragment,o),$(hn.$$.fragment,o),$(As.$$.fragment,o),$(Ns.$$.fragment,o),$(Ds.$$.fragment,o),$(Ls.$$.fragment,o),$(Gs.$$.fragment,o),$(Xs.$$.fragment,o),$(gn.$$.fragment,o),$(kn.$$.fragment,o),$(Qs.$$.fragment,o),$(Hs.$$.fragment,o),$(Zs.$$.fragment,o),$(yn.$$.fragment,o),$(vn.$$.fragment,o),$(Tn.$$.fragment,o),$(Ys.$$.fragment,o),$(er.$$.fragment,o),$(ar.$$.fragment,o),$($n.$$.fragment,o),$(xn.$$.fragment,o),$(sr.$$.fragment,o),$(rr.$$.fragment,o),$(cr.$$.fragment,o),$(zn.$$.fragment,o),$(Fn.$$.fragment,o),$(qn.$$.fragment,o),$(pr.$$.fragment,o),$(ur.$$.fragment,o),$(hr.$$.fragment,o),$(En.$$.fragment,o),$(mr.$$.fragment,o),$(fr.$$.fragment,o),$(An.$$.fragment,o),$(br.$$.fragment,o),$(Pn.$$.fragment,o),$(Sn.$$.fragment,o),$(yr.$$.fragment,o),$(vr.$$.fragment,o),$(In.$$.fragment,o),$(xr.$$.fragment,o),$(Nn.$$.fragment,o),$(Dn.$$.fragment,o),$(Ln.$$.fragment,o),$(Mr.$$.fragment,o),$(zr.$$.fragment,o),$(Pr.$$.fragment,o),$(Wn.$$.fragment,o),$(Un.$$.fragment,o),$(Sr.$$.fragment,o),$(Xn.$$.fragment,o),$(Or.$$.fragment,o),$(Hn.$$.fragment,o),$(Ir.$$.fragment,o),$(Nr.$$.fragment,o),$(Qr.$$.fragment,o),$(Kn.$$.fragment,o),$(Jn.$$.fragment,o),$(Zn.$$.fragment,o),$(Hr.$$.fragment,o),$(ea.$$.fragment,o),$(Vr.$$.fragment,o),$(oa.$$.fragment,o),$(Kr.$$.fragment,o),$(Jr.$$.fragment,o),$(si.$$.fragment,o),$(aa.$$.fragment,o),$(sa.$$.fragment,o),$(ri.$$.fragment,o),$(ia.$$.fragment,o),$(ii.$$.fragment,o),$(la.$$.fragment,o),$(di.$$.fragment,o),$(li.$$.fragment,o),$(gi.$$.fragment,o),$(pa.$$.fragment,o),$(ua.$$.fragment,o),$(ki.$$.fragment,o),$(ma.$$.fragment,o),$(bi.$$.fragment,o),$(_a.$$.fragment,o),Au=!1},d(o){t(l),o&&t(b),o&&t(f),x(n),o&&t(ot),o&&t(X),o&&t(me),o&&t(re),o&&t(nt),o&&t(Q),x(ie),o&&t(_e),o&&t(ge),o&&t(U),o&&t(Ie),o&&t(at),o&&t(de),o&&t(st),o&&t(Z),x(N),o&&t(B),o&&t(K),o&&t(ke),o&&t(te),o&&t(Np),o&&t(Mi),o&&t(Dp),x(Sa,o),o&&t(Lp),o&&t(zi),o&&t(Gp),x(Ia,o),o&&t(Wp),o&&t(ro),x(Na),o&&t(Up),o&&t(Dt),o&&t(Rp),o&&t(Fi),o&&t(Xp),o&&t(qi),o&&t(Qp),o&&t(io),x(La),o&&t(Hp),o&&t(rt),o&&t(Vp),o&&t(Ho),o&&t(Kp),o&&t(Bi),o&&t(Jp),x(Ga,o),o&&t(Zp),o&&t(Ei),o&&t(Yp),x(Ua,o),o&&t(eu),o&&t(lo),x(Ra),o&&t(tu),o&&t(be),o&&t(ou),o&&t(co),x(Xa),o&&t(nu),o&&t(Ze),x(Qa),x(Jo),o&&t(au),o&&t(ho),x(Va),o&&t(su),o&&t(ue),x(Ka),x(Yo),x(Za),o&&t(ru),o&&t(fo),x(ns),o&&t(iu),o&&t(D),x(as),x(tn),x(is),x(us),x(hs),x(ms),o&&t(du),o&&t(ko),x(fs),o&&t(lu),o&&t(L),x(_s),x(rn),x(ys),x(xs),x(Ms),x(Fs),x(qs),o&&t(cu),o&&t(bo),x(js),o&&t(pu),o&&t(Y),x(Bs),x(hn),x(As),x(Ns),x(Ds),o&&t(uu),o&&t(vo),x(Ls),o&&t(hu),o&&t(Ye),x(Gs),x(Xs),x(gn),x(kn),o&&t(mu),o&&t(wo),x(Qs),o&&t(fu),o&&t(et),x(Hs),x(Zs),x(yn),x(vn),x(Tn),o&&t(_u),o&&t(xo),x(Ys),o&&t(gu),o&&t(Ee),x(er),x(ar),x($n),x(xn),o&&t(ku),o&&t(Fo),x(sr),o&&t(bu),o&&t(Ce),x(rr),x(cr),x(zn),x(Fn),x(qn),o&&t(yu),o&&t(jo),x(pr),o&&t(vu),o&&t(Bo),x(ur),x(hr),x(En),o&&t(Tu),o&&t(Eo),x(mr),o&&t(wu),o&&t(Ae),x(fr),x(An),x(br),x(Pn),x(Sn),o&&t($u),o&&t(Ao),x(yr),o&&t(xu),o&&t(Pe),x(vr),x(In),x(xr),x(Nn),x(Dn),x(Ln),o&&t(Mu),o&&t(So),x(Mr),o&&t(zu),o&&t(H),x(zr),x(Pr),x(Wn),x(Un),x(Sr),x(Xn),x(Or),x(Hn),o&&t(Fu),o&&t(Io),x(Ir),o&&t(qu),o&&t(V),x(Nr),x(Qr),x(Kn),x(Jn),x(Zn),x(Hr),x(ea),x(Vr),x(oa),o&&t(ju),o&&t(Do),x(Kr),o&&t(Bu),o&&t(G),x(Jr),x(si),x(aa),x(sa),x(ri),x(ia),x(ii),x(la),o&&t(Eu),o&&t(Go),x(di),o&&t(Cu),o&&t(W),x(li),x(gi),x(pa),x(ua),x(ki),x(ma),x(bi),x(_a)}}}const qx={local:"mbart-and-mbart50",sections:[{local:"overview-of-mbart",sections:[{local:"training-of-mbart",title:"Training of MBart"}],title:"Overview of MBart"},{local:"overview-of-mbart50",sections:[{local:"training-of-mbart50",title:"Training of MBart-50"}],title:"Overview of MBart-50"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.MBartConfig",title:"MBartConfig"},{local:"transformers.MBartTokenizer",title:"MBartTokenizer"},{local:"transformers.MBartTokenizerFast",title:"MBartTokenizerFast"},{local:"transformers.MBart50Tokenizer",title:"MBart50Tokenizer"},{local:"transformers.MBart50TokenizerFast",title:"MBart50TokenizerFast"},{local:"transformers.MBartModel",title:"MBartModel"},{local:"transformers.MBartForConditionalGeneration",title:"MBartForConditionalGeneration"},{local:"transformers.MBartForQuestionAnswering",title:"MBartForQuestionAnswering"},{local:"transformers.MBartForSequenceClassification",title:"MBartForSequenceClassification"},{local:"transformers.MBartForCausalLM",title:"MBartForCausalLM"},{local:"transformers.TFMBartModel",title:"TFMBartModel"},{local:"transformers.TFMBartForConditionalGeneration",title:"TFMBartForConditionalGeneration"},{local:"transformers.FlaxMBartModel",title:"FlaxMBartModel"},{local:"transformers.FlaxMBartForConditionalGeneration",title:"FlaxMBartForConditionalGeneration"},{local:"transformers.FlaxMBartForSequenceClassification",title:"FlaxMBartForSequenceClassification"},{local:"transformers.FlaxMBartForQuestionAnswering",title:"FlaxMBartForQuestionAnswering"}],title:"MBart and MBart-50"};function jx(M){return L$(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ox extends O${constructor(l){super();I$(this,l,jx,Fx,N$,{})}}export{Ox as default,qx as metadata};
