import{S as M$,i as C$,s as A$,e as a,k as c,w as b,t as n,M as P$,c as r,d as t,m as p,a as i,x as y,h as s,b as d,N as H1,G as e,g as u,y as w,q as $,o as x,B as E,v as O$,L as Wt}from"../../chunks/vendor-hf-doc-builder.js";import{T as Gt}from"../../chunks/Tip-hf-doc-builder.js";import{D as P}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Fe}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ze}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ut}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Jr}from"../../chunks/PipelineTag-hf-doc-builder.js";function L$(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function N$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, T5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="pt").input_ids  # Batch size 1

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function I$(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function D$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, T5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

# training
input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="pt").input_ids
outputs = model(input_ids=input_ids, labels=labels)
loss = outputs.loss
logits = outputs.logits

# inference
input_ids = tokenizer(
    "summarize: studies have shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
outputs = model.generate(input_ids)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))
# studies have shown that owning a dog is good for you.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;summarize: studies have shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># studies have shown that owning a dog is good for you.</span>`}}),{c(){f=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Examples:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function S$(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function G$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, T5EncoderModel

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5EncoderModel.from_pretrained("t5-small")
input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
outputs = model(input_ids=input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5EncoderModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5EncoderModel.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function U$(F){let f,k,g,_,T,l,m,q,Se,Oe,N,Te,Y,z,Ge,W,ke,Qe,Z,ve,be,ne,Le,J,D,qe,de,X,je,Ue,le,M,O,ce,Q,We,pe,ee,Re,he,L,Be,G,He,Ke,V,ye,Ve,U,we,H,Ye,ue,A,Ze,I,S,Me;return{c(){f=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),l=c(),m=a("ul"),q=a("li"),Se=n("having all inputs as keyword arguments (like PyTorch models), or"),Oe=c(),N=a("li"),Te=n("having all inputs as a list, tuple or dict in the first positional argument."),Y=c(),z=a("p"),Ge=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a("code"),ke=n("model.fit()"),Qe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Z=a("code"),ve=n("model.fit()"),be=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=a("code"),Le=n("fit()"),J=n(" and "),D=a("code"),qe=n("predict()"),de=n(`, such as when creating your own layers or models with
the Keras `),X=a("code"),je=n("Functional"),Ue=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),le=c(),M=a("ul"),O=a("li"),ce=n("a single Tensor with "),Q=a("code"),We=n("input_ids"),pe=n(" only and nothing else: "),ee=a("code"),Re=n("model(input_ids)"),he=c(),L=a("li"),Be=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a("code"),He=n("model([input_ids, attention_mask])"),Ke=n(" or "),V=a("code"),ye=n("model([input_ids, attention_mask, token_type_ids])"),Ve=c(),U=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),H=a("code"),Ye=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ue=c(),A=a("p"),Ze=n(`Note that when creating models and layers with
`),I=a("a"),S=n("subclassing"),Me=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){f=r(v,"P",{});var j=i(f);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var et=i(g);_=s(et,"transformers"),et.forEach(t),T=s(j," accept two formats as input:"),j.forEach(t),l=p(v),m=r(v,"UL",{});var $e=i(m);q=r($e,"LI",{});var kt=i(q);Se=s(kt,"having all inputs as keyword arguments (like PyTorch models), or"),kt.forEach(t),Oe=p($e),N=r($e,"LI",{});var tt=i(N);Te=s(tt,"having all inputs as a list, tuple or dict in the first positional argument."),tt.forEach(t),$e.forEach(t),Y=p(v),z=r(v,"P",{});var C=i(z);Ge=s(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=r(C,"CODE",{});var vt=i(W);ke=s(vt,"model.fit()"),vt.forEach(t),Qe=s(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Z=r(C,"CODE",{});var bt=i(Z);ve=s(bt,"model.fit()"),bt.forEach(t),be=s(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=r(C,"CODE",{});var ot=i(ne);Le=s(ot,"fit()"),ot.forEach(t),J=s(C," and "),D=r(C,"CODE",{});var nt=i(D);qe=s(nt,"predict()"),nt.forEach(t),de=s(C,`, such as when creating your own layers or models with
the Keras `),X=r(C,"CODE",{});var yt=i(X);je=s(yt,"Functional"),yt.forEach(t),Ue=s(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),le=p(v),M=r(v,"UL",{});var R=i(M);O=r(R,"LI",{});var K=i(O);ce=s(K,"a single Tensor with "),Q=r(K,"CODE",{});var st=i(Q);We=s(st,"input_ids"),st.forEach(t),pe=s(K," only and nothing else: "),ee=r(K,"CODE",{});var wt=i(ee);Re=s(wt,"model(input_ids)"),wt.forEach(t),K.forEach(t),he=p(R),L=r(R,"LI",{});var te=i(L);Be=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r(te,"CODE",{});var at=i(G);He=s(at,"model([input_ids, attention_mask])"),at.forEach(t),Ke=s(te," or "),V=r(te,"CODE",{});var rt=i(V);ye=s(rt,"model([input_ids, attention_mask, token_type_ids])"),rt.forEach(t),te.forEach(t),Ve=p(R),U=r(R,"LI",{});var Je=i(U);we=s(Je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),H=r(Je,"CODE",{});var $t=i(H);Ye=s($t,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),$t.forEach(t),Je.forEach(t),R.forEach(t),ue=p(v),A=r(v,"P",{});var se=i(A);Ze=s(se,`Note that when creating models and layers with
`),I=r(se,"A",{href:!0,rel:!0});var ae=i(I);S=s(ae,"subclassing"),ae.forEach(t),Me=s(se,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),se.forEach(t),this.h()},h(){d(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(I,"rel","nofollow")},m(v,j){u(v,f,j),e(f,k),e(f,g),e(g,_),e(f,T),u(v,l,j),u(v,m,j),e(m,q),e(q,Se),e(m,Oe),e(m,N),e(N,Te),u(v,Y,j),u(v,z,j),e(z,Ge),e(z,W),e(W,ke),e(z,Qe),e(z,Z),e(Z,ve),e(z,be),e(z,ne),e(ne,Le),e(z,J),e(z,D),e(D,qe),e(z,de),e(z,X),e(X,je),e(z,Ue),u(v,le,j),u(v,M,j),e(M,O),e(O,ce),e(O,Q),e(Q,We),e(O,pe),e(O,ee),e(ee,Re),e(M,he),e(M,L),e(L,Be),e(L,G),e(G,He),e(L,Ke),e(L,V),e(V,ye),e(M,Ve),e(M,U),e(U,we),e(U,H),e(H,Ye),u(v,ue,j),u(v,A,j),e(A,Ze),e(A,I),e(I,S),e(A,Me)},d(v){v&&t(f),v&&t(l),v&&t(m),v&&t(Y),v&&t(z),v&&t(le),v&&t(M),v&&t(ue),v&&t(A)}}}function W$(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function R$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, TFT5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="tf").input_ids  # Batch size 1

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){f=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Examples:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function B$(F){let f,k,g,_,T,l,m,q,Se,Oe,N,Te,Y,z,Ge,W,ke,Qe,Z,ve,be,ne,Le,J,D,qe,de,X,je,Ue,le,M,O,ce,Q,We,pe,ee,Re,he,L,Be,G,He,Ke,V,ye,Ve,U,we,H,Ye,ue,A,Ze,I,S,Me;return{c(){f=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),l=c(),m=a("ul"),q=a("li"),Se=n("having all inputs as keyword arguments (like PyTorch models), or"),Oe=c(),N=a("li"),Te=n("having all inputs as a list, tuple or dict in the first positional argument."),Y=c(),z=a("p"),Ge=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a("code"),ke=n("model.fit()"),Qe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Z=a("code"),ve=n("model.fit()"),be=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=a("code"),Le=n("fit()"),J=n(" and "),D=a("code"),qe=n("predict()"),de=n(`, such as when creating your own layers or models with
the Keras `),X=a("code"),je=n("Functional"),Ue=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),le=c(),M=a("ul"),O=a("li"),ce=n("a single Tensor with "),Q=a("code"),We=n("input_ids"),pe=n(" only and nothing else: "),ee=a("code"),Re=n("model(input_ids)"),he=c(),L=a("li"),Be=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a("code"),He=n("model([input_ids, attention_mask])"),Ke=n(" or "),V=a("code"),ye=n("model([input_ids, attention_mask, token_type_ids])"),Ve=c(),U=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),H=a("code"),Ye=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ue=c(),A=a("p"),Ze=n(`Note that when creating models and layers with
`),I=a("a"),S=n("subclassing"),Me=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){f=r(v,"P",{});var j=i(f);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var et=i(g);_=s(et,"transformers"),et.forEach(t),T=s(j," accept two formats as input:"),j.forEach(t),l=p(v),m=r(v,"UL",{});var $e=i(m);q=r($e,"LI",{});var kt=i(q);Se=s(kt,"having all inputs as keyword arguments (like PyTorch models), or"),kt.forEach(t),Oe=p($e),N=r($e,"LI",{});var tt=i(N);Te=s(tt,"having all inputs as a list, tuple or dict in the first positional argument."),tt.forEach(t),$e.forEach(t),Y=p(v),z=r(v,"P",{});var C=i(z);Ge=s(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=r(C,"CODE",{});var vt=i(W);ke=s(vt,"model.fit()"),vt.forEach(t),Qe=s(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Z=r(C,"CODE",{});var bt=i(Z);ve=s(bt,"model.fit()"),bt.forEach(t),be=s(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=r(C,"CODE",{});var ot=i(ne);Le=s(ot,"fit()"),ot.forEach(t),J=s(C," and "),D=r(C,"CODE",{});var nt=i(D);qe=s(nt,"predict()"),nt.forEach(t),de=s(C,`, such as when creating your own layers or models with
the Keras `),X=r(C,"CODE",{});var yt=i(X);je=s(yt,"Functional"),yt.forEach(t),Ue=s(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),le=p(v),M=r(v,"UL",{});var R=i(M);O=r(R,"LI",{});var K=i(O);ce=s(K,"a single Tensor with "),Q=r(K,"CODE",{});var st=i(Q);We=s(st,"input_ids"),st.forEach(t),pe=s(K," only and nothing else: "),ee=r(K,"CODE",{});var wt=i(ee);Re=s(wt,"model(input_ids)"),wt.forEach(t),K.forEach(t),he=p(R),L=r(R,"LI",{});var te=i(L);Be=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r(te,"CODE",{});var at=i(G);He=s(at,"model([input_ids, attention_mask])"),at.forEach(t),Ke=s(te," or "),V=r(te,"CODE",{});var rt=i(V);ye=s(rt,"model([input_ids, attention_mask, token_type_ids])"),rt.forEach(t),te.forEach(t),Ve=p(R),U=r(R,"LI",{});var Je=i(U);we=s(Je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),H=r(Je,"CODE",{});var $t=i(H);Ye=s($t,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),$t.forEach(t),Je.forEach(t),R.forEach(t),ue=p(v),A=r(v,"P",{});var se=i(A);Ze=s(se,`Note that when creating models and layers with
`),I=r(se,"A",{href:!0,rel:!0});var ae=i(I);S=s(ae,"subclassing"),ae.forEach(t),Me=s(se,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),se.forEach(t),this.h()},h(){d(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(I,"rel","nofollow")},m(v,j){u(v,f,j),e(f,k),e(f,g),e(g,_),e(f,T),u(v,l,j),u(v,m,j),e(m,q),e(q,Se),e(m,Oe),e(m,N),e(N,Te),u(v,Y,j),u(v,z,j),e(z,Ge),e(z,W),e(W,ke),e(z,Qe),e(z,Z),e(Z,ve),e(z,be),e(z,ne),e(ne,Le),e(z,J),e(z,D),e(D,qe),e(z,de),e(z,X),e(X,je),e(z,Ue),u(v,le,j),u(v,M,j),e(M,O),e(O,ce),e(O,Q),e(Q,We),e(O,pe),e(O,ee),e(ee,Re),e(M,he),e(M,L),e(L,Be),e(L,G),e(G,He),e(L,Ke),e(L,V),e(V,ye),e(M,Ve),e(M,U),e(U,we),e(U,H),e(H,Ye),u(v,ue,j),u(v,A,j),e(A,Ze),e(A,I),e(I,S),e(A,Me)},d(v){v&&t(f),v&&t(l),v&&t(m),v&&t(Y),v&&t(z),v&&t(le),v&&t(M),v&&t(ue),v&&t(A)}}}function H$(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function K$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, TFT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5ForConditionalGeneration.from_pretrained("t5-small")

# training
inputs = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="tf").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="tf").input_ids
outputs = model(inputs, labels=labels)
loss = outputs.loss
logits = outputs.logits

# inference
inputs = tokenizer(
    "summarize: studies have shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
outputs = model.generate(inputs)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))
# studies have shown that owning a dog is good for you`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;summarize: studies have shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># studies have shown that owning a dog is good for you</span>`}}),{c(){f=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Examples:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function V$(F){let f,k,g,_,T,l,m,q,Se,Oe,N,Te,Y,z,Ge,W,ke,Qe,Z,ve,be,ne,Le,J,D,qe,de,X,je,Ue,le,M,O,ce,Q,We,pe,ee,Re,he,L,Be,G,He,Ke,V,ye,Ve,U,we,H,Ye,ue,A,Ze,I,S,Me;return{c(){f=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),l=c(),m=a("ul"),q=a("li"),Se=n("having all inputs as keyword arguments (like PyTorch models), or"),Oe=c(),N=a("li"),Te=n("having all inputs as a list, tuple or dict in the first positional argument."),Y=c(),z=a("p"),Ge=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a("code"),ke=n("model.fit()"),Qe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Z=a("code"),ve=n("model.fit()"),be=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=a("code"),Le=n("fit()"),J=n(" and "),D=a("code"),qe=n("predict()"),de=n(`, such as when creating your own layers or models with
the Keras `),X=a("code"),je=n("Functional"),Ue=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),le=c(),M=a("ul"),O=a("li"),ce=n("a single Tensor with "),Q=a("code"),We=n("input_ids"),pe=n(" only and nothing else: "),ee=a("code"),Re=n("model(input_ids)"),he=c(),L=a("li"),Be=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a("code"),He=n("model([input_ids, attention_mask])"),Ke=n(" or "),V=a("code"),ye=n("model([input_ids, attention_mask, token_type_ids])"),Ve=c(),U=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),H=a("code"),Ye=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ue=c(),A=a("p"),Ze=n(`Note that when creating models and layers with
`),I=a("a"),S=n("subclassing"),Me=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){f=r(v,"P",{});var j=i(f);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var et=i(g);_=s(et,"transformers"),et.forEach(t),T=s(j," accept two formats as input:"),j.forEach(t),l=p(v),m=r(v,"UL",{});var $e=i(m);q=r($e,"LI",{});var kt=i(q);Se=s(kt,"having all inputs as keyword arguments (like PyTorch models), or"),kt.forEach(t),Oe=p($e),N=r($e,"LI",{});var tt=i(N);Te=s(tt,"having all inputs as a list, tuple or dict in the first positional argument."),tt.forEach(t),$e.forEach(t),Y=p(v),z=r(v,"P",{});var C=i(z);Ge=s(C,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=r(C,"CODE",{});var vt=i(W);ke=s(vt,"model.fit()"),vt.forEach(t),Qe=s(C,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Z=r(C,"CODE",{});var bt=i(Z);ve=s(bt,"model.fit()"),bt.forEach(t),be=s(C,` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=r(C,"CODE",{});var ot=i(ne);Le=s(ot,"fit()"),ot.forEach(t),J=s(C," and "),D=r(C,"CODE",{});var nt=i(D);qe=s(nt,"predict()"),nt.forEach(t),de=s(C,`, such as when creating your own layers or models with
the Keras `),X=r(C,"CODE",{});var yt=i(X);je=s(yt,"Functional"),yt.forEach(t),Ue=s(C,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),C.forEach(t),le=p(v),M=r(v,"UL",{});var R=i(M);O=r(R,"LI",{});var K=i(O);ce=s(K,"a single Tensor with "),Q=r(K,"CODE",{});var st=i(Q);We=s(st,"input_ids"),st.forEach(t),pe=s(K," only and nothing else: "),ee=r(K,"CODE",{});var wt=i(ee);Re=s(wt,"model(input_ids)"),wt.forEach(t),K.forEach(t),he=p(R),L=r(R,"LI",{});var te=i(L);Be=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r(te,"CODE",{});var at=i(G);He=s(at,"model([input_ids, attention_mask])"),at.forEach(t),Ke=s(te," or "),V=r(te,"CODE",{});var rt=i(V);ye=s(rt,"model([input_ids, attention_mask, token_type_ids])"),rt.forEach(t),te.forEach(t),Ve=p(R),U=r(R,"LI",{});var Je=i(U);we=s(Je,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),H=r(Je,"CODE",{});var $t=i(H);Ye=s($t,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),$t.forEach(t),Je.forEach(t),R.forEach(t),ue=p(v),A=r(v,"P",{});var se=i(A);Ze=s(se,`Note that when creating models and layers with
`),I=r(se,"A",{href:!0,rel:!0});var ae=i(I);S=s(ae,"subclassing"),ae.forEach(t),Me=s(se,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),se.forEach(t),this.h()},h(){d(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(I,"rel","nofollow")},m(v,j){u(v,f,j),e(f,k),e(f,g),e(g,_),e(f,T),u(v,l,j),u(v,m,j),e(m,q),e(q,Se),e(m,Oe),e(m,N),e(N,Te),u(v,Y,j),u(v,z,j),e(z,Ge),e(z,W),e(W,ke),e(z,Qe),e(z,Z),e(Z,ve),e(z,be),e(z,ne),e(ne,Le),e(z,J),e(z,D),e(D,qe),e(z,de),e(z,X),e(X,je),e(z,Ue),u(v,le,j),u(v,M,j),e(M,O),e(O,ce),e(O,Q),e(Q,We),e(O,pe),e(O,ee),e(ee,Re),e(M,he),e(M,L),e(L,Be),e(L,G),e(G,He),e(L,Ke),e(L,V),e(V,ye),e(M,Ve),e(M,U),e(U,we),e(U,H),e(H,Ye),u(v,ue,j),u(v,A,j),e(A,Ze),e(A,I),e(I,S),e(A,Me)},d(v){v&&t(f),v&&t(l),v&&t(m),v&&t(Y),v&&t(z),v&&t(le),v&&t(M),v&&t(ue),v&&t(A)}}}function Y$(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function Z$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, TFT5EncoderModel

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5EncoderModel.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
outputs = model(input_ids)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5EncoderModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5EncoderModel.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)`}}),{c(){f=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Examples:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function J$(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function X$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, FlaxT5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="np"
).input_ids
decoder_input_ids = tokenizer("Studies show that", return_tensors="np").input_ids

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>
<span class="hljs-meta">... </span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function Q$(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function ex(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration
import jax.numpy as jnp

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function tx(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function ox(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

ARTICLE_TO_SUMMARIZE = "summarize: My friends are cool but they eat too many carbs."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], return_tensors="np")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"]).sequences
print(tokenizer.decode(summary_ids[0], skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;summarize: My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>]).sequences
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(summary_ids[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function nx(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function sx(F){let f,k,g,_,T;return _=new Fe({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration
import jax.numpy as jnp

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "summarize: My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;summarize: My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){f=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Example:"),m.forEach(t),g=p(l),y(_.$$.fragment,l)},m(l,m){u(l,f,m),e(f,k),u(l,g,m),w(_,l,m),T=!0},p:Wt,i(l){T||($(_.$$.fragment,l),T=!0)},o(l){x(_.$$.fragment,l),T=!1},d(l){l&&t(f),l&&t(g),E(_,l)}}}function ax(F){let f,k,g,_,T;return{c(){f=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){f=r(l,"P",{});var m=i(f);k=s(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(m,"CODE",{});var q=i(g);_=s(q,"Module"),q.forEach(t),T=s(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){u(l,f,m),e(f,k),e(f,g),e(g,_),e(f,T)},d(l){l&&t(f)}}}function rx(F){let f,k,g,_,T,l,m,q,Se,Oe,N,Te,Y,z,Ge,W,ke,Qe,Z,ve,be,ne,Le,J,D,qe,de,X,je,Ue,le,M,O,ce,Q,We,pe,ee,Re,he,L,Be,G,He,Ke,V,ye,Ve,U,we,H,Ye,ue,A,Ze,I,S,Me,v,j,et,$e,kt,tt,C,vt,bt,ot,nt,yt,R,K,st,wt,te,at,rt,Je,$t,se,ae,Ju,Xr,Xu,Qu,Qr,ef,tf,ei,of,nf,pp,ti,sf,hp,it,Fd,qd,ns,af,rf,jd,Md,ss,df,lf,Cd,Ad,as,cf,pf,Pd,Od,rs,hf,uf,Ld,oi,is,ff,mf,up,ni,_f,fp,Ne,Nd,Io,Id,gf,Tf,si,kf,vf,bf,Dd,Do,Sd,yf,wf,ai,$f,xf,Ef,Gd,So,Ud,zf,Ff,ri,qf,jf,Mf,Wd,ii,Rd,Cf,Af,Pf,Bd,B,Hd,Of,Lf,Kd,Nf,If,Vd,Df,Sf,Yd,Gf,Uf,Zd,Wf,Rf,Jd,Bf,Hf,Xd,Kf,Vf,Qd,Yf,Zf,el,Jf,Xf,tl,Qf,em,tm,ol,di,nl,om,nm,mp,Go,sm,ds,am,rm,_p,Ht,im,ls,dm,lm,cs,cm,pm,gp,li,Tp,ro,Uo,sl,ps,hm,al,um,kp,xt,fm,rl,mm,_m,il,gm,Tm,dl,km,vm,vp,Wo,bm,ci,ym,wm,bp,pi,ll,$m,yp,xe,xm,cl,Em,zm,pl,Fm,qm,hl,jm,Mm,ul,Cm,Am,fl,Pm,Om,hi,Lm,Nm,wp,ui,Im,$p,hs,xp,Ro,Dm,us,Sm,Gm,Ep,fi,ml,Um,zp,mi,Wm,Fp,fs,qp,re,Rm,_l,Bm,Hm,gl,Km,Vm,Tl,Ym,Zm,kl,Jm,Xm,vl,Qm,e_,bl,t_,o_,yl,n_,s_,jp,Kt,a_,wl,r_,i_,$l,d_,l_,Mp,Ee,c_,xl,p_,h_,El,u_,f_,zl,m_,__,Fl,g_,T_,ms,k_,v_,ql,b_,y_,Cp,_s,Ap,_i,w_,Pp,gi,gs,$_,jl,x_,E_,Op,Vt,z_,Ts,F_,q_,ks,j_,M_,Lp,Bo,C_,Ml,A_,P_,Np,Ti,Ip,io,Ho,Cl,vs,O_,Al,L_,Dp,Et,N_,ki,I_,D_,bs,S_,G_,ys,U_,W_,Sp,ws,Gp,dt,R_,Pl,B_,H_,Ol,K_,V_,vi,Y_,Z_,Ll,J_,X_,Up,bi,Q_,Wp,$s,Rp,yi,eg,Bp,xs,Hp,wi,Kp,lo,Ko,Nl,Es,tg,Il,og,Vp,zt,ng,zs,sg,ag,Dl,rg,ig,Sl,dg,lg,Yp,co,Vo,Gl,Fs,cg,Ul,pg,Zp,$i,hg,Jp,qs,Xp,Yo,js,ug,Ms,fg,mg,_g,Cs,gg,As,Tg,kg,Qp,Ps,eh,xi,Os,vg,Ls,bg,yg,th,Ns,oh,Ei,Is,wg,Ds,$g,xg,nh,Ss,sh,ie,Gs,Eg,Us,zg,Fg,qg,Ws,jg,Rs,Mg,Cg,Ag,Bs,Pg,Hs,Og,Lg,Ng,Yt,zi,Ig,Dg,Ks,Sg,Gg,Vs,Ug,Wg,Rg,Zt,Fi,Bg,Hg,Ys,Kg,Vg,Zs,Yg,Zg,Jg,Zo,qi,Xg,Qg,Js,eT,tT,oT,ji,Xs,nT,sT,aT,Wl,Mi,rT,ah,Qs,rh,Ci,Ft,Ai,iT,dT,ea,lT,cT,Pi,pT,hT,ta,uT,fT,ih,oa,dh,Jt,Xt,Oi,mT,_T,na,gT,TT,sa,kT,vT,bT,Qt,Li,yT,wT,aa,$T,xT,ra,ET,zT,FT,Rl,Ni,qT,lh,ia,ch,Jo,da,jT,la,MT,CT,AT,ca,PT,pa,OT,LT,ph,ha,NT,Bl,IT,hh,Ii,ua,DT,fa,ST,GT,uh,po,Xo,Hl,ma,UT,Kl,WT,fh,Rt,_a,RT,Bt,BT,Di,HT,KT,Si,VT,YT,ga,ZT,JT,XT,ho,QT,Gi,ek,tk,Ui,ok,nk,mh,uo,Qo,Vl,Ta,sk,Yl,ak,_h,fe,ka,rk,va,ik,ba,dk,lk,ck,ya,pk,Wi,hk,uk,fk,eo,wa,mk,Zl,_k,gk,$a,Ri,Tk,Jl,kk,vk,Bi,bk,Xl,yk,wk,en,xa,$k,Ea,xk,Ql,Ek,zk,Fk,tn,za,qk,ec,jk,Mk,Hi,Fa,gh,fo,on,tc,qa,Ck,oc,Ak,Th,Xe,ja,Pk,mo,Ok,nc,Lk,Nk,Ma,Ik,Dk,Sk,Ca,Gk,Ki,Uk,Wk,Rk,to,Aa,Bk,sc,Hk,Kk,Pa,Vi,Vk,ac,Yk,Zk,Yi,Jk,rc,Xk,Qk,nn,Oa,ev,ic,tv,kh,_o,sn,dc,La,ov,lc,nv,vh,Ce,Na,sv,cc,av,rv,Ia,iv,Da,dv,lv,cv,Sa,pv,Zi,hv,uv,fv,Ga,mv,Ua,_v,gv,Tv,qt,Wa,kv,go,vv,Ji,bv,yv,pc,wv,$v,xv,an,Ev,rn,bh,To,dn,hc,Ra,zv,uc,Fv,yh,Ae,Ba,qv,Ha,jv,fc,Mv,Cv,Av,Ka,Pv,Va,Ov,Lv,Nv,Ya,Iv,Xi,Dv,Sv,Gv,Za,Uv,Ja,Wv,Rv,Bv,jt,Xa,Hv,ko,Kv,Qi,Vv,Yv,mc,Zv,Jv,Xv,ln,Qv,cn,wh,vo,pn,_c,Qa,eb,gc,tb,$h,Pe,er,ob,Tc,nb,sb,tr,ab,or,rb,ib,db,nr,lb,ed,cb,pb,hb,sr,ub,ar,fb,mb,_b,Mt,rr,gb,bo,Tb,td,kb,vb,kc,bb,yb,wb,hn,$b,un,xh,yo,fn,vc,ir,xb,bc,Eb,Eh,me,dr,zb,yc,Fb,qb,lr,jb,cr,Mb,Cb,Ab,pr,Pb,od,Ob,Lb,Nb,hr,Ib,ur,Db,Sb,Gb,mn,Ub,Ct,fr,Wb,wo,Rb,nd,Bb,Hb,wc,Kb,Vb,Yb,_n,Zb,gn,zh,$o,Tn,$c,mr,Jb,xc,Xb,Fh,_e,_r,Qb,gr,ey,Ec,ty,oy,ny,Tr,sy,kr,ay,ry,iy,vr,dy,sd,ly,cy,py,br,hy,yr,uy,fy,my,kn,_y,At,wr,gy,xo,Ty,ad,ky,vy,zc,by,yy,wy,vn,$y,bn,qh,Eo,yn,Fc,$r,xy,qc,Ey,jh,ge,xr,zy,jc,Fy,qy,Er,jy,zr,My,Cy,Ay,Fr,Py,rd,Oy,Ly,Ny,qr,Iy,jr,Dy,Sy,Gy,wn,Uy,Pt,Mr,Wy,zo,Ry,id,By,Hy,Mc,Ky,Vy,Yy,$n,Zy,xn,Mh,Fo,En,Cc,Cr,Jy,Ac,Xy,Ch,mt,Ar,Qy,Ot,Pr,e1,qo,t1,Pc,o1,n1,Oc,s1,a1,r1,zn,i1,Fn,d1,qn,Or,l1,jn,c1,Mn,Lr,p1,Cn,Ah,jo,An,Lc,Nr,h1,Nc,u1,Ph,_t,Ir,f1,Lt,Dr,m1,Mo,_1,Ic,g1,T1,Dc,k1,v1,b1,Pn,y1,On,w1,Ln,Sr,$1,Nn,x1,In,Gr,E1,Dn,Oh,Co,Sn,Sc,Ur,z1,Gc,F1,Lh,Ao,Wr,q1,oo,Rr,j1,Po,M1,dd,C1,A1,Uc,P1,O1,L1,Gn,Nh;return l=new ze({}),de=new ze({}),ps=new ze({}),hs=new Fe({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="pt").input_ids

# the forward function automatically creates the correct decoder_input_ids
loss = model(input_ids=input_ids, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the forward function automatically creates the correct decoder_input_ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">3.7837</span>`}}),fs=new Fe({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("translate English to German: The house is wonderful.", return_tensors="pt").input_ids
labels = tokenizer("Das Haus ist wunderbar.", return_tensors="pt").input_ids

# the forward function automatically creates the correct decoder_input_ids
loss = model(input_ids=input_ids, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;translate English to German: The house is wonderful.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;Das Haus ist wunderbar.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the forward function automatically creates the correct decoder_input_ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">0.2542</span>`}}),_s=new Fe({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration
import torch

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

# the following 2 hyperparameters are task-specific
max_source_length = 512
max_target_length = 128

# Suppose we have the following 2 training examples:
input_sequence_1 = "Welcome to NYC"
output_sequence_1 = "Bienvenue \xE0 NYC"

input_sequence_2 = "HuggingFace is a company"
output_sequence_2 = "HuggingFace est une entreprise"

# encode the inputs
task_prefix = "translate English to French: "
input_sequences = [input_sequence_1, input_sequence_2]

encoding = tokenizer(
    [task_prefix + sequence for sequence in input_sequences],
    padding="longest",
    max_length=max_source_length,
    truncation=True,
    return_tensors="pt",
)

input_ids, attention_mask = encoding.input_ids, encoding.attention_mask

# encode the targets
target_encoding = tokenizer(
    [output_sequence_1, output_sequence_2],
    padding="longest",
    max_length=max_target_length,
    truncation=True,
    return_tensors="pt",
)
labels = target_encoding.input_ids

# replace padding token id's of the labels by -100 so it's ignored by the loss
labels[labels == tokenizer.pad_token_id] = -100

# forward pass
loss = model(input_ids=input_ids, attention_mask=attention_mask, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the following 2 hyperparameters are task-specific</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>max_source_length = <span class="hljs-number">512</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>max_target_length = <span class="hljs-number">128</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Suppose we have the following 2 training examples:</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequence_1 = <span class="hljs-string">&quot;Welcome to NYC&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequence_1 = <span class="hljs-string">&quot;Bienvenue \xE0 NYC&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequence_2 = <span class="hljs-string">&quot;HuggingFace is a company&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequence_2 = <span class="hljs-string">&quot;HuggingFace est une entreprise&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># encode the inputs</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>task_prefix = <span class="hljs-string">&quot;translate English to French: &quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequences = [input_sequence_1, input_sequence_2]

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer(
<span class="hljs-meta">... </span>    [task_prefix + sequence <span class="hljs-keyword">for</span> sequence <span class="hljs-keyword">in</span> input_sequences],
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;longest&quot;</span>,
<span class="hljs-meta">... </span>    max_length=max_source_length,
<span class="hljs-meta">... </span>    truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids, attention_mask = encoding.input_ids, encoding.attention_mask

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># encode the targets</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_encoding = tokenizer(
<span class="hljs-meta">... </span>    [output_sequence_1, output_sequence_2],
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;longest&quot;</span>,
<span class="hljs-meta">... </span>    max_length=max_target_length,
<span class="hljs-meta">... </span>    truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = target_encoding.input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># replace padding token id&#x27;s of the labels by -100 so it&#x27;s ignored by the loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels[labels == tokenizer.pad_token_id] = -<span class="hljs-number">100</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, attention_mask=attention_mask, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">0.188</span>`}}),vs=new ze({}),ws=new Fe({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("translate English to German: The house is wonderful.", return_tensors="pt").input_ids
outputs = model.generate(input_ids)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;translate English to German: The house is wonderful.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
Das Haus ist wunderbar.`}}),$s=new Fe({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

task_prefix = "translate English to German: "
# use different length sentences to test batching
sentences = ["The house is wonderful.", "I like to work in NYC."]

inputs = tokenizer([task_prefix + sentence for sentence in sentences], return_tensors="pt", padding=True)

output_sequences = model.generate(
    input_ids=inputs["input_ids"],
    attention_mask=inputs["attention_mask"],
    do_sample=False,  # disable sampling to test if batching affects output
)

print(tokenizer.batch_decode(output_sequences, skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>task_prefix = <span class="hljs-string">&quot;translate English to German: &quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># use different length sentences to test batching</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentences = [<span class="hljs-string">&quot;The house is wonderful.&quot;</span>, <span class="hljs-string">&quot;I like to work in NYC.&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([task_prefix + sentence <span class="hljs-keyword">for</span> sentence <span class="hljs-keyword">in</span> sentences], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequences = model.generate(
<span class="hljs-meta">... </span>    input_ids=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>],
<span class="hljs-meta">... </span>    attention_mask=inputs[<span class="hljs-string">&quot;attention_mask&quot;</span>],
<span class="hljs-meta">... </span>    do_sample=<span class="hljs-literal">False</span>,  <span class="hljs-comment"># disable sampling to test if batching affects output</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(output_sequences, skip_special_tokens=<span class="hljs-literal">True</span>))
[<span class="hljs-string">&#x27;Das Haus ist wunderbar.&#x27;</span>, <span class="hljs-string">&#x27;Ich arbeite gerne in NYC.&#x27;</span>]`}}),xs=new Fe({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids

sequence_ids = model.generate(input_ids)
sequences = tokenizer.batch_decode(sequence_ids)
sequences`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_ids = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences = tokenizer.batch_decode(sequence_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences
[<span class="hljs-string">&#x27;&lt;pad&gt;&lt;extra_id_0&gt; park offers&lt;extra_id_1&gt; the&lt;extra_id_2&gt; park.&lt;/s&gt;&#x27;</span>]`}}),Es=new ze({}),Fs=new ze({}),qs=new Jr({props:{pipeline:"text-classification"}}),Ps=new Jr({props:{pipeline:"token-classification"}}),Ns=new Jr({props:{pipeline:"text-generation"}}),Ss=new Jr({props:{pipeline:"summarization"}}),Qs=new Jr({props:{pipeline:"fill-mask"}}),oa=new Jr({props:{pipeline:"translation"}}),ia=new Jr({props:{pipeline:"question-answering"}}),ma=new ze({}),_a=new P({props:{name:"class transformers.T5Config",anchor:"transformers.T5Config",parameters:[{name:"vocab_size",val:" = 32128"},{name:"d_model",val:" = 512"},{name:"d_kv",val:" = 64"},{name:"d_ff",val:" = 2048"},{name:"num_layers",val:" = 6"},{name:"num_decoder_layers",val:" = None"},{name:"num_heads",val:" = 8"},{name:"relative_attention_num_buckets",val:" = 32"},{name:"relative_attention_max_distance",val:" = 128"},{name:"dropout_rate",val:" = 0.1"},{name:"layer_norm_epsilon",val:" = 1e-06"},{name:"initializer_factor",val:" = 1.0"},{name:"feed_forward_proj",val:" = 'relu'"},{name:"is_encoder_decoder",val:" = True"},{name:"use_cache",val:" = True"},{name:"pad_token_id",val:" = 0"},{name:"eos_token_id",val:" = 1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5Config.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32128) &#x2014;
Vocabulary size of the T5 model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Model">T5Model</a> or <a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.TFT5Model">TFT5Model</a>.`,name:"vocab_size"},{anchor:"transformers.T5Config.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Size of the encoder layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.T5Config.d_kv",description:`<strong>d_kv</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Size of the key, query, value projections per attention head. The <code>inner_dim</code> of the projection layer will
be defined as <code>num_heads * d_kv</code>.`,name:"d_kv"},{anchor:"transformers.T5Config.d_ff",description:`<strong>d_ff</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Size of the intermediate feed forward layer in each <code>T5Block</code>.`,name:"d_ff"},{anchor:"transformers.T5Config.num_layers",description:`<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_layers"},{anchor:"transformers.T5Config.num_decoder_layers",description:`<strong>num_decoder_layers</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Number of hidden layers in the Transformer decoder. Will use the same value as <code>num_layers</code> if not set.`,name:"num_decoder_layers"},{anchor:"transformers.T5Config.num_heads",description:`<strong>num_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_heads"},{anchor:"transformers.T5Config.relative_attention_num_buckets",description:`<strong>relative_attention_num_buckets</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The number of buckets to use for each attention layer.`,name:"relative_attention_num_buckets"},{anchor:"transformers.T5Config.relative_attention_max_distance",description:`<strong>relative_attention_max_distance</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
The maximum distance of the longer sequences for the bucket separation.`,name:"relative_attention_max_distance"},{anchor:"transformers.T5Config.dropout_rate",description:`<strong>dropout_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The ratio for all dropout layers.`,name:"dropout_rate"},{anchor:"transformers.T5Config.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.T5Config.initializer_factor",description:`<strong>initializer_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"},{anchor:"transformers.T5Config.feed_forward_proj",description:`<strong>feed_forward_proj</strong> (<code>string</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
Type of feed forward layer to be used. Should be one of <code>&quot;relu&quot;</code> or <code>&quot;gated-gelu&quot;</code>. T5v1.1 uses the
<code>&quot;gated-gelu&quot;</code> feed forward projection. Original T5 uses <code>&quot;relu&quot;</code>.`,name:"feed_forward_proj"},{anchor:"transformers.T5Config.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/configuration_t5.py#L34"}}),Ta=new ze({}),ka=new P({props:{name:"class transformers.T5Tokenizer",anchor:"transformers.T5Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"extra_ids",val:" = 100"},{name:"additional_special_tokens",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.T5Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.T5Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.T5Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.T5Tokenizer.extra_ids",description:`<strong>extra_ids</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Add a number of extra ids added to the vocabulary for use as sentinels. These tokens are
accessible as &#x201C;<extra<em>id{%d}&gt;&#x201D; where &#x201D;{%d}&#x201D; is a number between 0 and extra_ids-1. These tokens can be
retrieved by calling get_sentinel_tokens method and token ids can be by calling get_sentinel_token_ids
method
additional_special_tokens (<code>List[str]</code>, <em>optional</em>):
Additional special tokens used by the tokenizer.</extra<em>`,name:"extra_ids"},{anchor:"transformers.T5Tokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.T5Tokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5.py#L55"}}),wa=new P({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5.py#L256",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),xa=new P({props:{name:"get_special_tokens_mask",anchor:"transformers.T5Tokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5.py#L187",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),za=new P({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5.py#L234",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Fa=new P({props:{name:"save_vocabulary",anchor:"transformers.T5Tokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5.py#L336"}}),qa=new ze({}),ja=new P({props:{name:"class transformers.T5TokenizerFast",anchor:"transformers.T5TokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"extra_ids",val:" = 100"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.T5TokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.T5TokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.T5TokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.T5TokenizerFast.extra_ids",description:`<strong>extra_ids</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Add a number of extra ids added to the vocabulary for use as sentinels. These tokens are accessible as
&#x201C;<extra<em>id{%d}&gt;&#x201D; where &#x201D;{%d}&#x201D; is a number between 0 and extra_ids-1. These tokens can be retrieved by
calling get_sentinel_tokens method and token ids can be by calling get_sentinel_token_ids method</extra<em>`,name:"extra_ids"},{anchor:"transformers.T5TokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5_fast.py#L66"}}),Aa=new P({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5_fast.py#L190",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Oa=new P({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/tokenization_t5_fast.py#L216",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),La=new ze({}),Na=new P({props:{name:"class transformers.T5Model",anchor:"transformers.T5Model",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_t5.py#L1324"}}),Wa=new P({props:{name:"forward",anchor:"transformers.T5Model.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5Model.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5Model.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5Model.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.T5Model.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.T5Model.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5Model.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.T5Model.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.T5Model.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.T5Model.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.T5Model.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5Model.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.T5Model.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.T5Model.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5Model.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5Model.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_t5.py#L1411",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),an=new Gt({props:{$$slots:{default:[L$]},$$scope:{ctx:F}}}),rn=new Ut({props:{anchor:"transformers.T5Model.forward.example",$$slots:{default:[N$]},$$scope:{ctx:F}}}),Ra=new ze({}),Ba=new P({props:{name:"class transformers.T5ForConditionalGeneration",anchor:"transformers.T5ForConditionalGeneration",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5ForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_t5.py#L1527"}}),Xa=new P({props:{name:"forward",anchor:"transformers.T5ForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5ForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5ForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.T5ForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.T5ForConditionalGeneration.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.T5ForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.T5ForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5ForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5ForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.T5ForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[-100, 0, ..., config.vocab_size - 1]</code>. All labels set to <code>-100</code> are ignored (masked), the loss is only computed for
labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_t5.py#L1619",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ln=new Gt({props:{$$slots:{default:[I$]},$$scope:{ctx:F}}}),cn=new Ut({props:{anchor:"transformers.T5ForConditionalGeneration.forward.example",$$slots:{default:[D$]},$$scope:{ctx:F}}}),Qa=new ze({}),er=new P({props:{name:"class transformers.T5EncoderModel",anchor:"transformers.T5EncoderModel",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5EncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_t5.py#L1841"}}),rr=new P({props:{name:"forward",anchor:"transformers.T5EncoderModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5EncoderModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5EncoderModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5EncoderModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5EncoderModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5EncoderModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5EncoderModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5EncoderModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_t5.py#L1908",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),hn=new Gt({props:{$$slots:{default:[S$]},$$scope:{ctx:F}}}),un=new Ut({props:{anchor:"transformers.T5EncoderModel.forward.example",$$slots:{default:[G$]},$$scope:{ctx:F}}}),ir=new ze({}),dr=new P({props:{name:"class transformers.TFT5Model",anchor:"transformers.TFT5Model",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_tf_t5.py#L1127"}}),mn=new Gt({props:{$$slots:{default:[U$]},$$scope:{ctx:F}}}),fr=new P({props:{name:"call",anchor:"transformers.TFT5Model.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5Model.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>inputs</code> for pretraining take a look at <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.TFT5Model.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Provide for sequence to sequence training. T5 uses the <code>pad_token_id</code> as the starting token for
<code>decoder_input_ids</code> generation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code>
have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.TFT5Model.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5Model.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.TFT5Model.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5Model.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFT5Model.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFT5Model.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFT5Model.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5Model.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFT5Model.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFT5Model.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFT5Model.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFT5Model.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFT5Model.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_tf_t5.py#L1155",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),_n=new Gt({props:{$$slots:{default:[W$]},$$scope:{ctx:F}}}),gn=new Ut({props:{anchor:"transformers.TFT5Model.call.example",$$slots:{default:[R$]},$$scope:{ctx:F}}}),mr=new ze({}),_r=new P({props:{name:"class transformers.TFT5ForConditionalGeneration",anchor:"transformers.TFT5ForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5ForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_tf_t5.py#L1279"}}),kn=new Gt({props:{$$slots:{default:[B$]},$$scope:{ctx:F}}}),wr=new P({props:{name:"call",anchor:"transformers.TFT5ForConditionalGeneration.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5ForConditionalGeneration.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>inputs</code> for pretraining take a look at <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Provide for sequence to sequence training. T5 uses the <code>pad_token_id</code> as the starting token for
<code>decoder_input_ids</code> generation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code>
have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.TFT5ForConditionalGeneration.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFT5ForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFT5ForConditionalGeneration.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFT5ForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFT5ForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFT5ForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFT5ForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFT5ForConditionalGeneration.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFT5ForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_tf_t5.py#L1334",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),vn=new Gt({props:{$$slots:{default:[H$]},$$scope:{ctx:F}}}),bn=new Ut({props:{anchor:"transformers.TFT5ForConditionalGeneration.call.example",$$slots:{default:[K$]},$$scope:{ctx:F}}}),$r=new ze({}),xr=new P({props:{name:"class transformers.TFT5EncoderModel",anchor:"transformers.TFT5EncoderModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5EncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_tf_t5.py#L1532"}}),wn=new Gt({props:{$$slots:{default:[V$]},$$scope:{ctx:F}}}),Mr=new P({props:{name:"call",anchor:"transformers.TFT5EncoderModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5EncoderModel.call.inputs",description:`<strong>inputs</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p>To know more on how to prepare <code>inputs</code> for pre-training take a look at <a href="./t5#training">T5 Training</a>.`,name:"inputs"},{anchor:"transformers.TFT5EncoderModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5EncoderModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5EncoderModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5EncoderModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFT5EncoderModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFT5EncoderModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFT5EncoderModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_tf_t5.py#L1555",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),$n=new Gt({props:{$$slots:{default:[Y$]},$$scope:{ctx:F}}}),xn=new Ut({props:{anchor:"transformers.TFT5EncoderModel.call.example",$$slots:{default:[Z$]},$$scope:{ctx:F}}}),Cr=new ze({}),Ar=new P({props:{name:"class transformers.FlaxT5Model",anchor:"transformers.FlaxT5Model",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1367"}}),Pr=new P({props:{name:"__call__",anchor:"transformers.FlaxT5Model.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": ndarray = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5Model.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5Model.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5Model.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5Model.__call__.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5Model.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),zn=new Gt({props:{$$slots:{default:[J$]},$$scope:{ctx:F}}}),Fn=new Ut({props:{anchor:"transformers.FlaxT5Model.__call__.example",$$slots:{default:[X$]},$$scope:{ctx:F}}}),Or=new P({props:{name:"encode",anchor:"transformers.FlaxT5Model.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5Model.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5Model.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5Model.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5Model.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1072",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),jn=new Ut({props:{anchor:"transformers.FlaxT5Model.encode.example",$$slots:{default:[Q$]},$$scope:{ctx:F}}}),Lr=new P({props:{name:"decode",anchor:"transformers.FlaxT5Model.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For training, <code>decoder_input_ids</code> should be provided.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5Model.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5Model.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxT5Model.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5Model.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxT5Model.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5Model.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5Model.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1130",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Cn=new Ut({props:{anchor:"transformers.FlaxT5Model.decode.example",$$slots:{default:[ex]},$$scope:{ctx:F}}}),Nr=new ze({}),Ir=new P({props:{name:"class transformers.FlaxT5ForConditionalGeneration",anchor:"transformers.FlaxT5ForConditionalGeneration",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1605"}}),Dr=new P({props:{name:"__call__",anchor:"transformers.FlaxT5ForConditionalGeneration.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": ndarray = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pn=new Gt({props:{$$slots:{default:[tx]},$$scope:{ctx:F}}}),On=new Ut({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.example",$$slots:{default:[ox]},$$scope:{ctx:F}}}),Sr=new P({props:{name:"encode",anchor:"transformers.FlaxT5ForConditionalGeneration.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1072",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Nn=new Ut({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.example",$$slots:{default:[nx]},$$scope:{ctx:F}}}),Gr=new P({props:{name:"decode",anchor:"transformers.FlaxT5ForConditionalGeneration.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For training, <code>decoder_input_ids</code> should be provided.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1608",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21990/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Dn=new Ut({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.example",$$slots:{default:[sx]},$$scope:{ctx:F}}}),Ur=new ze({}),Wr=new P({props:{name:"class transformers.FlaxT5EncoderModel",anchor:"transformers.FlaxT5EncoderModel",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1454"}}),Rr=new P({props:{name:"__call__",anchor:"transformers.FlaxT5EncoderModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5EncoderModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_21990/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5EncoderModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5EncoderModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5EncoderModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5EncoderModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21990/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21990/src/transformers/models/t5/modeling_flax_t5.py#L1457"}}),Gn=new Gt({props:{$$slots:{default:[ax]},$$scope:{ctx:F}}}),{c(){f=a("meta"),k=c(),g=a("h1"),_=a("a"),T=a("span"),b(l.$$.fragment),m=c(),q=a("span"),Se=n("T5"),Oe=c(),N=a("div"),Te=a("a"),Y=a("img"),Ge=c(),W=a("a"),ke=a("img"),Z=c(),ve=a("a"),be=a("img"),Le=c(),J=a("h2"),D=a("a"),qe=a("span"),b(de.$$.fragment),X=c(),je=a("span"),Ue=n("Overview"),le=c(),M=a("p"),O=n("The T5 model was presented in "),ce=a("a"),Q=n("Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer"),We=n(" by "),pe=a("a"),ee=n("Colin Raffel"),Re=n(", Noam Shazeer, "),he=a("a"),L=n("Adam Roberts"),Be=n(`, Katherine Lee, Sharan Narang,
Michael Matena, Yanqi Zhou, Wei Li, `),G=a("a"),He=n("Peter J. Liu"),Ke=n("."),V=c(),ye=a("p"),Ve=n("The abstract from the paper is the following:"),U=c(),we=a("p"),H=a("em"),Ye=n(`Transfer learning, where a model is first pre-trained on a data-rich task before being fine-tuned on a downstream
task, has emerged as a powerful technique in natural language processing (NLP). The effectiveness of transfer learning
has given rise to a diversity of approaches, methodology, and practice. In this paper, we explore the landscape of
transfer learning techniques for NLP by introducing a unified framework that converts every language problem into a
text-to-text format. Our systematic study compares pretraining objectives, architectures, unlabeled datasets, transfer
approaches, and other factors on dozens of language understanding tasks. By combining the insights from our exploration
with scale and our new \u201CColossal Clean Crawled Corpus\u201D, we achieve state-of-the-art results on many benchmarks covering
summarization, question answering, text classification, and more. To facilitate future work on transfer learning for
NLP, we release our dataset, pre-trained models, and code.`),ue=c(),A=a("p"),Ze=n("Tips:"),I=c(),S=a("ul"),Me=a("li"),v=a("p"),j=n(`T5 is an encoder-decoder model pre-trained on a multi-task mixture of unsupervised and supervised tasks and for which
each task is converted into a text-to-text format. T5 works well on a variety of tasks out-of-the-box by prepending a
different prefix to the input corresponding to each task, e.g., for translation: `),et=a("em"),$e=n("translate English to German: \u2026"),kt=n(`,
for summarization: `),tt=a("em"),C=n("summarize: \u2026"),vt=n("."),bt=c(),ot=a("li"),nt=a("p"),yt=n("The pretraining includes both supervised and self-supervised training. Supervised training is conducted on downstream tasks provided by the GLUE and SuperGLUE benchmarks (converting them into text-to-text tasks as explained above)."),R=c(),K=a("li"),st=a("p"),wt=n("Self-supervised training uses corrupted tokens, by randomly removing 15% of the tokens and replacing them with individual sentinel tokens (if several consecutive tokens are marked for removal, the whole group is replaced with a single sentinel token). The input of the encoder is the corrupted sentence, the input of the decoder is the original sentence and the target is then the dropped out tokens delimited by their sentinel tokens."),te=c(),at=a("li"),rt=a("p"),Je=n("T5 uses relative scalar embeddings. Encoder input padding can be done on the left and on the right."),$t=c(),se=a("li"),ae=a("p"),Ju=n("See the "),Xr=a("a"),Xu=n("training"),Qu=n(", "),Qr=a("a"),ef=n("inference"),tf=n(" and "),ei=a("a"),of=n("scripts"),nf=n(" sections below for all details regarding usage."),pp=c(),ti=a("p"),sf=n("T5 comes in different sizes:"),hp=c(),it=a("ul"),Fd=a("li"),qd=a("p"),ns=a("a"),af=n("t5-small"),rf=c(),jd=a("li"),Md=a("p"),ss=a("a"),df=n("t5-base"),lf=c(),Cd=a("li"),Ad=a("p"),as=a("a"),cf=n("t5-large"),pf=c(),Pd=a("li"),Od=a("p"),rs=a("a"),hf=n("t5-3b"),uf=c(),Ld=a("li"),oi=a("p"),is=a("a"),ff=n("t5-11b"),mf=n("."),up=c(),ni=a("p"),_f=n("Based on the original T5 model, Google has released some follow-up works:"),fp=c(),Ne=a("ul"),Nd=a("li"),Io=a("p"),Id=a("strong"),gf=n("T5v1.1"),Tf=n(`: T5v1.1 is an improved version of T5 with some architectural tweaks, and is pre-trained on C4 only without
mixing in the supervised tasks. Refer to the documentation of T5v1.1 which can be found `),si=a("a"),kf=n("here"),vf=n("."),bf=c(),Dd=a("li"),Do=a("p"),Sd=a("strong"),yf=n("mT5"),wf=n(`: mT5 is a multilingual T5 model. It is pre-trained on the mC4 corpus, which includes 101 languages. Refer to
the documentation of mT5 which can be found `),ai=a("a"),$f=n("here"),xf=n("."),Ef=c(),Gd=a("li"),So=a("p"),Ud=a("strong"),zf=n("byT5"),Ff=n(`: byT5 is a T5 model pre-trained on byte sequences rather than SentencePiece subword token sequences. Refer
to the documentation of byT5 which can be found `),ri=a("a"),qf=n("here"),jf=n("."),Mf=c(),Wd=a("li"),ii=a("p"),Rd=a("strong"),Cf=n("UL2"),Af=n(": UL2 is a T5 like model pretrained on various denoising objectives"),Pf=c(),Bd=a("li"),B=a("p"),Hd=a("strong"),Of=n("Flan-T5"),Lf=n(`: Flan is a pretraining methods that is based on prompting. The Flan-T5 are T5 models trained on the Flan collection of
datasets which include: `),Kd=a("code"),Nf=n("taskmaster2"),If=n(", "),Vd=a("code"),Df=n("djaym7/wiki_dialog"),Sf=n(", "),Yd=a("code"),Gf=n("deepmind/code_contests"),Uf=n(", "),Zd=a("code"),Wf=n("lambada"),Rf=n(", "),Jd=a("code"),Bf=n("gsm8k"),Hf=n(", "),Xd=a("code"),Kf=n("aqua_rat"),Vf=n(", "),Qd=a("code"),Yf=n("esnli"),Zf=n(", "),el=a("code"),Jf=n("quasc"),Xf=n(" and "),tl=a("code"),Qf=n("qed"),em=n("."),tm=c(),ol=a("li"),di=a("p"),nl=a("strong"),om=n("FLan-UL2"),nm=n(" : the UL2 model finetuned using the \u201CFlan\u201D prompt tuning and dataset collection."),mp=c(),Go=a("p"),sm=n("All checkpoints can be found on the "),ds=a("a"),am=n("hub"),rm=n("."),_p=c(),Ht=a("p"),im=n("This model was contributed by "),ls=a("a"),dm=n("thomwolf"),lm=n(". The original code can be found "),cs=a("a"),cm=n("here"),pm=n("."),gp=c(),li=a("a"),Tp=c(),ro=a("h2"),Uo=a("a"),sl=a("span"),b(ps.$$.fragment),hm=c(),al=a("span"),um=n("Training"),kp=c(),xt=a("p"),fm=n(`T5 is an encoder-decoder model and converts all NLP problems into a text-to-text format. It is trained using teacher
forcing. This means that for training, we always need an input sequence and a corresponding target sequence. The input
sequence is fed to the model using `),rl=a("code"),mm=n("input_ids"),_m=n(`. The target sequence is shifted to the right, i.e., prepended by a
start-sequence token and fed to the decoder using the `),il=a("code"),gm=n("decoder_input_ids"),Tm=n(`. In teacher-forcing style, the target
sequence is then appended by the EOS token and corresponds to the `),dl=a("code"),km=n("labels"),vm=n(`. The PAD token is hereby used as the
start-sequence token. T5 can be trained / fine-tuned both in a supervised and unsupervised fashion.`),vp=c(),Wo=a("p"),bm=n("One can use "),ci=a("a"),ym=n("T5ForConditionalGeneration"),wm=n(` (or the Tensorflow/Flax variant), which includes the
language modeling head on top of the decoder.`),bp=c(),pi=a("ul"),ll=a("li"),$m=n("Unsupervised denoising training"),yp=c(),xe=a("p"),xm=n("In this setup, spans of the input sequence are masked by so-called sentinel tokens ("),cl=a("em"),Em=n("a.k.a"),zm=n(` unique mask tokens) and
the output sequence is formed as a concatenation of the same sentinel tokens and the `),pl=a("em"),Fm=n("real"),qm=n(` masked tokens. Each
sentinel token represents a unique mask token for this sentence and should start with `),hl=a("code"),jm=n("<extra_id_0>"),Mm=n(`,
`),ul=a("code"),Cm=n("<extra_id_1>"),Am=n(", \u2026 up to "),fl=a("code"),Pm=n("<extra_id_99>"),Om=n(`. As a default, 100 sentinel tokens are available in
`),hi=a("a"),Lm=n("T5Tokenizer"),Nm=n("."),wp=c(),ui=a("p"),Im=n(`For instance, the sentence \u201CThe cute dog walks in the park\u201D with the masks put on \u201Ccute dog\u201D and \u201Cthe\u201D should be
processed as follows:`),$p=c(),b(hs.$$.fragment),xp=c(),Ro=a("p"),Dm=n("If you\u2019re interested in pre-training T5 on a new corpus, check out the "),us=a("a"),Sm=n("run_t5_mlm_flax.py"),Gm=n(` script in the Examples
directory.`),Ep=c(),fi=a("ul"),ml=a("li"),Um=n("Supervised training"),zp=c(),mi=a("p"),Wm=n(`In this setup, the input sequence and output sequence are a standard sequence-to-sequence input-output mapping.
Suppose that we want to fine-tune the model for translation for example, and we have a training example: the input
sequence \u201CThe house is wonderful.\u201D and output sequence \u201CDas Haus ist wunderbar.\u201D, then they should be prepared for
the model as follows:`),Fp=c(),b(fs.$$.fragment),qp=c(),re=a("p"),Rm=n("As you can see, only 2 inputs are required for the model in order to compute a loss: "),_l=a("code"),Bm=n("input_ids"),Hm=n(` (which are the
`),gl=a("code"),Km=n("input_ids"),Vm=n(" of the encoded input sequence) and "),Tl=a("code"),Ym=n("labels"),Zm=n(" (which are the "),kl=a("code"),Jm=n("input_ids"),Xm=n(` of the encoded
target sequence). The model will automatically create the `),vl=a("code"),Qm=n("decoder_input_ids"),e_=n(" based on the "),bl=a("code"),t_=n("labels"),o_=n(`, by
shifting them one position to the right and prepending the `),yl=a("code"),n_=n("config.decoder_start_token_id"),s_=n(`, which for T5 is
equal to 0 (i.e. the id of the pad token). Also note the task prefix: we prepend the input sequence with \u2018translate
English to German: \u2019 before encoding it. This will help in improving the performance, as this task prefix was used
during T5\u2019s pre-training.`),jp=c(),Kt=a("p"),a_=n(`However, the example above only shows a single training example. In practice, one trains deep learning models in
batches. This entails that we must pad/truncate examples to the same length. For encoder-decoder models, one
typically defines a `),wl=a("code"),r_=n("max_source_length"),i_=n(" and "),$l=a("code"),d_=n("max_target_length"),l_=n(`, which determine the maximum length of the
input and output sequences respectively (otherwise they are truncated). These should be carefully set depending on
the task.`),Mp=c(),Ee=a("p"),c_=n("In addition, we must make sure that padding token id\u2019s of the "),xl=a("code"),p_=n("labels"),h_=n(` are not taken into account by the loss
function. In PyTorch and Tensorflow, this can be done by replacing them with -100, which is the `),El=a("code"),u_=n("ignore_index"),f_=n(`
of the `),zl=a("code"),m_=n("CrossEntropyLoss"),__=n(". In Flax, one can use the "),Fl=a("code"),g_=n("decoder_attention_mask"),T_=n(` to ignore padded tokens from
the loss (see the `),ms=a("a"),k_=n("Flax summarization script"),v_=n(` for details). We also pass
`),ql=a("code"),b_=n("attention_mask"),y_=n(` as additional input to the model, which makes sure that padding tokens of the inputs are
ignored. The code example below illustrates all of this.`),Cp=c(),b(_s.$$.fragment),Ap=c(),_i=a("p"),w_=n("Additional training tips:"),Pp=c(),gi=a("ul"),gs=a("li"),$_=n("T5 models need a slightly higher learning rate than the default one set in the "),jl=a("code"),x_=n("Trainer"),E_=n(` when using the AdamW
optimizer. Typically, 1e-4 and 3e-4 work well for most problems (classification, summarization, translation, question
answering, question generation). Note that T5 was pre-trained using the AdaFactor optimizer.`),Op=c(),Vt=a("p"),z_=n("According to "),Ts=a("a"),F_=n("this forum post"),q_=n(`, task prefixes matter when
(1) doing multi-task training (2) your task is similar or related to one of the supervised tasks used in T5\u2019s
pre-training mixture (see Appendix D of the `),ks=a("a"),j_=n("paper"),M_=n(` for the task prefixes
used).`),Lp=c(),Bo=a("p"),C_=n(`If training on TPU, it is recommended to pad all examples of the dataset to the same length or make use of
`),Ml=a("em"),A_=n("pad_to_multiple_of"),P_=n(` to have a small number of predefined bucket sizes to fit all examples in. Dynamically padding
batches to the longest example is not recommended on TPU as it triggers a recompilation for every batch shape that is
encountered during training thus significantly slowing down the training. only padding up to the longest example in a
batch) leads to very slow training on TPU.`),Np=c(),Ti=a("a"),Ip=c(),io=a("h2"),Ho=a("a"),Cl=a("span"),b(vs.$$.fragment),O_=c(),Al=a("span"),L_=n("Inference"),Dp=c(),Et=a("p"),N_=n("At inference time, it is recommended to use "),ki=a("a"),I_=n("generate()"),D_=n(`. This
method takes care of encoding the input and feeding the encoded hidden states via cross-attention layers to the decoder
and auto-regressively generates the decoder output. Check out `),bs=a("a"),S_=n("this blog post"),G_=n(` to know all the details about generating text with Transformers.
There\u2019s also `),ys=a("a"),U_=n("this blog post"),W_=n(` which explains how
generation works in general in encoder-decoder models.`),Sp=c(),b(ws.$$.fragment),Gp=c(),dt=a("p"),R_=n("Note that T5 uses the "),Pl=a("code"),B_=n("pad_token_id"),H_=n(" as the "),Ol=a("code"),K_=n("decoder_start_token_id"),V_=n(`, so when doing generation without using
`),vi=a("a"),Y_=n("generate()"),Z_=n(", make sure you start it with the "),Ll=a("code"),J_=n("pad_token_id"),X_=n("."),Up=c(),bi=a("p"),Q_=n("The example above only shows a single example. You can also do batched inference, like so:"),Wp=c(),b($s.$$.fragment),Rp=c(),yi=a("p"),eg=n(`Because T5 has been trained with the span-mask denoising objective,
it can be used to predict the sentinel (masked-out) tokens during inference.
The predicted tokens will then be placed between the sentinel tokens.`),Bp=c(),b(xs.$$.fragment),Hp=c(),wi=a("a"),Kp=c(),lo=a("h2"),Ko=a("a"),Nl=a("span"),b(Es.$$.fragment),tg=c(),Il=a("span"),og=n("Performance"),Vp=c(),zt=a("p"),ng=n("If you\u2019d like a faster training and inference performance, install "),zs=a("a"),sg=n("apex"),ag=n(" and then the model will automatically use "),Dl=a("code"),rg=n("apex.normalization.FusedRMSNorm"),ig=n(" instead of "),Sl=a("code"),dg=n("T5LayerNorm"),lg=n(". The former uses an optimized fused kernel which is several times faster than the latter."),Yp=c(),co=a("h2"),Vo=a("a"),Gl=a("span"),b(Fs.$$.fragment),cg=c(),Ul=a("span"),pg=n("Resources"),Zp=c(),$i=a("p"),hg=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with T5. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Jp=c(),b(qs.$$.fragment),Xp=c(),Yo=a("ul"),js=a("li"),ug=n("A notebook for how to "),Ms=a("a"),fg=n("finetune T5 for classification and multiple choice"),mg=n("."),_g=c(),Cs=a("li"),gg=n("A notebook for how to "),As=a("a"),Tg=n("finetune T5 for sentiment span extraction"),kg=n(". \u{1F30E}"),Qp=c(),b(Ps.$$.fragment),eh=c(),xi=a("ul"),Os=a("li"),vg=n("A notebook for how to "),Ls=a("a"),bg=n("finetune T5 for named entity recognition"),yg=n(". \u{1F30E}"),th=c(),b(Ns.$$.fragment),oh=c(),Ei=a("ul"),Is=a("li"),wg=n("A notebook for "),Ds=a("a"),$g=n("Finetuning CodeT5 for generating docstrings from Ruby code"),xg=n("."),nh=c(),b(Ss.$$.fragment),sh=c(),ie=a("ul"),Gs=a("li"),Eg=n("A notebook to "),Us=a("a"),zg=n("Finetune T5-base-dutch to perform Dutch abstractive summarization on a TPU"),Fg=n("."),qg=c(),Ws=a("li"),jg=n("A notebook for how to "),Rs=a("a"),Mg=n("finetune T5 for summarization in PyTorch and track experiments with WandB"),Cg=n(". \u{1F30E}"),Ag=c(),Bs=a("li"),Pg=n("A blog post on "),Hs=a("a"),Og=n("Distributed Training: Train BART/T5 for Summarization using \u{1F917} Transformers and Amazon SageMaker"),Lg=n("."),Ng=c(),Yt=a("li"),zi=a("a"),Ig=n("T5ForConditionalGeneration"),Dg=n(" is supported by this "),Ks=a("a"),Sg=n("example script"),Gg=n(" and "),Vs=a("a"),Ug=n("notebook"),Wg=n("."),Rg=c(),Zt=a("li"),Fi=a("a"),Bg=n("TFT5ForConditionalGeneration"),Hg=n(" is supported by this "),Ys=a("a"),Kg=n("example script"),Vg=n(" and "),Zs=a("a"),Yg=n("notebook"),Zg=n("."),Jg=c(),Zo=a("li"),qi=a("a"),Xg=n("FlaxT5ForConditionalGeneration"),Qg=n(" is supported by this "),Js=a("a"),eT=n("example script"),tT=n("."),oT=c(),ji=a("li"),Xs=a("a"),nT=n("Summarization"),sT=n(" chapter of the \u{1F917} Hugging Face course."),aT=c(),Wl=a("li"),Mi=a("a"),rT=n("Summarization task guide"),ah=c(),b(Qs.$$.fragment),rh=c(),Ci=a("ul"),Ft=a("li"),Ai=a("a"),iT=n("FlaxT5ForConditionalGeneration"),dT=n(" is supported by this "),ea=a("a"),lT=n("example script"),cT=n(" for training T5 with a span-masked language model objective. The script also shows how to train a T5 tokenizer. "),Pi=a("a"),pT=n("FlaxT5ForConditionalGeneration"),hT=n(" is also supported by this "),ta=a("a"),uT=n("notebook"),fT=n("."),ih=c(),b(oa.$$.fragment),dh=c(),Jt=a("ul"),Xt=a("li"),Oi=a("a"),mT=n("T5ForConditionalGeneration"),_T=n(" is supported by this "),na=a("a"),gT=n("example script"),TT=n(" and "),sa=a("a"),kT=n("notebook"),vT=n("."),bT=c(),Qt=a("li"),Li=a("a"),yT=n("TFT5ForConditionalGeneration"),wT=n(" is supported by this "),aa=a("a"),$T=n("example script"),xT=n(" and "),ra=a("a"),ET=n("notebook"),zT=n("."),FT=c(),Rl=a("li"),Ni=a("a"),qT=n("Translation task guide"),lh=c(),b(ia.$$.fragment),ch=c(),Jo=a("ul"),da=a("li"),jT=n("A notebook on how to "),la=a("a"),MT=n("finetune T5 for question answering with TensorFlow 2"),CT=n(". \u{1F30E}"),AT=c(),ca=a("li"),PT=n("A notebook on how to "),pa=a("a"),OT=n("finetune T5 for question answering on a TPU"),LT=n("."),ph=c(),ha=a("p"),NT=n("\u{1F680} "),Bl=a("strong"),IT=n("Deploy"),hh=c(),Ii=a("ul"),ua=a("li"),DT=n("A blog post on how to deploy "),fa=a("a"),ST=n("T5 11B for inference for less than $500"),GT=n("."),uh=c(),po=a("h2"),Xo=a("a"),Hl=a("span"),b(ma.$$.fragment),UT=c(),Kl=a("span"),WT=n("T5Config"),fh=c(),Rt=a("div"),b(_a.$$.fragment),RT=c(),Bt=a("p"),BT=n("This is the configuration class to store the configuration of a "),Di=a("a"),HT=n("T5Model"),KT=n(" or a "),Si=a("a"),VT=n("TFT5Model"),YT=n(`. It is used to
instantiate a T5 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the T5
`),ga=a("a"),ZT=n("t5-small"),JT=n(" architecture."),XT=c(),ho=a("p"),QT=n("Configuration objects inherit from "),Gi=a("a"),ek=n("PretrainedConfig"),tk=n(` and can be used to control the model outputs. Read the
documentation from `),Ui=a("a"),ok=n("PretrainedConfig"),nk=n(" for more information."),mh=c(),uo=a("h2"),Qo=a("a"),Vl=a("span"),b(Ta.$$.fragment),sk=c(),Yl=a("span"),ak=n("T5Tokenizer"),_h=c(),fe=a("div"),b(ka.$$.fragment),rk=c(),va=a("p"),ik=n("Construct a T5 tokenizer. Based on "),ba=a("a"),dk=n("SentencePiece"),lk=n("."),ck=c(),ya=a("p"),pk=n("This tokenizer inherits from "),Wi=a("a"),hk=n("PreTrainedTokenizer"),uk=n(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),fk=c(),eo=a("div"),b(wa.$$.fragment),mk=c(),Zl=a("p"),_k=n(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),gk=c(),$a=a("ul"),Ri=a("li"),Tk=n("single sequence: "),Jl=a("code"),kk=n("X </s>"),vk=c(),Bi=a("li"),bk=n("pair of sequences: "),Xl=a("code"),yk=n("A </s> B </s>"),wk=c(),en=a("div"),b(xa.$$.fragment),$k=c(),Ea=a("p"),xk=n(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Ql=a("code"),Ek=n("prepare_for_model"),zk=n(" method."),Fk=c(),tn=a("div"),b(za.$$.fragment),qk=c(),ec=a("p"),jk=n(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),Mk=c(),Hi=a("div"),b(Fa.$$.fragment),gh=c(),fo=a("h2"),on=a("a"),tc=a("span"),b(qa.$$.fragment),Ck=c(),oc=a("span"),Ak=n("T5TokenizerFast"),Th=c(),Xe=a("div"),b(ja.$$.fragment),Pk=c(),mo=a("p"),Ok=n("Construct a \u201Cfast\u201D T5 tokenizer (backed by HuggingFace\u2019s "),nc=a("em"),Lk=n("tokenizers"),Nk=n(` library). Based on
`),Ma=a("a"),Ik=n("Unigram"),Dk=n("."),Sk=c(),Ca=a("p"),Gk=n("This tokenizer inherits from "),Ki=a("a"),Uk=n("PreTrainedTokenizerFast"),Wk=n(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Rk=c(),to=a("div"),b(Aa.$$.fragment),Bk=c(),sc=a("p"),Hk=n(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),Kk=c(),Pa=a("ul"),Vi=a("li"),Vk=n("single sequence: "),ac=a("code"),Yk=n("X </s>"),Zk=c(),Yi=a("li"),Jk=n("pair of sequences: "),rc=a("code"),Xk=n("A </s> B </s>"),Qk=c(),nn=a("div"),b(Oa.$$.fragment),ev=c(),ic=a("p"),tv=n(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),kh=c(),_o=a("h2"),sn=a("a"),dc=a("span"),b(La.$$.fragment),ov=c(),lc=a("span"),nv=n("T5Model"),vh=c(),Ce=a("div"),b(Na.$$.fragment),sv=c(),cc=a("p"),av=n("The bare T5 Model transformer outputting raw hidden-states without any specific head on top."),rv=c(),Ia=a("p"),iv=n("The T5 model was proposed in "),Da=a("a"),dv=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),lv=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),cv=c(),Sa=a("p"),pv=n("This model inherits from "),Zi=a("a"),hv=n("PreTrainedModel"),uv=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fv=c(),Ga=a("p"),mv=n("This model is also a PyTorch "),Ua=a("a"),_v=n("torch.nn.Module"),gv=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Tv=c(),qt=a("div"),b(Wa.$$.fragment),kv=c(),go=a("p"),vv=n("The "),Ji=a("a"),bv=n("T5Model"),yv=n(" forward method, overrides the "),pc=a("code"),wv=n("__call__"),$v=n(" special method."),xv=c(),b(an.$$.fragment),Ev=c(),b(rn.$$.fragment),bh=c(),To=a("h2"),dn=a("a"),hc=a("span"),b(Ra.$$.fragment),zv=c(),uc=a("span"),Fv=n("T5ForConditionalGeneration"),yh=c(),Ae=a("div"),b(Ba.$$.fragment),qv=c(),Ha=a("p"),jv=n("T5 Model with a "),fc=a("code"),Mv=n("language modeling"),Cv=n(" head on top."),Av=c(),Ka=a("p"),Pv=n("The T5 model was proposed in "),Va=a("a"),Ov=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),Lv=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Nv=c(),Ya=a("p"),Iv=n("This model inherits from "),Xi=a("a"),Dv=n("PreTrainedModel"),Sv=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Gv=c(),Za=a("p"),Uv=n("This model is also a PyTorch "),Ja=a("a"),Wv=n("torch.nn.Module"),Rv=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Bv=c(),jt=a("div"),b(Xa.$$.fragment),Hv=c(),ko=a("p"),Kv=n("The "),Qi=a("a"),Vv=n("T5ForConditionalGeneration"),Yv=n(" forward method, overrides the "),mc=a("code"),Zv=n("__call__"),Jv=n(" special method."),Xv=c(),b(ln.$$.fragment),Qv=c(),b(cn.$$.fragment),wh=c(),vo=a("h2"),pn=a("a"),_c=a("span"),b(Qa.$$.fragment),eb=c(),gc=a("span"),tb=n("T5EncoderModel"),$h=c(),Pe=a("div"),b(er.$$.fragment),ob=c(),Tc=a("p"),nb=n("The bare T5 Model transformer outputting encoder\u2019s raw hidden-states without any specific head on top."),sb=c(),tr=a("p"),ab=n("The T5 model was proposed in "),or=a("a"),rb=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),ib=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),db=c(),nr=a("p"),lb=n("This model inherits from "),ed=a("a"),cb=n("PreTrainedModel"),pb=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hb=c(),sr=a("p"),ub=n("This model is also a PyTorch "),ar=a("a"),fb=n("torch.nn.Module"),mb=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),_b=c(),Mt=a("div"),b(rr.$$.fragment),gb=c(),bo=a("p"),Tb=n("The "),td=a("a"),kb=n("T5EncoderModel"),vb=n(" forward method, overrides the "),kc=a("code"),bb=n("__call__"),yb=n(" special method."),wb=c(),b(hn.$$.fragment),$b=c(),b(un.$$.fragment),xh=c(),yo=a("h2"),fn=a("a"),vc=a("span"),b(ir.$$.fragment),xb=c(),bc=a("span"),Eb=n("TFT5Model"),Eh=c(),me=a("div"),b(dr.$$.fragment),zb=c(),yc=a("p"),Fb=n("The bare T5 Model transformer outputting raw hidden-stateswithout any specific head on top."),qb=c(),lr=a("p"),jb=n("The T5 model was proposed in "),cr=a("a"),Mb=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),Cb=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Ab=c(),pr=a("p"),Pb=n("This model inherits from "),od=a("a"),Ob=n("TFPreTrainedModel"),Lb=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Nb=c(),hr=a("p"),Ib=n("This model is also a "),ur=a("a"),Db=n("tf.keras.Model"),Sb=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Gb=c(),b(mn.$$.fragment),Ub=c(),Ct=a("div"),b(fr.$$.fragment),Wb=c(),wo=a("p"),Rb=n("The "),nd=a("a"),Bb=n("TFT5Model"),Hb=n(" forward method, overrides the "),wc=a("code"),Kb=n("__call__"),Vb=n(" special method."),Yb=c(),b(_n.$$.fragment),Zb=c(),b(gn.$$.fragment),zh=c(),$o=a("h2"),Tn=a("a"),$c=a("span"),b(mr.$$.fragment),Jb=c(),xc=a("span"),Xb=n("TFT5ForConditionalGeneration"),Fh=c(),_e=a("div"),b(_r.$$.fragment),Qb=c(),gr=a("p"),ey=n("T5 Model with a "),Ec=a("code"),ty=n("language modeling"),oy=n(" head on top."),ny=c(),Tr=a("p"),sy=n("The T5 model was proposed in "),kr=a("a"),ay=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),ry=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),iy=c(),vr=a("p"),dy=n("This model inherits from "),sd=a("a"),ly=n("TFPreTrainedModel"),cy=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),py=c(),br=a("p"),hy=n("This model is also a "),yr=a("a"),uy=n("tf.keras.Model"),fy=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),my=c(),b(kn.$$.fragment),_y=c(),At=a("div"),b(wr.$$.fragment),gy=c(),xo=a("p"),Ty=n("The "),ad=a("a"),ky=n("TFT5ForConditionalGeneration"),vy=n(" forward method, overrides the "),zc=a("code"),by=n("__call__"),yy=n(" special method."),wy=c(),b(vn.$$.fragment),$y=c(),b(bn.$$.fragment),qh=c(),Eo=a("h2"),yn=a("a"),Fc=a("span"),b($r.$$.fragment),xy=c(),qc=a("span"),Ey=n("TFT5EncoderModel"),jh=c(),ge=a("div"),b(xr.$$.fragment),zy=c(),jc=a("p"),Fy=n("The bare T5 Model transformer outputting encoder\u2019s raw hidden-stateswithout any specific head on top."),qy=c(),Er=a("p"),jy=n("The T5 model was proposed in "),zr=a("a"),My=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),Cy=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Ay=c(),Fr=a("p"),Py=n("This model inherits from "),rd=a("a"),Oy=n("TFPreTrainedModel"),Ly=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ny=c(),qr=a("p"),Iy=n("This model is also a "),jr=a("a"),Dy=n("tf.keras.Model"),Sy=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Gy=c(),b(wn.$$.fragment),Uy=c(),Pt=a("div"),b(Mr.$$.fragment),Wy=c(),zo=a("p"),Ry=n("The "),id=a("a"),By=n("TFT5EncoderModel"),Hy=n(" forward method, overrides the "),Mc=a("code"),Ky=n("__call__"),Vy=n(" special method."),Yy=c(),b($n.$$.fragment),Zy=c(),b(xn.$$.fragment),Mh=c(),Fo=a("h2"),En=a("a"),Cc=a("span"),b(Cr.$$.fragment),Jy=c(),Ac=a("span"),Xy=n("FlaxT5Model"),Ch=c(),mt=a("div"),b(Ar.$$.fragment),Qy=c(),Ot=a("div"),b(Pr.$$.fragment),e1=c(),qo=a("p"),t1=n("The "),Pc=a("code"),o1=n("FlaxT5PreTrainedModel"),n1=n(" forward method, overrides the "),Oc=a("code"),s1=n("__call__"),a1=n(" special method."),r1=c(),b(zn.$$.fragment),i1=c(),b(Fn.$$.fragment),d1=c(),qn=a("div"),b(Or.$$.fragment),l1=c(),b(jn.$$.fragment),c1=c(),Mn=a("div"),b(Lr.$$.fragment),p1=c(),b(Cn.$$.fragment),Ah=c(),jo=a("h2"),An=a("a"),Lc=a("span"),b(Nr.$$.fragment),h1=c(),Nc=a("span"),u1=n("FlaxT5ForConditionalGeneration"),Ph=c(),_t=a("div"),b(Ir.$$.fragment),f1=c(),Lt=a("div"),b(Dr.$$.fragment),m1=c(),Mo=a("p"),_1=n("The "),Ic=a("code"),g1=n("FlaxT5PreTrainedModel"),T1=n(" forward method, overrides the "),Dc=a("code"),k1=n("__call__"),v1=n(" special method."),b1=c(),b(Pn.$$.fragment),y1=c(),b(On.$$.fragment),w1=c(),Ln=a("div"),b(Sr.$$.fragment),$1=c(),b(Nn.$$.fragment),x1=c(),In=a("div"),b(Gr.$$.fragment),E1=c(),b(Dn.$$.fragment),Oh=c(),Co=a("h2"),Sn=a("a"),Sc=a("span"),b(Ur.$$.fragment),z1=c(),Gc=a("span"),F1=n("FlaxT5EncoderModel"),Lh=c(),Ao=a("div"),b(Wr.$$.fragment),q1=c(),oo=a("div"),b(Rr.$$.fragment),j1=c(),Po=a("p"),M1=n("The "),dd=a("a"),C1=n("FlaxT5EncoderModel"),A1=n(" forward method, overrides the "),Uc=a("code"),P1=n("__call__"),O1=n(" special method."),L1=c(),b(Gn.$$.fragment),this.h()},l(o){const h=P$('[data-svelte="svelte-1phssyn"]',document.head);f=r(h,"META",{name:!0,content:!0}),h.forEach(t),k=p(o),g=r(o,"H1",{class:!0});var Br=i(g);_=r(Br,"A",{id:!0,class:!0,href:!0});var Wc=i(_);T=r(Wc,"SPAN",{});var Rc=i(T);y(l.$$.fragment,Rc),Rc.forEach(t),Wc.forEach(t),m=p(Br),q=r(Br,"SPAN",{});var Bc=i(q);Se=s(Bc,"T5"),Bc.forEach(t),Br.forEach(t),Oe=p(o),N=r(o,"DIV",{class:!0});var Oo=i(N);Te=r(Oo,"A",{href:!0});var Hc=i(Te);Y=r(Hc,"IMG",{alt:!0,src:!0}),Hc.forEach(t),Ge=p(Oo),W=r(Oo,"A",{href:!0});var Kc=i(W);ke=r(Kc,"IMG",{alt:!0,src:!0}),Kc.forEach(t),Z=p(Oo),ve=r(Oo,"A",{href:!0});var Vc=i(ve);be=r(Vc,"IMG",{alt:!0,src:!0}),Vc.forEach(t),Oo.forEach(t),Le=p(o),J=r(o,"H2",{class:!0});var Hr=i(J);D=r(Hr,"A",{id:!0,class:!0,href:!0});var Yc=i(D);qe=r(Yc,"SPAN",{});var Zc=i(qe);y(de.$$.fragment,Zc),Zc.forEach(t),Yc.forEach(t),X=p(Hr),je=r(Hr,"SPAN",{});var Jc=i(je);Ue=s(Jc,"Overview"),Jc.forEach(t),Hr.forEach(t),le=p(o),M=r(o,"P",{});var gt=i(M);O=s(gt,"The T5 model was presented in "),ce=r(gt,"A",{href:!0,rel:!0});var Xc=i(ce);Q=s(Xc,"Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer"),Xc.forEach(t),We=s(gt," by "),pe=r(gt,"A",{href:!0,rel:!0});var Qc=i(pe);ee=s(Qc,"Colin Raffel"),Qc.forEach(t),Re=s(gt,", Noam Shazeer, "),he=r(gt,"A",{href:!0,rel:!0});var ep=i(he);L=s(ep,"Adam Roberts"),ep.forEach(t),Be=s(gt,`, Katherine Lee, Sharan Narang,
Michael Matena, Yanqi Zhou, Wei Li, `),G=r(gt,"A",{href:!0,rel:!0});var tp=i(G);He=s(tp,"Peter J. Liu"),tp.forEach(t),Ke=s(gt,"."),gt.forEach(t),V=p(o),ye=r(o,"P",{});var op=i(ye);Ve=s(op,"The abstract from the paper is the following:"),op.forEach(t),U=p(o),we=r(o,"P",{});var np=i(we);H=r(np,"EM",{});var sp=i(H);Ye=s(sp,`Transfer learning, where a model is first pre-trained on a data-rich task before being fine-tuned on a downstream
task, has emerged as a powerful technique in natural language processing (NLP). The effectiveness of transfer learning
has given rise to a diversity of approaches, methodology, and practice. In this paper, we explore the landscape of
transfer learning techniques for NLP by introducing a unified framework that converts every language problem into a
text-to-text format. Our systematic study compares pretraining objectives, architectures, unlabeled datasets, transfer
approaches, and other factors on dozens of language understanding tasks. By combining the insights from our exploration
with scale and our new \u201CColossal Clean Crawled Corpus\u201D, we achieve state-of-the-art results on many benchmarks covering
summarization, question answering, text classification, and more. To facilitate future work on transfer learning for
NLP, we release our dataset, pre-trained models, and code.`),sp.forEach(t),np.forEach(t),ue=p(o),A=r(o,"P",{});var ap=i(A);Ze=s(ap,"Tips:"),ap.forEach(t),I=p(o),S=r(o,"UL",{});var Tt=i(S);Me=r(Tt,"LI",{});var rp=i(Me);v=r(rp,"P",{});var Lo=i(v);j=s(Lo,`T5 is an encoder-decoder model pre-trained on a multi-task mixture of unsupervised and supervised tasks and for which
each task is converted into a text-to-text format. T5 works well on a variety of tasks out-of-the-box by prepending a
different prefix to the input corresponding to each task, e.g., for translation: `),et=r(Lo,"EM",{});var K1=i(et);$e=s(K1,"translate English to German: \u2026"),K1.forEach(t),kt=s(Lo,`,
for summarization: `),tt=r(Lo,"EM",{});var V1=i(tt);C=s(V1,"summarize: \u2026"),V1.forEach(t),vt=s(Lo,"."),Lo.forEach(t),rp.forEach(t),bt=p(Tt),ot=r(Tt,"LI",{});var Y1=i(ot);nt=r(Y1,"P",{});var Z1=i(nt);yt=s(Z1,"The pretraining includes both supervised and self-supervised training. Supervised training is conducted on downstream tasks provided by the GLUE and SuperGLUE benchmarks (converting them into text-to-text tasks as explained above)."),Z1.forEach(t),Y1.forEach(t),R=p(Tt),K=r(Tt,"LI",{});var J1=i(K);st=r(J1,"P",{});var X1=i(st);wt=s(X1,"Self-supervised training uses corrupted tokens, by randomly removing 15% of the tokens and replacing them with individual sentinel tokens (if several consecutive tokens are marked for removal, the whole group is replaced with a single sentinel token). The input of the encoder is the corrupted sentence, the input of the decoder is the original sentence and the target is then the dropped out tokens delimited by their sentinel tokens."),X1.forEach(t),J1.forEach(t),te=p(Tt),at=r(Tt,"LI",{});var Q1=i(at);rt=r(Q1,"P",{});var e5=i(rt);Je=s(e5,"T5 uses relative scalar embeddings. Encoder input padding can be done on the left and on the right."),e5.forEach(t),Q1.forEach(t),$t=p(Tt),se=r(Tt,"LI",{});var t5=i(se);ae=r(t5,"P",{});var Un=i(ae);Ju=s(Un,"See the "),Xr=r(Un,"A",{href:!0});var o5=i(Xr);Xu=s(o5,"training"),o5.forEach(t),Qu=s(Un,", "),Qr=r(Un,"A",{href:!0});var n5=i(Qr);ef=s(n5,"inference"),n5.forEach(t),tf=s(Un," and "),ei=r(Un,"A",{href:!0});var s5=i(ei);of=s(s5,"scripts"),s5.forEach(t),nf=s(Un," sections below for all details regarding usage."),Un.forEach(t),t5.forEach(t),Tt.forEach(t),pp=p(o),ti=r(o,"P",{});var a5=i(ti);sf=s(a5,"T5 comes in different sizes:"),a5.forEach(t),hp=p(o),it=r(o,"UL",{});var no=i(it);Fd=r(no,"LI",{});var r5=i(Fd);qd=r(r5,"P",{});var i5=i(qd);ns=r(i5,"A",{href:!0,rel:!0});var d5=i(ns);af=s(d5,"t5-small"),d5.forEach(t),i5.forEach(t),r5.forEach(t),rf=p(no),jd=r(no,"LI",{});var l5=i(jd);Md=r(l5,"P",{});var c5=i(Md);ss=r(c5,"A",{href:!0,rel:!0});var p5=i(ss);df=s(p5,"t5-base"),p5.forEach(t),c5.forEach(t),l5.forEach(t),lf=p(no),Cd=r(no,"LI",{});var h5=i(Cd);Ad=r(h5,"P",{});var u5=i(Ad);as=r(u5,"A",{href:!0,rel:!0});var f5=i(as);cf=s(f5,"t5-large"),f5.forEach(t),u5.forEach(t),h5.forEach(t),pf=p(no),Pd=r(no,"LI",{});var m5=i(Pd);Od=r(m5,"P",{});var _5=i(Od);rs=r(_5,"A",{href:!0,rel:!0});var g5=i(rs);hf=s(g5,"t5-3b"),g5.forEach(t),_5.forEach(t),m5.forEach(t),uf=p(no),Ld=r(no,"LI",{});var T5=i(Ld);oi=r(T5,"P",{});var N1=i(oi);is=r(N1,"A",{href:!0,rel:!0});var k5=i(is);ff=s(k5,"t5-11b"),k5.forEach(t),mf=s(N1,"."),N1.forEach(t),T5.forEach(t),no.forEach(t),up=p(o),ni=r(o,"P",{});var v5=i(ni);_f=s(v5,"Based on the original T5 model, Google has released some follow-up works:"),v5.forEach(t),fp=p(o),Ne=r(o,"UL",{});var Nt=i(Ne);Nd=r(Nt,"LI",{});var b5=i(Nd);Io=r(b5,"P",{});var ip=i(Io);Id=r(ip,"STRONG",{});var y5=i(Id);gf=s(y5,"T5v1.1"),y5.forEach(t),Tf=s(ip,`: T5v1.1 is an improved version of T5 with some architectural tweaks, and is pre-trained on C4 only without
mixing in the supervised tasks. Refer to the documentation of T5v1.1 which can be found `),si=r(ip,"A",{href:!0});var w5=i(si);kf=s(w5,"here"),w5.forEach(t),vf=s(ip,"."),ip.forEach(t),b5.forEach(t),bf=p(Nt),Dd=r(Nt,"LI",{});var $5=i(Dd);Do=r($5,"P",{});var dp=i(Do);Sd=r(dp,"STRONG",{});var x5=i(Sd);yf=s(x5,"mT5"),x5.forEach(t),wf=s(dp,`: mT5 is a multilingual T5 model. It is pre-trained on the mC4 corpus, which includes 101 languages. Refer to
the documentation of mT5 which can be found `),ai=r(dp,"A",{href:!0});var E5=i(ai);$f=s(E5,"here"),E5.forEach(t),xf=s(dp,"."),dp.forEach(t),$5.forEach(t),Ef=p(Nt),Gd=r(Nt,"LI",{});var z5=i(Gd);So=r(z5,"P",{});var lp=i(So);Ud=r(lp,"STRONG",{});var F5=i(Ud);zf=s(F5,"byT5"),F5.forEach(t),Ff=s(lp,`: byT5 is a T5 model pre-trained on byte sequences rather than SentencePiece subword token sequences. Refer
to the documentation of byT5 which can be found `),ri=r(lp,"A",{href:!0});var q5=i(ri);qf=s(q5,"here"),q5.forEach(t),jf=s(lp,"."),lp.forEach(t),z5.forEach(t),Mf=p(Nt),Wd=r(Nt,"LI",{});var j5=i(Wd);ii=r(j5,"P",{});var I1=i(ii);Rd=r(I1,"STRONG",{});var M5=i(Rd);Cf=s(M5,"UL2"),M5.forEach(t),Af=s(I1,": UL2 is a T5 like model pretrained on various denoising objectives"),I1.forEach(t),j5.forEach(t),Pf=p(Nt),Bd=r(Nt,"LI",{});var C5=i(Bd);B=r(C5,"P",{});var oe=i(B);Hd=r(oe,"STRONG",{});var A5=i(Hd);Of=s(A5,"Flan-T5"),A5.forEach(t),Lf=s(oe,`: Flan is a pretraining methods that is based on prompting. The Flan-T5 are T5 models trained on the Flan collection of
datasets which include: `),Kd=r(oe,"CODE",{});var P5=i(Kd);Nf=s(P5,"taskmaster2"),P5.forEach(t),If=s(oe,", "),Vd=r(oe,"CODE",{});var O5=i(Vd);Df=s(O5,"djaym7/wiki_dialog"),O5.forEach(t),Sf=s(oe,", "),Yd=r(oe,"CODE",{});var L5=i(Yd);Gf=s(L5,"deepmind/code_contests"),L5.forEach(t),Uf=s(oe,", "),Zd=r(oe,"CODE",{});var N5=i(Zd);Wf=s(N5,"lambada"),N5.forEach(t),Rf=s(oe,", "),Jd=r(oe,"CODE",{});var I5=i(Jd);Bf=s(I5,"gsm8k"),I5.forEach(t),Hf=s(oe,", "),Xd=r(oe,"CODE",{});var D5=i(Xd);Kf=s(D5,"aqua_rat"),D5.forEach(t),Vf=s(oe,", "),Qd=r(oe,"CODE",{});var S5=i(Qd);Yf=s(S5,"esnli"),S5.forEach(t),Zf=s(oe,", "),el=r(oe,"CODE",{});var G5=i(el);Jf=s(G5,"quasc"),G5.forEach(t),Xf=s(oe," and "),tl=r(oe,"CODE",{});var U5=i(tl);Qf=s(U5,"qed"),U5.forEach(t),em=s(oe,"."),oe.forEach(t),C5.forEach(t),tm=p(Nt),ol=r(Nt,"LI",{});var W5=i(ol);di=r(W5,"P",{});var D1=i(di);nl=r(D1,"STRONG",{});var R5=i(nl);om=s(R5,"FLan-UL2"),R5.forEach(t),nm=s(D1," : the UL2 model finetuned using the \u201CFlan\u201D prompt tuning and dataset collection."),D1.forEach(t),W5.forEach(t),Nt.forEach(t),mp=p(o),Go=r(o,"P",{});var Ih=i(Go);sm=s(Ih,"All checkpoints can be found on the "),ds=r(Ih,"A",{href:!0,rel:!0});var B5=i(ds);am=s(B5,"hub"),B5.forEach(t),rm=s(Ih,"."),Ih.forEach(t),_p=p(o),Ht=r(o,"P",{});var ld=i(Ht);im=s(ld,"This model was contributed by "),ls=r(ld,"A",{href:!0,rel:!0});var H5=i(ls);dm=s(H5,"thomwolf"),H5.forEach(t),lm=s(ld,". The original code can be found "),cs=r(ld,"A",{href:!0,rel:!0});var K5=i(cs);cm=s(K5,"here"),K5.forEach(t),pm=s(ld,"."),ld.forEach(t),gp=p(o),li=r(o,"A",{id:!0}),i(li).forEach(t),Tp=p(o),ro=r(o,"H2",{class:!0});var Dh=i(ro);Uo=r(Dh,"A",{id:!0,class:!0,href:!0});var V5=i(Uo);sl=r(V5,"SPAN",{});var Y5=i(sl);y(ps.$$.fragment,Y5),Y5.forEach(t),V5.forEach(t),hm=p(Dh),al=r(Dh,"SPAN",{});var Z5=i(al);um=s(Z5,"Training"),Z5.forEach(t),Dh.forEach(t),kp=p(o),xt=r(o,"P",{});var Wn=i(xt);fm=s(Wn,`T5 is an encoder-decoder model and converts all NLP problems into a text-to-text format. It is trained using teacher
forcing. This means that for training, we always need an input sequence and a corresponding target sequence. The input
sequence is fed to the model using `),rl=r(Wn,"CODE",{});var J5=i(rl);mm=s(J5,"input_ids"),J5.forEach(t),_m=s(Wn,`. The target sequence is shifted to the right, i.e., prepended by a
start-sequence token and fed to the decoder using the `),il=r(Wn,"CODE",{});var X5=i(il);gm=s(X5,"decoder_input_ids"),X5.forEach(t),Tm=s(Wn,`. In teacher-forcing style, the target
sequence is then appended by the EOS token and corresponds to the `),dl=r(Wn,"CODE",{});var Q5=i(dl);km=s(Q5,"labels"),Q5.forEach(t),vm=s(Wn,`. The PAD token is hereby used as the
start-sequence token. T5 can be trained / fine-tuned both in a supervised and unsupervised fashion.`),Wn.forEach(t),vp=p(o),Wo=r(o,"P",{});var Sh=i(Wo);bm=s(Sh,"One can use "),ci=r(Sh,"A",{href:!0});var ew=i(ci);ym=s(ew,"T5ForConditionalGeneration"),ew.forEach(t),wm=s(Sh,` (or the Tensorflow/Flax variant), which includes the
language modeling head on top of the decoder.`),Sh.forEach(t),bp=p(o),pi=r(o,"UL",{});var tw=i(pi);ll=r(tw,"LI",{});var ow=i(ll);$m=s(ow,"Unsupervised denoising training"),ow.forEach(t),tw.forEach(t),yp=p(o),xe=r(o,"P",{});var lt=i(xe);xm=s(lt,"In this setup, spans of the input sequence are masked by so-called sentinel tokens ("),cl=r(lt,"EM",{});var nw=i(cl);Em=s(nw,"a.k.a"),nw.forEach(t),zm=s(lt,` unique mask tokens) and
the output sequence is formed as a concatenation of the same sentinel tokens and the `),pl=r(lt,"EM",{});var sw=i(pl);Fm=s(sw,"real"),sw.forEach(t),qm=s(lt,` masked tokens. Each
sentinel token represents a unique mask token for this sentence and should start with `),hl=r(lt,"CODE",{});var aw=i(hl);jm=s(aw,"<extra_id_0>"),aw.forEach(t),Mm=s(lt,`,
`),ul=r(lt,"CODE",{});var rw=i(ul);Cm=s(rw,"<extra_id_1>"),rw.forEach(t),Am=s(lt,", \u2026 up to "),fl=r(lt,"CODE",{});var iw=i(fl);Pm=s(iw,"<extra_id_99>"),iw.forEach(t),Om=s(lt,`. As a default, 100 sentinel tokens are available in
`),hi=r(lt,"A",{href:!0});var dw=i(hi);Lm=s(dw,"T5Tokenizer"),dw.forEach(t),Nm=s(lt,"."),lt.forEach(t),wp=p(o),ui=r(o,"P",{});var lw=i(ui);Im=s(lw,`For instance, the sentence \u201CThe cute dog walks in the park\u201D with the masks put on \u201Ccute dog\u201D and \u201Cthe\u201D should be
processed as follows:`),lw.forEach(t),$p=p(o),y(hs.$$.fragment,o),xp=p(o),Ro=r(o,"P",{});var Gh=i(Ro);Dm=s(Gh,"If you\u2019re interested in pre-training T5 on a new corpus, check out the "),us=r(Gh,"A",{href:!0,rel:!0});var cw=i(us);Sm=s(cw,"run_t5_mlm_flax.py"),cw.forEach(t),Gm=s(Gh,` script in the Examples
directory.`),Gh.forEach(t),Ep=p(o),fi=r(o,"UL",{});var pw=i(fi);ml=r(pw,"LI",{});var hw=i(ml);Um=s(hw,"Supervised training"),hw.forEach(t),pw.forEach(t),zp=p(o),mi=r(o,"P",{});var uw=i(mi);Wm=s(uw,`In this setup, the input sequence and output sequence are a standard sequence-to-sequence input-output mapping.
Suppose that we want to fine-tune the model for translation for example, and we have a training example: the input
sequence \u201CThe house is wonderful.\u201D and output sequence \u201CDas Haus ist wunderbar.\u201D, then they should be prepared for
the model as follows:`),uw.forEach(t),Fp=p(o),y(fs.$$.fragment,o),qp=p(o),re=r(o,"P",{});var Ie=i(re);Rm=s(Ie,"As you can see, only 2 inputs are required for the model in order to compute a loss: "),_l=r(Ie,"CODE",{});var fw=i(_l);Bm=s(fw,"input_ids"),fw.forEach(t),Hm=s(Ie,` (which are the
`),gl=r(Ie,"CODE",{});var mw=i(gl);Km=s(mw,"input_ids"),mw.forEach(t),Vm=s(Ie," of the encoded input sequence) and "),Tl=r(Ie,"CODE",{});var _w=i(Tl);Ym=s(_w,"labels"),_w.forEach(t),Zm=s(Ie," (which are the "),kl=r(Ie,"CODE",{});var gw=i(kl);Jm=s(gw,"input_ids"),gw.forEach(t),Xm=s(Ie,` of the encoded
target sequence). The model will automatically create the `),vl=r(Ie,"CODE",{});var Tw=i(vl);Qm=s(Tw,"decoder_input_ids"),Tw.forEach(t),e_=s(Ie," based on the "),bl=r(Ie,"CODE",{});var kw=i(bl);t_=s(kw,"labels"),kw.forEach(t),o_=s(Ie,`, by
shifting them one position to the right and prepending the `),yl=r(Ie,"CODE",{});var vw=i(yl);n_=s(vw,"config.decoder_start_token_id"),vw.forEach(t),s_=s(Ie,`, which for T5 is
equal to 0 (i.e. the id of the pad token). Also note the task prefix: we prepend the input sequence with \u2018translate
English to German: \u2019 before encoding it. This will help in improving the performance, as this task prefix was used
during T5\u2019s pre-training.`),Ie.forEach(t),jp=p(o),Kt=r(o,"P",{});var cd=i(Kt);a_=s(cd,`However, the example above only shows a single training example. In practice, one trains deep learning models in
batches. This entails that we must pad/truncate examples to the same length. For encoder-decoder models, one
typically defines a `),wl=r(cd,"CODE",{});var bw=i(wl);r_=s(bw,"max_source_length"),bw.forEach(t),i_=s(cd," and "),$l=r(cd,"CODE",{});var yw=i($l);d_=s(yw,"max_target_length"),yw.forEach(t),l_=s(cd,`, which determine the maximum length of the
input and output sequences respectively (otherwise they are truncated). These should be carefully set depending on
the task.`),cd.forEach(t),Mp=p(o),Ee=r(o,"P",{});var ct=i(Ee);c_=s(ct,"In addition, we must make sure that padding token id\u2019s of the "),xl=r(ct,"CODE",{});var ww=i(xl);p_=s(ww,"labels"),ww.forEach(t),h_=s(ct,` are not taken into account by the loss
function. In PyTorch and Tensorflow, this can be done by replacing them with -100, which is the `),El=r(ct,"CODE",{});var $w=i(El);u_=s($w,"ignore_index"),$w.forEach(t),f_=s(ct,`
of the `),zl=r(ct,"CODE",{});var xw=i(zl);m_=s(xw,"CrossEntropyLoss"),xw.forEach(t),__=s(ct,". In Flax, one can use the "),Fl=r(ct,"CODE",{});var Ew=i(Fl);g_=s(Ew,"decoder_attention_mask"),Ew.forEach(t),T_=s(ct,` to ignore padded tokens from
the loss (see the `),ms=r(ct,"A",{href:!0,rel:!0});var zw=i(ms);k_=s(zw,"Flax summarization script"),zw.forEach(t),v_=s(ct,` for details). We also pass
`),ql=r(ct,"CODE",{});var Fw=i(ql);b_=s(Fw,"attention_mask"),Fw.forEach(t),y_=s(ct,` as additional input to the model, which makes sure that padding tokens of the inputs are
ignored. The code example below illustrates all of this.`),ct.forEach(t),Cp=p(o),y(_s.$$.fragment,o),Ap=p(o),_i=r(o,"P",{});var qw=i(_i);w_=s(qw,"Additional training tips:"),qw.forEach(t),Pp=p(o),gi=r(o,"UL",{});var jw=i(gi);gs=r(jw,"LI",{});var Uh=i(gs);$_=s(Uh,"T5 models need a slightly higher learning rate than the default one set in the "),jl=r(Uh,"CODE",{});var Mw=i(jl);x_=s(Mw,"Trainer"),Mw.forEach(t),E_=s(Uh,` when using the AdamW
optimizer. Typically, 1e-4 and 3e-4 work well for most problems (classification, summarization, translation, question
answering, question generation). Note that T5 was pre-trained using the AdaFactor optimizer.`),Uh.forEach(t),jw.forEach(t),Op=p(o),Vt=r(o,"P",{});var pd=i(Vt);z_=s(pd,"According to "),Ts=r(pd,"A",{href:!0,rel:!0});var Cw=i(Ts);F_=s(Cw,"this forum post"),Cw.forEach(t),q_=s(pd,`, task prefixes matter when
(1) doing multi-task training (2) your task is similar or related to one of the supervised tasks used in T5\u2019s
pre-training mixture (see Appendix D of the `),ks=r(pd,"A",{href:!0,rel:!0});var Aw=i(ks);j_=s(Aw,"paper"),Aw.forEach(t),M_=s(pd,` for the task prefixes
used).`),pd.forEach(t),Lp=p(o),Bo=r(o,"P",{});var Wh=i(Bo);C_=s(Wh,`If training on TPU, it is recommended to pad all examples of the dataset to the same length or make use of
`),Ml=r(Wh,"EM",{});var Pw=i(Ml);A_=s(Pw,"pad_to_multiple_of"),Pw.forEach(t),P_=s(Wh,` to have a small number of predefined bucket sizes to fit all examples in. Dynamically padding
batches to the longest example is not recommended on TPU as it triggers a recompilation for every batch shape that is
encountered during training thus significantly slowing down the training. only padding up to the longest example in a
batch) leads to very slow training on TPU.`),Wh.forEach(t),Np=p(o),Ti=r(o,"A",{id:!0}),i(Ti).forEach(t),Ip=p(o),io=r(o,"H2",{class:!0});var Rh=i(io);Ho=r(Rh,"A",{id:!0,class:!0,href:!0});var Ow=i(Ho);Cl=r(Ow,"SPAN",{});var Lw=i(Cl);y(vs.$$.fragment,Lw),Lw.forEach(t),Ow.forEach(t),O_=p(Rh),Al=r(Rh,"SPAN",{});var Nw=i(Al);L_=s(Nw,"Inference"),Nw.forEach(t),Rh.forEach(t),Dp=p(o),Et=r(o,"P",{});var Rn=i(Et);N_=s(Rn,"At inference time, it is recommended to use "),ki=r(Rn,"A",{href:!0});var Iw=i(ki);I_=s(Iw,"generate()"),Iw.forEach(t),D_=s(Rn,`. This
method takes care of encoding the input and feeding the encoded hidden states via cross-attention layers to the decoder
and auto-regressively generates the decoder output. Check out `),bs=r(Rn,"A",{href:!0,rel:!0});var Dw=i(bs);S_=s(Dw,"this blog post"),Dw.forEach(t),G_=s(Rn,` to know all the details about generating text with Transformers.
There\u2019s also `),ys=r(Rn,"A",{href:!0,rel:!0});var Sw=i(ys);U_=s(Sw,"this blog post"),Sw.forEach(t),W_=s(Rn,` which explains how
generation works in general in encoder-decoder models.`),Rn.forEach(t),Sp=p(o),y(ws.$$.fragment,o),Gp=p(o),dt=r(o,"P",{});var so=i(dt);R_=s(so,"Note that T5 uses the "),Pl=r(so,"CODE",{});var Gw=i(Pl);B_=s(Gw,"pad_token_id"),Gw.forEach(t),H_=s(so," as the "),Ol=r(so,"CODE",{});var Uw=i(Ol);K_=s(Uw,"decoder_start_token_id"),Uw.forEach(t),V_=s(so,`, so when doing generation without using
`),vi=r(so,"A",{href:!0});var Ww=i(vi);Y_=s(Ww,"generate()"),Ww.forEach(t),Z_=s(so,", make sure you start it with the "),Ll=r(so,"CODE",{});var Rw=i(Ll);J_=s(Rw,"pad_token_id"),Rw.forEach(t),X_=s(so,"."),so.forEach(t),Up=p(o),bi=r(o,"P",{});var Bw=i(bi);Q_=s(Bw,"The example above only shows a single example. You can also do batched inference, like so:"),Bw.forEach(t),Wp=p(o),y($s.$$.fragment,o),Rp=p(o),yi=r(o,"P",{});var Hw=i(yi);eg=s(Hw,`Because T5 has been trained with the span-mask denoising objective,
it can be used to predict the sentinel (masked-out) tokens during inference.
The predicted tokens will then be placed between the sentinel tokens.`),Hw.forEach(t),Bp=p(o),y(xs.$$.fragment,o),Hp=p(o),wi=r(o,"A",{id:!0}),i(wi).forEach(t),Kp=p(o),lo=r(o,"H2",{class:!0});var Bh=i(lo);Ko=r(Bh,"A",{id:!0,class:!0,href:!0});var Kw=i(Ko);Nl=r(Kw,"SPAN",{});var Vw=i(Nl);y(Es.$$.fragment,Vw),Vw.forEach(t),Kw.forEach(t),tg=p(Bh),Il=r(Bh,"SPAN",{});var Yw=i(Il);og=s(Yw,"Performance"),Yw.forEach(t),Bh.forEach(t),Vp=p(o),zt=r(o,"P",{});var Bn=i(zt);ng=s(Bn,"If you\u2019d like a faster training and inference performance, install "),zs=r(Bn,"A",{href:!0,rel:!0});var Zw=i(zs);sg=s(Zw,"apex"),Zw.forEach(t),ag=s(Bn," and then the model will automatically use "),Dl=r(Bn,"CODE",{});var Jw=i(Dl);rg=s(Jw,"apex.normalization.FusedRMSNorm"),Jw.forEach(t),ig=s(Bn," instead of "),Sl=r(Bn,"CODE",{});var Xw=i(Sl);dg=s(Xw,"T5LayerNorm"),Xw.forEach(t),lg=s(Bn,". The former uses an optimized fused kernel which is several times faster than the latter."),Bn.forEach(t),Yp=p(o),co=r(o,"H2",{class:!0});var Hh=i(co);Vo=r(Hh,"A",{id:!0,class:!0,href:!0});var Qw=i(Vo);Gl=r(Qw,"SPAN",{});var e2=i(Gl);y(Fs.$$.fragment,e2),e2.forEach(t),Qw.forEach(t),cg=p(Hh),Ul=r(Hh,"SPAN",{});var t2=i(Ul);pg=s(t2,"Resources"),t2.forEach(t),Hh.forEach(t),Zp=p(o),$i=r(o,"P",{});var o2=i($i);hg=s(o2,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with T5. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),o2.forEach(t),Jp=p(o),y(qs.$$.fragment,o),Xp=p(o),Yo=r(o,"UL",{});var Kh=i(Yo);js=r(Kh,"LI",{});var Vh=i(js);ug=s(Vh,"A notebook for how to "),Ms=r(Vh,"A",{href:!0,rel:!0});var n2=i(Ms);fg=s(n2,"finetune T5 for classification and multiple choice"),n2.forEach(t),mg=s(Vh,"."),Vh.forEach(t),_g=p(Kh),Cs=r(Kh,"LI",{});var Yh=i(Cs);gg=s(Yh,"A notebook for how to "),As=r(Yh,"A",{href:!0,rel:!0});var s2=i(As);Tg=s(s2,"finetune T5 for sentiment span extraction"),s2.forEach(t),kg=s(Yh,". \u{1F30E}"),Yh.forEach(t),Kh.forEach(t),Qp=p(o),y(Ps.$$.fragment,o),eh=p(o),xi=r(o,"UL",{});var a2=i(xi);Os=r(a2,"LI",{});var Zh=i(Os);vg=s(Zh,"A notebook for how to "),Ls=r(Zh,"A",{href:!0,rel:!0});var r2=i(Ls);bg=s(r2,"finetune T5 for named entity recognition"),r2.forEach(t),yg=s(Zh,". \u{1F30E}"),Zh.forEach(t),a2.forEach(t),th=p(o),y(Ns.$$.fragment,o),oh=p(o),Ei=r(o,"UL",{});var i2=i(Ei);Is=r(i2,"LI",{});var Jh=i(Is);wg=s(Jh,"A notebook for "),Ds=r(Jh,"A",{href:!0,rel:!0});var d2=i(Ds);$g=s(d2,"Finetuning CodeT5 for generating docstrings from Ruby code"),d2.forEach(t),xg=s(Jh,"."),Jh.forEach(t),i2.forEach(t),nh=p(o),y(Ss.$$.fragment,o),sh=p(o),ie=r(o,"UL",{});var De=i(ie);Gs=r(De,"LI",{});var Xh=i(Gs);Eg=s(Xh,"A notebook to "),Us=r(Xh,"A",{href:!0,rel:!0});var l2=i(Us);zg=s(l2,"Finetune T5-base-dutch to perform Dutch abstractive summarization on a TPU"),l2.forEach(t),Fg=s(Xh,"."),Xh.forEach(t),qg=p(De),Ws=r(De,"LI",{});var Qh=i(Ws);jg=s(Qh,"A notebook for how to "),Rs=r(Qh,"A",{href:!0,rel:!0});var c2=i(Rs);Mg=s(c2,"finetune T5 for summarization in PyTorch and track experiments with WandB"),c2.forEach(t),Cg=s(Qh,". \u{1F30E}"),Qh.forEach(t),Ag=p(De),Bs=r(De,"LI",{});var eu=i(Bs);Pg=s(eu,"A blog post on "),Hs=r(eu,"A",{href:!0,rel:!0});var p2=i(Hs);Og=s(p2,"Distributed Training: Train BART/T5 for Summarization using \u{1F917} Transformers and Amazon SageMaker"),p2.forEach(t),Lg=s(eu,"."),eu.forEach(t),Ng=p(De),Yt=r(De,"LI",{});var Kr=i(Yt);zi=r(Kr,"A",{href:!0});var h2=i(zi);Ig=s(h2,"T5ForConditionalGeneration"),h2.forEach(t),Dg=s(Kr," is supported by this "),Ks=r(Kr,"A",{href:!0,rel:!0});var u2=i(Ks);Sg=s(u2,"example script"),u2.forEach(t),Gg=s(Kr," and "),Vs=r(Kr,"A",{href:!0,rel:!0});var f2=i(Vs);Ug=s(f2,"notebook"),f2.forEach(t),Wg=s(Kr,"."),Kr.forEach(t),Rg=p(De),Zt=r(De,"LI",{});var Vr=i(Zt);Fi=r(Vr,"A",{href:!0});var m2=i(Fi);Bg=s(m2,"TFT5ForConditionalGeneration"),m2.forEach(t),Hg=s(Vr," is supported by this "),Ys=r(Vr,"A",{href:!0,rel:!0});var _2=i(Ys);Kg=s(_2,"example script"),_2.forEach(t),Vg=s(Vr," and "),Zs=r(Vr,"A",{href:!0,rel:!0});var g2=i(Zs);Yg=s(g2,"notebook"),g2.forEach(t),Zg=s(Vr,"."),Vr.forEach(t),Jg=p(De),Zo=r(De,"LI",{});var cp=i(Zo);qi=r(cp,"A",{href:!0});var T2=i(qi);Xg=s(T2,"FlaxT5ForConditionalGeneration"),T2.forEach(t),Qg=s(cp," is supported by this "),Js=r(cp,"A",{href:!0,rel:!0});var k2=i(Js);eT=s(k2,"example script"),k2.forEach(t),tT=s(cp,"."),cp.forEach(t),oT=p(De),ji=r(De,"LI",{});var S1=i(ji);Xs=r(S1,"A",{href:!0,rel:!0});var v2=i(Xs);nT=s(v2,"Summarization"),v2.forEach(t),sT=s(S1," chapter of the \u{1F917} Hugging Face course."),S1.forEach(t),aT=p(De),Wl=r(De,"LI",{});var b2=i(Wl);Mi=r(b2,"A",{href:!0});var y2=i(Mi);rT=s(y2,"Summarization task guide"),y2.forEach(t),b2.forEach(t),De.forEach(t),ah=p(o),y(Qs.$$.fragment,o),rh=p(o),Ci=r(o,"UL",{});var w2=i(Ci);Ft=r(w2,"LI",{});var No=i(Ft);Ai=r(No,"A",{href:!0});var $2=i(Ai);iT=s($2,"FlaxT5ForConditionalGeneration"),$2.forEach(t),dT=s(No," is supported by this "),ea=r(No,"A",{href:!0,rel:!0});var x2=i(ea);lT=s(x2,"example script"),x2.forEach(t),cT=s(No," for training T5 with a span-masked language model objective. The script also shows how to train a T5 tokenizer. "),Pi=r(No,"A",{href:!0});var E2=i(Pi);pT=s(E2,"FlaxT5ForConditionalGeneration"),E2.forEach(t),hT=s(No," is also supported by this "),ta=r(No,"A",{href:!0,rel:!0});var z2=i(ta);uT=s(z2,"notebook"),z2.forEach(t),fT=s(No,"."),No.forEach(t),w2.forEach(t),ih=p(o),y(oa.$$.fragment,o),dh=p(o),Jt=r(o,"UL",{});var hd=i(Jt);Xt=r(hd,"LI",{});var Yr=i(Xt);Oi=r(Yr,"A",{href:!0});var F2=i(Oi);mT=s(F2,"T5ForConditionalGeneration"),F2.forEach(t),_T=s(Yr," is supported by this "),na=r(Yr,"A",{href:!0,rel:!0});var q2=i(na);gT=s(q2,"example script"),q2.forEach(t),TT=s(Yr," and "),sa=r(Yr,"A",{href:!0,rel:!0});var j2=i(sa);kT=s(j2,"notebook"),j2.forEach(t),vT=s(Yr,"."),Yr.forEach(t),bT=p(hd),Qt=r(hd,"LI",{});var Zr=i(Qt);Li=r(Zr,"A",{href:!0});var M2=i(Li);yT=s(M2,"TFT5ForConditionalGeneration"),M2.forEach(t),wT=s(Zr," is supported by this "),aa=r(Zr,"A",{href:!0,rel:!0});var C2=i(aa);$T=s(C2,"example script"),C2.forEach(t),xT=s(Zr," and "),ra=r(Zr,"A",{href:!0,rel:!0});var A2=i(ra);ET=s(A2,"notebook"),A2.forEach(t),zT=s(Zr,"."),Zr.forEach(t),FT=p(hd),Rl=r(hd,"LI",{});var P2=i(Rl);Ni=r(P2,"A",{href:!0});var O2=i(Ni);qT=s(O2,"Translation task guide"),O2.forEach(t),P2.forEach(t),hd.forEach(t),lh=p(o),y(ia.$$.fragment,o),ch=p(o),Jo=r(o,"UL",{});var tu=i(Jo);da=r(tu,"LI",{});var ou=i(da);jT=s(ou,"A notebook on how to "),la=r(ou,"A",{href:!0,rel:!0});var L2=i(la);MT=s(L2,"finetune T5 for question answering with TensorFlow 2"),L2.forEach(t),CT=s(ou,". \u{1F30E}"),ou.forEach(t),AT=p(tu),ca=r(tu,"LI",{});var nu=i(ca);PT=s(nu,"A notebook on how to "),pa=r(nu,"A",{href:!0,rel:!0});var N2=i(pa);OT=s(N2,"finetune T5 for question answering on a TPU"),N2.forEach(t),LT=s(nu,"."),nu.forEach(t),tu.forEach(t),ph=p(o),ha=r(o,"P",{});var G1=i(ha);NT=s(G1,"\u{1F680} "),Bl=r(G1,"STRONG",{});var I2=i(Bl);IT=s(I2,"Deploy"),I2.forEach(t),G1.forEach(t),hh=p(o),Ii=r(o,"UL",{});var D2=i(Ii);ua=r(D2,"LI",{});var su=i(ua);DT=s(su,"A blog post on how to deploy "),fa=r(su,"A",{href:!0,rel:!0});var S2=i(fa);ST=s(S2,"T5 11B for inference for less than $500"),S2.forEach(t),GT=s(su,"."),su.forEach(t),D2.forEach(t),uh=p(o),po=r(o,"H2",{class:!0});var au=i(po);Xo=r(au,"A",{id:!0,class:!0,href:!0});var G2=i(Xo);Hl=r(G2,"SPAN",{});var U2=i(Hl);y(ma.$$.fragment,U2),U2.forEach(t),G2.forEach(t),UT=p(au),Kl=r(au,"SPAN",{});var W2=i(Kl);WT=s(W2,"T5Config"),W2.forEach(t),au.forEach(t),fh=p(o),Rt=r(o,"DIV",{class:!0});var ud=i(Rt);y(_a.$$.fragment,ud),RT=p(ud),Bt=r(ud,"P",{});var Hn=i(Bt);BT=s(Hn,"This is the configuration class to store the configuration of a "),Di=r(Hn,"A",{href:!0});var R2=i(Di);HT=s(R2,"T5Model"),R2.forEach(t),KT=s(Hn," or a "),Si=r(Hn,"A",{href:!0});var B2=i(Si);VT=s(B2,"TFT5Model"),B2.forEach(t),YT=s(Hn,`. It is used to
instantiate a T5 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the T5
`),ga=r(Hn,"A",{href:!0,rel:!0});var H2=i(ga);ZT=s(H2,"t5-small"),H2.forEach(t),JT=s(Hn," architecture."),Hn.forEach(t),XT=p(ud),ho=r(ud,"P",{});var fd=i(ho);QT=s(fd,"Configuration objects inherit from "),Gi=r(fd,"A",{href:!0});var K2=i(Gi);ek=s(K2,"PretrainedConfig"),K2.forEach(t),tk=s(fd,` and can be used to control the model outputs. Read the
documentation from `),Ui=r(fd,"A",{href:!0});var V2=i(Ui);ok=s(V2,"PretrainedConfig"),V2.forEach(t),nk=s(fd," for more information."),fd.forEach(t),ud.forEach(t),mh=p(o),uo=r(o,"H2",{class:!0});var ru=i(uo);Qo=r(ru,"A",{id:!0,class:!0,href:!0});var Y2=i(Qo);Vl=r(Y2,"SPAN",{});var Z2=i(Vl);y(Ta.$$.fragment,Z2),Z2.forEach(t),Y2.forEach(t),sk=p(ru),Yl=r(ru,"SPAN",{});var J2=i(Yl);ak=s(J2,"T5Tokenizer"),J2.forEach(t),ru.forEach(t),_h=p(o),fe=r(o,"DIV",{class:!0});var pt=i(fe);y(ka.$$.fragment,pt),rk=p(pt),va=r(pt,"P",{});var iu=i(va);ik=s(iu,"Construct a T5 tokenizer. Based on "),ba=r(iu,"A",{href:!0,rel:!0});var X2=i(ba);dk=s(X2,"SentencePiece"),X2.forEach(t),lk=s(iu,"."),iu.forEach(t),ck=p(pt),ya=r(pt,"P",{});var du=i(ya);pk=s(du,"This tokenizer inherits from "),Wi=r(du,"A",{href:!0});var Q2=i(Wi);hk=s(Q2,"PreTrainedTokenizer"),Q2.forEach(t),uk=s(du,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),du.forEach(t),fk=p(pt),eo=r(pt,"DIV",{class:!0});var md=i(eo);y(wa.$$.fragment,md),mk=p(md),Zl=r(md,"P",{});var e0=i(Zl);_k=s(e0,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),e0.forEach(t),gk=p(md),$a=r(md,"UL",{});var lu=i($a);Ri=r(lu,"LI",{});var U1=i(Ri);Tk=s(U1,"single sequence: "),Jl=r(U1,"CODE",{});var t0=i(Jl);kk=s(t0,"X </s>"),t0.forEach(t),U1.forEach(t),vk=p(lu),Bi=r(lu,"LI",{});var W1=i(Bi);bk=s(W1,"pair of sequences: "),Xl=r(W1,"CODE",{});var o0=i(Xl);yk=s(o0,"A </s> B </s>"),o0.forEach(t),W1.forEach(t),lu.forEach(t),md.forEach(t),wk=p(pt),en=r(pt,"DIV",{class:!0});var cu=i(en);y(xa.$$.fragment,cu),$k=p(cu),Ea=r(cu,"P",{});var pu=i(Ea);xk=s(pu,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Ql=r(pu,"CODE",{});var n0=i(Ql);Ek=s(n0,"prepare_for_model"),n0.forEach(t),zk=s(pu," method."),pu.forEach(t),cu.forEach(t),Fk=p(pt),tn=r(pt,"DIV",{class:!0});var hu=i(tn);y(za.$$.fragment,hu),qk=p(hu),ec=r(hu,"P",{});var s0=i(ec);jk=s(s0,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),s0.forEach(t),hu.forEach(t),Mk=p(pt),Hi=r(pt,"DIV",{class:!0});var a0=i(Hi);y(Fa.$$.fragment,a0),a0.forEach(t),pt.forEach(t),gh=p(o),fo=r(o,"H2",{class:!0});var uu=i(fo);on=r(uu,"A",{id:!0,class:!0,href:!0});var r0=i(on);tc=r(r0,"SPAN",{});var i0=i(tc);y(qa.$$.fragment,i0),i0.forEach(t),r0.forEach(t),Ck=p(uu),oc=r(uu,"SPAN",{});var d0=i(oc);Ak=s(d0,"T5TokenizerFast"),d0.forEach(t),uu.forEach(t),Th=p(o),Xe=r(o,"DIV",{class:!0});var ao=i(Xe);y(ja.$$.fragment,ao),Pk=p(ao),mo=r(ao,"P",{});var _d=i(mo);Ok=s(_d,"Construct a \u201Cfast\u201D T5 tokenizer (backed by HuggingFace\u2019s "),nc=r(_d,"EM",{});var l0=i(nc);Lk=s(l0,"tokenizers"),l0.forEach(t),Nk=s(_d,` library). Based on
`),Ma=r(_d,"A",{href:!0,rel:!0});var c0=i(Ma);Ik=s(c0,"Unigram"),c0.forEach(t),Dk=s(_d,"."),_d.forEach(t),Sk=p(ao),Ca=r(ao,"P",{});var fu=i(Ca);Gk=s(fu,"This tokenizer inherits from "),Ki=r(fu,"A",{href:!0});var p0=i(Ki);Uk=s(p0,"PreTrainedTokenizerFast"),p0.forEach(t),Wk=s(fu,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),fu.forEach(t),Rk=p(ao),to=r(ao,"DIV",{class:!0});var gd=i(to);y(Aa.$$.fragment,gd),Bk=p(gd),sc=r(gd,"P",{});var h0=i(sc);Hk=s(h0,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),h0.forEach(t),Kk=p(gd),Pa=r(gd,"UL",{});var mu=i(Pa);Vi=r(mu,"LI",{});var R1=i(Vi);Vk=s(R1,"single sequence: "),ac=r(R1,"CODE",{});var u0=i(ac);Yk=s(u0,"X </s>"),u0.forEach(t),R1.forEach(t),Zk=p(mu),Yi=r(mu,"LI",{});var B1=i(Yi);Jk=s(B1,"pair of sequences: "),rc=r(B1,"CODE",{});var f0=i(rc);Xk=s(f0,"A </s> B </s>"),f0.forEach(t),B1.forEach(t),mu.forEach(t),gd.forEach(t),Qk=p(ao),nn=r(ao,"DIV",{class:!0});var _u=i(nn);y(Oa.$$.fragment,_u),ev=p(_u),ic=r(_u,"P",{});var m0=i(ic);tv=s(m0,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),m0.forEach(t),_u.forEach(t),ao.forEach(t),kh=p(o),_o=r(o,"H2",{class:!0});var gu=i(_o);sn=r(gu,"A",{id:!0,class:!0,href:!0});var _0=i(sn);dc=r(_0,"SPAN",{});var g0=i(dc);y(La.$$.fragment,g0),g0.forEach(t),_0.forEach(t),ov=p(gu),lc=r(gu,"SPAN",{});var T0=i(lc);nv=s(T0,"T5Model"),T0.forEach(t),gu.forEach(t),vh=p(o),Ce=r(o,"DIV",{class:!0});var It=i(Ce);y(Na.$$.fragment,It),sv=p(It),cc=r(It,"P",{});var k0=i(cc);av=s(k0,"The bare T5 Model transformer outputting raw hidden-states without any specific head on top."),k0.forEach(t),rv=p(It),Ia=r(It,"P",{});var Tu=i(Ia);iv=s(Tu,"The T5 model was proposed in "),Da=r(Tu,"A",{href:!0,rel:!0});var v0=i(Da);dv=s(v0,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),v0.forEach(t),lv=s(Tu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Tu.forEach(t),cv=p(It),Sa=r(It,"P",{});var ku=i(Sa);pv=s(ku,"This model inherits from "),Zi=r(ku,"A",{href:!0});var b0=i(Zi);hv=s(b0,"PreTrainedModel"),b0.forEach(t),uv=s(ku,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ku.forEach(t),fv=p(It),Ga=r(It,"P",{});var vu=i(Ga);mv=s(vu,"This model is also a PyTorch "),Ua=r(vu,"A",{href:!0,rel:!0});var y0=i(Ua);_v=s(y0,"torch.nn.Module"),y0.forEach(t),gv=s(vu,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vu.forEach(t),Tv=p(It),qt=r(It,"DIV",{class:!0});var Kn=i(qt);y(Wa.$$.fragment,Kn),kv=p(Kn),go=r(Kn,"P",{});var Td=i(go);vv=s(Td,"The "),Ji=r(Td,"A",{href:!0});var w0=i(Ji);bv=s(w0,"T5Model"),w0.forEach(t),yv=s(Td," forward method, overrides the "),pc=r(Td,"CODE",{});var $0=i(pc);wv=s($0,"__call__"),$0.forEach(t),$v=s(Td," special method."),Td.forEach(t),xv=p(Kn),y(an.$$.fragment,Kn),Ev=p(Kn),y(rn.$$.fragment,Kn),Kn.forEach(t),It.forEach(t),bh=p(o),To=r(o,"H2",{class:!0});var bu=i(To);dn=r(bu,"A",{id:!0,class:!0,href:!0});var x0=i(dn);hc=r(x0,"SPAN",{});var E0=i(hc);y(Ra.$$.fragment,E0),E0.forEach(t),x0.forEach(t),zv=p(bu),uc=r(bu,"SPAN",{});var z0=i(uc);Fv=s(z0,"T5ForConditionalGeneration"),z0.forEach(t),bu.forEach(t),yh=p(o),Ae=r(o,"DIV",{class:!0});var Dt=i(Ae);y(Ba.$$.fragment,Dt),qv=p(Dt),Ha=r(Dt,"P",{});var yu=i(Ha);jv=s(yu,"T5 Model with a "),fc=r(yu,"CODE",{});var F0=i(fc);Mv=s(F0,"language modeling"),F0.forEach(t),Cv=s(yu," head on top."),yu.forEach(t),Av=p(Dt),Ka=r(Dt,"P",{});var wu=i(Ka);Pv=s(wu,"The T5 model was proposed in "),Va=r(wu,"A",{href:!0,rel:!0});var q0=i(Va);Ov=s(q0,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),q0.forEach(t),Lv=s(wu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),wu.forEach(t),Nv=p(Dt),Ya=r(Dt,"P",{});var $u=i(Ya);Iv=s($u,"This model inherits from "),Xi=r($u,"A",{href:!0});var j0=i(Xi);Dv=s(j0,"PreTrainedModel"),j0.forEach(t),Sv=s($u,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$u.forEach(t),Gv=p(Dt),Za=r(Dt,"P",{});var xu=i(Za);Uv=s(xu,"This model is also a PyTorch "),Ja=r(xu,"A",{href:!0,rel:!0});var M0=i(Ja);Wv=s(M0,"torch.nn.Module"),M0.forEach(t),Rv=s(xu,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),xu.forEach(t),Bv=p(Dt),jt=r(Dt,"DIV",{class:!0});var Vn=i(jt);y(Xa.$$.fragment,Vn),Hv=p(Vn),ko=r(Vn,"P",{});var kd=i(ko);Kv=s(kd,"The "),Qi=r(kd,"A",{href:!0});var C0=i(Qi);Vv=s(C0,"T5ForConditionalGeneration"),C0.forEach(t),Yv=s(kd," forward method, overrides the "),mc=r(kd,"CODE",{});var A0=i(mc);Zv=s(A0,"__call__"),A0.forEach(t),Jv=s(kd," special method."),kd.forEach(t),Xv=p(Vn),y(ln.$$.fragment,Vn),Qv=p(Vn),y(cn.$$.fragment,Vn),Vn.forEach(t),Dt.forEach(t),wh=p(o),vo=r(o,"H2",{class:!0});var Eu=i(vo);pn=r(Eu,"A",{id:!0,class:!0,href:!0});var P0=i(pn);_c=r(P0,"SPAN",{});var O0=i(_c);y(Qa.$$.fragment,O0),O0.forEach(t),P0.forEach(t),eb=p(Eu),gc=r(Eu,"SPAN",{});var L0=i(gc);tb=s(L0,"T5EncoderModel"),L0.forEach(t),Eu.forEach(t),$h=p(o),Pe=r(o,"DIV",{class:!0});var St=i(Pe);y(er.$$.fragment,St),ob=p(St),Tc=r(St,"P",{});var N0=i(Tc);nb=s(N0,"The bare T5 Model transformer outputting encoder\u2019s raw hidden-states without any specific head on top."),N0.forEach(t),sb=p(St),tr=r(St,"P",{});var zu=i(tr);ab=s(zu,"The T5 model was proposed in "),or=r(zu,"A",{href:!0,rel:!0});var I0=i(or);rb=s(I0,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),I0.forEach(t),ib=s(zu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),zu.forEach(t),db=p(St),nr=r(St,"P",{});var Fu=i(nr);lb=s(Fu,"This model inherits from "),ed=r(Fu,"A",{href:!0});var D0=i(ed);cb=s(D0,"PreTrainedModel"),D0.forEach(t),pb=s(Fu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Fu.forEach(t),hb=p(St),sr=r(St,"P",{});var qu=i(sr);ub=s(qu,"This model is also a PyTorch "),ar=r(qu,"A",{href:!0,rel:!0});var S0=i(ar);fb=s(S0,"torch.nn.Module"),S0.forEach(t),mb=s(qu,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),qu.forEach(t),_b=p(St),Mt=r(St,"DIV",{class:!0});var Yn=i(Mt);y(rr.$$.fragment,Yn),gb=p(Yn),bo=r(Yn,"P",{});var vd=i(bo);Tb=s(vd,"The "),td=r(vd,"A",{href:!0});var G0=i(td);kb=s(G0,"T5EncoderModel"),G0.forEach(t),vb=s(vd," forward method, overrides the "),kc=r(vd,"CODE",{});var U0=i(kc);bb=s(U0,"__call__"),U0.forEach(t),yb=s(vd," special method."),vd.forEach(t),wb=p(Yn),y(hn.$$.fragment,Yn),$b=p(Yn),y(un.$$.fragment,Yn),Yn.forEach(t),St.forEach(t),xh=p(o),yo=r(o,"H2",{class:!0});var ju=i(yo);fn=r(ju,"A",{id:!0,class:!0,href:!0});var W0=i(fn);vc=r(W0,"SPAN",{});var R0=i(vc);y(ir.$$.fragment,R0),R0.forEach(t),W0.forEach(t),xb=p(ju),bc=r(ju,"SPAN",{});var B0=i(bc);Eb=s(B0,"TFT5Model"),B0.forEach(t),ju.forEach(t),Eh=p(o),me=r(o,"DIV",{class:!0});var ht=i(me);y(dr.$$.fragment,ht),zb=p(ht),yc=r(ht,"P",{});var H0=i(yc);Fb=s(H0,"The bare T5 Model transformer outputting raw hidden-stateswithout any specific head on top."),H0.forEach(t),qb=p(ht),lr=r(ht,"P",{});var Mu=i(lr);jb=s(Mu,"The T5 model was proposed in "),cr=r(Mu,"A",{href:!0,rel:!0});var K0=i(cr);Mb=s(K0,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),K0.forEach(t),Cb=s(Mu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Mu.forEach(t),Ab=p(ht),pr=r(ht,"P",{});var Cu=i(pr);Pb=s(Cu,"This model inherits from "),od=r(Cu,"A",{href:!0});var V0=i(od);Ob=s(V0,"TFPreTrainedModel"),V0.forEach(t),Lb=s(Cu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cu.forEach(t),Nb=p(ht),hr=r(ht,"P",{});var Au=i(hr);Ib=s(Au,"This model is also a "),ur=r(Au,"A",{href:!0,rel:!0});var Y0=i(ur);Db=s(Y0,"tf.keras.Model"),Y0.forEach(t),Sb=s(Au,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Au.forEach(t),Gb=p(ht),y(mn.$$.fragment,ht),Ub=p(ht),Ct=r(ht,"DIV",{class:!0});var Zn=i(Ct);y(fr.$$.fragment,Zn),Wb=p(Zn),wo=r(Zn,"P",{});var bd=i(wo);Rb=s(bd,"The "),nd=r(bd,"A",{href:!0});var Z0=i(nd);Bb=s(Z0,"TFT5Model"),Z0.forEach(t),Hb=s(bd," forward method, overrides the "),wc=r(bd,"CODE",{});var J0=i(wc);Kb=s(J0,"__call__"),J0.forEach(t),Vb=s(bd," special method."),bd.forEach(t),Yb=p(Zn),y(_n.$$.fragment,Zn),Zb=p(Zn),y(gn.$$.fragment,Zn),Zn.forEach(t),ht.forEach(t),zh=p(o),$o=r(o,"H2",{class:!0});var Pu=i($o);Tn=r(Pu,"A",{id:!0,class:!0,href:!0});var X0=i(Tn);$c=r(X0,"SPAN",{});var Q0=i($c);y(mr.$$.fragment,Q0),Q0.forEach(t),X0.forEach(t),Jb=p(Pu),xc=r(Pu,"SPAN",{});var e$=i(xc);Xb=s(e$,"TFT5ForConditionalGeneration"),e$.forEach(t),Pu.forEach(t),Fh=p(o),_e=r(o,"DIV",{class:!0});var ut=i(_e);y(_r.$$.fragment,ut),Qb=p(ut),gr=r(ut,"P",{});var Ou=i(gr);ey=s(Ou,"T5 Model with a "),Ec=r(Ou,"CODE",{});var t$=i(Ec);ty=s(t$,"language modeling"),t$.forEach(t),oy=s(Ou," head on top."),Ou.forEach(t),ny=p(ut),Tr=r(ut,"P",{});var Lu=i(Tr);sy=s(Lu,"The T5 model was proposed in "),kr=r(Lu,"A",{href:!0,rel:!0});var o$=i(kr);ay=s(o$,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),o$.forEach(t),ry=s(Lu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Lu.forEach(t),iy=p(ut),vr=r(ut,"P",{});var Nu=i(vr);dy=s(Nu,"This model inherits from "),sd=r(Nu,"A",{href:!0});var n$=i(sd);ly=s(n$,"TFPreTrainedModel"),n$.forEach(t),cy=s(Nu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Nu.forEach(t),py=p(ut),br=r(ut,"P",{});var Iu=i(br);hy=s(Iu,"This model is also a "),yr=r(Iu,"A",{href:!0,rel:!0});var s$=i(yr);uy=s(s$,"tf.keras.Model"),s$.forEach(t),fy=s(Iu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Iu.forEach(t),my=p(ut),y(kn.$$.fragment,ut),_y=p(ut),At=r(ut,"DIV",{class:!0});var Jn=i(At);y(wr.$$.fragment,Jn),gy=p(Jn),xo=r(Jn,"P",{});var yd=i(xo);Ty=s(yd,"The "),ad=r(yd,"A",{href:!0});var a$=i(ad);ky=s(a$,"TFT5ForConditionalGeneration"),a$.forEach(t),vy=s(yd," forward method, overrides the "),zc=r(yd,"CODE",{});var r$=i(zc);by=s(r$,"__call__"),r$.forEach(t),yy=s(yd," special method."),yd.forEach(t),wy=p(Jn),y(vn.$$.fragment,Jn),$y=p(Jn),y(bn.$$.fragment,Jn),Jn.forEach(t),ut.forEach(t),qh=p(o),Eo=r(o,"H2",{class:!0});var Du=i(Eo);yn=r(Du,"A",{id:!0,class:!0,href:!0});var i$=i(yn);Fc=r(i$,"SPAN",{});var d$=i(Fc);y($r.$$.fragment,d$),d$.forEach(t),i$.forEach(t),xy=p(Du),qc=r(Du,"SPAN",{});var l$=i(qc);Ey=s(l$,"TFT5EncoderModel"),l$.forEach(t),Du.forEach(t),jh=p(o),ge=r(o,"DIV",{class:!0});var ft=i(ge);y(xr.$$.fragment,ft),zy=p(ft),jc=r(ft,"P",{});var c$=i(jc);Fy=s(c$,"The bare T5 Model transformer outputting encoder\u2019s raw hidden-stateswithout any specific head on top."),c$.forEach(t),qy=p(ft),Er=r(ft,"P",{});var Su=i(Er);jy=s(Su,"The T5 model was proposed in "),zr=r(Su,"A",{href:!0,rel:!0});var p$=i(zr);My=s(p$,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),p$.forEach(t),Cy=s(Su,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Su.forEach(t),Ay=p(ft),Fr=r(ft,"P",{});var Gu=i(Fr);Py=s(Gu,"This model inherits from "),rd=r(Gu,"A",{href:!0});var h$=i(rd);Oy=s(h$,"TFPreTrainedModel"),h$.forEach(t),Ly=s(Gu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Gu.forEach(t),Ny=p(ft),qr=r(ft,"P",{});var Uu=i(qr);Iy=s(Uu,"This model is also a "),jr=r(Uu,"A",{href:!0,rel:!0});var u$=i(jr);Dy=s(u$,"tf.keras.Model"),u$.forEach(t),Sy=s(Uu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Uu.forEach(t),Gy=p(ft),y(wn.$$.fragment,ft),Uy=p(ft),Pt=r(ft,"DIV",{class:!0});var Xn=i(Pt);y(Mr.$$.fragment,Xn),Wy=p(Xn),zo=r(Xn,"P",{});var wd=i(zo);Ry=s(wd,"The "),id=r(wd,"A",{href:!0});var f$=i(id);By=s(f$,"TFT5EncoderModel"),f$.forEach(t),Hy=s(wd," forward method, overrides the "),Mc=r(wd,"CODE",{});var m$=i(Mc);Ky=s(m$,"__call__"),m$.forEach(t),Vy=s(wd," special method."),wd.forEach(t),Yy=p(Xn),y($n.$$.fragment,Xn),Zy=p(Xn),y(xn.$$.fragment,Xn),Xn.forEach(t),ft.forEach(t),Mh=p(o),Fo=r(o,"H2",{class:!0});var Wu=i(Fo);En=r(Wu,"A",{id:!0,class:!0,href:!0});var _$=i(En);Cc=r(_$,"SPAN",{});var g$=i(Cc);y(Cr.$$.fragment,g$),g$.forEach(t),_$.forEach(t),Jy=p(Wu),Ac=r(Wu,"SPAN",{});var T$=i(Ac);Xy=s(T$,"FlaxT5Model"),T$.forEach(t),Wu.forEach(t),Ch=p(o),mt=r(o,"DIV",{class:!0});var Qn=i(mt);y(Ar.$$.fragment,Qn),Qy=p(Qn),Ot=r(Qn,"DIV",{class:!0});var es=i(Ot);y(Pr.$$.fragment,es),e1=p(es),qo=r(es,"P",{});var $d=i(qo);t1=s($d,"The "),Pc=r($d,"CODE",{});var k$=i(Pc);o1=s(k$,"FlaxT5PreTrainedModel"),k$.forEach(t),n1=s($d," forward method, overrides the "),Oc=r($d,"CODE",{});var v$=i(Oc);s1=s(v$,"__call__"),v$.forEach(t),a1=s($d," special method."),$d.forEach(t),r1=p(es),y(zn.$$.fragment,es),i1=p(es),y(Fn.$$.fragment,es),es.forEach(t),d1=p(Qn),qn=r(Qn,"DIV",{class:!0});var Ru=i(qn);y(Or.$$.fragment,Ru),l1=p(Ru),y(jn.$$.fragment,Ru),Ru.forEach(t),c1=p(Qn),Mn=r(Qn,"DIV",{class:!0});var Bu=i(Mn);y(Lr.$$.fragment,Bu),p1=p(Bu),y(Cn.$$.fragment,Bu),Bu.forEach(t),Qn.forEach(t),Ah=p(o),jo=r(o,"H2",{class:!0});var Hu=i(jo);An=r(Hu,"A",{id:!0,class:!0,href:!0});var b$=i(An);Lc=r(b$,"SPAN",{});var y$=i(Lc);y(Nr.$$.fragment,y$),y$.forEach(t),b$.forEach(t),h1=p(Hu),Nc=r(Hu,"SPAN",{});var w$=i(Nc);u1=s(w$,"FlaxT5ForConditionalGeneration"),w$.forEach(t),Hu.forEach(t),Ph=p(o),_t=r(o,"DIV",{class:!0});var ts=i(_t);y(Ir.$$.fragment,ts),f1=p(ts),Lt=r(ts,"DIV",{class:!0});var os=i(Lt);y(Dr.$$.fragment,os),m1=p(os),Mo=r(os,"P",{});var xd=i(Mo);_1=s(xd,"The "),Ic=r(xd,"CODE",{});var $$=i(Ic);g1=s($$,"FlaxT5PreTrainedModel"),$$.forEach(t),T1=s(xd," forward method, overrides the "),Dc=r(xd,"CODE",{});var x$=i(Dc);k1=s(x$,"__call__"),x$.forEach(t),v1=s(xd," special method."),xd.forEach(t),b1=p(os),y(Pn.$$.fragment,os),y1=p(os),y(On.$$.fragment,os),os.forEach(t),w1=p(ts),Ln=r(ts,"DIV",{class:!0});var Ku=i(Ln);y(Sr.$$.fragment,Ku),$1=p(Ku),y(Nn.$$.fragment,Ku),Ku.forEach(t),x1=p(ts),In=r(ts,"DIV",{class:!0});var Vu=i(In);y(Gr.$$.fragment,Vu),E1=p(Vu),y(Dn.$$.fragment,Vu),Vu.forEach(t),ts.forEach(t),Oh=p(o),Co=r(o,"H2",{class:!0});var Yu=i(Co);Sn=r(Yu,"A",{id:!0,class:!0,href:!0});var E$=i(Sn);Sc=r(E$,"SPAN",{});var z$=i(Sc);y(Ur.$$.fragment,z$),z$.forEach(t),E$.forEach(t),z1=p(Yu),Gc=r(Yu,"SPAN",{});var F$=i(Gc);F1=s(F$,"FlaxT5EncoderModel"),F$.forEach(t),Yu.forEach(t),Lh=p(o),Ao=r(o,"DIV",{class:!0});var Zu=i(Ao);y(Wr.$$.fragment,Zu),q1=p(Zu),oo=r(Zu,"DIV",{class:!0});var Ed=i(oo);y(Rr.$$.fragment,Ed),j1=p(Ed),Po=r(Ed,"P",{});var zd=i(Po);M1=s(zd,"The "),dd=r(zd,"A",{href:!0});var q$=i(dd);C1=s(q$,"FlaxT5EncoderModel"),q$.forEach(t),A1=s(zd," forward method, overrides the "),Uc=r(zd,"CODE",{});var j$=i(Uc);P1=s(j$,"__call__"),j$.forEach(t),O1=s(zd," special method."),zd.forEach(t),L1=p(Ed),y(Gn.$$.fragment,Ed),Ed.forEach(t),Zu.forEach(t),this.h()},h(){d(f,"name","hf:doc:metadata"),d(f,"content",JSON.stringify(ix)),d(_,"id","t5"),d(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(_,"href","#t5"),d(g,"class","relative group"),d(Y,"alt","Models"),H1(Y.src,z="https://img.shields.io/badge/All_model_pages-t5-blueviolet")||d(Y,"src",z),d(Te,"href","https://huggingface.co/models?filter=t5"),d(ke,"alt","Spaces"),H1(ke.src,Qe="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||d(ke,"src",Qe),d(W,"href","https://huggingface.co/spaces/docs-demos/t5-base"),d(be,"alt","Paper page"),H1(be.src,ne="https://img.shields.io/badge/Paper%20page-1910.10683-green")||d(be,"src",ne),d(ve,"href","https://huggingface.co/papers/1910.10683"),d(N,"class","flex flex-wrap space-x-1"),d(D,"id","overview"),d(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(D,"href","#overview"),d(J,"class","relative group"),d(ce,"href","https://arxiv.org/pdf/1910.10683.pdf"),d(ce,"rel","nofollow"),d(pe,"href","https://huggingface.co/craffel"),d(pe,"rel","nofollow"),d(he,"href","https://huggingface.co/adarob"),d(he,"rel","nofollow"),d(G,"href","https://huggingface.co/peterjliu"),d(G,"rel","nofollow"),d(Xr,"href","#training"),d(Qr,"href","#inference"),d(ei,"href","#scripts"),d(ns,"href","https://huggingface.co/t5-small"),d(ns,"rel","nofollow"),d(ss,"href","https://huggingface.co/t5-base"),d(ss,"rel","nofollow"),d(as,"href","https://huggingface.co/t5-large"),d(as,"rel","nofollow"),d(rs,"href","https://huggingface.co/t5-3b"),d(rs,"rel","nofollow"),d(is,"href","https://huggingface.co/t5-11b"),d(is,"rel","nofollow"),d(si,"href","t5v1.1"),d(ai,"href","mt5"),d(ri,"href","byt5"),d(ds,"href","https://huggingface.co/models?search=t5"),d(ds,"rel","nofollow"),d(ls,"href","https://huggingface.co/thomwolf"),d(ls,"rel","nofollow"),d(cs,"href","https://github.com/google-research/text-to-text-transfer-transformer"),d(cs,"rel","nofollow"),d(li,"id","training"),d(Uo,"id","training"),d(Uo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Uo,"href","#training"),d(ro,"class","relative group"),d(ci,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5ForConditionalGeneration"),d(hi,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Tokenizer"),d(us,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling"),d(us,"rel","nofollow"),d(ms,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/summarization"),d(ms,"rel","nofollow"),d(Ts,"href","https://discuss.huggingface.co/t/t5-finetuning-tips/684"),d(Ts,"rel","nofollow"),d(ks,"href","https://arxiv.org/pdf/1910.10683.pdf"),d(ks,"rel","nofollow"),d(Ti,"id","inference"),d(Ho,"id","inference"),d(Ho,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ho,"href","#inference"),d(io,"class","relative group"),d(ki,"href","/docs/transformers/pr_21990/en/main_classes/text_generation#transformers.GenerationMixin.generate"),d(bs,"href","https://huggingface.co/blog/how-to-generate"),d(bs,"rel","nofollow"),d(ys,"href","https://huggingface.co/blog/encoder-decoder#encoder-decoder"),d(ys,"rel","nofollow"),d(vi,"href","/docs/transformers/pr_21990/en/main_classes/text_generation#transformers.GenerationMixin.generate"),d(wi,"id","scripts"),d(Ko,"id","performance"),d(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ko,"href","#performance"),d(lo,"class","relative group"),d(zs,"href","https://github.com/NVIDIA/apex#quick-start"),d(zs,"rel","nofollow"),d(Vo,"id","resources"),d(Vo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vo,"href","#resources"),d(co,"class","relative group"),d(Ms,"href","https://colab.research.google.com/github/patil-suraj/exploring-T5/blob/master/t5_fine_tuning.ipynb"),d(Ms,"rel","nofollow"),d(As,"href","https://colab.research.google.com/github/enzoampil/t5-intro/blob/master/t5_qa_training_pytorch_span_extraction.ipynb"),d(As,"rel","nofollow"),d(Ls,"href","https://colab.research.google.com/drive/1obr78FY_cBmWY5ODViCmzdY6O1KB65Vc?usp=sharing"),d(Ls,"rel","nofollow"),d(Ds,"href","https://colab.research.google.com/github/NielsRogge/Transformers-Tutorials/blob/master/T5/Fine_tune_CodeT5_for_generating_docstrings_from_Ruby_code.ipynb"),d(Ds,"rel","nofollow"),d(Us,"href","https://colab.research.google.com/github/NielsRogge/Transformers-Tutorials/blob/master/T5/Fine_tuning_Dutch_T5_base_on_CNN_Daily_Mail_for_summarization_(on_TPU_using_HuggingFace_Accelerate).ipynb"),d(Us,"rel","nofollow"),d(Rs,"href","https://colab.research.google.com/github/abhimishra91/transformers-tutorials/blob/master/transformers_summarization_wandb.ipynb#scrollTo=OKRpFvYhBauC"),d(Rs,"rel","nofollow"),d(Hs,"href","https://huggingface.co/blog/sagemaker-distributed-training-seq2seq"),d(Hs,"rel","nofollow"),d(zi,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5ForConditionalGeneration"),d(Ks,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/summarization"),d(Ks,"rel","nofollow"),d(Vs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/summarization.ipynb"),d(Vs,"rel","nofollow"),d(Fi,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),d(Ys,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/summarization"),d(Ys,"rel","nofollow"),d(Zs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/summarization-tf.ipynb"),d(Zs,"rel","nofollow"),d(qi,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),d(Js,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/summarization"),d(Js,"rel","nofollow"),d(Xs,"href","https://huggingface.co/course/chapter7/5?fw=pt#summarization"),d(Xs,"rel","nofollow"),d(Mi,"href","../tasks/summarization"),d(Ai,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),d(ea,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#t5-like-span-masked-language-modeling"),d(ea,"rel","nofollow"),d(Pi,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),d(ta,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/masked_language_modeling_flax.ipynb"),d(ta,"rel","nofollow"),d(Oi,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5ForConditionalGeneration"),d(na,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/translation"),d(na,"rel","nofollow"),d(sa,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/translation.ipynb"),d(sa,"rel","nofollow"),d(Li,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),d(aa,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/translation"),d(aa,"rel","nofollow"),d(ra,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/translation-tf.ipynb"),d(ra,"rel","nofollow"),d(Ni,"href","../tasks/translation"),d(la,"href","https://colab.research.google.com/github/snapthat/TF-T5-text-to-text/blob/master/snapthatT5/notebooks/TF-T5-Datasets%20Training.ipynb"),d(la,"rel","nofollow"),d(pa,"href","https://colab.research.google.com/github/patil-suraj/exploring-T5/blob/master/T5_on_TPU.ipynb#scrollTo=QLGiFCDqvuil"),d(pa,"rel","nofollow"),d(fa,"href","https://www.philschmid.de/deploy-t5-11b"),d(fa,"rel","nofollow"),d(Xo,"id","transformers.T5Config"),d(Xo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Xo,"href","#transformers.T5Config"),d(po,"class","relative group"),d(Di,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Model"),d(Si,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.TFT5Model"),d(ga,"href","https://huggingface.co/t5-small"),d(ga,"rel","nofollow"),d(Gi,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),d(Ui,"href","/docs/transformers/pr_21990/en/main_classes/configuration#transformers.PretrainedConfig"),d(Rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qo,"id","transformers.T5Tokenizer"),d(Qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Qo,"href","#transformers.T5Tokenizer"),d(uo,"class","relative group"),d(ba,"href","https://github.com/google/sentencepiece"),d(ba,"rel","nofollow"),d(Wi,"href","/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),d(eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(en,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(tn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Hi,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(on,"id","transformers.T5TokenizerFast"),d(on,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(on,"href","#transformers.T5TokenizerFast"),d(fo,"class","relative group"),d(Ma,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),d(Ma,"rel","nofollow"),d(Ki,"href","/docs/transformers/pr_21990/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),d(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(sn,"id","transformers.T5Model"),d(sn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(sn,"href","#transformers.T5Model"),d(_o,"class","relative group"),d(Da,"href","https://arxiv.org/abs/1910.10683"),d(Da,"rel","nofollow"),d(Zi,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),d(Ua,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ua,"rel","nofollow"),d(Ji,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5Model"),d(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(dn,"id","transformers.T5ForConditionalGeneration"),d(dn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(dn,"href","#transformers.T5ForConditionalGeneration"),d(To,"class","relative group"),d(Va,"href","https://arxiv.org/abs/1910.10683"),d(Va,"rel","nofollow"),d(Xi,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),d(Ja,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ja,"rel","nofollow"),d(Qi,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5ForConditionalGeneration"),d(jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pn,"id","transformers.T5EncoderModel"),d(pn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pn,"href","#transformers.T5EncoderModel"),d(vo,"class","relative group"),d(or,"href","https://arxiv.org/abs/1910.10683"),d(or,"rel","nofollow"),d(ed,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.PreTrainedModel"),d(ar,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ar,"rel","nofollow"),d(td,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.T5EncoderModel"),d(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fn,"id","transformers.TFT5Model"),d(fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fn,"href","#transformers.TFT5Model"),d(yo,"class","relative group"),d(cr,"href","https://arxiv.org/abs/1910.10683"),d(cr,"rel","nofollow"),d(od,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel"),d(ur,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(ur,"rel","nofollow"),d(nd,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.TFT5Model"),d(Ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Tn,"id","transformers.TFT5ForConditionalGeneration"),d(Tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Tn,"href","#transformers.TFT5ForConditionalGeneration"),d($o,"class","relative group"),d(kr,"href","https://arxiv.org/abs/1910.10683"),d(kr,"rel","nofollow"),d(sd,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel"),d(yr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(yr,"rel","nofollow"),d(ad,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),d(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(yn,"id","transformers.TFT5EncoderModel"),d(yn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(yn,"href","#transformers.TFT5EncoderModel"),d(Eo,"class","relative group"),d(zr,"href","https://arxiv.org/abs/1910.10683"),d(zr,"rel","nofollow"),d(rd,"href","/docs/transformers/pr_21990/en/main_classes/model#transformers.TFPreTrainedModel"),d(jr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(jr,"rel","nofollow"),d(id,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.TFT5EncoderModel"),d(Pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(En,"id","transformers.FlaxT5Model"),d(En,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(En,"href","#transformers.FlaxT5Model"),d(Fo,"class","relative group"),d(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Mn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(An,"id","transformers.FlaxT5ForConditionalGeneration"),d(An,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(An,"href","#transformers.FlaxT5ForConditionalGeneration"),d(jo,"class","relative group"),d(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ln,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(In,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Sn,"id","transformers.FlaxT5EncoderModel"),d(Sn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Sn,"href","#transformers.FlaxT5EncoderModel"),d(Co,"class","relative group"),d(dd,"href","/docs/transformers/pr_21990/en/model_doc/t5#transformers.FlaxT5EncoderModel"),d(oo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,h){e(document.head,f),u(o,k,h),u(o,g,h),e(g,_),e(_,T),w(l,T,null),e(g,m),e(g,q),e(q,Se),u(o,Oe,h),u(o,N,h),e(N,Te),e(Te,Y),e(N,Ge),e(N,W),e(W,ke),e(N,Z),e(N,ve),e(ve,be),u(o,Le,h),u(o,J,h),e(J,D),e(D,qe),w(de,qe,null),e(J,X),e(J,je),e(je,Ue),u(o,le,h),u(o,M,h),e(M,O),e(M,ce),e(ce,Q),e(M,We),e(M,pe),e(pe,ee),e(M,Re),e(M,he),e(he,L),e(M,Be),e(M,G),e(G,He),e(M,Ke),u(o,V,h),u(o,ye,h),e(ye,Ve),u(o,U,h),u(o,we,h),e(we,H),e(H,Ye),u(o,ue,h),u(o,A,h),e(A,Ze),u(o,I,h),u(o,S,h),e(S,Me),e(Me,v),e(v,j),e(v,et),e(et,$e),e(v,kt),e(v,tt),e(tt,C),e(v,vt),e(S,bt),e(S,ot),e(ot,nt),e(nt,yt),e(S,R),e(S,K),e(K,st),e(st,wt),e(S,te),e(S,at),e(at,rt),e(rt,Je),e(S,$t),e(S,se),e(se,ae),e(ae,Ju),e(ae,Xr),e(Xr,Xu),e(ae,Qu),e(ae,Qr),e(Qr,ef),e(ae,tf),e(ae,ei),e(ei,of),e(ae,nf),u(o,pp,h),u(o,ti,h),e(ti,sf),u(o,hp,h),u(o,it,h),e(it,Fd),e(Fd,qd),e(qd,ns),e(ns,af),e(it,rf),e(it,jd),e(jd,Md),e(Md,ss),e(ss,df),e(it,lf),e(it,Cd),e(Cd,Ad),e(Ad,as),e(as,cf),e(it,pf),e(it,Pd),e(Pd,Od),e(Od,rs),e(rs,hf),e(it,uf),e(it,Ld),e(Ld,oi),e(oi,is),e(is,ff),e(oi,mf),u(o,up,h),u(o,ni,h),e(ni,_f),u(o,fp,h),u(o,Ne,h),e(Ne,Nd),e(Nd,Io),e(Io,Id),e(Id,gf),e(Io,Tf),e(Io,si),e(si,kf),e(Io,vf),e(Ne,bf),e(Ne,Dd),e(Dd,Do),e(Do,Sd),e(Sd,yf),e(Do,wf),e(Do,ai),e(ai,$f),e(Do,xf),e(Ne,Ef),e(Ne,Gd),e(Gd,So),e(So,Ud),e(Ud,zf),e(So,Ff),e(So,ri),e(ri,qf),e(So,jf),e(Ne,Mf),e(Ne,Wd),e(Wd,ii),e(ii,Rd),e(Rd,Cf),e(ii,Af),e(Ne,Pf),e(Ne,Bd),e(Bd,B),e(B,Hd),e(Hd,Of),e(B,Lf),e(B,Kd),e(Kd,Nf),e(B,If),e(B,Vd),e(Vd,Df),e(B,Sf),e(B,Yd),e(Yd,Gf),e(B,Uf),e(B,Zd),e(Zd,Wf),e(B,Rf),e(B,Jd),e(Jd,Bf),e(B,Hf),e(B,Xd),e(Xd,Kf),e(B,Vf),e(B,Qd),e(Qd,Yf),e(B,Zf),e(B,el),e(el,Jf),e(B,Xf),e(B,tl),e(tl,Qf),e(B,em),e(Ne,tm),e(Ne,ol),e(ol,di),e(di,nl),e(nl,om),e(di,nm),u(o,mp,h),u(o,Go,h),e(Go,sm),e(Go,ds),e(ds,am),e(Go,rm),u(o,_p,h),u(o,Ht,h),e(Ht,im),e(Ht,ls),e(ls,dm),e(Ht,lm),e(Ht,cs),e(cs,cm),e(Ht,pm),u(o,gp,h),u(o,li,h),u(o,Tp,h),u(o,ro,h),e(ro,Uo),e(Uo,sl),w(ps,sl,null),e(ro,hm),e(ro,al),e(al,um),u(o,kp,h),u(o,xt,h),e(xt,fm),e(xt,rl),e(rl,mm),e(xt,_m),e(xt,il),e(il,gm),e(xt,Tm),e(xt,dl),e(dl,km),e(xt,vm),u(o,vp,h),u(o,Wo,h),e(Wo,bm),e(Wo,ci),e(ci,ym),e(Wo,wm),u(o,bp,h),u(o,pi,h),e(pi,ll),e(ll,$m),u(o,yp,h),u(o,xe,h),e(xe,xm),e(xe,cl),e(cl,Em),e(xe,zm),e(xe,pl),e(pl,Fm),e(xe,qm),e(xe,hl),e(hl,jm),e(xe,Mm),e(xe,ul),e(ul,Cm),e(xe,Am),e(xe,fl),e(fl,Pm),e(xe,Om),e(xe,hi),e(hi,Lm),e(xe,Nm),u(o,wp,h),u(o,ui,h),e(ui,Im),u(o,$p,h),w(hs,o,h),u(o,xp,h),u(o,Ro,h),e(Ro,Dm),e(Ro,us),e(us,Sm),e(Ro,Gm),u(o,Ep,h),u(o,fi,h),e(fi,ml),e(ml,Um),u(o,zp,h),u(o,mi,h),e(mi,Wm),u(o,Fp,h),w(fs,o,h),u(o,qp,h),u(o,re,h),e(re,Rm),e(re,_l),e(_l,Bm),e(re,Hm),e(re,gl),e(gl,Km),e(re,Vm),e(re,Tl),e(Tl,Ym),e(re,Zm),e(re,kl),e(kl,Jm),e(re,Xm),e(re,vl),e(vl,Qm),e(re,e_),e(re,bl),e(bl,t_),e(re,o_),e(re,yl),e(yl,n_),e(re,s_),u(o,jp,h),u(o,Kt,h),e(Kt,a_),e(Kt,wl),e(wl,r_),e(Kt,i_),e(Kt,$l),e($l,d_),e(Kt,l_),u(o,Mp,h),u(o,Ee,h),e(Ee,c_),e(Ee,xl),e(xl,p_),e(Ee,h_),e(Ee,El),e(El,u_),e(Ee,f_),e(Ee,zl),e(zl,m_),e(Ee,__),e(Ee,Fl),e(Fl,g_),e(Ee,T_),e(Ee,ms),e(ms,k_),e(Ee,v_),e(Ee,ql),e(ql,b_),e(Ee,y_),u(o,Cp,h),w(_s,o,h),u(o,Ap,h),u(o,_i,h),e(_i,w_),u(o,Pp,h),u(o,gi,h),e(gi,gs),e(gs,$_),e(gs,jl),e(jl,x_),e(gs,E_),u(o,Op,h),u(o,Vt,h),e(Vt,z_),e(Vt,Ts),e(Ts,F_),e(Vt,q_),e(Vt,ks),e(ks,j_),e(Vt,M_),u(o,Lp,h),u(o,Bo,h),e(Bo,C_),e(Bo,Ml),e(Ml,A_),e(Bo,P_),u(o,Np,h),u(o,Ti,h),u(o,Ip,h),u(o,io,h),e(io,Ho),e(Ho,Cl),w(vs,Cl,null),e(io,O_),e(io,Al),e(Al,L_),u(o,Dp,h),u(o,Et,h),e(Et,N_),e(Et,ki),e(ki,I_),e(Et,D_),e(Et,bs),e(bs,S_),e(Et,G_),e(Et,ys),e(ys,U_),e(Et,W_),u(o,Sp,h),w(ws,o,h),u(o,Gp,h),u(o,dt,h),e(dt,R_),e(dt,Pl),e(Pl,B_),e(dt,H_),e(dt,Ol),e(Ol,K_),e(dt,V_),e(dt,vi),e(vi,Y_),e(dt,Z_),e(dt,Ll),e(Ll,J_),e(dt,X_),u(o,Up,h),u(o,bi,h),e(bi,Q_),u(o,Wp,h),w($s,o,h),u(o,Rp,h),u(o,yi,h),e(yi,eg),u(o,Bp,h),w(xs,o,h),u(o,Hp,h),u(o,wi,h),u(o,Kp,h),u(o,lo,h),e(lo,Ko),e(Ko,Nl),w(Es,Nl,null),e(lo,tg),e(lo,Il),e(Il,og),u(o,Vp,h),u(o,zt,h),e(zt,ng),e(zt,zs),e(zs,sg),e(zt,ag),e(zt,Dl),e(Dl,rg),e(zt,ig),e(zt,Sl),e(Sl,dg),e(zt,lg),u(o,Yp,h),u(o,co,h),e(co,Vo),e(Vo,Gl),w(Fs,Gl,null),e(co,cg),e(co,Ul),e(Ul,pg),u(o,Zp,h),u(o,$i,h),e($i,hg),u(o,Jp,h),w(qs,o,h),u(o,Xp,h),u(o,Yo,h),e(Yo,js),e(js,ug),e(js,Ms),e(Ms,fg),e(js,mg),e(Yo,_g),e(Yo,Cs),e(Cs,gg),e(Cs,As),e(As,Tg),e(Cs,kg),u(o,Qp,h),w(Ps,o,h),u(o,eh,h),u(o,xi,h),e(xi,Os),e(Os,vg),e(Os,Ls),e(Ls,bg),e(Os,yg),u(o,th,h),w(Ns,o,h),u(o,oh,h),u(o,Ei,h),e(Ei,Is),e(Is,wg),e(Is,Ds),e(Ds,$g),e(Is,xg),u(o,nh,h),w(Ss,o,h),u(o,sh,h),u(o,ie,h),e(ie,Gs),e(Gs,Eg),e(Gs,Us),e(Us,zg),e(Gs,Fg),e(ie,qg),e(ie,Ws),e(Ws,jg),e(Ws,Rs),e(Rs,Mg),e(Ws,Cg),e(ie,Ag),e(ie,Bs),e(Bs,Pg),e(Bs,Hs),e(Hs,Og),e(Bs,Lg),e(ie,Ng),e(ie,Yt),e(Yt,zi),e(zi,Ig),e(Yt,Dg),e(Yt,Ks),e(Ks,Sg),e(Yt,Gg),e(Yt,Vs),e(Vs,Ug),e(Yt,Wg),e(ie,Rg),e(ie,Zt),e(Zt,Fi),e(Fi,Bg),e(Zt,Hg),e(Zt,Ys),e(Ys,Kg),e(Zt,Vg),e(Zt,Zs),e(Zs,Yg),e(Zt,Zg),e(ie,Jg),e(ie,Zo),e(Zo,qi),e(qi,Xg),e(Zo,Qg),e(Zo,Js),e(Js,eT),e(Zo,tT),e(ie,oT),e(ie,ji),e(ji,Xs),e(Xs,nT),e(ji,sT),e(ie,aT),e(ie,Wl),e(Wl,Mi),e(Mi,rT),u(o,ah,h),w(Qs,o,h),u(o,rh,h),u(o,Ci,h),e(Ci,Ft),e(Ft,Ai),e(Ai,iT),e(Ft,dT),e(Ft,ea),e(ea,lT),e(Ft,cT),e(Ft,Pi),e(Pi,pT),e(Ft,hT),e(Ft,ta),e(ta,uT),e(Ft,fT),u(o,ih,h),w(oa,o,h),u(o,dh,h),u(o,Jt,h),e(Jt,Xt),e(Xt,Oi),e(Oi,mT),e(Xt,_T),e(Xt,na),e(na,gT),e(Xt,TT),e(Xt,sa),e(sa,kT),e(Xt,vT),e(Jt,bT),e(Jt,Qt),e(Qt,Li),e(Li,yT),e(Qt,wT),e(Qt,aa),e(aa,$T),e(Qt,xT),e(Qt,ra),e(ra,ET),e(Qt,zT),e(Jt,FT),e(Jt,Rl),e(Rl,Ni),e(Ni,qT),u(o,lh,h),w(ia,o,h),u(o,ch,h),u(o,Jo,h),e(Jo,da),e(da,jT),e(da,la),e(la,MT),e(da,CT),e(Jo,AT),e(Jo,ca),e(ca,PT),e(ca,pa),e(pa,OT),e(ca,LT),u(o,ph,h),u(o,ha,h),e(ha,NT),e(ha,Bl),e(Bl,IT),u(o,hh,h),u(o,Ii,h),e(Ii,ua),e(ua,DT),e(ua,fa),e(fa,ST),e(ua,GT),u(o,uh,h),u(o,po,h),e(po,Xo),e(Xo,Hl),w(ma,Hl,null),e(po,UT),e(po,Kl),e(Kl,WT),u(o,fh,h),u(o,Rt,h),w(_a,Rt,null),e(Rt,RT),e(Rt,Bt),e(Bt,BT),e(Bt,Di),e(Di,HT),e(Bt,KT),e(Bt,Si),e(Si,VT),e(Bt,YT),e(Bt,ga),e(ga,ZT),e(Bt,JT),e(Rt,XT),e(Rt,ho),e(ho,QT),e(ho,Gi),e(Gi,ek),e(ho,tk),e(ho,Ui),e(Ui,ok),e(ho,nk),u(o,mh,h),u(o,uo,h),e(uo,Qo),e(Qo,Vl),w(Ta,Vl,null),e(uo,sk),e(uo,Yl),e(Yl,ak),u(o,_h,h),u(o,fe,h),w(ka,fe,null),e(fe,rk),e(fe,va),e(va,ik),e(va,ba),e(ba,dk),e(va,lk),e(fe,ck),e(fe,ya),e(ya,pk),e(ya,Wi),e(Wi,hk),e(ya,uk),e(fe,fk),e(fe,eo),w(wa,eo,null),e(eo,mk),e(eo,Zl),e(Zl,_k),e(eo,gk),e(eo,$a),e($a,Ri),e(Ri,Tk),e(Ri,Jl),e(Jl,kk),e($a,vk),e($a,Bi),e(Bi,bk),e(Bi,Xl),e(Xl,yk),e(fe,wk),e(fe,en),w(xa,en,null),e(en,$k),e(en,Ea),e(Ea,xk),e(Ea,Ql),e(Ql,Ek),e(Ea,zk),e(fe,Fk),e(fe,tn),w(za,tn,null),e(tn,qk),e(tn,ec),e(ec,jk),e(fe,Mk),e(fe,Hi),w(Fa,Hi,null),u(o,gh,h),u(o,fo,h),e(fo,on),e(on,tc),w(qa,tc,null),e(fo,Ck),e(fo,oc),e(oc,Ak),u(o,Th,h),u(o,Xe,h),w(ja,Xe,null),e(Xe,Pk),e(Xe,mo),e(mo,Ok),e(mo,nc),e(nc,Lk),e(mo,Nk),e(mo,Ma),e(Ma,Ik),e(mo,Dk),e(Xe,Sk),e(Xe,Ca),e(Ca,Gk),e(Ca,Ki),e(Ki,Uk),e(Ca,Wk),e(Xe,Rk),e(Xe,to),w(Aa,to,null),e(to,Bk),e(to,sc),e(sc,Hk),e(to,Kk),e(to,Pa),e(Pa,Vi),e(Vi,Vk),e(Vi,ac),e(ac,Yk),e(Pa,Zk),e(Pa,Yi),e(Yi,Jk),e(Yi,rc),e(rc,Xk),e(Xe,Qk),e(Xe,nn),w(Oa,nn,null),e(nn,ev),e(nn,ic),e(ic,tv),u(o,kh,h),u(o,_o,h),e(_o,sn),e(sn,dc),w(La,dc,null),e(_o,ov),e(_o,lc),e(lc,nv),u(o,vh,h),u(o,Ce,h),w(Na,Ce,null),e(Ce,sv),e(Ce,cc),e(cc,av),e(Ce,rv),e(Ce,Ia),e(Ia,iv),e(Ia,Da),e(Da,dv),e(Ia,lv),e(Ce,cv),e(Ce,Sa),e(Sa,pv),e(Sa,Zi),e(Zi,hv),e(Sa,uv),e(Ce,fv),e(Ce,Ga),e(Ga,mv),e(Ga,Ua),e(Ua,_v),e(Ga,gv),e(Ce,Tv),e(Ce,qt),w(Wa,qt,null),e(qt,kv),e(qt,go),e(go,vv),e(go,Ji),e(Ji,bv),e(go,yv),e(go,pc),e(pc,wv),e(go,$v),e(qt,xv),w(an,qt,null),e(qt,Ev),w(rn,qt,null),u(o,bh,h),u(o,To,h),e(To,dn),e(dn,hc),w(Ra,hc,null),e(To,zv),e(To,uc),e(uc,Fv),u(o,yh,h),u(o,Ae,h),w(Ba,Ae,null),e(Ae,qv),e(Ae,Ha),e(Ha,jv),e(Ha,fc),e(fc,Mv),e(Ha,Cv),e(Ae,Av),e(Ae,Ka),e(Ka,Pv),e(Ka,Va),e(Va,Ov),e(Ka,Lv),e(Ae,Nv),e(Ae,Ya),e(Ya,Iv),e(Ya,Xi),e(Xi,Dv),e(Ya,Sv),e(Ae,Gv),e(Ae,Za),e(Za,Uv),e(Za,Ja),e(Ja,Wv),e(Za,Rv),e(Ae,Bv),e(Ae,jt),w(Xa,jt,null),e(jt,Hv),e(jt,ko),e(ko,Kv),e(ko,Qi),e(Qi,Vv),e(ko,Yv),e(ko,mc),e(mc,Zv),e(ko,Jv),e(jt,Xv),w(ln,jt,null),e(jt,Qv),w(cn,jt,null),u(o,wh,h),u(o,vo,h),e(vo,pn),e(pn,_c),w(Qa,_c,null),e(vo,eb),e(vo,gc),e(gc,tb),u(o,$h,h),u(o,Pe,h),w(er,Pe,null),e(Pe,ob),e(Pe,Tc),e(Tc,nb),e(Pe,sb),e(Pe,tr),e(tr,ab),e(tr,or),e(or,rb),e(tr,ib),e(Pe,db),e(Pe,nr),e(nr,lb),e(nr,ed),e(ed,cb),e(nr,pb),e(Pe,hb),e(Pe,sr),e(sr,ub),e(sr,ar),e(ar,fb),e(sr,mb),e(Pe,_b),e(Pe,Mt),w(rr,Mt,null),e(Mt,gb),e(Mt,bo),e(bo,Tb),e(bo,td),e(td,kb),e(bo,vb),e(bo,kc),e(kc,bb),e(bo,yb),e(Mt,wb),w(hn,Mt,null),e(Mt,$b),w(un,Mt,null),u(o,xh,h),u(o,yo,h),e(yo,fn),e(fn,vc),w(ir,vc,null),e(yo,xb),e(yo,bc),e(bc,Eb),u(o,Eh,h),u(o,me,h),w(dr,me,null),e(me,zb),e(me,yc),e(yc,Fb),e(me,qb),e(me,lr),e(lr,jb),e(lr,cr),e(cr,Mb),e(lr,Cb),e(me,Ab),e(me,pr),e(pr,Pb),e(pr,od),e(od,Ob),e(pr,Lb),e(me,Nb),e(me,hr),e(hr,Ib),e(hr,ur),e(ur,Db),e(hr,Sb),e(me,Gb),w(mn,me,null),e(me,Ub),e(me,Ct),w(fr,Ct,null),e(Ct,Wb),e(Ct,wo),e(wo,Rb),e(wo,nd),e(nd,Bb),e(wo,Hb),e(wo,wc),e(wc,Kb),e(wo,Vb),e(Ct,Yb),w(_n,Ct,null),e(Ct,Zb),w(gn,Ct,null),u(o,zh,h),u(o,$o,h),e($o,Tn),e(Tn,$c),w(mr,$c,null),e($o,Jb),e($o,xc),e(xc,Xb),u(o,Fh,h),u(o,_e,h),w(_r,_e,null),e(_e,Qb),e(_e,gr),e(gr,ey),e(gr,Ec),e(Ec,ty),e(gr,oy),e(_e,ny),e(_e,Tr),e(Tr,sy),e(Tr,kr),e(kr,ay),e(Tr,ry),e(_e,iy),e(_e,vr),e(vr,dy),e(vr,sd),e(sd,ly),e(vr,cy),e(_e,py),e(_e,br),e(br,hy),e(br,yr),e(yr,uy),e(br,fy),e(_e,my),w(kn,_e,null),e(_e,_y),e(_e,At),w(wr,At,null),e(At,gy),e(At,xo),e(xo,Ty),e(xo,ad),e(ad,ky),e(xo,vy),e(xo,zc),e(zc,by),e(xo,yy),e(At,wy),w(vn,At,null),e(At,$y),w(bn,At,null),u(o,qh,h),u(o,Eo,h),e(Eo,yn),e(yn,Fc),w($r,Fc,null),e(Eo,xy),e(Eo,qc),e(qc,Ey),u(o,jh,h),u(o,ge,h),w(xr,ge,null),e(ge,zy),e(ge,jc),e(jc,Fy),e(ge,qy),e(ge,Er),e(Er,jy),e(Er,zr),e(zr,My),e(Er,Cy),e(ge,Ay),e(ge,Fr),e(Fr,Py),e(Fr,rd),e(rd,Oy),e(Fr,Ly),e(ge,Ny),e(ge,qr),e(qr,Iy),e(qr,jr),e(jr,Dy),e(qr,Sy),e(ge,Gy),w(wn,ge,null),e(ge,Uy),e(ge,Pt),w(Mr,Pt,null),e(Pt,Wy),e(Pt,zo),e(zo,Ry),e(zo,id),e(id,By),e(zo,Hy),e(zo,Mc),e(Mc,Ky),e(zo,Vy),e(Pt,Yy),w($n,Pt,null),e(Pt,Zy),w(xn,Pt,null),u(o,Mh,h),u(o,Fo,h),e(Fo,En),e(En,Cc),w(Cr,Cc,null),e(Fo,Jy),e(Fo,Ac),e(Ac,Xy),u(o,Ch,h),u(o,mt,h),w(Ar,mt,null),e(mt,Qy),e(mt,Ot),w(Pr,Ot,null),e(Ot,e1),e(Ot,qo),e(qo,t1),e(qo,Pc),e(Pc,o1),e(qo,n1),e(qo,Oc),e(Oc,s1),e(qo,a1),e(Ot,r1),w(zn,Ot,null),e(Ot,i1),w(Fn,Ot,null),e(mt,d1),e(mt,qn),w(Or,qn,null),e(qn,l1),w(jn,qn,null),e(mt,c1),e(mt,Mn),w(Lr,Mn,null),e(Mn,p1),w(Cn,Mn,null),u(o,Ah,h),u(o,jo,h),e(jo,An),e(An,Lc),w(Nr,Lc,null),e(jo,h1),e(jo,Nc),e(Nc,u1),u(o,Ph,h),u(o,_t,h),w(Ir,_t,null),e(_t,f1),e(_t,Lt),w(Dr,Lt,null),e(Lt,m1),e(Lt,Mo),e(Mo,_1),e(Mo,Ic),e(Ic,g1),e(Mo,T1),e(Mo,Dc),e(Dc,k1),e(Mo,v1),e(Lt,b1),w(Pn,Lt,null),e(Lt,y1),w(On,Lt,null),e(_t,w1),e(_t,Ln),w(Sr,Ln,null),e(Ln,$1),w(Nn,Ln,null),e(_t,x1),e(_t,In),w(Gr,In,null),e(In,E1),w(Dn,In,null),u(o,Oh,h),u(o,Co,h),e(Co,Sn),e(Sn,Sc),w(Ur,Sc,null),e(Co,z1),e(Co,Gc),e(Gc,F1),u(o,Lh,h),u(o,Ao,h),w(Wr,Ao,null),e(Ao,q1),e(Ao,oo),w(Rr,oo,null),e(oo,j1),e(oo,Po),e(Po,M1),e(Po,dd),e(dd,C1),e(Po,A1),e(Po,Uc),e(Uc,P1),e(Po,O1),e(oo,L1),w(Gn,oo,null),Nh=!0},p(o,[h]){const Br={};h&2&&(Br.$$scope={dirty:h,ctx:o}),an.$set(Br);const Wc={};h&2&&(Wc.$$scope={dirty:h,ctx:o}),rn.$set(Wc);const Rc={};h&2&&(Rc.$$scope={dirty:h,ctx:o}),ln.$set(Rc);const Bc={};h&2&&(Bc.$$scope={dirty:h,ctx:o}),cn.$set(Bc);const Oo={};h&2&&(Oo.$$scope={dirty:h,ctx:o}),hn.$set(Oo);const Hc={};h&2&&(Hc.$$scope={dirty:h,ctx:o}),un.$set(Hc);const Kc={};h&2&&(Kc.$$scope={dirty:h,ctx:o}),mn.$set(Kc);const Vc={};h&2&&(Vc.$$scope={dirty:h,ctx:o}),_n.$set(Vc);const Hr={};h&2&&(Hr.$$scope={dirty:h,ctx:o}),gn.$set(Hr);const Yc={};h&2&&(Yc.$$scope={dirty:h,ctx:o}),kn.$set(Yc);const Zc={};h&2&&(Zc.$$scope={dirty:h,ctx:o}),vn.$set(Zc);const Jc={};h&2&&(Jc.$$scope={dirty:h,ctx:o}),bn.$set(Jc);const gt={};h&2&&(gt.$$scope={dirty:h,ctx:o}),wn.$set(gt);const Xc={};h&2&&(Xc.$$scope={dirty:h,ctx:o}),$n.$set(Xc);const Qc={};h&2&&(Qc.$$scope={dirty:h,ctx:o}),xn.$set(Qc);const ep={};h&2&&(ep.$$scope={dirty:h,ctx:o}),zn.$set(ep);const tp={};h&2&&(tp.$$scope={dirty:h,ctx:o}),Fn.$set(tp);const op={};h&2&&(op.$$scope={dirty:h,ctx:o}),jn.$set(op);const np={};h&2&&(np.$$scope={dirty:h,ctx:o}),Cn.$set(np);const sp={};h&2&&(sp.$$scope={dirty:h,ctx:o}),Pn.$set(sp);const ap={};h&2&&(ap.$$scope={dirty:h,ctx:o}),On.$set(ap);const Tt={};h&2&&(Tt.$$scope={dirty:h,ctx:o}),Nn.$set(Tt);const rp={};h&2&&(rp.$$scope={dirty:h,ctx:o}),Dn.$set(rp);const Lo={};h&2&&(Lo.$$scope={dirty:h,ctx:o}),Gn.$set(Lo)},i(o){Nh||($(l.$$.fragment,o),$(de.$$.fragment,o),$(ps.$$.fragment,o),$(hs.$$.fragment,o),$(fs.$$.fragment,o),$(_s.$$.fragment,o),$(vs.$$.fragment,o),$(ws.$$.fragment,o),$($s.$$.fragment,o),$(xs.$$.fragment,o),$(Es.$$.fragment,o),$(Fs.$$.fragment,o),$(qs.$$.fragment,o),$(Ps.$$.fragment,o),$(Ns.$$.fragment,o),$(Ss.$$.fragment,o),$(Qs.$$.fragment,o),$(oa.$$.fragment,o),$(ia.$$.fragment,o),$(ma.$$.fragment,o),$(_a.$$.fragment,o),$(Ta.$$.fragment,o),$(ka.$$.fragment,o),$(wa.$$.fragment,o),$(xa.$$.fragment,o),$(za.$$.fragment,o),$(Fa.$$.fragment,o),$(qa.$$.fragment,o),$(ja.$$.fragment,o),$(Aa.$$.fragment,o),$(Oa.$$.fragment,o),$(La.$$.fragment,o),$(Na.$$.fragment,o),$(Wa.$$.fragment,o),$(an.$$.fragment,o),$(rn.$$.fragment,o),$(Ra.$$.fragment,o),$(Ba.$$.fragment,o),$(Xa.$$.fragment,o),$(ln.$$.fragment,o),$(cn.$$.fragment,o),$(Qa.$$.fragment,o),$(er.$$.fragment,o),$(rr.$$.fragment,o),$(hn.$$.fragment,o),$(un.$$.fragment,o),$(ir.$$.fragment,o),$(dr.$$.fragment,o),$(mn.$$.fragment,o),$(fr.$$.fragment,o),$(_n.$$.fragment,o),$(gn.$$.fragment,o),$(mr.$$.fragment,o),$(_r.$$.fragment,o),$(kn.$$.fragment,o),$(wr.$$.fragment,o),$(vn.$$.fragment,o),$(bn.$$.fragment,o),$($r.$$.fragment,o),$(xr.$$.fragment,o),$(wn.$$.fragment,o),$(Mr.$$.fragment,o),$($n.$$.fragment,o),$(xn.$$.fragment,o),$(Cr.$$.fragment,o),$(Ar.$$.fragment,o),$(Pr.$$.fragment,o),$(zn.$$.fragment,o),$(Fn.$$.fragment,o),$(Or.$$.fragment,o),$(jn.$$.fragment,o),$(Lr.$$.fragment,o),$(Cn.$$.fragment,o),$(Nr.$$.fragment,o),$(Ir.$$.fragment,o),$(Dr.$$.fragment,o),$(Pn.$$.fragment,o),$(On.$$.fragment,o),$(Sr.$$.fragment,o),$(Nn.$$.fragment,o),$(Gr.$$.fragment,o),$(Dn.$$.fragment,o),$(Ur.$$.fragment,o),$(Wr.$$.fragment,o),$(Rr.$$.fragment,o),$(Gn.$$.fragment,o),Nh=!0)},o(o){x(l.$$.fragment,o),x(de.$$.fragment,o),x(ps.$$.fragment,o),x(hs.$$.fragment,o),x(fs.$$.fragment,o),x(_s.$$.fragment,o),x(vs.$$.fragment,o),x(ws.$$.fragment,o),x($s.$$.fragment,o),x(xs.$$.fragment,o),x(Es.$$.fragment,o),x(Fs.$$.fragment,o),x(qs.$$.fragment,o),x(Ps.$$.fragment,o),x(Ns.$$.fragment,o),x(Ss.$$.fragment,o),x(Qs.$$.fragment,o),x(oa.$$.fragment,o),x(ia.$$.fragment,o),x(ma.$$.fragment,o),x(_a.$$.fragment,o),x(Ta.$$.fragment,o),x(ka.$$.fragment,o),x(wa.$$.fragment,o),x(xa.$$.fragment,o),x(za.$$.fragment,o),x(Fa.$$.fragment,o),x(qa.$$.fragment,o),x(ja.$$.fragment,o),x(Aa.$$.fragment,o),x(Oa.$$.fragment,o),x(La.$$.fragment,o),x(Na.$$.fragment,o),x(Wa.$$.fragment,o),x(an.$$.fragment,o),x(rn.$$.fragment,o),x(Ra.$$.fragment,o),x(Ba.$$.fragment,o),x(Xa.$$.fragment,o),x(ln.$$.fragment,o),x(cn.$$.fragment,o),x(Qa.$$.fragment,o),x(er.$$.fragment,o),x(rr.$$.fragment,o),x(hn.$$.fragment,o),x(un.$$.fragment,o),x(ir.$$.fragment,o),x(dr.$$.fragment,o),x(mn.$$.fragment,o),x(fr.$$.fragment,o),x(_n.$$.fragment,o),x(gn.$$.fragment,o),x(mr.$$.fragment,o),x(_r.$$.fragment,o),x(kn.$$.fragment,o),x(wr.$$.fragment,o),x(vn.$$.fragment,o),x(bn.$$.fragment,o),x($r.$$.fragment,o),x(xr.$$.fragment,o),x(wn.$$.fragment,o),x(Mr.$$.fragment,o),x($n.$$.fragment,o),x(xn.$$.fragment,o),x(Cr.$$.fragment,o),x(Ar.$$.fragment,o),x(Pr.$$.fragment,o),x(zn.$$.fragment,o),x(Fn.$$.fragment,o),x(Or.$$.fragment,o),x(jn.$$.fragment,o),x(Lr.$$.fragment,o),x(Cn.$$.fragment,o),x(Nr.$$.fragment,o),x(Ir.$$.fragment,o),x(Dr.$$.fragment,o),x(Pn.$$.fragment,o),x(On.$$.fragment,o),x(Sr.$$.fragment,o),x(Nn.$$.fragment,o),x(Gr.$$.fragment,o),x(Dn.$$.fragment,o),x(Ur.$$.fragment,o),x(Wr.$$.fragment,o),x(Rr.$$.fragment,o),x(Gn.$$.fragment,o),Nh=!1},d(o){t(f),o&&t(k),o&&t(g),E(l),o&&t(Oe),o&&t(N),o&&t(Le),o&&t(J),E(de),o&&t(le),o&&t(M),o&&t(V),o&&t(ye),o&&t(U),o&&t(we),o&&t(ue),o&&t(A),o&&t(I),o&&t(S),o&&t(pp),o&&t(ti),o&&t(hp),o&&t(it),o&&t(up),o&&t(ni),o&&t(fp),o&&t(Ne),o&&t(mp),o&&t(Go),o&&t(_p),o&&t(Ht),o&&t(gp),o&&t(li),o&&t(Tp),o&&t(ro),E(ps),o&&t(kp),o&&t(xt),o&&t(vp),o&&t(Wo),o&&t(bp),o&&t(pi),o&&t(yp),o&&t(xe),o&&t(wp),o&&t(ui),o&&t($p),E(hs,o),o&&t(xp),o&&t(Ro),o&&t(Ep),o&&t(fi),o&&t(zp),o&&t(mi),o&&t(Fp),E(fs,o),o&&t(qp),o&&t(re),o&&t(jp),o&&t(Kt),o&&t(Mp),o&&t(Ee),o&&t(Cp),E(_s,o),o&&t(Ap),o&&t(_i),o&&t(Pp),o&&t(gi),o&&t(Op),o&&t(Vt),o&&t(Lp),o&&t(Bo),o&&t(Np),o&&t(Ti),o&&t(Ip),o&&t(io),E(vs),o&&t(Dp),o&&t(Et),o&&t(Sp),E(ws,o),o&&t(Gp),o&&t(dt),o&&t(Up),o&&t(bi),o&&t(Wp),E($s,o),o&&t(Rp),o&&t(yi),o&&t(Bp),E(xs,o),o&&t(Hp),o&&t(wi),o&&t(Kp),o&&t(lo),E(Es),o&&t(Vp),o&&t(zt),o&&t(Yp),o&&t(co),E(Fs),o&&t(Zp),o&&t($i),o&&t(Jp),E(qs,o),o&&t(Xp),o&&t(Yo),o&&t(Qp),E(Ps,o),o&&t(eh),o&&t(xi),o&&t(th),E(Ns,o),o&&t(oh),o&&t(Ei),o&&t(nh),E(Ss,o),o&&t(sh),o&&t(ie),o&&t(ah),E(Qs,o),o&&t(rh),o&&t(Ci),o&&t(ih),E(oa,o),o&&t(dh),o&&t(Jt),o&&t(lh),E(ia,o),o&&t(ch),o&&t(Jo),o&&t(ph),o&&t(ha),o&&t(hh),o&&t(Ii),o&&t(uh),o&&t(po),E(ma),o&&t(fh),o&&t(Rt),E(_a),o&&t(mh),o&&t(uo),E(Ta),o&&t(_h),o&&t(fe),E(ka),E(wa),E(xa),E(za),E(Fa),o&&t(gh),o&&t(fo),E(qa),o&&t(Th),o&&t(Xe),E(ja),E(Aa),E(Oa),o&&t(kh),o&&t(_o),E(La),o&&t(vh),o&&t(Ce),E(Na),E(Wa),E(an),E(rn),o&&t(bh),o&&t(To),E(Ra),o&&t(yh),o&&t(Ae),E(Ba),E(Xa),E(ln),E(cn),o&&t(wh),o&&t(vo),E(Qa),o&&t($h),o&&t(Pe),E(er),E(rr),E(hn),E(un),o&&t(xh),o&&t(yo),E(ir),o&&t(Eh),o&&t(me),E(dr),E(mn),E(fr),E(_n),E(gn),o&&t(zh),o&&t($o),E(mr),o&&t(Fh),o&&t(_e),E(_r),E(kn),E(wr),E(vn),E(bn),o&&t(qh),o&&t(Eo),E($r),o&&t(jh),o&&t(ge),E(xr),E(wn),E(Mr),E($n),E(xn),o&&t(Mh),o&&t(Fo),E(Cr),o&&t(Ch),o&&t(mt),E(Ar),E(Pr),E(zn),E(Fn),E(Or),E(jn),E(Lr),E(Cn),o&&t(Ah),o&&t(jo),E(Nr),o&&t(Ph),o&&t(_t),E(Ir),E(Dr),E(Pn),E(On),E(Sr),E(Nn),E(Gr),E(Dn),o&&t(Oh),o&&t(Co),E(Ur),o&&t(Lh),o&&t(Ao),E(Wr),E(Rr),E(Gn)}}}const ix={local:"t5",sections:[{local:"overview",title:"Overview"},{local:"training",title:"Training"},{local:"inference",title:"Inference"},{local:"performance",title:"Performance"},{local:"resources",title:"Resources"},{local:"transformers.T5Config",title:"T5Config"},{local:"transformers.T5Tokenizer",title:"T5Tokenizer"},{local:"transformers.T5TokenizerFast",title:"T5TokenizerFast"},{local:"transformers.T5Model",title:"T5Model"},{local:"transformers.T5ForConditionalGeneration",title:"T5ForConditionalGeneration"},{local:"transformers.T5EncoderModel",title:"T5EncoderModel"},{local:"transformers.TFT5Model",title:"TFT5Model"},{local:"transformers.TFT5ForConditionalGeneration",title:"TFT5ForConditionalGeneration"},{local:"transformers.TFT5EncoderModel",title:"TFT5EncoderModel"},{local:"transformers.FlaxT5Model",title:"FlaxT5Model"},{local:"transformers.FlaxT5ForConditionalGeneration",title:"FlaxT5ForConditionalGeneration"},{local:"transformers.FlaxT5EncoderModel",title:"FlaxT5EncoderModel"}],title:"T5"};function dx(F){return O$(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _x extends M${constructor(f){super();C$(this,f,dx,rx,A$,{})}}export{_x as default,ix as metadata};
